import { BoxProps, LinkProps } from '@mui/material';
import React from 'react';
import { ActionProps } from './action';
export interface ActionLinkProps extends Omit<ActionProps, 'variant' | 'ComponentProps' | 'Component'> {
    /**
     * Underlying Link props.
     */
    LinkProps?: LinkProps;
    /**
     * Specifies if navigation action has link icon.
     */
    hasLinkIcon?: boolean;
    /**
     * Optional icon used to visually identify link.
     * If not specifeid LinkIcon is used.
     */
    /**
     * Specifies placement of the link icon.
     */
    linkIconPlacement?: 'start' | 'end';
    /**
     * Underlying Box (container for actiona and link icon) props.
     * Applied only if hasLinkIcon is true.
     */
    LinkBoxProps?: BoxProps;
}
declare const ActionLink: React.ForwardRefExoticComponent<ActionLinkProps & React.RefAttributes<unknown>>;
export default ActionLink;
