import { BoxProps } from '@mui/material';
import React from 'react';
import { ReactElement } from 'react';
import { ActionSize } from '../../../types/action';
import { Error } from '../../../types/error';
import { BaseProps } from '../../../types/props';
import { ErrorsDialogProps } from '../../dialogs/errorsDialog';
import { DismissibleAlertProps } from '../../feedbacks/dismissibleAlert';
import { ActionProps } from '../action/action';
export declare const actionGroupClasses: {
    speedDial: string;
    stack: string;
    dropdown: string;
    box: string;
};
interface ModalDialogsPortalProps {
    submitting: boolean;
    actions?: React.ReactNode;
    modalDialogErrors?: Array<ReactElement<DismissibleAlertProps>>;
    setModalDialogErrors: any;
    data: any;
    openModalDialogKey: string | number | undefined;
    setOpenModalDialogKey: any;
    setOpenConfirmationDialogKey: any;
}
export declare const ModalDialogsPortal: (props: ModalDialogsPortalProps) => React.JSX.Element;
interface ConfirmationDialogsPortalProps {
    data: any;
    actions?: React.ReactNode;
    openConfirmationDialogKey: string | number | undefined;
    setOpenConfirmationDialogKey: any;
}
export declare const ConfirmationDialogsPortal: (props: ConfirmationDialogsPortalProps) => React.JSX.Element;
export declare const useModalAction: () => {
    handleAction: (action: ReactElement<ActionProps>, data: any, params: any, index: number) => Promise<void>;
    submitting: boolean;
    openModalDialogKey: string | number | undefined;
    setOpenModalDialogKey: React.Dispatch<React.SetStateAction<string | number | undefined>>;
    modalDialogErrors: Error[] | undefined;
    setModalDialogErrors: React.Dispatch<React.SetStateAction<Error[] | undefined>>;
    openConfirmationDialogKey: string | number | undefined;
    setOpenConfirmationDialogKey: React.Dispatch<React.SetStateAction<string | number | undefined>>;
    modalessErrors: Error[] | undefined;
    setModalessErrors: React.Dispatch<React.SetStateAction<Error[] | undefined>>;
};
export interface ActionGroupBaseProps extends BaseProps, BoxProps {
    /**
     * Object containing parameters used to resolve action's url.
     * Used as an 'react-router-dom' generatePath method's 'params' parameter.
     */
    params?: any;
    /**
     * The size of the action components (IconButton, Button, ListItemIcon).
     * `small` is equivalent to the dense button styling.
     * @default 'medium'
     */
    size?: ActionSize;
    /**
     * Action group context data.
     */
    data?: any;
    /**
     * Props for underlying errors dialog.
     */
    ErrorsDialogProps?: ErrorsDialogProps;
}
export {};
