import React, { ReactNode } from 'react';
import { BaseProps } from '../../types/props';
export interface CodeDisplayProps extends BaseProps, Omit<React.DetailedHTMLProps<React.HTMLAttributes<HTMLElement>, HTMLElement>, 'ref'> {
    /**
     * Value to display as a code.
     */
    value?: React.ReactNode;
    /**
     * Specifies props for empty state of the component.
     */
    empty?: ReactNode;
}
/**
 * Component to display code value.
 */
declare const CodeDisplay: React.ForwardRefExoticComponent<CodeDisplayProps & React.RefAttributes<unknown>>;
export default CodeDisplay;
