import React, { ImgHTMLAttributes, ReactNode } from 'react';
import { BaseProps } from '../../types/props';
export interface ImageDisplayProps extends BaseProps, Omit<ImgHTMLAttributes<any>, 'src'> {
    /**
     * Image source.
     */
    value?: any;
    /**
     * Specifies props for empty state of the component.
     * Could be used as an fallback image in case when src image does not exists.
     */
    empty?: ReactNode;
}
declare const ImageDisplay: React.ForwardRefExoticComponent<ImageDisplayProps & React.RefAttributes<unknown>>;
export default ImageDisplay;
