import { BoxProps, CircularProgressProps } from '@mui/material';
import React, { ReactElement } from 'react';
import { BaseProps } from '../../types/props';
export interface LoaderProps extends BaseProps, BoxProps {
    /**
     * The text to be used while component is shown.
     */
    label?: string;
    /**
     * The position of the label.
     * @default 'end'
     */
    labelPlacement?: 'bottom' | 'end' | 'start' | 'top';
    /**
     * Loader size.
     */
    size?: 'small' | 'medium' | 'large';
    /**
     * Underlying CircularProgress component.
     */
    progress?: ReactElement<any>;
    /**
     * Underlying default CircularProgress component props.
     */
    CircularProgressProps?: CircularProgressProps;
    /**
     * Reference to the loader target.
     */
    targetRef?: any;
}
declare const Loader: (props: LoaderProps) => JSX.Element;
export default Loader;
export declare const withLoader: (WrappedComponent: any) => ({ isLoading, LoaderProps, ...other }: any) => React.JSX.Element;
