import { ControllerProps } from 'react-hook-form';
import React, { ReactNode } from 'react';
import { BaseProps } from '../../../types/props';
import { BoolInputProps } from '../../input/boolInput';
export interface BoolControlProps extends BaseProps, Omit<BoolInputProps, 'value' | 'ref' | 'name' | 'defaultValue' | 'error'>, Omit<ControllerProps, 'render'> {
    /**
     * Error content.
     */
    error?: ReactNode;
}
/**
 * Wraps `BoolInput` component with `reeact-hok-form` `Controller`.
 */
declare const BoolControl: React.ForwardRefExoticComponent<BoolControlProps & React.RefAttributes<unknown>>;
export default BoolControl;
