import { ControllerProps } from 'react-hook-form';
import React, { ReactNode } from 'react';
import { BaseProps } from '../../../types/props';
import { ColorInputProps } from '../../input/colorInput';
export interface ColorControlProps extends BaseProps, Omit<ColorInputProps, 'value' | 'ref' | 'name' | 'defaultValue' | 'error'>, Omit<ControllerProps, 'render'> {
    /**
     * Error content.
     */
    error?: ReactNode;
}
/**
 * Wraps `Colorinput` component with `react-hok-form` `Controller`.
 */
declare const ColorControl: React.ForwardRefExoticComponent<ColorControlProps & React.RefAttributes<unknown>>;
export default ColorControl;
