import { ControllerProps } from 'react-hook-form';
import { ComboBoxProps } from '../../input/comboBox';
import React, { ReactNode } from 'react';
import { BaseProps } from '../../../types/props';
export interface ComboBoxControlProps extends BaseProps, Omit<ComboBoxProps, 'value' | 'ref' | 'name' | 'defaultValue' | 'error'>, Omit<ControllerProps, 'render'> {
    /**
     * Error content.
     */
    error?: ReactNode;
}
/**
 * Wraps `ComboBox` component with `reeact-hok-form` `Controller`.
 */
declare const ComboBoxControl: React.ForwardRefExoticComponent<ComboBoxControlProps & React.RefAttributes<unknown>>;
export default ComboBoxControl;
