import { ControllerProps } from 'react-hook-form';
import React, { ReactNode } from 'react';
import { DateInputProps } from '../../input/dateInput';
import { BaseProps } from '../../../types/props';
export interface DateControlProps extends BaseProps, Omit<DateInputProps, 'value' | 'ref' | 'name' | 'defaultValue' | 'error'>, Omit<ControllerProps, 'render'> {
    /**
     * Error content.
     */
    error?: ReactNode;
}
/**
 * Wraps `DatePicker` component with `react-hok-form` `Controller`.
 */
declare const DateControl: React.ForwardRefExoticComponent<DateControlProps & React.RefAttributes<unknown>>;
export default DateControl;
