import { ControllerProps } from 'react-hook-form';
import React, { ReactNode } from 'react';
import { DateTimeInputProps } from '../../input/dateTimeInput';
import { BaseProps } from '../../../types/props';
export interface DateTimeControlProps extends BaseProps, Omit<DateTimeInputProps, 'value' | 'ref' | 'name' | 'defaultValue' | 'error'>, Omit<ControllerProps, 'render'> {
    /**
     * Error content.
     */
    error?: ReactNode;
}
/**
 * Wraps `DateTimePicker` component with `react-hok-form` `Controller`.
 */
declare const DateTimeControl: React.ForwardRefExoticComponent<DateTimeControlProps & React.RefAttributes<unknown>>;
export default DateTimeControl;
