import { ControllerProps } from 'react-hook-form';
import { LookupProps } from '../../input/lookup';
import React, { ReactNode } from 'react';
import { BaseProps } from '../../../types/props';
export interface LookupControlProps extends BaseProps, Omit<LookupProps, 'value' | 'ref' | 'name' | 'defaultValue' | 'error' | 'params'>, Omit<ControllerProps, 'render'> {
    /**
     * Error content.
     */
    error?: ReactNode;
    /**
     * Params to filter lookup options. In case when object just propagated to the underlying Lookup component.
     * In case when string[] then resolved using useWatch ant transformed into th eobject propagataed to the underluing Lookup.
     */
    params?: object | string[];
}
/**
 * Wraps `Lookup` component with `reeact-hok-form` `Controller`.
 */
declare const LookupControl: React.ForwardRefExoticComponent<LookupControlProps & React.RefAttributes<unknown>>;
export default LookupControl;
