import { ControllerProps } from 'react-hook-form';
import React, { ReactNode } from 'react';
import { NumberInputProps } from '../../input/numberInput';
import { BaseProps } from '../../../types/props';
export interface NumberControlProps extends BaseProps, Omit<NumberInputProps, 'value' | 'ref' | 'name' | 'defaultValue' | 'error'>, Omit<ControllerProps, 'render'> {
    /**
     * Error content.
     */
    error?: ReactNode;
}
/**
 * Wraps `material-ui` `TextField` component with `reeact-hok-form` `Controller`.
 */
declare const NumberControl: React.ForwardRefExoticComponent<NumberControlProps & React.RefAttributes<unknown>>;
export default NumberControl;
