import { ControllerProps } from 'react-hook-form';
import { PasswordInputProps } from '../../input/passwordInput';
import React, { ReactNode } from 'react';
import { BaseProps } from '../../../types/props';
export interface PasswordControlProps extends BaseProps, Omit<PasswordInputProps, 'value' | 'ref' | 'name' | 'defaultValue' | 'error'>, Omit<ControllerProps, 'render'> {
    /**
     * Error content.
     */
    error?: ReactNode;
}
/**
 * Wraps `PasswordInput` component with `reeact-hok-form` `Controller`.
 */
declare const PasswordControl: React.ForwardRefExoticComponent<PasswordControlProps & React.RefAttributes<unknown>>;
export default PasswordControl;
