import { TextFieldProps } from '@mui/material';
import { ControllerProps } from 'react-hook-form';
import React, { ReactNode } from 'react';
import { BaseProps } from '../../../types/props';
export interface TextFieldControlProps extends BaseProps, Omit<TextFieldProps, 'value' | 'ref' | 'name' | 'defaultValue' | 'error'>, Omit<ControllerProps, 'render'> {
    /**
     * Error content.
     */
    error?: ReactNode;
}
/**
 * Wraps `material-ui` `TextField` component with `reeact-hok-form` `Controller`.
 */
declare const TextFieldControl: React.ForwardRefExoticComponent<TextFieldControlProps & React.RefAttributes<unknown>>;
export default TextFieldControl;
