import React, { ReactNode } from 'react';
import { ControllerProps } from 'react-hook-form';
import { BaseProps } from '../../../types/props';
import { TimeInputProps } from '../../input/timeInput';
export interface TimeControlProps extends BaseProps, Omit<TimeInputProps, 'value' | 'ref' | 'name' | 'defaultValue' | 'error'>, Omit<ControllerProps, 'render'> {
    /**
     * Error content.
     */
    error?: ReactNode;
}
/**
 * Wraps `TimePicker` component with `react-hok-form` `Controller`.
 */
declare const TimeControl: React.ForwardRefExoticComponent<TimeControlProps & React.RefAttributes<unknown>>;
export default TimeControl;
