import { FieldValues, Resolver, SubmitHandler } from 'react-hook-form';
import React from 'react';
import { BaseProps } from '../../types/props';
import { FieldInputVariant, FieldSize } from '../../types/field';
import { FormButtonsProps } from './formButtons';
export interface FormProps extends BaseProps, FormButtonsProps {
    id?: string;
    /**
     * Form content (fields).
     */
    children?: React.ReactNode;
    /**
     * Method to be called on form submit.
     */
    onSubmit?: SubmitHandler<any>;
    /**
     * 'react-hook-form' validation resolver
     */
    validationResolver?: Resolver<FieldValues, object>;
    /**
     * 'react-hook-form' default values.
     */
    defaultValues?: FieldValues;
    /**
     *Underlying TextField component variant.
     */
    fieldInputVariant?: FieldInputVariant;
    /**
     * Default field size.
     */
    fieldSize?: FieldSize;
    /**
     * Fields props. This is a object with names of fields as property names and FieldProps as a value: .e.g, { id: { disabled: true } }.
     * Each FieldPros will be propageated to the corresponding field.
     */
    fieldsProps?: any;
}
declare const Form: React.ForwardRefExoticComponent<FormProps & React.RefAttributes<unknown>>;
export default Form;
