import { BoxProps, ButtonProps } from '@mui/material';
import { SubmitButtonProps } from '../buttons/submitButton';
import { ReactNode } from 'react';
import React from 'react';
import { FormButtonsJustify } from '../../types/form';
export interface FormButtonsProps {
    /**
     * The text to be shown as a title of a submit button.
     */
    submitTitle?: ReactNode;
    /**
     * The text to be shown as a title (subtitle) of back button.
     */
    cancelTitle?: ReactNode;
    /**
     * Callback to be called on cancel.
     */
    onCancel?: any;
    /**
     * Externally driven fleg which specifies if submit button is disabled.
     */
    submitDisabled?: boolean;
    /**
     * Specifies SubbmitButton props.
     */
    SubmitButtonProps?: SubmitButtonProps;
    /**
     * Specifies CancelButton props.
     */
    CancelButtonProps?: ButtonProps;
    /**
     * Indication if form submitting is in progress.
     */
    submitting?: boolean;
    /**
     * Override default behavior of how are buttons justified.
     */
    buttonsJustify?: FormButtonsJustify;
    /**
     * Underlying Box props.
     */
    FormButtonBoxProps?: BoxProps;
}
declare const FormButtons: React.ForwardRefExoticComponent<FormButtonsProps & React.RefAttributes<unknown>>;
export default FormButtons;
