import React from 'react';
import { FieldInputVariant, FieldSize } from '../../types/field';
import { BaseProps } from '../../types/props';
import { FieldErrors } from 'react-hook-form';
export interface FormContentProps extends BaseProps {
    /**
     *Underlying TextField component variant.
     */
    fieldInputVariant?: FieldInputVariant;
    /**
     * Default field size.
     */
    fieldSize?: FieldSize;
    /**
     * Fields props.
     */
    fieldsProps?: any;
    /**
     * Content of the component.
     */
    children?: React.ReactNode;
    /**
     * 'react-hook-form' errors.
     */
    errors?: FieldErrors<any>;
    /**
     * 'react-hook-form' control.
     */
    control?: any;
    /**
     * Custom layout component
     */
    LayoutComponent?: React.ComponentType<any>;
    /**
     * Underlying layout component props.
     */
    LayoutComponentProps?: object;
}
export declare const FormContent: React.ForwardRefExoticComponent<FormContentProps & React.RefAttributes<unknown>>;
