import React from 'react';
import { ActionProps } from '../actions/action/action';
import { FormProps } from '../form/form';
export interface useNavigationActionProps {
    actionProps?: any;
}
export interface useSubmitActionProps {
    actionProps?: ActionProps;
    modalDialogProps?: any;
    formProps?: FormProps;
}
export interface useSubmitActionOutputProps {
    /**
     * Action component to tbe rendered.
     */
    action: React.ReactNode;
    /**
     * Identifies when data are submitted.
     */
    submitted: boolean;
    /**
     * Submitted data.
     */
    data?: any;
    /**
     * Action response.
     */
    response?: any;
}
export declare const useSubmitActionElement: (action: React.ReactElement) => useSubmitActionOutputProps;
