import { Errors } from '../../types/error';
import { ServiceGetMethod } from '../../types/service';
import { LoaderProps } from '../feedbacks/loader';
import { RefreshObject } from './useRefresh';
export interface GetProps {
    /**
     * Callback to get data for current version of editable resource.
     */
    getMethod?: ServiceGetMethod<any>;
    /**
     * Route parameters.
     */
    params?: any;
    /**
     * On set data callback.
     */
    onSetData?: (data?: any) => void;
    /**
     * On get data callback.
     */
    onGet?: (data?: any) => void;
    /**
     * Props of Loader which appears during data gettering.
     */
    LoaderProps?: LoaderProps;
}
export interface useGetProps {
    /**
     * Initial data. Retuened as a data in getMethod not provided.
     */
    initialData?: any;
    getMethod?: ServiceGetMethod<any>;
    params?: any;
    /**
     * Callback function which is called when getMethod has benn completed successfully
     */
    onGet?: (data?: any) => void;
    /**
     * Callback function whe data are set.
     */
    onSetData?: (data?: any) => void;
    refresh?: RefreshObject;
}
export interface useGetOutput {
    data: any;
    errors?: Errors;
    isLoading: boolean;
    isEmpty: boolean;
}
export declare function useGet(props: useGetProps): useGetOutput;
