import { DependencyList } from 'react';
export declare type RefreshObject = object;
export interface useRefreshProps {
    /**
     * Externally controlled refresh object
     */
    refresh?: RefreshObject;
}
export interface useRefreshOutputProps {
    /**
     * Refresh object to use to refresh page/part etc.
     */
    refresh: RefreshObject;
    /**
     * Mehot to be called when some change requires refresh.
     */
    handleRefresh: () => void;
}
/**
 * Returns refresh object and function to call to initiate creating new onstance of an refresh object.
 * @param props
 * @returns
 */
export declare const useRefresh: (props?: useRefreshProps | undefined) => useRefreshOutputProps;
/**
 * Returns new refresh objects every tie when some value from dependency list has changes.
 * @param deps List of object to monitor
 * @returns
 */
export declare const useRefreshDeps: (deps?: DependencyList | undefined) => RefreshObject;
