import { SubmitHandler } from 'react-hook-form';
import { Errors } from '../../types/error';
import { ServiceResponse } from '../../types/service';
import { OnSubmittedProps } from '../actions/action/actionBase';
/**
 * Signature for OnSubmitted handler.
 */
export declare type OnSubmittedHandler = (data?: any, response?: any, context?: any) => void;
/**
 * Signature for OnSubmitted handler.
 */
export declare type OnSubmitFailedHandler = (data?: any, response?: any, context?: any) => void;
/**
 * Signature fof  OnSubmit handler.
 * @data Data to submit, e.g. form data.
 * @context Context in which action executes (could be item in the list, multiple items... )
 */
export declare type OnSubmitHandler = (data?: any, context?: any) => Promise<ServiceResponse<any>> | Promise<any> | ServiceResponse<any> | any | void;
export interface useSubmitProps extends OnSubmittedProps {
    submitMethod?: OnSubmitHandler;
}
export interface useSubmitOutputProps {
    onSubmit: SubmitHandler<any>;
    submitting: boolean;
    errors?: Errors;
    setErrors?: any;
    openConfirmationDialog: boolean;
    onConfirmationDialogClose: any;
}
export declare function useSubmit(props: useSubmitProps): useSubmitOutputProps;
