import { BoxProps, FabProps, TypographyProps } from '@mui/material';
import React from 'react';
import { DropzoneOptions } from 'react-dropzone';
import { BaseProps } from '../../types/props';
export interface FileInputProps extends BaseProps, Omit<DropzoneOptions, 'onDrop' | 'maxFiles' | 'multiple'> {
    /**
     * Underlaying input name.
     */
    name?: string;
    /**
     * Placeholder which appears when file is not selected.
     */
    placeholder?: string;
    /**
     * File change callback handler.
     */
    onChange?: (value?: File) => void;
    /**
     * File source.
     */
    value?: any;
    /**
     * Remove callback handler.
     */
    onRemove?: (src: any) => void;
    /**
     * File box props.
     */
    BoxProps?: BoxProps;
    /**
     * Placeholder Typography props.
     */
    PlaceholderProps?: TypographyProps;
    /**
     * Remove Fab props.
     */
    RemoveButtonProps?: FabProps;
    /**
     * Remove icon. Default CloseIcon.
     */
    removeIcon?: React.ReactNode;
    /**
     * Specifies if remove button appear if input has value (no need for onRemove callback).
     */
    removeable?: boolean;
}
declare const FileInput: React.ForwardRefExoticComponent<FileInputProps & React.RefAttributes<unknown>>;
export default FileInput;
