import { BoxProps, FabProps, TypographyProps } from '@mui/material';
import React from 'react';
import { DropzoneOptions } from 'react-dropzone';
import { BaseProps } from '../../types/props';
export interface ImageInputProps extends BaseProps, Omit<DropzoneOptions, 'onDrop' | 'maxFiles' | 'multiple'> {
    /**
     * Underlaying input name.
     */
    name?: string;
    /**
     * Placeholder which appears when image is not selected.
     */
    placeholder?: string;
    /**
     * Image change callback handler.
     */
    onChange?: (value?: File) => void;
    /**
     * Image source.
     */
    value?: any;
    /**
     * Remove callback handler.
     */
    onRemove?: (src: any) => void;
    /**
     * Image box props.
     */
    BoxProps?: BoxProps;
    /**
     * img props.
     */
    imgProps?: React.DetailedHTMLProps<React.ImgHTMLAttributes<HTMLImageElement>, HTMLImageElement>;
    /**
     * Placeholder Typography props.
     */
    PlaceholderProps?: TypographyProps;
    /**
     * Remove Fab props.
     */
    RemoveButtonProps?: FabProps;
    /**
     * Remove icon. Default CloseIcon.
     */
    removeIcon?: React.ReactNode;
    /**
     * Specifies if remove button appear if input has value (no need for onRemove callback).
     */
    removeable?: boolean;
}
declare const ImageInput: React.ForwardRefExoticComponent<ImageInputProps & React.RefAttributes<unknown>>;
export default ImageInput;
