import React, { ReactElement } from 'react';
import { AppContentProps } from './appContent';
import { AppFooterProps } from './appFooter';
import { AppHeaderProps } from './appHeader';
import { SidemenuProps } from './sidemenu/sidemenu';
export interface AppLayoutProps {
    /**
     * The content of the component.
     */
    children?: React.ReactNode;
    /**
     * Underlying AppHeader props.
     */
    appHeader?: ReactElement<AppHeaderProps>;
    /**
     * Underlying AppHeader props.
     */
    sidemenu?: ReactElement<SidemenuProps>;
    /**
     * Underlying AppFooter props.
     */
    appFooter?: ReactElement<AppFooterProps>;
    /**
     * Props of underlying AppContent component.
     */
    AppContentProps?: AppContentProps;
}
/**
 * Manages application's layout.
 */
declare const AppLayout: React.ForwardRefExoticComponent<AppLayoutProps & React.RefAttributes<unknown>>;
export default AppLayout;
