import { ListItemProps } from '@mui/material/ListItem';
import { ListItemIconProps } from '@mui/material/ListItemIcon';
import { ListItemTextProps } from '@mui/material/ListItemText';
import React from 'react';
import { ActionProps } from '../../actions/action/action';
export interface SidemenuActionProps extends ActionProps {
    /**
     * Callback function to call onClick in order to close 'temporary' sidemenu. Internally used.
     */
    toggleTemporarySidemenu?: any;
    /**
     * Specifies if sidemenu is minimized. Internally used.
     */
    minimized?: boolean;
    /**
     * Underlying ListItem props.
     */
    ListItemProps?: ListItemProps;
    /**
     * Underlying ListItemIcon props.
     */
    ListItemIconProps?: ListItemIconProps;
    /**
     * Underlying ListItemText props.
     */
    ListItemTextProps?: ListItemTextProps;
}
declare const SidemenuAction: React.ForwardRefExoticComponent<SidemenuActionProps & React.RefAttributes<unknown>>;
export default SidemenuAction;
