import React from 'react';
import { OnSubmitFailedHandler, OnSubmittedHandler } from './../hooks/useSubmit';
import { SubmitPartProps } from './submitPart';
import { NotificationProps } from '../feedbacks/notification';
export interface EditPartProps extends SubmitPartProps {
    /**
     * Notification message in the case of successful edit.
     */
    notificationMessage?: string;
    /**
     * Underlying Notification props
     */
    NotificationProps?: Omit<NotificationProps, 'open' | 'onClose' | 'message'>;
    /**
     * Callback function to be called if submit succeeded.
     */
    onSubmitted?: OnSubmittedHandler;
    /**
     * Callback function to be called if submit failed.
     */
    onSubmitFailed?: OnSubmitFailedHandler;
}
declare const _default: (props: any) => React.JSX.Element;
export default _default;
