import { ListWithTotalCount, ServiceResponse } from '../types/service';
export declare const includes: (value: any, searchValue: any) => boolean;
export declare const applyFilter: (items: any, values: any, filter: string) => any;
export declare const applyAnyFilter: (items: any, values: any, filter: string, props: string[]) => any;
export declare const applyFilters: (items: any, values: any, map?: any) => any;
export declare const applySorting: (items: any, sortBy: string, asc?: boolean) => void;
export declare const applyPaging: (items: any[], page: number, rowsPerPage: number) => any[];
export declare const randomError: (frequency: number, message?: string | undefined, minCode?: number | undefined, maxCode?: number | undefined) => ServiceResponse<undefined> | undefined;
interface CommonOptions {
    sleepDuration?: number;
    errorFrequency?: number;
    errorMessage?: string;
}
export interface GetListOptions extends CommonOptions {
    filtersMap?: object;
    sortBy?: string;
    sortDirection?: 'asc' | 'dsc';
}
interface GetItemOptions extends CommonOptions {
}
interface ValidationOptions {
    validationErrorFrequency?: number;
    validationErrorMessage?: string;
}
interface AddItemOptions extends CommonOptions, ValidationOptions {
}
interface UpdateItemOptions extends CommonOptions, ValidationOptions {
}
interface DeleteItemOptions extends CommonOptions, ValidationOptions {
}
export declare class MemoryService<T> {
    enableLog: boolean;
    constructor(enableLog?: boolean);
    getList: (items: Array<T>, filters: object, page: number, rowsPerPage: number, options?: GetListOptions | undefined) => Promise<ServiceResponse<ListWithTotalCount<T> | undefined>>;
    get: (items: Array<T>, params: object, options?: GetItemOptions | undefined) => Promise<ServiceResponse<T | undefined>>;
    add: (items: Array<T>, item: T, options?: AddItemOptions | undefined) => Promise<ServiceResponse<T | undefined>>;
    updateItem: (items: Array<T>, params: object, item: T, options?: UpdateItemOptions | undefined) => Promise<ServiceResponse<any>>;
    delete: (items: Array<T>, params: object, options?: DeleteItemOptions | undefined) => Promise<ServiceResponse<any>>;
}
export {};
