import { TypographyVariant } from '@mui/material';
import { Mixins } from '@mui/material/styles/createMixins';
import { FormButtonsJustify } from '../types/form';
import { ListHeaderVariant, ListPageHeight } from '../types/list';
import { PaperVariant } from '../types/paper';
import { TabIconPosition, TabIndicator, TabsPosition } from '../types/tab';
export interface SidemenuMixinsOptions {
    /**
     * Sidemenu with when not minimized.
     */
    width: string;
    /**
     * Sidemenu width when minimized.
     */
    minimizedWidth: string;
}
export interface ListPartMixinsOptions {
    listHasPadding: boolean;
    hasHeader: boolean;
}
export interface PartMixinsOptions {
    paperVariant: PaperVariant;
    listPart: ListPartMixinsOptions;
}
export interface ListPageMixinsOptions {
    height: ListPageHeight;
    hasHeader: boolean;
    listHasPadding: boolean;
    listHeaderLabelVariant: TypographyVariant;
    listHeaderVariant: ListHeaderVariant;
}
export interface SubmitPageMixinsOptions {
    hasHeader: boolean;
}
export interface DetailsPageMixinsOptions {
    hasHeader: boolean;
    tabsPosition: TabsPosition;
    tabIconPosition: TabIconPosition;
    tabIndicator: TabIndicator;
}
export interface PageMixinsOptions {
    listPage: ListPageMixinsOptions;
    submitPage: SubmitPageMixinsOptions;
    detailsPage: DetailsPageMixinsOptions;
}
export interface FormButtonsMixinsOptions {
    justify: FormButtonsJustify;
}
export interface FormMixinsOptions {
    buttons: FormButtonsMixinsOptions;
}
export interface AppMixinsOptions {
    backgroundColor: string;
}
declare module '@mui/material/styles/createMixins' {
    interface Mixins {
        sidemenu: SidemenuMixinsOptions;
        page: PageMixinsOptions;
        part: PartMixinsOptions;
        form: FormMixinsOptions;
        app: AppMixinsOptions;
    }
}
export declare const DEFAULT_MIXINS: Mixins;
