import { StandardColor } from './color';
import { ActionProps } from '../components/actions/action/action';
import { ReactElement } from 'react';
/**
 * Action path
 */
export declare type ActionPath = string;
/**
 * Action size
 */
export declare type ActionSize = 'small' | 'medium' | 'large';
/**
 * Action color.
 */
export declare type ActionColor = StandardColor | 'default' | 'inherit';
/**
 * Returns object with action parameters.
 * @param params Actual action parametrs or function used to resolve parameters.
 * @param data Data used to resolve action parameters.
 * @returns Object with parameters.
 */
export declare const getParams: (params?: any, data?: any) => any;
/**
 * react-router's generatePath
 *
 * BUT, changes match patter to include - character, to support keys like :zip-code and :zip.code
 *
 * /:w+/g -> /:[a-zA-Z0-9_\-]+/g
 */
export declare function generatePathINTERNAL<Path extends string>(path: Path, params: any): string;
/**
 * Resolves actual action path.
 * @param path Actual path or function.
 * @param params Action parameters
 * @param data Data used to resolve action path.
 * @returns Action path with resolved params.
 */
export declare const getTo: (path: any, params?: any, data?: any) => string;
/**
 * Resolves actual action path and goes there using history.
 */
export declare const goTo: (history: any, path: any, params?: any, data?: any) => void;
/**
 * Identifies is action has modal dialog.
 * @param action
 * @returns
 */
export declare const actionHasModal: (action: ReactElement<ActionProps>) => boolean;
/**
 * Identifies if action is submit action
 * @param action
 * @returns
 */
export declare const isSubmitAction: (action: ReactElement<ActionProps>) => boolean;
export declare const getAction: (action?: ReactElement<ActionProps, string | ((props: any) => ReactElement<any, any> | null) | (new (props: any) => import("react").Component<any, any, any>)> | ((data: any) => ReactElement<ActionProps>) | undefined, item?: any) => ReactElement<ActionProps> | undefined;
export declare const getActions: (actions?: ReactElement<ActionProps, string | ((props: any) => ReactElement<any, any> | null) | (new (props: any) => import("react").Component<any, any, any>)> | ReactElement<ActionProps, string | ((props: any) => ReactElement<any, any> | null) | (new (props: any) => import("react").Component<any, any, any>)>[] | ((data: any) => ReactElement<ActionProps>) | ((data: any) => Array<ReactElement<ActionProps>>) | undefined, item?: any) => Array<ReactElement<ActionProps>>;
