import React from 'react';
/**
 * Represents table size.
 */
export declare type TableSize = 'small' | 'medium';
/**
 * Specifies column format.
 */
export declare type ColumnFormat = (value: any) => any;
/**
 * Identifies column rendering content.
 */
export declare type ColumnContent = (value: any, item: any) => React.ReactNode;
/**
 * Specifies variant of the column.
 */
export declare type ColumnVariant = 'bool' | 'link' | 'date-time' | 'date' | 'time' | 'text' | 'buttons' | 'dropdown' | 'option';
/**
 * Relative holumn size.
 */
export declare type ColumnSize = 'small' | 'medium';
export declare type TableCellAlign = 'center' | 'inherit' | 'justify' | 'left' | 'right';
/**
 * Specifies possible values for column's hidden prop.
 */
export declare type HiddenBreakpoint = 'lgDown' | 'lgUp' | 'mdDown' | 'mdUp' | 'smDown' | 'smUp' | 'xlDown' | 'xlUp' | 'xsDown' | 'xsUp';
/**
 * Return if content should be hidden in respect to size of media size.
 * @param theme Current application theme.
 * @param hiddenBreakpoint Targeted breakpoint to be checked.
 * @returns
 */
export declare const shouldHide: (theme: any, hiddenBreakpoint?: "lgDown" | "lgUp" | "mdDown" | "mdUp" | "smDown" | "smUp" | "xlDown" | "xlUp" | "xsDown" | "xsUp" | undefined) => any;
