/**
 * Error severity.
 * error: You shall not pass with this.
 * warning: Be aware.
 * info: Just an information.
 */
export declare type ErrorSeverity = 'error' | 'warning' | 'info';
/**
 * Specifies erro information.
 */
export interface Error {
    /**
     * Error severity.
     */
    severity?: ErrorSeverity;
    /**
     * Unique error code.
     */
    code?: string | number;
    /**
     * Human readable error message.
     */
    message?: string;
}
/**
 * Array of errors.
 */
export declare type Errors = Array<Error>;
