import { TypographyProps } from '@mui/material';
import React from 'react';
/**
 * Field margin.
 */
export declare type FieldMargin = 'dense' | 'none' | 'normal';
/**
 * Field size.
 */
export declare type FieldSize = 'medium' | 'small';
/**
 * Field variant.
 */
export declare type FieldVariant = 'bool' | 'checkbox' | 'checklist' | 'code' | 'color' | 'combo-box' | 'currency-amount' | 'date' | 'date-time' | 'email' | 'file' | 'image' | 'link' | 'lookup' | 'number' | 'password' | 'radio-group' | 'rating' | 'switch' | 'text-area' | 'text' | 'time';
export interface FieldGroup {
    /**
     * Group name.
     */
    name?: string;
    /**
     * Group title content.
     */
    title?: React.ReactNode;
    /**
     * Underlying group title Typography props.
     */
    GroupTitleTypographyProps?: TypographyProps;
}
/**
 * Relative field width.
 */
export declare type FieldWidth = 'thin' | 'narrow' | 'wide' | 'full';
export declare type FieldInputVariant = 'filled' | 'outlined' | 'standard';
