import React from 'react';
/**
 * Page content type.
 */
export declare type PageContent = any;
/**
 * Relative page width.
 */
export declare type PageWidth = 'thin' | 'narrow' | 'wide' | 'full';
/**
 * Page title string or page title function.
 */
export declare type PageTitle = React.ReactNode | ((data: any) => React.ReactNode);
/**
 * Returns page title
 * @param title Title string or title function.
 * @param data Contextual data used to return dynamic title.
 * @returns Title.
 */
export declare const getTitle: (title?: PageTitle, data?: any) => any;
/**
 * Callback function signature for title adornment.
 */
export declare type HeaderAdornment = (data: any) => React.ReactNode;
/**
 * Title position.
 */
export declare type TitlePosition = 'top' | 'side';
