import { Option } from './option';
/**
 * Variant of the filter control.
 */
export declare type FilterVariant = 'bool' | 'combo-box' | 'free-solo' | 'multi-select' | 'date-time' | 'date' | 'time' | 'end-of-day' | 'start-of-day' | 'number' | 'text' | 'lookup';
/**
 * Type which specifies options which are used with some filter control variants (e.g., 'combo-box').
 */
export declare type FilterOptions = Array<Option> | ((filter: any, params?: any) => Array<Option>) | ((filter: any, params?: any) => Promise<Array<Option>>);
/**
 * Object containing search filters.
 */
export declare type Filters = any;
/**
 * relative size of the filter control.
 */
export declare type FilterSize = 'small' | 'medium';
/**
 * Interface used to specify filterd list result.
 */
export interface GetListData {
    data?: any;
    filters?: Filters;
    page?: number;
    rowsPerPage?: number;
}
