import AddIcon from '@mui/icons-material/AddOutlined';
import ArrowLeftIcon from '@mui/icons-material/KeyboardArrowLeftOutlined';
import ArrowRightIcon from '@mui/icons-material/KeyboardArrowRightOutlined';
import BackIcon from '@mui/icons-material/ArrowBackOutlined';
import CheckIcon from '@mui/icons-material/Check';
import CloseIcon from '@mui/icons-material/CloseOutlined';
import CollapseIcon from '@mui/icons-material/ExpandLessOutlined';
import ExpandIcon from '@mui/icons-material/ExpandMoreOutlined';
import LinkIcon from '@mui/icons-material/LinkOutlined';
import MenuIcon from '@mui/icons-material/MenuOutlined';
import MoreIcon from '@mui/icons-material/MoreVertOutlined';
import RefreshIcon from '@mui/icons-material/RefreshOutlined';
import VisibilityIcon from '@mui/icons-material/VisibilityOutlined';
import VisibilityOffIcon from '@mui/icons-material/VisibilityOffOutlined';
import { Tooltip, Dialog, DialogTitle, DialogContent, DialogContentText, DialogActions, Button, Stack, Collapse, styled as styled$1, Alert, IconButton, Box, Typography, Fab, getContrastRatio, List, ListItem, ListItemButton, ListItemIcon, ListItemText, Menu, MenuItem, SpeedDial, SpeedDialIcon, SpeedDialAction, FormControlLabel, CircularProgress, Snackbar, Chip, Checkbox, Switch, Paper, rgbToHex, hslToRgb, hexToRgb, useTheme, Rating, Radio, RadioGroup, SwipeableDrawer, AppBar, Toolbar, Divider, alpha, Grid, Card, CardHeader, CardContent, CardActions, TableCell, TableHead, TableRow, useMediaQuery as useMediaQuery$1, TableBody, Tabs, Tab, Autocomplete, Input, TextField as TextField$2, Stepper, Step, StepLabel, FormHelperText, FormControl, InputAdornment, InputLabel, decomposeColor } from '@mui/material';
import React, { useState, useEffect, useCallback, useRef, useMemo } from 'react';
import { generatePath, useNavigate, Link as Link$1, useLocation } from 'react-router-dom';
import { styled } from '@mui/material/styles';
import Link from '@mui/material/Link';
import { dark, light } from '@mui/material/styles/createPalette';
import { LoadingButton } from '@mui/lab';
import { NumericFormat } from 'react-number-format';
import styled$2 from 'styled-components';
import { useUtils } from '@mui/x-date-pickers/internals/hooks/useUtils';
import enUS from 'date-fns/esm/locale/en-US';
import { parseISO, format } from 'date-fns';
import IconButton$1 from '@mui/material/IconButton';
import List$1 from '@mui/material/List';
import Paper$1 from '@mui/material/Paper';
import useScrollTrigger from '@mui/material/useScrollTrigger/useScrollTrigger';
import useMediaQuery from '@mui/material/useMediaQuery';
import ListItem$1 from '@mui/material/ListItem';
import ListItemIcon$1 from '@mui/material/ListItemIcon';
import ListItemText$1 from '@mui/material/ListItemText';
import AppBar$1 from '@mui/material/AppBar';
import Toolbar$1 from '@mui/material/Toolbar';
import Table from '@mui/material/Table';
import TableContainer from '@mui/material/TableContainer';
import Box$1 from '@mui/material/Box';
import { useDropzone } from 'react-dropzone';
import TextField$1 from '@mui/material/TextField';
import { DateTimePicker } from '@mui/x-date-pickers/DateTimePicker';
import { TimePicker } from '@mui/x-date-pickers/TimePicker';
import { DatePicker } from '@mui/x-date-pickers/DatePicker';
import TablePagination from '@mui/material/TablePagination';
import { useForm, Controller, useWatch } from 'react-hook-form';
import { BlockPicker, ChromePicker, CirclePicker, CompactPicker, GithubPicker, HuePicker, AlphaPicker, MaterialPicker, SketchPicker, SliderPicker, SwatchesPicker, TwitterPicker } from 'react-color';

function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function (target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
function _objectDestructuringEmpty(obj) {
  if (obj == null) throw new TypeError("Cannot destructure " + obj);
}
function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;
  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }
  return target;
}
function _taggedTemplateLiteralLoose(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }
  strings.raw = raw;
  return strings;
}

var getValue = function getValue(item, path) {
  if (item === undefined) {
    return undefined;
  }
  if (!path) {
    return item;
  }
  var pathParts = path.split('.');
  var part = pathParts[0];
  if (!part) {
    return item;
  }
  var value = item[part];
  if (pathParts.length > 1) {
    for (var i = 1; i < pathParts.length; i++) {
      if (!value) {
        return value;
      }
      value = value[pathParts[i]];
    }
  }
  return value;
};
var getValues = function getValues(item, props) {
  return props.map(function (p) {
    return getValue(item, p);
  });
};
function isFunction(functionToCheck) {
  return functionToCheck && {}.toString.call(functionToCheck) === '[object Function]';
}
function isAsyncFunction(fn) {
  return fn && (fn.constructor.name === 'AsyncFunction' || {}.toString.call(fn) === '[object AsyncFunction]');
}
var fnNameMatchRegex = /^\s*function(?:\s|\s*\/\*.*\*\/\s*)+([^(\s/]*)\s*/;
function getFunctionName(fn) {
  var match = ("" + fn).match(fnNameMatchRegex);
  var name = match && match[1];
  return name || '';
}

var getParams = function getParams(params, data) {
  if (!params) return undefined;
  if (isFunction(params)) return params(data);else return params;
};
var getPath = function getPath(path, data) {
  if (isFunction(path)) return path(data);else return path;
};
function invariantINTERNAL(value, message) {
  if (value === false || value === null || typeof value === 'undefined') {
    throw new Error(message);
  }
}
function generatePathINTERNAL(path, params) {
  return path.replace(/:[a-zA-Z0-9_.\-]+/g, function (substring) {
    var key = substring.replace(':', '');
    var value = getValue(params, key);
    invariantINTERNAL(value != null, "Missing \":" + key + "\" param");
    return value;
  }).replace(/(\/?)\*/, function (_, prefix, __, str) {
    var star = '*';
    if (params[star] == null) {
      return str === '/*' ? '/' : '';
    }
    return "" + prefix + params[star];
  });
}
var getTo = function getTo(path, params, data) {
  var pth = getPath(path, data);
  var prms = params ? getParams(params, data) : undefined;
  try {
    var generatedPath = generatePath(pth !== null && pth !== void 0 ? pth : '', prms);
    if (!generatedPath || generatedPath.includes(':')) throw new Error();
    return generatedPath;
  } catch (_unused) {
    try {
      var value = generatePath(pth !== null && pth !== void 0 ? pth : '', data);
      if (!value || value.includes('[') || value.includes(':')) throw new Error();
      return value;
    } catch (_unused2) {
      return getToINTERNAL(pth !== null && pth !== void 0 ? pth : '', data);
    }
  }
};
var getToINTERNAL = function getToINTERNAL(path, params, data) {
  var pth = getPath(path, data);
  var prms = params ? getParams(params, data) : undefined;
  try {
    return generatePathINTERNAL(pth !== null && pth !== void 0 ? pth : '', prms);
  } catch (_unused3) {
    try {
      return generatePathINTERNAL(pth !== null && pth !== void 0 ? pth : '', data);
    } catch (_unused4) {
      return pth;
    }
  }
};
var goTo = function goTo(history, path, params, data) {
  if (history === undefined || path === undefined) return;
  var to = getTo(path, params, data);
  if (to) history.push(to);
};
var actionHasModal = function actionHasModal(action) {
  var _action$props;
  return (action === null || action === void 0 ? void 0 : (_action$props = action.props) === null || _action$props === void 0 ? void 0 : _action$props.modalDialog) !== undefined;
};
var isSubmitAction = function isSubmitAction(action) {
  var _action$props2;
  return (action === null || action === void 0 ? void 0 : (_action$props2 = action.props) === null || _action$props2 === void 0 ? void 0 : _action$props2.onSubmit) !== undefined;
};
var getAction = function getAction(action, item) {
  if (action) return undefined;
  var act = action;
  if (isFunction(action)) {
    return act(item);
  } else return act;
};
var getActions = function getActions(actions, item) {
  if (!actions) return [];
  var acts = actions;
  var result;
  if (isFunction(actions)) {
    result = acts(item);
  } else return acts;
  if (Array.isArray(result)) {
    return result;
  }
  return [result];
};

var isVisible = function isVisible(visibility, data, context) {
  return visibility === undefined || typeof visibility === 'boolean' && visibility || typeof visibility !== 'boolean' && (!visibility || visibility(data, context));
};
var hasValue = function hasValue(value) {
  return !!value;
};

var _excluded = ["tooltip", "TooltipProps"],
  _excluded2 = ["title"];
var classes = {
  root: 'MuiWithTooltip-root',
  span: 'MuiWithTooltip-span'
};
var withTooltip = function withTooltip(WrappedComponent) {
  return React.forwardRef(function (props, ref) {
    var tooltip = props.tooltip,
      TooltipProps = props.TooltipProps,
      other = _objectWithoutPropertiesLoose(props, _excluded);
    var _ref = TooltipProps !== null && TooltipProps !== void 0 ? TooltipProps : {},
      title = _ref.title,
      TooltipOtherProps = _objectWithoutPropertiesLoose(_ref, _excluded2);
    var _title = tooltip !== null && tooltip !== void 0 ? tooltip : title;
    return _title ? React.createElement(Tooltip, Object.assign({
      ref: ref,
      title: _title
    }, TooltipOtherProps), React.createElement("span", {
      className: classes.span,
      style: {
        flexGrow: 1
      }
    }, React.createElement(WrappedComponent, Object.assign({}, other)))) : React.createElement(WrappedComponent, Object.assign({
      ref: ref
    }, other));
  });
};

var buildClassName = function buildClassName() {
  var className = '';
  for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
    args[_key] = arguments[_key];
  }
  if (args && args.length > 0) {
    args.forEach(function (arg) {
      if (arg && typeof arg === 'string') {
        className += " " + arg;
      }
    });
  }
  return className.trim();
};

var _templateObject;
var _excluded$1 = ["width", "children"],
  _excluded2$1 = ["className", "open", "dialogContentText", "dialogTitle", "buttonTitle", "DialogTitleProps", "DialogContentTextProps", "DialogActionsProps", "ButtonProps", "DialogContentProps", "onClose", "data", "children"];
var classes$1 = {
  root: 'MuiConfirmationDialog-root',
  content: 'MuiConfirmationDialog-content',
  actions: 'MuiConfirmationDialog-actions',
  title: 'MuiConfirmationDialog-title',
  contentText: 'MuiConfirmationDialog-contentText'
};
var ConfirmationDialogRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$1);
  return React.createElement(Dialog, Object.assign({
    ref: ref
  }, other), children);
});
var ConfirmationDialogRoot = styled(ConfirmationDialogRef)(_templateObject || (_templateObject = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme,
    width = _ref.width;
  return "\n      margin:  " + theme.spacing(1) + "; \n\n      & .MuiDialog-container>.MuiPaper-root {\n        min-width: " + (width === 'full' ? '100% ' : width === 'wide' ? '75%' : width === 'narrow' ? '50%' : width === 'thin' ? '30%' : 'initial') + ";\n      }\n    ";
});
var getDialogText = function getDialogText(dialogText, data) {
  var _dialogText = dialogText;
  var _text = isFunction(_dialogText) ? _dialogText(data) : _dialogText;
  return _text;
};
var ConfirmationDialog = React.forwardRef(function (props, ref) {
  var className = props.className,
    open = props.open,
    dialogContentText = props.dialogContentText,
    dialogTitle = props.dialogTitle,
    buttonTitle = props.buttonTitle,
    DialogTitleProps = props.DialogTitleProps,
    DialogContentTextProps = props.DialogContentTextProps,
    DialogActionsProps = props.DialogActionsProps,
    ButtonProps = props.ButtonProps,
    DialogContentProps = props.DialogContentProps,
    onClose = props.onClose,
    data = props.data,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded2$1);
  return React.createElement(ConfirmationDialogRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$1.root, className),
    open: open !== null && open !== void 0 ? open : false,
    width: 'thin',
    onClose: onClose
  }, other), dialogTitle && React.createElement(DialogTitle, Object.assign({
    className: classes$1.title
  }, DialogTitleProps), getDialogText(dialogTitle, data)), React.createElement(DialogContent, Object.assign({
    className: classes$1.content
  }, DialogContentProps), dialogContentText ? React.createElement(DialogContentText, Object.assign({
    className: classes$1.contentText
  }, DialogContentTextProps), getDialogText(dialogContentText, data)) : children), React.createElement(DialogActions, Object.assign({
    className: classes$1.actions
  }, DialogActionsProps), React.createElement(Button, Object.assign({}, ButtonProps, {
    onClick: onClose
  }), buttonTitle !== null && buttonTitle !== void 0 ? buttonTitle : 'Ok')));
});

var _templateObject$1;
var _excluded$2 = ["width", "children"],
  _excluded2$2 = ["className", "variant", "dismissible", "children", "showCode"];
var classes$2 = {
  root: 'MuiAlertGroup-root'
};
var AlertGroupRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$2);
  return React.createElement(Stack, Object.assign({
    ref: ref,
    spacing: 2
  }, other), children);
});
var AlertGroupRoot = styled(AlertGroupRef)(_templateObject$1 || (_templateObject$1 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function () {
  return "";
});
var AlertGroup = React.forwardRef(function (props, ref) {
  var className = props.className,
    variant = props.variant,
    _props$dismissible = props.dismissible,
    dismissible = _props$dismissible === void 0 ? false : _props$dismissible,
    children = props.children,
    _props$showCode = props.showCode,
    showCode = _props$showCode === void 0 ? true : _props$showCode,
    other = _objectWithoutPropertiesLoose(props, _excluded2$2);
  return React.Children.count(children) > 0 ? React.createElement(AlertGroupRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$2.root, className),
    variant: variant
  }, other), React.Children.map(children, function (alert, index) {
    var _alert$props, _alert$props2, _alert$props3;
    var dismissibleAlert = React.cloneElement(alert, {
      key: index,
      variant: (alert === null || alert === void 0 ? void 0 : (_alert$props = alert.props) === null || _alert$props === void 0 ? void 0 : _alert$props.variant) || variant,
      dismissible: (alert === null || alert === void 0 ? void 0 : (_alert$props2 = alert.props) === null || _alert$props2 === void 0 ? void 0 : _alert$props2.dismissible) || dismissible,
      showCode: (alert === null || alert === void 0 ? void 0 : (_alert$props3 = alert.props) === null || _alert$props3 === void 0 ? void 0 : _alert$props3.showCode) || showCode
    });
    return alert && dismissibleAlert;
  })) : React.createElement(React.Fragment, null);
});

var _templateObject$2;
var _excluded$3 = ["collapsable", "open", "children"],
  _excluded2$3 = ["className", "message"],
  _excluded3 = ["className", "code", "fontFamily"],
  _excluded4 = ["severity", "message", "code", "error", "variant", "dismissible", "showCode", "className", "children", "action", "dismissIcon", "onClose", "open", "DismissIconButtonProps", "CodeAndMessageBoxProps", "CodeTypographyProps", "MessageTypographyProps", "ContentBoxProps", "collapsable", "CollapseProps"];
var classes$3 = {
  root: 'MuiDismissibleAlert-root',
  iconButton: 'MuiDismissibleAlert-icon-button',
  content: 'MuiDismissibleAlert-content',
  codeMessage: 'MuiDismissibleAlert-code-message',
  code: 'MuiDismissibleAlert-code',
  message: 'MuiDismissibleAlert-message'
};
var DismissibleAlertRef = React.forwardRef(function (props, ref) {
  var collapsable = props.collapsable,
    open = props.open,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$3);
  return collapsable ? React.createElement(Collapse, Object.assign({
    ref: ref,
    "in": open
  }, other), children) : React.createElement(React.Fragment, null, open && children);
});
var DismissibleAlertRoot = styled$1(DismissibleAlertRef)(_templateObject$2 || (_templateObject$2 = _taggedTemplateLiteralLoose(["\n  &.MuiCollapse-hidden {\n    display: none;\n  }\n  & .MuiAlert-icon,\n  .MuiAlert-action {\n    align-items: center;\n  }\n"])));
var DismissibleAlertMessage = function DismissibleAlertMessage(props) {
  var className = props.className,
    message = props.message,
    MessageTypographyProps = _objectWithoutPropertiesLoose(props, _excluded2$3);
  return React.createElement(Typography, Object.assign({
    className: buildClassName(classes$3.message, className)
  }, MessageTypographyProps), message);
};
var DismissibleAlertCode = function DismissibleAlertCode(props) {
  var className = props.className,
    code = props.code,
    fontFamily = props.fontFamily,
    CodeTypographyProps = _objectWithoutPropertiesLoose(props, _excluded3);
  return typeof code === 'string' || typeof code === 'number' ? React.createElement(Typography, Object.assign({
    marginRight: 2,
    fontFamily: fontFamily !== null && fontFamily !== void 0 ? fontFamily : "source-code-pro, Menlo, Monaco, Consolas, 'Courier New', monospace",
    className: buildClassName(classes$3.code, className)
  }, CodeTypographyProps), code) : React.createElement(React.Fragment, null, code);
};
var DismissibleAlert = React.forwardRef(function (props, ref) {
  var _error$message, _error$code, _error$severity;
  var _severity = props.severity,
    _message = props.message,
    _code = props.code,
    error = props.error,
    variant = props.variant,
    _props$dismissible = props.dismissible,
    dismissible = _props$dismissible === void 0 ? false : _props$dismissible,
    _props$showCode = props.showCode,
    showCode = _props$showCode === void 0 ? false : _props$showCode,
    className = props.className,
    children = props.children,
    action = props.action,
    dismissIcon = props.dismissIcon,
    onClose = props.onClose,
    controlledOpen = props.open,
    DismissIconButtonProps = props.DismissIconButtonProps,
    CodeAndMessageBoxProps = props.CodeAndMessageBoxProps,
    CodeTypographyProps = props.CodeTypographyProps,
    MessageTypographyProps = props.MessageTypographyProps,
    ContentBoxProps = props.ContentBoxProps,
    collapsable = props.collapsable,
    CollapseProps = props.CollapseProps,
    other = _objectWithoutPropertiesLoose(props, _excluded4);
  var message = (_error$message = error === null || error === void 0 ? void 0 : error.message) !== null && _error$message !== void 0 ? _error$message : _message;
  var code = (_error$code = error === null || error === void 0 ? void 0 : error.code) !== null && _error$code !== void 0 ? _error$code : _code;
  var severity = (_error$severity = error === null || error === void 0 ? void 0 : error.severity) !== null && _error$severity !== void 0 ? _error$severity : _severity;
  var _useState = useState(controlledOpen !== null && controlledOpen !== void 0 ? controlledOpen : true),
    open = _useState[0],
    setOpen = _useState[1];
  useEffect(function () {
    setOpen(controlledOpen !== null && controlledOpen !== void 0 ? controlledOpen : true);
  }, [controlledOpen]);
  return React.createElement(DismissibleAlertRoot, Object.assign({
    collapsable: collapsable,
    open: open,
    ref: ref
  }, CollapseProps), React.createElement(Alert, Object.assign({}, other, {
    className: buildClassName(classes$3.root, className),
    severity: severity !== null && severity !== void 0 ? severity : 'error',
    variant: variant,
    onClose: onClose,
    action: dismissible && !onClose ? React.createElement(IconButton, Object.assign({
      color: 'inherit',
      size: 'small',
      onClick: function onClick() {
        setOpen(false);
      },
      className: classes$3.iconButton
    }, DismissIconButtonProps), dismissIcon !== null && dismissIcon !== void 0 ? dismissIcon : React.createElement(CloseIcon, {
      fontSize: 'small'
    })) : action
  }, other), React.createElement(Box, Object.assign({
    display: 'flex',
    flexDirection: 'column',
    className: classes$3.content
  }, ContentBoxProps), (showCode && code || message) && React.createElement(Box, Object.assign({
    display: 'flex',
    alignItems: 'center',
    className: classes$3.codeMessage
  }, CodeAndMessageBoxProps), showCode && code && React.createElement(DismissibleAlertCode, Object.assign({
    code: code
  }, CodeTypographyProps)), message && React.createElement(DismissibleAlertMessage, Object.assign({
    message: message
  }, MessageTypographyProps))), children)));
});

var _excluded$4 = ["errors"];
var classes$4 = {
  root: 'MuiErrorsDialog-root'
};
var ErrorsDialog = React.forwardRef(function (props, ref) {
  var errors = props.errors,
    other = _objectWithoutPropertiesLoose(props, _excluded$4);
  var open = errors && (errors === null || errors === void 0 ? void 0 : errors.length) > 0;
  return React.createElement(ConfirmationDialog, Object.assign({
    ref: ref,
    className: classes$4.root,
    open: open
  }, other), React.createElement(AlertGroup, null, errors === null || errors === void 0 ? void 0 : errors.map(function (error, index) {
    return React.createElement(DismissibleAlert, {
      key: index,
      error: error
    });
  })));
});

var ListWithTotalCount = function ListWithTotalCount(items, totalCount) {
  this.items = items;
  this.totalCount = totalCount;
};
var isServiceResponse = function isServiceResponse(response) {
  var _response$constructor;
  if (!response) return false;
  if (((_response$constructor = response.constructor) === null || _response$constructor === void 0 ? void 0 : _response$constructor.name) === 'ServiceResponse ') return true;
  if ('ok' in response) return true;
  return false;
};
var ServiceResponse = function ServiceResponse(ok, response, errors) {
  this.ok = ok;
  this.response = response;
  this.errors = errors;
};
var ok = function ok() {
  return new ServiceResponse(true);
};
var serviceError = function serviceError(error) {
  return new ServiceResponse(false, undefined, [{
    code: '500',
    message: error,
    severity: 'error'
  }]);
};
var notImplementedError = function notImplementedError(parameter) {
  return new ServiceResponse(false, undefined, [{
    code: '400',
    message: "not implemented" + (parameter ? ': ' + parameter : ''),
    severity: 'error'
  }]);
};
var notFoundError = function notFoundError(parameter) {
  return new ServiceResponse(false, undefined, [{
    code: '404',
    message: "not found" + (parameter ? ': ' + parameter : ''),
    severity: 'error'
  }]);
};
var undefinedParameterError = function undefinedParameterError(parameter) {
  var message = "undefined parameter" + (parameter ? ': ' + parameter : '');
  console.error(message);
  return new ServiceResponse(false, undefined, [{
    code: '500',
    message: message,
    severity: 'error'
  }]);
};

function useSubmit(props) {
  var submitMethod = props.submitMethod,
    onSubmitted = props.onSubmitted,
    onSubmitFailed = props.onSubmitFailed,
    submittedConfirmationDialog = props.submittedConfirmationDialog,
    navigateBackOnSubmitted = props.navigateBackOnSubmitted;
  var navigate = useNavigate();
  var _useState = useState([]),
    errors = _useState[0],
    setErrors = _useState[1];
  var _useState2 = useState(false),
    submitting = _useState2[0],
    setSubmitting = _useState2[1];
  var _useState3 = useState(false),
    openConfirmationDialog = _useState3[0],
    setOpenConfirmationDialog = _useState3[1];
  var onConfirmationDialogClose = function onConfirmationDialogClose(data, response) {
    setOpenConfirmationDialog(false);
    if (onSubmitted) {
      onSubmitted(data, response);
    }
    if (navigateBackOnSubmitted) {
      navigate(-1);
    }
  };
  var onSubmitAsync = useCallback(function (data) {
    try {
      setErrors([]);
      var _temp = function () {
        if (submitMethod) {
          setSubmitting(true);
          return Promise.resolve(submitMethod(data).then(function (response) {
            if (isServiceResponse(response)) {
              var serviceResponse = response;
              if (serviceResponse && serviceResponse.ok) {
                if (submittedConfirmationDialog) {
                  setOpenConfirmationDialog(true);
                } else {
                  if (onSubmitted) {
                    onSubmitted(data, serviceResponse.response);
                  }
                  if (navigateBackOnSubmitted) {
                    navigate(-1);
                  }
                }
              } else {
                if (onSubmitFailed) {
                  onSubmitFailed(data, serviceResponse.response);
                } else {
                  setErrors(serviceResponse === null || serviceResponse === void 0 ? void 0 : serviceResponse.errors);
                }
              }
            } else {
              if (submittedConfirmationDialog) {
                setOpenConfirmationDialog(true);
              } else {
                if (onSubmitted) {
                  onSubmitted(data, response);
                }
                if (navigateBackOnSubmitted) {
                  navigate(-1);
                }
              }
            }
          })["catch"](function (error) {
            var _error$message;
            setErrors([{
              severity: 'error',
              code: undefined,
              message: (_error$message = error === null || error === void 0 ? void 0 : error.message) !== null && _error$message !== void 0 ? _error$message : error
            }]);
          })["finally"](function () {
            return setSubmitting(false);
          })).then(function () {});
        }
      }();
      return Promise.resolve(_temp && _temp.then ? _temp.then(function () {}) : void 0);
    } catch (e) {
      return Promise.reject(e);
    }
  }, [submitMethod, onSubmitted, onSubmitFailed, submittedConfirmationDialog, navigateBackOnSubmitted]);
  var onSubmitSync = useCallback(function (data) {
    try {
      setErrors([]);
      if (submitMethod) {
        setSubmitting(true);
        try {
          var response = submitMethod(data);
          if (isServiceResponse(response)) {
            var serviceResponse = response;
            if (serviceResponse && serviceResponse.ok) {
              if (submittedConfirmationDialog) {
                setOpenConfirmationDialog(true);
              } else {
                if (onSubmitted) {
                  onSubmitted(data, serviceResponse.response);
                }
                if (navigateBackOnSubmitted) {
                  navigate(-1);
                }
              }
            } else {
              if (onSubmitFailed) {
                onSubmitFailed(data, serviceResponse.response);
              } else {
                setErrors(serviceResponse === null || serviceResponse === void 0 ? void 0 : serviceResponse.errors);
              }
            }
          } else {
            if (submittedConfirmationDialog) {
              setOpenConfirmationDialog(true);
            } else {
              if (onSubmitted) {
                onSubmitted(data, response);
              }
              if (navigateBackOnSubmitted) {
                navigate(-1);
              }
            }
          }
        } catch (error) {
          var _error$message2;
          setErrors([{
            severity: 'error',
            code: undefined,
            message: (_error$message2 = error === null || error === void 0 ? void 0 : error.message) !== null && _error$message2 !== void 0 ? _error$message2 : error
          }]);
        } finally {
          setSubmitting(false);
        }
      }
      return Promise.resolve();
    } catch (e) {
      return Promise.reject(e);
    }
  }, [submitMethod, onSubmitted, onSubmitFailed, submittedConfirmationDialog, navigateBackOnSubmitted]);
  return {
    onSubmit: isAsyncFunction(submitMethod) ? onSubmitAsync : onSubmitSync,
    submitting: submitting,
    errors: errors,
    openConfirmationDialog: openConfirmationDialog,
    onConfirmationDialogClose: onConfirmationDialogClose,
    setErrors: setErrors
  };
}

var actionClasses = {
  link: 'MuiAction-link',
  button: 'MuiAction-button',
  icon: 'MuiAction-icon',
  fab: 'MuiAction-fab',
  modal: 'MuiAction-modal',
  modaless: 'MuiAction-modaless',
  disabled: 'MuiAction-disabled',
  navigate: 'MuiAction-navigate',
  submit: 'MuiAction-submit'
};

var _templateObject$3;
var _excluded$5 = ["hasIcon", "className", "children", "FabProps"];
var ActionFabWithBadgeRef = React.forwardRef(function (props, ref) {
  var className = props.className,
    children = props.children,
    FabProps = props.FabProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$5);
  return React.createElement(Fab, Object.assign({
    ref: ref,
    className: buildClassName(actionClasses.fab, className)
  }, other, FabProps), children);
});
var ActionFabWithBadge = styled(ActionFabWithBadgeRef)(_templateObject$3 || (_templateObject$3 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme,
    hasIcon = _ref.hasIcon;
  return " \n        display: flex;\n        justify-content: center;\n        align-items: center;\n        & .MuiActionButton-title {\n          padding-left: " + (hasIcon ? theme.spacing(1) : '0px') + ";\n        };      \n      ";
});

var _excluded$6 = ["badge"];
var withBadge = function withBadge(WrappedComponent) {
  return function (props) {
    var badge = props.badge,
      other = _objectWithoutPropertiesLoose(props, _excluded$6);
    if (badge) {
      var _badge$props$sx$displ, _badge$props, _badge$props$sx, _badge$props2;
      return React.cloneElement(badge, {
        sx: _extends({
          display: (_badge$props$sx$displ = badge === null || badge === void 0 ? void 0 : (_badge$props = badge.props) === null || _badge$props === void 0 ? void 0 : (_badge$props$sx = _badge$props.sx) === null || _badge$props$sx === void 0 ? void 0 : _badge$props$sx.display) !== null && _badge$props$sx$displ !== void 0 ? _badge$props$sx$displ : 'flex'
        }, badge === null || badge === void 0 ? void 0 : (_badge$props2 = badge.props) === null || _badge$props2 === void 0 ? void 0 : _badge$props2.sx),
        children: React.createElement(WrappedComponent, Object.assign({}, other))
      });
    } else {
      return React.createElement(WrappedComponent, Object.assign({}, other));
    }
  };
};

var _excluded$7 = ["size", "color", "icon", "onClick", "IconButtonProps", "className"];
var ActionIconButtonBase = React.forwardRef(function (props, ref) {
  var size = props.size,
    color = props.color,
    icon = props.icon,
    onClick = props.onClick,
    IconButtonProps = props.IconButtonProps,
    className = props.className,
    other = _objectWithoutPropertiesLoose(props, _excluded$7);
  if (!icon) console.warn("access-react: Action with variant 'icon-button' has undefined 'icon' prop: default icon rendered.");
  return React.createElement(IconButton, Object.assign({
    ref: ref,
    className: buildClassName(actionClasses.icon, className),
    color: color || 'primary',
    size: size,
    onClick: onClick
  }, other, IconButtonProps), icon !== null && icon !== void 0 ? icon : React.createElement(CheckIcon, {
    fontSize: size
  }));
});
var ActionIconButtonWithBadge = withBadge(ActionIconButtonBase);

var _excluded$8 = ["actionVariant", "className", "children", "size"];
var _templateObject$4, _templateObject2;
var colorTransformations = {
  warning: 'error',
  success: 'primary',
  info: 'secondary'
};
var ActionLinkDisabledRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    className = props.className;
  return React.createElement("span", {
    ref: ref,
    className: buildClassName(actionClasses.link, actionClasses.disabled, className)
  }, children);
});
var ActionLinkDisabled = styled(ActionLinkDisabledRef)(_templateObject$4 || (_templateObject$4 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme;
  return " \n      color: " + theme.palette.text.disabled + ";\n      text-decoration: underline;\n    ";
});
var ActionLinkRef = React.forwardRef(function (props, ref) {
  var className = props.className,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$8);
  return React.createElement(Link, Object.assign({
    ref: ref,
    className: buildClassName(actionClasses.link, actionClasses.submit, className)
  }, other), children);
});
var ActionLinkRoot = styled(ActionLinkRef)(_templateObject2 || (_templateObject2 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref2) {
  var actionVariant = _ref2.actionVariant,
    size = _ref2.size;
  return " \n      display: flex;\n      cursor: pointer;\n      " + (actionVariant !== 'link' ? 'text-decoration: none;' : '') + "\n\n      & .BaseBadge-root {\n        flex-grow:1;\n      }\n\n      " + (size === 'small' ? 'font-size: 0.875rem;' : '') + "\n    ";
});
var ActionLinkBase = React.forwardRef(function (props, ref) {
  var _ref3, _colorTransformations;
  var isSubmit = props.isSubmit,
    LinkProps = props.LinkProps,
    color = props.color,
    title = props.title,
    onClick = props.onClick,
    disabled = props.disabled,
    className = props.className,
    size = props.size;
  if (!title) {
    return React.createElement(React.Fragment, null);
  }
  return disabled ? React.createElement(ActionLinkDisabled, {
    ref: ref,
    size: size,
    className: className
  }, title) : isSubmit ? React.createElement(ActionLinkRoot, Object.assign({
    ref: ref
  }, LinkProps, {
    onClick: onClick,
    size: size,
    actionVariant: 'link',
    color: (_ref3 = (_colorTransformations = colorTransformations[color]) !== null && _colorTransformations !== void 0 ? _colorTransformations : color) !== null && _ref3 !== void 0 ? _ref3 : 'primary',
    className: className
  }), title) : React.createElement(React.Fragment, null, title);
});
var ActionLinkWithBadge = withBadge(ActionLinkBase);

var _templateObject$5;
var _excluded$9 = ["hasIcon", "hasTitle", "color", "children"],
  _excluded2$4 = ["icon", "size", "color", "onClick", "className", "ButtonProps", "children", "title"];
var ButtonRef = React.forwardRef(function (props, ref) {
  var color = props.color,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$9);
  return React.createElement(Button, Object.assign({
    ref: ref,
    color: color
  }, other), children);
});
var ButtonRoot = styled(ButtonRef)(_templateObject$5 || (_templateObject$5 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme,
    hasIcon = _ref.hasIcon,
    hasTitle = _ref.hasTitle,
    color = _ref.color;
  return " \n      & .MuiActionButton-title {\n        white-space: nowrap;\n        padding-left: " + (hasIcon ? theme.spacing(1) : '0px') + ";\n      };      \n\n      & .MuiButton-startIcon {\n        " + (hasTitle ? '' : 'margin-left:0;') + "\n        " + (hasTitle ? '' : 'margin-right:0;') + "\n      }\n\n      " + (color === 'inherit' ? 'background-color: transparent;' : '') + "\n\n      &:hover {\n        " + (color === 'inherit' ? 'background-color: transparent;' : '') + "\n      };     \n    ";
});
var ActionButtonBase = React.forwardRef(function (props, ref) {
  var _ButtonProps$variant;
  var icon = props.icon,
    size = props.size,
    color = props.color,
    onClick = props.onClick,
    className = props.className,
    ButtonProps = props.ButtonProps,
    children = props.children,
    title = props.title,
    other = _objectWithoutPropertiesLoose(props, _excluded2$4);
  return React.createElement(ButtonRoot, Object.assign({
    ref: ref,
    className: buildClassName(actionClasses.button, className),
    hasIcon: !!icon,
    hasTitle: !!title || !!children,
    startIcon: icon,
    size: size,
    color: color === 'default' ? 'inherit' : color,
    onClick: onClick
  }, other, ButtonProps, {
    variant: (_ButtonProps$variant = ButtonProps === null || ButtonProps === void 0 ? void 0 : ButtonProps.variant) !== null && _ButtonProps$variant !== void 0 ? _ButtonProps$variant : 'contained'
  }), title, children);
});
var ActionButtonWithBadge = withBadge(ActionButtonBase);

var _excluded$a = ["size", "variant", "icon", "onClick", "badge", "title", "Component", "ComponentProps", "isSubmit"];
var ActionWithBadge = React.forwardRef(function (props, ref) {
  var size = props.size,
    variant = props.variant,
    icon = props.icon,
    onClick = props.onClick,
    badge = props.badge,
    title = props.title,
    Component = props.Component,
    ComponentProps = props.ComponentProps,
    isSubmit = props.isSubmit,
    other = _objectWithoutPropertiesLoose(props, _excluded$a);
  var _color = props === null || props === void 0 ? void 0 : props.color;
  return variant === 'link' ? React.createElement(ActionLinkWithBadge, Object.assign({
    ref: ref,
    badge: badge,
    size: size,
    onClick: onClick,
    title: title,
    icon: icon,
    isSubmit: isSubmit
  }, other, {
    LinkProps: ComponentProps === null || ComponentProps === void 0 ? void 0 : ComponentProps.LinkProps
  })) : variant === 'button' ? React.createElement(ActionButtonWithBadge, Object.assign({
    ref: ref,
    badge: badge,
    size: size,
    onClick: onClick,
    icon: icon,
    title: title
  }, other, {
    ButtonProps: ComponentProps
  })) : variant === 'fab' ? React.createElement(ActionFabWithBadge, Object.assign({
    ref: ref,
    hasIcon: icon !== undefined,
    variant: title ? 'extended' : 'circular',
    color: _color === 'primary' || _color === 'secondary' || _color === 'inherit' || _color === 'default' ? _color : 'primary',
    size: size,
    onClick: onClick
  }, other, {
    FabProps: ComponentProps
  }), icon ? icon : !title && React.createElement(AddIcon, null), title && React.createElement("span", null, title)) : variant === 'icon-button' ? React.createElement(ActionIconButtonWithBadge, Object.assign({
    ref: ref,
    badge: badge,
    size: size,
    onClick: onClick,
    icon: icon
  }, other, {
    IconButtonProps: ComponentProps
  })) : variant === 'custom' ? withBadge(Component)(_extends({
    size: size,
    onClick: onClick,
    icon: icon,
    title: title,
    badge: badge
  }, other, ComponentProps)) : React.createElement(React.Fragment, null);
});

var _excluded$b = ["data", "onSubmit", "navigateBackOnSubmitted", "onSubmitted", "modalDialog", "submittedConfirmationDialog", "onSubmitFailed"],
  _excluded2$5 = ["onSubmit", "navigateBackOnSubmitted", "onSubmitted", "submittedConfirmationDialog", "onSubmitFailed", "data", "setErrors", "ErrorsDialogProps"];
var ActionWithModalDialogBase = React.forwardRef(function (props, ref) {
  var _modalDialog$props, _modalDialog$props2, _modalDialog$props$da, _modalDialog$props3, _submittedConfirmatio, _submittedConfirmatio2;
  var data = props.data,
    submitMethod = props.onSubmit,
    navigateBackOnSubmitted = props.navigateBackOnSubmitted,
    onSubmitted = props.onSubmitted,
    modalDialog = props.modalDialog,
    submittedConfirmationDialog = props.submittedConfirmationDialog,
    onSubmitFailed = props.onSubmitFailed,
    other = _objectWithoutPropertiesLoose(props, _excluded$b);
  var form = modalDialog === null || modalDialog === void 0 ? void 0 : (_modalDialog$props = modalDialog.props) === null || _modalDialog$props === void 0 ? void 0 : _modalDialog$props.form;
  var _useState = useState(false),
    open = _useState[0],
    setOpen = _useState[1];
  var onModalSubmitted = function onModalSubmitted(data, response) {
    setOpen(false);
    if (onSubmitted) {
      onSubmitted(data, response);
    }
  };
  var _useSubmit = useSubmit({
      submitMethod: submitMethod,
      navigateBackOnSubmitted: navigateBackOnSubmitted,
      onSubmitted: onModalSubmitted,
      submittedConfirmationDialog: submittedConfirmationDialog,
      onSubmitFailed: onSubmitFailed
    }),
    onSubmit = _useSubmit.onSubmit,
    errors = _useSubmit.errors,
    submitting = _useSubmit.submitting,
    onConfirmationDialogClose = _useSubmit.onConfirmationDialogClose,
    openConfirmationDialog = _useSubmit.openConfirmationDialog,
    setErrors = _useSubmit.setErrors;
  var handleClose = function handleClose() {
    setErrors([]);
    setOpen(false);
  };
  var handleOpen = function handleOpen() {
    setOpen(true);
  };
  var _form = {};
  if (form) {
    _form = React.cloneElement(form, {
      submitting: submitting,
      onSubmit: onSubmit
    });
  }
  var dismissibleErrors = errors ? errors.map(function (e, index) {
    return React.createElement(DismissibleAlert, {
      key: index,
      message: e === null || e === void 0 ? void 0 : e.message,
      code: e === null || e === void 0 ? void 0 : e.code,
      severity: e === null || e === void 0 ? void 0 : e.severity
    });
  }) : React.createElement(React.Fragment, null);
  var errorGroup = React.createElement(AlertGroup, null, dismissibleErrors);
  return React.createElement(React.Fragment, null, React.createElement(ActionWithBadge, Object.assign({
    ref: ref
  }, other, {
    onClick: handleOpen,
    isSubmit: submitMethod !== undefined
  })), modalDialog && _form && open && React.cloneElement(modalDialog, {
    form: _form,
    open: open,
    onClose: handleClose,
    alertGroup: modalDialog === null || modalDialog === void 0 ? void 0 : (_modalDialog$props2 = modalDialog.props) === null || _modalDialog$props2 === void 0 ? void 0 : _modalDialog$props2.alertGroup,
    errorGroup: errorGroup,
    data: (_modalDialog$props$da = modalDialog === null || modalDialog === void 0 ? void 0 : (_modalDialog$props3 = modalDialog.props) === null || _modalDialog$props3 === void 0 ? void 0 : _modalDialog$props3.data) !== null && _modalDialog$props$da !== void 0 ? _modalDialog$props$da : data
  }), submittedConfirmationDialog && React.isValidElement(submittedConfirmationDialog) && openConfirmationDialog && React.cloneElement(submittedConfirmationDialog, {
    open: openConfirmationDialog,
    onClose: onConfirmationDialogClose,
    data: (_submittedConfirmatio = submittedConfirmationDialog === null || submittedConfirmationDialog === void 0 ? void 0 : (_submittedConfirmatio2 = submittedConfirmationDialog.props) === null || _submittedConfirmatio2 === void 0 ? void 0 : _submittedConfirmatio2.data) !== null && _submittedConfirmatio !== void 0 ? _submittedConfirmatio : data
  }));
});
var ActionModaless = React.forwardRef(function (props, ref) {
  var _submittedConfirmatio3, _submittedConfirmatio4;
  var submitMethod = props.onSubmit,
    navigateBackOnSubmitted = props.navigateBackOnSubmitted,
    onSubmitted = props.onSubmitted,
    submittedConfirmationDialog = props.submittedConfirmationDialog,
    onSubmitFailed = props.onSubmitFailed,
    data = props.data,
    ErrorsDialogProps = props.ErrorsDialogProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$5);
  var _useSubmit2 = useSubmit({
      submitMethod: submitMethod,
      onSubmitted: onSubmitted,
      onSubmitFailed: onSubmitFailed,
      submittedConfirmationDialog: submittedConfirmationDialog,
      navigateBackOnSubmitted: navigateBackOnSubmitted
    }),
    onSubmit = _useSubmit2.onSubmit,
    openConfirmationDialog = _useSubmit2.openConfirmationDialog,
    onConfirmationDialogClose = _useSubmit2.onConfirmationDialogClose,
    errors = _useSubmit2.errors,
    setModelessErrors = _useSubmit2.setErrors;
  return React.createElement(React.Fragment, null, React.createElement(ActionWithBadge, Object.assign({
    ref: ref
  }, other, {
    onClick: function onClick() {
      return onSubmit(data);
    },
    isSubmit: submitMethod !== undefined
  })), !props.modalDialog && React.createElement(ErrorsDialog, Object.assign({}, ErrorsDialogProps, {
    errors: errors,
    onClose: function onClose() {
      return setModelessErrors(undefined);
    }
  })), submittedConfirmationDialog && React.isValidElement(submittedConfirmationDialog) && openConfirmationDialog && React.cloneElement(submittedConfirmationDialog, {
    open: openConfirmationDialog,
    onClose: onConfirmationDialogClose,
    data: (_submittedConfirmatio3 = submittedConfirmationDialog === null || submittedConfirmationDialog === void 0 ? void 0 : (_submittedConfirmatio4 = submittedConfirmationDialog.props) === null || _submittedConfirmatio4 === void 0 ? void 0 : _submittedConfirmatio4.data) !== null && _submittedConfirmatio3 !== void 0 ? _submittedConfirmatio3 : data
  }));
});
var ActionWithModalDialog = React.forwardRef(function (props, ref) {
  return props !== null && props !== void 0 && props.modalDialog ? React.createElement(ActionWithModalDialogBase, Object.assign({
    ref: ref,
    className: buildClassName(actionClasses.modal, props.className)
  }, props)) : React.createElement(ActionModaless, Object.assign({
    ref: ref,
    className: buildClassName(actionClasses.modaless, props.className)
  }, props));
});

var ActionWithTooltip = withTooltip(ActionWithModalDialog);

var _excluded$c = ["params", "variant", "ComponentProps", "TooltipProps", "to", "onSubmit", "disabled", "visibility", "className"];
var classes$5 = {
  root: 'MuiAction-root',
  linkIcon: 'MuiAction-linkIcon',
  linkBox: 'MuiAction-linkBox'
};
var Action = React.forwardRef(function (props, ref) {
  var params = props.params,
    _props$variant = props.variant,
    variant = _props$variant === void 0 ? 'button' : _props$variant,
    ComponentProps = props.ComponentProps,
    TooltipProps = props.TooltipProps,
    to = props.to,
    onSubmit = props.onSubmit,
    disabled = props.disabled,
    visibility = props.visibility,
    className = props.className,
    other = _objectWithoutPropertiesLoose(props, _excluded$c);
  if (!isVisible(visibility, props === null || props === void 0 ? void 0 : props.data)) return React.createElement(React.Fragment, null);
  var tooltipProps = _extends({}, TooltipProps);
  tooltipProps.followCursor = variant === 'fab';
  var action = React.createElement(ActionWithTooltip, Object.assign({
    className: buildClassName(classes$5.root, className),
    variant: variant,
    onSubmit: onSubmit,
    TooltipProps: tooltipProps,
    ComponentProps: ComponentProps,
    disabled: disabled
  }, other));
  if (onSubmit !== undefined) {
    return React.cloneElement(action, {
      ref: ref
    });
  } else {
    if (disabled) {
      return React.cloneElement(action, {
        ref: ref
      });
    } else {
      var goTo = getTo(to !== null && to !== void 0 ? to : '', params, props === null || props === void 0 ? void 0 : props.data);
      var _ref = ComponentProps !== null && ComponentProps !== void 0 ? ComponentProps : {},
        LinkProps = _ref.LinkProps,
        linkIcon = _ref.icon,
        linkIconPlacement = _ref.linkIconPlacement,
        hasLinkIcon = _ref.hasLinkIcon,
        LinkBoxProps = _ref.LinkBoxProps;
      var _linkIcon;
      var linkProps = LinkProps !== null && LinkProps !== void 0 ? LinkProps : {};
      if (variant === 'link') {
        var _ref2, _colorTransformations;
        linkProps.color = props !== null && props !== void 0 && props.color ? (_ref2 = (_colorTransformations = colorTransformations[props === null || props === void 0 ? void 0 : props.color]) !== null && _colorTransformations !== void 0 ? _colorTransformations : props.color) !== null && _ref2 !== void 0 ? _ref2 : 'primary' : 'primary';
        if (hasLinkIcon) {
          _linkIcon = linkIcon !== null && linkIcon !== void 0 ? linkIcon : React.createElement(LinkIcon, {
            className: classes$5.linkIcon
          });
        }
      }
      var linkAction = hasLinkIcon ? React.createElement(Box, Object.assign({
        className: classes$5.linkBox,
        gap: 1,
        display: 'flex',
        alignItems: 'center'
      }, LinkBoxProps), linkIconPlacement === 'start' && _linkIcon, action, linkIconPlacement !== 'start' && _linkIcon) : action;
      if (goTo && goTo.startsWith('http')) {
        return React.createElement(ActionLinkRoot, Object.assign({
          ref: ref,
          className: className,
          target: '_blank',
          href: goTo,
          actionVariant: variant
        }, linkProps), linkAction);
      }
      return React.createElement(ActionLinkRoot, Object.assign({
        ref: ref,
        className: className,
        to: goTo,
        component: Link$1,
        actionVariant: variant
      }, linkProps), linkAction);
    }
  }
});

var _excluded$d = ["ButtonProps"];
var ActionButton = React.forwardRef(function (props, ref) {
  var ButtonProps = props.ButtonProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$d);
  return React.createElement(Action, Object.assign({
    ref: ref
  }, other, {
    variant: 'button',
    ComponentProps: ButtonProps
  }));
});

var _excluded$e = ["LinkProps", "hasLinkIcon", "icon", "linkIconPlacement", "LinkBoxProps"];
var ActionLink = React.forwardRef(function (props, ref) {
  var LinkProps = props.LinkProps,
    hasLinkIcon = props.hasLinkIcon,
    icon = props.icon,
    linkIconPlacement = props.linkIconPlacement,
    LinkBoxProps = props.LinkBoxProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$e);
  return React.createElement(Action, Object.assign({
    ref: ref
  }, other, {
    variant: 'link',
    ComponentProps: {
      hasLinkIcon: hasLinkIcon,
      icon: icon,
      linkIconPlacement: linkIconPlacement,
      LinkBoxProps: LinkBoxProps,
      LinkProps: LinkProps
    }
  }));
});

var _excluded$f = ["FabProps"];
var ActionFab = React.forwardRef(function (props, ref) {
  var FabProps = props.FabProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$f);
  return React.createElement(Action, Object.assign({
    ref: ref
  }, other, {
    variant: 'fab',
    ComponentProps: FabProps
  }));
});

var _excluded$g = ["IconButtonProps"];
var ActionIconButton = React.forwardRef(function (props, ref) {
  var IconButtonProps = props.IconButtonProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$g);
  return React.createElement(Action, Object.assign({
    ref: ref
  }, other, {
    variant: 'icon-button',
    ComponentProps: IconButtonProps
  }));
});

var COLOR_NAMES = {
  aliceblue: '#f0f8ff',
  antiquewhite: '#faebd7',
  aqua: '#00ffff',
  aquamarine: '#7fffd4',
  azure: '#f0ffff',
  beige: '#f5f5dc',
  bisque: '#ffe4c4',
  black: '#000000',
  blanchedalmond: '#ffebcd',
  blue: '#0000ff',
  blueviolet: '#8a2be2',
  brown: '#a52a2a',
  burlywood: '#deb887',
  cadetblue: '#5f9ea0',
  chartreuse: '#7fff00',
  chocolate: '#d2691e',
  coral: '#ff7f50',
  cornflowerblue: '#6495ed',
  cornsilk: '#fff8dc',
  crimson: '#dc143c',
  cyan: '#00ffff',
  darkblue: '#00008b',
  darkcyan: '#008b8b',
  darkgoldenrod: '#b8860b',
  darkgray: '#a9a9a9',
  darkgreen: '#006400',
  darkkhaki: '#bdb76b',
  darkmagenta: '#8b008b',
  darkolivegreen: '#556b2f',
  darkorange: '#ff8c00',
  darkorchid: '#9932cc',
  darkred: '#8b0000',
  darksalmon: '#e9967a',
  darkseagreen: '#8fbc8f',
  darkslateblue: '#483d8b',
  darkslategray: '#2f4f4f',
  darkturquoise: '#00ced1',
  darkviolet: '#9400d3',
  deeppink: '#ff1493',
  deepskyblue: '#00bfff',
  dimgray: '#696969',
  dodgerblue: '#1e90ff',
  firebrick: '#b22222',
  floralwhite: '#fffaf0',
  forestgreen: '#228b22',
  fuchsia: '#ff00ff',
  gainsboro: '#dcdcdc',
  ghostwhite: '#f8f8ff',
  gold: '#ffd700',
  goldenrod: '#daa520',
  gray: '#808080',
  green: '#008000',
  greenyellow: '#adff2f',
  honeydew: '#f0fff0',
  hotpink: '#ff69b4',
  'indianred ': '#cd5c5c',
  indigo: '#4b0082',
  ivory: '#fffff0',
  khaki: '#f0e68c',
  lavender: '#e6e6fa',
  lavenderblush: '#fff0f5',
  lawngreen: '#7cfc00',
  lemonchiffon: '#fffacd',
  lightblue: '#add8e6',
  lightcoral: '#f08080',
  lightcyan: '#e0ffff',
  lightgoldenrodyellow: '#fafad2',
  lightgrey: '#d3d3d3',
  lightgreen: '#90ee90',
  lightpink: '#ffb6c1',
  lightsalmon: '#ffa07a',
  lightseagreen: '#20b2aa',
  lightskyblue: '#87cefa',
  lightslategray: '#778899',
  lightsteelblue: '#b0c4de',
  lightyellow: '#ffffe0',
  lime: '#00ff00',
  limegreen: '#32cd32',
  linen: '#faf0e6',
  magenta: '#ff00ff',
  maroon: '#800000',
  mediumaquamarine: '#66cdaa',
  mediumblue: '#0000cd',
  mediumorchid: '#ba55d3',
  mediumpurple: '#9370d8',
  mediumseagreen: '#3cb371',
  mediumslateblue: '#7b68ee',
  mediumspringgreen: '#00fa9a',
  mediumturquoise: '#48d1cc',
  mediumvioletred: '#c71585',
  midnightblue: '#191970',
  mintcream: '#f5fffa',
  mistyrose: '#ffe4e1',
  moccasin: '#ffe4b5',
  navajowhite: '#ffdead',
  navy: '#000080',
  oldlace: '#fdf5e6',
  olive: '#808000',
  olivedrab: '#6b8e23',
  orange: '#ffa500',
  orangered: '#ff4500',
  orchid: '#da70d6',
  palegoldenrod: '#eee8aa',
  palegreen: '#98fb98',
  paleturquoise: '#afeeee',
  palevioletred: '#d87093',
  papayawhip: '#ffefd5',
  peachpuff: '#ffdab9',
  peru: '#cd853f',
  pink: '#ffc0cb',
  plum: '#dda0dd',
  powderblue: '#b0e0e6',
  purple: '#800080',
  rebeccapurple: '#663399',
  red: '#ff0000',
  rosybrown: '#bc8f8f',
  royalblue: '#4169e1',
  saddlebrown: '#8b4513',
  salmon: '#fa8072',
  sandybrown: '#f4a460',
  seagreen: '#2e8b57',
  seashell: '#fff5ee',
  sienna: '#a0522d',
  silver: '#c0c0c0',
  skyblue: '#87ceeb',
  slateblue: '#6a5acd',
  slategray: '#708090',
  snow: '#fffafa',
  springgreen: '#00ff7f',
  steelblue: '#4682b4',
  tan: '#d2b48c',
  teal: '#008080',
  thistle: '#d8bfd8',
  tomato: '#ff6347',
  turquoise: '#40e0d0',
  violet: '#ee82ee',
  wheat: '#f5deb3',
  white: '#ffffff',
  whitesmoke: '#f5f5f5',
  yellow: '#ffff00',
  yellowgreen: '#9acd32'
};
var isColorName = function isColorName(colorName) {
  if (!colorName) return false;
  var name = colorName.toLowerCase();
  if (name in COLOR_NAMES) return true;
  return false;
};
var colorNameToHex = function colorNameToHex(colorName) {
  if (!colorName) return undefined;
  var name = colorName.toLowerCase();
  if (name in COLOR_NAMES) return COLOR_NAMES[name];
  return undefined;
};
var palleteColors = ['primary', 'secondary', 'success', 'error', 'warning', 'info', 'default'];
var getPaletteColor = function getPaletteColor(theme, color) {
  var result = undefined;
  try {
    switch (color) {
      case 'primary':
        result = theme.palette.primary;
        break;
      case 'secondary':
        result = theme.palette.secondary;
        break;
      case 'success':
        result = theme.palette.success;
        break;
      case 'error':
        result = theme.palette.error;
        break;
      case 'warning':
        result = theme.palette.warning;
        break;
      case 'info':
        result = theme.palette.info;
        break;
      case 'default':
        result = theme.palette.primary;
        break;
    }
  } catch (_unused) {}
  return result;
};
function getContrastText(background, contrastThreshold) {
  if (!background) {
    throw new TypeError("Material-UI: missing background argument in getContrastText(" + background + ").");
  }
  var _contrastThreshold = contrastThreshold !== null && contrastThreshold !== void 0 ? contrastThreshold : 3;
  var contrastText = getContrastRatio(background, dark.text.primary) >= _contrastThreshold ? dark.text.primary : light.text.primary;
  if (process.env.NODE_ENV !== 'production') {
    var contrast = getContrastRatio(background, contrastText);
    if (contrast < 3) {
      console.error(["Material-UI: the contrast ratio of " + contrast + ":1 for " + contrastText + " on " + background, 'falls below the WCAG recommended absolute minimum contrast ratio of 3:1.', 'https://www.w3.org/TR/2008/REC-WCAG20-20081211/#visual-audio-contrast-contrast'].join('\n'));
    }
  }
  return contrastText;
}

var actionGroupClasses = {
  speedDial: 'MuiActionGroup-speed-dial',
  stack: 'MuiActionGroup-stack',
  dropdown: 'MuiActionGroup-dropdown',
  box: 'MuiActionGroup-box'
};
var ModalDialogsPortal = function ModalDialogsPortal(props) {
  var submitting = props.submitting,
    actions = props.actions,
    data = props.data,
    modalDialogErrors = props.modalDialogErrors,
    setModalDialogErrors = props.setModalDialogErrors,
    openModalDialogKey = props.openModalDialogKey,
    setOpenModalDialogKey = props.setOpenModalDialogKey,
    setOpenConfirmationDialogKey = props.setOpenConfirmationDialogKey;
  var navigate = useNavigate();
  var handleModalDialogClose = function handleModalDialogClose() {
    setModalDialogErrors([]);
    setOpenModalDialogKey(undefined);
  };
  var handleModalDialogSubmit = function handleModalDialogSubmit(action, data) {
    try {
      var _temp = function () {
        var _action$props;
        if (action && (_action$props = action.props) !== null && _action$props !== void 0 && _action$props.onSubmit) {
          var _action$props2;
          return Promise.resolve((_action$props2 = action.props) === null || _action$props2 === void 0 ? void 0 : _action$props2.onSubmit(data, data).then(function (serviceResponse) {
            if (serviceResponse.ok) {
              var _action$props3;
              setOpenModalDialogKey(undefined);
              if ((_action$props3 = action.props) !== null && _action$props3 !== void 0 && _action$props3.submittedConfirmationDialog) {
                setOpenConfirmationDialogKey(openModalDialogKey);
              } else {
                var _action$props4, _action$props6;
                if ((_action$props4 = action.props) !== null && _action$props4 !== void 0 && _action$props4.onSubmitted) {
                  var _action$props5;
                  (_action$props5 = action.props) === null || _action$props5 === void 0 ? void 0 : _action$props5.onSubmitted(data !== null && data !== void 0 ? data : data, serviceResponse.response);
                }
                if ((_action$props6 = action.props) !== null && _action$props6 !== void 0 && _action$props6.navigateBackOnSubmitted) {
                  navigate(-1);
                }
              }
            } else {
              setModalDialogErrors(serviceResponse.errors);
            }
          })).then(function () {});
        }
      }();
      return Promise.resolve(_temp && _temp.then ? _temp.then(function () {}) : void 0);
    } catch (e) {
      return Promise.reject(e);
    }
  };
  var alertGroupErrors = React.createElement(AlertGroup, null, modalDialogErrors);
  return React.createElement(React.Fragment, null, React.Children.map(actions, function (action, index) {
    var _action$props7, _modalDialog$props, _action$props$id, _action$props8, _modalDialog$props$di, _modalDialog$props2, _modalDialog$props3, _modalDialog$props$da, _modalDialog$props4;
    var modalDialog = (_action$props7 = action.props) === null || _action$props7 === void 0 ? void 0 : _action$props7.modalDialog;
    var form = modalDialog === null || modalDialog === void 0 ? void 0 : (_modalDialog$props = modalDialog.props) === null || _modalDialog$props === void 0 ? void 0 : _modalDialog$props.form;
    var _form = undefined;
    if (form) {
      _form = React.cloneElement(form, {
        submitting: submitting,
        onSubmit: function onSubmit(formData) {
          handleModalDialogSubmit(action, formData);
        }
      });
    }
    var open = openModalDialogKey === ((_action$props$id = (_action$props8 = action.props) === null || _action$props8 === void 0 ? void 0 : _action$props8.id) !== null && _action$props$id !== void 0 ? _action$props$id : index);
    return modalDialog && _form && open && React.cloneElement(modalDialog, {
      key: index,
      form: _form,
      dialogTitle: (_modalDialog$props$di = modalDialog === null || modalDialog === void 0 ? void 0 : (_modalDialog$props2 = modalDialog.props) === null || _modalDialog$props2 === void 0 ? void 0 : _modalDialog$props2.dialogTitle) !== null && _modalDialog$props$di !== void 0 ? _modalDialog$props$di : '',
      open: open,
      onClose: function onClose() {
        return handleModalDialogClose();
      },
      alertGroup: modalDialogErrors ? alertGroupErrors : modalDialog === null || modalDialog === void 0 ? void 0 : (_modalDialog$props3 = modalDialog.props) === null || _modalDialog$props3 === void 0 ? void 0 : _modalDialog$props3.alertGroup,
      data: (_modalDialog$props$da = modalDialog === null || modalDialog === void 0 ? void 0 : (_modalDialog$props4 = modalDialog.props) === null || _modalDialog$props4 === void 0 ? void 0 : _modalDialog$props4.data) !== null && _modalDialog$props$da !== void 0 ? _modalDialog$props$da : data
    });
  }));
};
var ConfirmationDialogsPortal = function ConfirmationDialogsPortal(props) {
  var actions = props.actions,
    data = props.data,
    openConfirmationDialogKey = props.openConfirmationDialogKey,
    setOpenConfirmationDialogKey = props.setOpenConfirmationDialogKey;
  var handleConfirmationDialogClose = function handleConfirmationDialogClose() {
    setOpenConfirmationDialogKey(undefined);
  };
  return React.createElement(React.Fragment, null, React.Children.map(actions, function (action, index) {
    var _action$props9, _action$props$id2, _action$props10, _confirmationDialog$p, _confirmationDialog$p2;
    var confirmationDialog = (_action$props9 = action.props) === null || _action$props9 === void 0 ? void 0 : _action$props9.submittedConfirmationDialog;
    var open = openConfirmationDialogKey === ((_action$props$id2 = (_action$props10 = action.props) === null || _action$props10 === void 0 ? void 0 : _action$props10.id) !== null && _action$props$id2 !== void 0 ? _action$props$id2 : index);
    return confirmationDialog && open && React.cloneElement(confirmationDialog, {
      key: index,
      open: open,
      onClose: function onClose() {
        return handleConfirmationDialogClose();
      },
      data: (_confirmationDialog$p = confirmationDialog === null || confirmationDialog === void 0 ? void 0 : (_confirmationDialog$p2 = confirmationDialog.props) === null || _confirmationDialog$p2 === void 0 ? void 0 : _confirmationDialog$p2.data) !== null && _confirmationDialog$p !== void 0 ? _confirmationDialog$p : data
    });
  }));
};
var useModalAction = function useModalAction() {
  var navigate = useNavigate();
  var _useState = useState(undefined),
    openModalDialogKey = _useState[0],
    setOpenModalDialogKey = _useState[1];
  var _useState2 = useState(undefined),
    openConfirmationDialogKey = _useState2[0],
    setOpenConfirmationDialogKey = _useState2[1];
  var _useState3 = useState(),
    modalDialogErrors = _useState3[0],
    setModalDialogErrors = _useState3[1];
  var _useState4 = useState(),
    modalessErrors = _useState4[0],
    setModalessErrors = _useState4[1];
  var handleAction = function handleAction(action, data, params, index) {
    try {
      setModalDialogErrors(undefined);
      var _temp4 = function () {
        if (actionHasModal(action)) {
          setOpenModalDialogKey(index);
        } else {
          var _temp3 = function () {
            if (isSubmitAction(action)) {
              var _temp2 = function () {
                var _action$props11;
                if (action && (_action$props11 = action.props) !== null && _action$props11 !== void 0 && _action$props11.onSubmit) {
                  var _action$props12;
                  setSubmitting(true);
                  return Promise.resolve((_action$props12 = action.props) === null || _action$props12 === void 0 ? void 0 : _action$props12.onSubmit(data).then(function (serviceResponse) {
                    if (serviceResponse.ok) {
                      var _action$props13, _action$props14, _action$props15, _action$props16;
                      if ((_action$props13 = action.props) !== null && _action$props13 !== void 0 && _action$props13.submittedConfirmationDialog) {
                        setOpenConfirmationDialogKey(index);
                      }
                      if ((_action$props14 = action.props) !== null && _action$props14 !== void 0 && _action$props14.onSubmitted) (_action$props15 = action.props) === null || _action$props15 === void 0 ? void 0 : _action$props15.onSubmitted(data, serviceResponse.response);
                      if ((_action$props16 = action.props) !== null && _action$props16 !== void 0 && _action$props16.navigateBackOnSubmitted) {
                        navigate(-1);
                      }
                    } else {
                      setModalessErrors(serviceResponse.errors);
                    }
                  })["finally"](function () {
                    return setSubmitting(false);
                  })).then(function () {});
                }
              }();
              if (_temp2 && _temp2.then) return _temp2.then(function () {});
            } else {
              var _action$props$to, _action$props17, _action$props18;
              var to = getTo((_action$props$to = action === null || action === void 0 ? void 0 : (_action$props17 = action.props) === null || _action$props17 === void 0 ? void 0 : _action$props17.to) !== null && _action$props$to !== void 0 ? _action$props$to : '', ((_action$props18 = action.props) === null || _action$props18 === void 0 ? void 0 : _action$props18.params) || params, data);
              navigate(to);
            }
          }();
          if (_temp3 && _temp3.then) return _temp3.then(function () {});
        }
      }();
      return Promise.resolve(_temp4 && _temp4.then ? _temp4.then(function () {}) : void 0);
    } catch (e) {
      return Promise.reject(e);
    }
  };
  var _useState5 = useState(false),
    submitting = _useState5[0],
    setSubmitting = _useState5[1];
  return {
    handleAction: handleAction,
    submitting: submitting,
    openModalDialogKey: openModalDialogKey,
    setOpenModalDialogKey: setOpenModalDialogKey,
    modalDialogErrors: modalDialogErrors,
    setModalDialogErrors: setModalDialogErrors,
    openConfirmationDialogKey: openConfirmationDialogKey,
    setOpenConfirmationDialogKey: setOpenConfirmationDialogKey,
    modalessErrors: modalessErrors,
    setModalessErrors: setModalessErrors
  };
};

var _templateObject$6, _templateObject2$1;
var _excluded$h = ["className", "children", "size", "ListProps"],
  _excluded2$6 = ["color", "children", "size"],
  _excluded3$1 = ["onClick", "icon", "title", "subtitle", "isNavigation", "navigateToIcon", "size", "ListItemButtonProps", "ListItemTextProps", "ListItemProps", "ListItemIconProps"],
  _excluded4$1 = ["className", "children", "size", "data", "params", "ListProps", "ListItemButtonProps", "ListItemTextProps", "ListItemProps", "ListItemIconProps"];
var ActionGroupStackRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    size = props.size,
    ListProps = props.ListProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$h);
  return React.createElement(Box, Object.assign({
    ref: ref,
    flexGrow: 1,
    width: '100%'
  }, other), React.createElement(List, Object.assign({
    disablePadding: true,
    dense: size === 'small'
  }, ListProps), children));
});
var ActionGroupStackRoot = styled(ActionGroupStackRef)(_templateObject$6 || (_templateObject$6 = _taggedTemplateLiteralLoose(["\n  & .MuiLink-root {\n    text-decoration: none;\n  }\n"])));
var ActionGroupStackActionStyled = styled(function (_ref) {
  var children = _ref.children,
    size = _ref.size,
    other = _objectWithoutPropertiesLoose(_ref, _excluded2$6);
  return React.createElement(ListItem, Object.assign({
    dense: size === 'small'
  }, other), children);
})(_templateObject2$1 || (_templateObject2$1 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref2) {
  var _getPaletteColor;
  var theme = _ref2.theme,
    color = _ref2.color;
  var paletteColor = (_getPaletteColor = getPaletteColor(theme, color)) !== null && _getPaletteColor !== void 0 ? _getPaletteColor : theme.palette.primary;
  return "         \n       & .MuiListItemIcon-root, .MuiListItemText-root {\n         color: " + (paletteColor === null || paletteColor === void 0 ? void 0 : paletteColor.main) + ";\n       }\n    ";
});
var ActionGroupStackAction = function ActionGroupStackAction(props) {
  var _resizedNavigateToIco;
  var onClick = props.onClick,
    icon = props.icon,
    title = props.title,
    subtitle = props.subtitle,
    isNavigation = props.isNavigation,
    navigateToIcon = props.navigateToIcon,
    size = props.size,
    ListItemButtonProps = props.ListItemButtonProps,
    ListItemTextProps = props.ListItemTextProps,
    ListItemProps = props.ListItemProps,
    ListItemIconProps = props.ListItemIconProps,
    other = _objectWithoutPropertiesLoose(props, _excluded3$1);
  var resizedIcon;
  if (icon) {
    var _icon$props$fontSize, _icon$props;
    resizedIcon = React.cloneElement(icon, {
      fontSize: (_icon$props$fontSize = icon === null || icon === void 0 ? void 0 : (_icon$props = icon.props) === null || _icon$props === void 0 ? void 0 : _icon$props.fontSize) !== null && _icon$props$fontSize !== void 0 ? _icon$props$fontSize : size
    });
  }
  var resizedNavigateToIcon;
  if (navigateToIcon) {
    var _navigateToIcon$props, _navigateToIcon$props2;
    resizedNavigateToIcon = React.cloneElement(navigateToIcon, {
      fontSize: (_navigateToIcon$props = navigateToIcon === null || navigateToIcon === void 0 ? void 0 : (_navigateToIcon$props2 = navigateToIcon.props) === null || _navigateToIcon$props2 === void 0 ? void 0 : _navigateToIcon$props2.fontSize) !== null && _navigateToIcon$props !== void 0 ? _navigateToIcon$props : size
    });
  }
  return React.createElement(ActionGroupStackActionStyled, Object.assign({
    disablePadding: true,
    size: size
  }, other, ListItemProps), React.createElement(ListItemButton, Object.assign({
    dense: size === 'small',
    onClick: onClick
  }, ListItemButtonProps), resizedIcon && React.createElement(ListItemIcon, Object.assign({}, ListItemIconProps), resizedIcon), React.createElement(ListItemText, Object.assign({
    primary: title,
    secondary: subtitle
  }, ListItemTextProps)), isNavigation && React.createElement(Box, {
    marginLeft: 'auto',
    display: 'flex',
    alignItems: 'center',
    paddingLeft: 1
  }, (_resizedNavigateToIco = resizedNavigateToIcon) !== null && _resizedNavigateToIco !== void 0 ? _resizedNavigateToIco : React.createElement(ArrowRightIcon, {
    fontSize: size
  }))));
};
var ActionGroupStackBase = React.forwardRef(function (props, ref) {
  var className = props.className,
    children = props.children,
    size = props.size,
    data = props.data,
    params = props.params,
    ListProps = props.ListProps,
    ListItemButtonProps = props.ListItemButtonProps,
    ListItemTextProps = props.ListItemTextProps,
    ListItemProps = props.ListItemProps,
    ListItemIconProps = props.ListItemIconProps,
    otherBox = _objectWithoutPropertiesLoose(props, _excluded4$1);
  if (React.Children.count(children) === 0) {
    return React.createElement(React.Fragment, null);
  }
  return React.createElement(ActionGroupStackRoot, Object.assign({
    ref: ref,
    className: buildClassName(actionGroupClasses.stack, className),
    size: size,
    ListProps: ListProps
  }, otherBox), React.Children.map(children, function (action, index) {
    var _action$props$key, _action$props, _action$props2, _action$props2$Toolti, _action$props3, _action$props4, _action$props$size, _action$props5, _action$props$size2, _action$props6, _action$props$data, _action$props7, _action$props$params, _action$props8;
    return React.cloneElement(action, {
      key: (_action$props$key = (_action$props = action.props) === null || _action$props === void 0 ? void 0 : _action$props.key) !== null && _action$props$key !== void 0 ? _action$props$key : index,
      Component: ActionGroupStackAction,
      ComponentProps: {
        subtitle: action === null || action === void 0 ? void 0 : (_action$props2 = action.props) === null || _action$props2 === void 0 ? void 0 : (_action$props2$Toolti = _action$props2.TooltipProps) === null || _action$props2$Toolti === void 0 ? void 0 : _action$props2$Toolti.title,
        isNavigation: !((_action$props3 = action.props) !== null && _action$props3 !== void 0 && _action$props3.onSubmit),
        color: (_action$props4 = action.props) === null || _action$props4 === void 0 ? void 0 : _action$props4.color,
        size: (_action$props$size = action === null || action === void 0 ? void 0 : (_action$props5 = action.props) === null || _action$props5 === void 0 ? void 0 : _action$props5.size) !== null && _action$props$size !== void 0 ? _action$props$size : size,
        ListItemButtonProps: ListItemButtonProps,
        ListItemTextProps: ListItemTextProps,
        ListItemProps: ListItemProps,
        ListItemIconProps: ListItemIconProps
      },
      size: (_action$props$size2 = action === null || action === void 0 ? void 0 : (_action$props6 = action.props) === null || _action$props6 === void 0 ? void 0 : _action$props6.size) !== null && _action$props$size2 !== void 0 ? _action$props$size2 : size,
      data: (_action$props$data = action === null || action === void 0 ? void 0 : (_action$props7 = action.props) === null || _action$props7 === void 0 ? void 0 : _action$props7.data) !== null && _action$props$data !== void 0 ? _action$props$data : data,
      params: (_action$props$params = action === null || action === void 0 ? void 0 : (_action$props8 = action.props) === null || _action$props8 === void 0 ? void 0 : _action$props8.params) !== null && _action$props$params !== void 0 ? _action$props$params : params,
      variant: 'custom'
    });
  }));
});

var _excluded$i = ["className", "children", "size", "data", "params", "menuIcon", "IconButtonProps", "MenuProps", "MenuItemProps", "ListItemIconProps", "ListItemTextProps", "ErrorsDialogProps"];
var ActionGroupMenuBase = React.forwardRef(function (props, ref) {
  var className = props.className,
    children = props.children,
    size = props.size,
    data = props.data,
    params = props.params,
    menuIcon = props.menuIcon,
    IconButtonProps = props.IconButtonProps,
    MenuProps = props.MenuProps,
    MenuItemProps = props.MenuItemProps,
    ListItemIconProps = props.ListItemIconProps,
    ListItemTextProps = props.ListItemTextProps,
    ErrorsDialogProps = props.ErrorsDialogProps,
    boxOther = _objectWithoutPropertiesLoose(props, _excluded$i);
  var _React$useState = React.useState(null),
    anchorEl = _React$useState[0],
    setAnchorEl = _React$useState[1];
  var open = Boolean(anchorEl);
  var openDropdown = function openDropdown() {
    setAnchorEl(buttonRef.current);
  };
  var closeDropdown = function closeDropdown() {
    setAnchorEl(null);
  };
  var buttonRef = useRef(null);
  var _useModalAction = useModalAction(),
    handleAction = _useModalAction.handleAction,
    submitting = _useModalAction.submitting,
    openModalDialogKey = _useModalAction.openModalDialogKey,
    setOpenModalDialogKey = _useModalAction.setOpenModalDialogKey,
    modalDialogErrors = _useModalAction.modalDialogErrors,
    setModalDialogErrors = _useModalAction.setModalDialogErrors,
    openConfirmationDialogKey = _useModalAction.openConfirmationDialogKey,
    setOpenConfirmationDialogKey = _useModalAction.setOpenConfirmationDialogKey,
    modalessErrors = _useModalAction.modalessErrors,
    setModalessErrors = _useModalAction.setModalessErrors;
  if (React.Children.count(children) === 0) {
    return React.createElement(React.Fragment, null);
  }
  var handleMenuItemAction = function handleMenuItemAction(action, data, params, index) {
    try {
      closeDropdown();
      return Promise.resolve(handleAction(action, data, params, index)).then(function () {});
    } catch (e) {
      return Promise.reject(e);
    }
  };
  var modalDialogDismissibleErrors = modalDialogErrors ? modalDialogErrors.map(function (e, index) {
    return React.createElement(DismissibleAlert, {
      key: index,
      error: e
    });
  }) : React.createElement(React.Fragment, null);
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: buildClassName(actionGroupClasses.dropdown, className)
  }, boxOther), React.createElement(IconButton, Object.assign({
    size: size
  }, IconButtonProps, {
    ref: buttonRef,
    onClick: function onClick() {
      return openDropdown();
    }
  }), menuIcon !== null && menuIcon !== void 0 ? menuIcon : React.createElement(MoreIcon, {
    fontSize: size
  })), React.createElement(Menu, Object.assign({
    sx: {
      p: 0
    }
  }, MenuProps, {
    anchorEl: anchorEl,
    keepMounted: true,
    open: open,
    onClose: function onClose() {
      return closeDropdown();
    }
  }), React.Children.map(children, function (action, i) {
    var _action$props$key, _action$props, _action$props$size, _action$props2, _action$props5, _action$props6;
    return React.createElement(MenuItem, Object.assign({}, MenuItemProps, {
      key: (_action$props$key = action === null || action === void 0 ? void 0 : (_action$props = action.props) === null || _action$props === void 0 ? void 0 : _action$props.key) !== null && _action$props$key !== void 0 ? _action$props$key : i,
      dense: ((_action$props$size = action === null || action === void 0 ? void 0 : (_action$props2 = action.props) === null || _action$props2 === void 0 ? void 0 : _action$props2.size) !== null && _action$props$size !== void 0 ? _action$props$size : size) === 'small',
      onClick: function onClick() {
        var _action$props$data, _action$props3, _action$props$params, _action$props4;
        handleMenuItemAction(action, (_action$props$data = action === null || action === void 0 ? void 0 : (_action$props3 = action.props) === null || _action$props3 === void 0 ? void 0 : _action$props3.data) !== null && _action$props$data !== void 0 ? _action$props$data : data, (_action$props$params = action === null || action === void 0 ? void 0 : (_action$props4 = action.props) === null || _action$props4 === void 0 ? void 0 : _action$props4.params) !== null && _action$props$params !== void 0 ? _action$props$params : params, i);
      }
    }), (action === null || action === void 0 ? void 0 : (_action$props5 = action.props) === null || _action$props5 === void 0 ? void 0 : _action$props5.icon) && React.createElement(ListItemIcon, Object.assign({}, ListItemIconProps), action.props.icon), React.createElement(ListItemText, Object.assign({}, ListItemTextProps, {
      primary: action === null || action === void 0 ? void 0 : (_action$props6 = action.props) === null || _action$props6 === void 0 ? void 0 : _action$props6.title
    })));
  })), React.createElement(ModalDialogsPortal, {
    actions: children,
    submitting: submitting,
    data: data,
    setModalDialogErrors: setModalDialogErrors,
    modalDialogErrors: modalDialogDismissibleErrors,
    openModalDialogKey: openModalDialogKey,
    setOpenModalDialogKey: setOpenModalDialogKey,
    setOpenConfirmationDialogKey: setOpenConfirmationDialogKey
  }), React.createElement(ConfirmationDialogsPortal, {
    actions: children,
    data: data,
    openConfirmationDialogKey: openConfirmationDialogKey,
    setOpenConfirmationDialogKey: setOpenConfirmationDialogKey
  }), modalessErrors && React.createElement(ErrorsDialog, Object.assign({}, ErrorsDialogProps, {
    errors: modalessErrors,
    onClose: function onClose() {
      return setModalessErrors(undefined);
    }
  })));
});

var _templateObject$7;
var _excluded$j = ["size"],
  _excluded2$7 = ["className", "children", "data", "params", "size"];
var ActionGroupBoxRef = React.forwardRef(function (props, ref) {
  var other = _objectWithoutPropertiesLoose(props, _excluded$j);
  return React.createElement(Box, Object.assign({
    ref: ref,
    display: 'flex',
    alignItems: 'center',
    justifyContent: 'center',
    flexWrap: 'wrap',
    gap: 1
  }, other));
});
var ActionGroupBoxRoot = styled(ActionGroupBoxRef)(_templateObject$7 || (_templateObject$7 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var size = _ref.size;
  return "           \n       & .MuiSvgIcon-root {\n         " + (size ? 'font-size: 1.25rem;' : '') + "\n       }\n       & .MuiIconButton-root {\n         " + (size ? "margin-left: 0.25rem;\n         margin-right: 0.25rem;\n         padding:.5rem;" : '') + "\n       }\n    ";
});
var ActionGroupBoxBase = React.forwardRef(function (props, ref) {
  var className = props.className,
    children = props.children,
    data = props.data,
    params = props.params,
    size = props.size,
    boxOther = _objectWithoutPropertiesLoose(props, _excluded2$7);
  if (React.Children.count(children) === 0) {
    return React.createElement(React.Fragment, null);
  }
  return React.createElement(ActionGroupBoxRoot, Object.assign({
    ref: ref,
    className: buildClassName(actionGroupClasses.box, className)
  }, boxOther), React.Children.map(children, function (action, index) {
    var _action$props$key, _action$props, _action$props$size, _action$props2, _action$props$data, _action$props3, _action$props$params, _action$props4;
    return React.cloneElement(action, {
      key: (_action$props$key = action === null || action === void 0 ? void 0 : (_action$props = action.props) === null || _action$props === void 0 ? void 0 : _action$props.key) !== null && _action$props$key !== void 0 ? _action$props$key : index,
      size: (_action$props$size = action === null || action === void 0 ? void 0 : (_action$props2 = action.props) === null || _action$props2 === void 0 ? void 0 : _action$props2.size) !== null && _action$props$size !== void 0 ? _action$props$size : size,
      data: (_action$props$data = action === null || action === void 0 ? void 0 : (_action$props3 = action.props) === null || _action$props3 === void 0 ? void 0 : _action$props3.data) !== null && _action$props$data !== void 0 ? _action$props$data : data,
      params: (_action$props$params = action === null || action === void 0 ? void 0 : (_action$props4 = action.props) === null || _action$props4 === void 0 ? void 0 : _action$props4.params) !== null && _action$props$params !== void 0 ? _action$props$params : params
    });
  }));
});

var _excluded$k = ["className", "children", "size", "data", "params", "SpeedDialProps", "SpeedDialActionProps", "ErrorsDialogProps"],
  _excluded2$8 = ["FabProps"],
  _excluded3$2 = ["FabProps"];
var ActionGroupSpeedDialBase = React.forwardRef(function (props, ref) {
  var className = props.className,
    children = props.children,
    size = props.size,
    data = props.data,
    params = props.params,
    SpeedDialProps = props.SpeedDialProps,
    SpeedDialActionProps = props.SpeedDialActionProps,
    ErrorsDialogProps = props.ErrorsDialogProps,
    otherBox = _objectWithoutPropertiesLoose(props, _excluded$k);
  if (React.Children.count(children) === 0) {
    return React.createElement(React.Fragment, null);
  }
  var _ref = SpeedDialProps !== null && SpeedDialProps !== void 0 ? SpeedDialProps : {},
    SpeedDialFabProps = _ref.FabProps,
    SpeedDialPropsOther = _objectWithoutPropertiesLoose(_ref, _excluded2$8);
  var _ref2 = SpeedDialActionProps !== null && SpeedDialActionProps !== void 0 ? SpeedDialActionProps : {},
    SpeedDialActionFabProps = _ref2.FabProps,
    SpeedDialActionPropsOther = _objectWithoutPropertiesLoose(_ref2, _excluded3$2);
  var _useModalAction = useModalAction(),
    handleAction = _useModalAction.handleAction,
    submitting = _useModalAction.submitting,
    openModalDialogKey = _useModalAction.openModalDialogKey,
    setOpenModalDialogKey = _useModalAction.setOpenModalDialogKey,
    modalDialogErrors = _useModalAction.modalDialogErrors,
    setModalDialogErrors = _useModalAction.setModalDialogErrors,
    openConfirmationDialogKey = _useModalAction.openConfirmationDialogKey,
    setOpenConfirmationDialogKey = _useModalAction.setOpenConfirmationDialogKey,
    modalessErrors = _useModalAction.modalessErrors,
    setModalessErrors = _useModalAction.setModalessErrors;
  var modalDialogDismissibleErrors = modalDialogErrors ? modalDialogErrors.map(function (e, index) {
    return React.createElement(DismissibleAlert, {
      key: index,
      error: e
    });
  }) : React.createElement(React.Fragment, null);
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: buildClassName(actionGroupClasses.speedDial, className)
  }, otherBox), React.createElement(SpeedDial, Object.assign({
    ariaLabel: 'SpeedDial action group',
    icon: React.createElement(SpeedDialIcon, {
      icon: React.createElement(AddIcon, null)
    }),
    FabProps: _extends({
      size: size === 'small' ? 'medium' : 'large'
    }, SpeedDialFabProps)
  }, SpeedDialPropsOther), React.Children.map(children, function (action, index) {
    var _action$props, _action$props2, _action$props$size, _action$props3, _action$props4, _action$props$key, _action$props6, _icon, _ref3, _action$props$Tooltip, _action$props7, _action$props7$Toolti, _action$props8, _action$props9, _action$props9$Toolti, _action$props10, _action$props10$Toolt;
    if (!((_action$props = action.props) !== null && _action$props !== void 0 && _action$props.icon)) console.warn("access-react: ActionGroup with variant 'speed-dial' has an action titled '" + ((_action$props2 = action.props) === null || _action$props2 === void 0 ? void 0 : _action$props2.title) + "' with 'icon' prop undefined: default icon rendered.");
    var actionSize = (_action$props$size = action === null || action === void 0 ? void 0 : (_action$props3 = action.props) === null || _action$props3 === void 0 ? void 0 : _action$props3.size) !== null && _action$props$size !== void 0 ? _action$props$size : size;
    var fabProps = _extends({
      size: size
    }, SpeedDialActionFabProps);
    var icon;
    if (action !== null && action !== void 0 && (_action$props4 = action.props) !== null && _action$props4 !== void 0 && _action$props4.icon && React.isValidElement(action.props.icon)) {
      var _action$props5, _action$icon$props$fo, _action$icon, _action$icon$props;
      icon = React.cloneElement((_action$props5 = action.props) === null || _action$props5 === void 0 ? void 0 : _action$props5.icon, {
        fontSize: (_action$icon$props$fo = (_action$icon = action.icon) === null || _action$icon === void 0 ? void 0 : (_action$icon$props = _action$icon.props) === null || _action$icon$props === void 0 ? void 0 : _action$icon$props.fontSize) !== null && _action$icon$props$fo !== void 0 ? _action$icon$props$fo : actionSize
      });
    }
    return React.createElement(SpeedDialAction, Object.assign({
      key: (_action$props$key = (_action$props6 = action.props) === null || _action$props6 === void 0 ? void 0 : _action$props6.key) !== null && _action$props$key !== void 0 ? _action$props$key : index,
      icon: (_icon = icon) !== null && _icon !== void 0 ? _icon : React.createElement(CheckIcon, {
        fontSize: actionSize
      }),
      tooltipTitle: (_ref3 = (_action$props$Tooltip = (_action$props7 = action.props) === null || _action$props7 === void 0 ? void 0 : (_action$props7$Toolti = _action$props7.TooltipProps) === null || _action$props7$Toolti === void 0 ? void 0 : _action$props7$Toolti.title) !== null && _action$props$Tooltip !== void 0 ? _action$props$Tooltip : (_action$props8 = action.props) === null || _action$props8 === void 0 ? void 0 : _action$props8.title) !== null && _ref3 !== void 0 ? _ref3 : '',
      tooltipPlacement: (_action$props9 = action.props) === null || _action$props9 === void 0 ? void 0 : (_action$props9$Toolti = _action$props9.TooltipProps) === null || _action$props9$Toolti === void 0 ? void 0 : _action$props9$Toolti.placement,
      tooltipOpen: (_action$props10 = action.props) === null || _action$props10 === void 0 ? void 0 : (_action$props10$Toolt = _action$props10.TooltipProps) === null || _action$props10$Toolt === void 0 ? void 0 : _action$props10$Toolt.open,
      onClick: function onClick() {
        var _action$props$data, _action$props11, _action$props$params, _action$props12;
        return handleAction(action, (_action$props$data = action === null || action === void 0 ? void 0 : (_action$props11 = action.props) === null || _action$props11 === void 0 ? void 0 : _action$props11.data) !== null && _action$props$data !== void 0 ? _action$props$data : data, (_action$props$params = action === null || action === void 0 ? void 0 : (_action$props12 = action.props) === null || _action$props12 === void 0 ? void 0 : _action$props12.params) !== null && _action$props$params !== void 0 ? _action$props$params : params, index);
      },
      FabProps: fabProps
    }, SpeedDialActionPropsOther));
  })), React.createElement(ModalDialogsPortal, {
    actions: children,
    submitting: submitting,
    data: data,
    setModalDialogErrors: setModalDialogErrors,
    modalDialogErrors: modalDialogDismissibleErrors,
    openModalDialogKey: openModalDialogKey,
    setOpenModalDialogKey: setOpenModalDialogKey,
    setOpenConfirmationDialogKey: setOpenConfirmationDialogKey
  }), React.createElement(ConfirmationDialogsPortal, {
    actions: children,
    data: data,
    openConfirmationDialogKey: openConfirmationDialogKey,
    setOpenConfirmationDialogKey: setOpenConfirmationDialogKey
  }), modalessErrors && React.createElement(ErrorsDialog, Object.assign({}, ErrorsDialogProps, {
    errors: modalessErrors,
    onClose: function onClose() {
      return setModalessErrors(undefined);
    }
  })));
});

function unwrapExports (x) {
	return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, 'default') ? x['default'] : x;
}

function createCommonjsModule(fn, module) {
	return module = { exports: {} }, fn(module, module.exports), module.exports;
}

/**
 * @license React
 * react-is.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var b=Symbol.for("react.element"),c=Symbol.for("react.portal"),d=Symbol.for("react.fragment"),e=Symbol.for("react.strict_mode"),f=Symbol.for("react.profiler"),g=Symbol.for("react.provider"),h=Symbol.for("react.context"),k=Symbol.for("react.server_context"),l=Symbol.for("react.forward_ref"),m=Symbol.for("react.suspense"),n=Symbol.for("react.suspense_list"),p=Symbol.for("react.memo"),q=Symbol.for("react.lazy"),t=Symbol.for("react.offscreen"),u;u=Symbol.for("react.module.reference");
function v(a){if("object"===typeof a&&null!==a){var r=a.$$typeof;switch(r){case b:switch(a=a.type,a){case d:case f:case e:case m:case n:return a;default:switch(a=a&&a.$$typeof,a){case k:case h:case l:case q:case p:case g:return a;default:return r}}case c:return r}}}var ContextConsumer=h;var ContextProvider=g;var Element=b;var ForwardRef=l;var Fragment=d;var Lazy=q;var Memo=p;var Portal=c;var Profiler=f;var StrictMode=e;var Suspense=m;
var SuspenseList=n;var isAsyncMode=function(){return !1};var isConcurrentMode=function(){return !1};var isContextConsumer=function(a){return v(a)===h};var isContextProvider=function(a){return v(a)===g};var isElement=function(a){return "object"===typeof a&&null!==a&&a.$$typeof===b};var isForwardRef=function(a){return v(a)===l};var isFragment=function(a){return v(a)===d};var isLazy=function(a){return v(a)===q};var isMemo=function(a){return v(a)===p};
var isPortal=function(a){return v(a)===c};var isProfiler=function(a){return v(a)===f};var isStrictMode=function(a){return v(a)===e};var isSuspense=function(a){return v(a)===m};var isSuspenseList=function(a){return v(a)===n};
var isValidElementType=function(a){return "string"===typeof a||"function"===typeof a||a===d||a===f||a===e||a===m||a===n||a===t||"object"===typeof a&&null!==a&&(a.$$typeof===q||a.$$typeof===p||a.$$typeof===g||a.$$typeof===h||a.$$typeof===l||a.$$typeof===u||void 0!==a.getModuleId)?!0:!1};var typeOf=v;

var reactIs_production_min = {
	ContextConsumer: ContextConsumer,
	ContextProvider: ContextProvider,
	Element: Element,
	ForwardRef: ForwardRef,
	Fragment: Fragment,
	Lazy: Lazy,
	Memo: Memo,
	Portal: Portal,
	Profiler: Profiler,
	StrictMode: StrictMode,
	Suspense: Suspense,
	SuspenseList: SuspenseList,
	isAsyncMode: isAsyncMode,
	isConcurrentMode: isConcurrentMode,
	isContextConsumer: isContextConsumer,
	isContextProvider: isContextProvider,
	isElement: isElement,
	isForwardRef: isForwardRef,
	isFragment: isFragment,
	isLazy: isLazy,
	isMemo: isMemo,
	isPortal: isPortal,
	isProfiler: isProfiler,
	isStrictMode: isStrictMode,
	isSuspense: isSuspense,
	isSuspenseList: isSuspenseList,
	isValidElementType: isValidElementType,
	typeOf: typeOf
};

var reactIs_development = createCommonjsModule(function (module, exports) {

if (process.env.NODE_ENV !== "production") {
  (function() {

// ATTENTION
// When adding new symbols to this file,
// Please consider also adding to 'react-devtools-shared/src/backend/ReactSymbols'
// The Symbol used to tag the ReactElement-like types.
var REACT_ELEMENT_TYPE = Symbol.for('react.element');
var REACT_PORTAL_TYPE = Symbol.for('react.portal');
var REACT_FRAGMENT_TYPE = Symbol.for('react.fragment');
var REACT_STRICT_MODE_TYPE = Symbol.for('react.strict_mode');
var REACT_PROFILER_TYPE = Symbol.for('react.profiler');
var REACT_PROVIDER_TYPE = Symbol.for('react.provider');
var REACT_CONTEXT_TYPE = Symbol.for('react.context');
var REACT_SERVER_CONTEXT_TYPE = Symbol.for('react.server_context');
var REACT_FORWARD_REF_TYPE = Symbol.for('react.forward_ref');
var REACT_SUSPENSE_TYPE = Symbol.for('react.suspense');
var REACT_SUSPENSE_LIST_TYPE = Symbol.for('react.suspense_list');
var REACT_MEMO_TYPE = Symbol.for('react.memo');
var REACT_LAZY_TYPE = Symbol.for('react.lazy');
var REACT_OFFSCREEN_TYPE = Symbol.for('react.offscreen');

// -----------------------------------------------------------------------------

var enableScopeAPI = false; // Experimental Create Event Handle API.
var enableCacheElement = false;
var enableTransitionTracing = false; // No known bugs, but needs performance testing

var enableLegacyHidden = false; // Enables unstable_avoidThisFallback feature in Fiber
// stuff. Intended to enable React core members to more easily debug scheduling
// issues in DEV builds.

var enableDebugTracing = false; // Track which Fiber(s) schedule render work.

var REACT_MODULE_REFERENCE;

{
  REACT_MODULE_REFERENCE = Symbol.for('react.module.reference');
}

function isValidElementType(type) {
  if (typeof type === 'string' || typeof type === 'function') {
    return true;
  } // Note: typeof might be other than 'symbol' or 'number' (e.g. if it's a polyfill).


  if (type === REACT_FRAGMENT_TYPE || type === REACT_PROFILER_TYPE || enableDebugTracing  || type === REACT_STRICT_MODE_TYPE || type === REACT_SUSPENSE_TYPE || type === REACT_SUSPENSE_LIST_TYPE || enableLegacyHidden  || type === REACT_OFFSCREEN_TYPE || enableScopeAPI  || enableCacheElement  || enableTransitionTracing ) {
    return true;
  }

  if (typeof type === 'object' && type !== null) {
    if (type.$$typeof === REACT_LAZY_TYPE || type.$$typeof === REACT_MEMO_TYPE || type.$$typeof === REACT_PROVIDER_TYPE || type.$$typeof === REACT_CONTEXT_TYPE || type.$$typeof === REACT_FORWARD_REF_TYPE || // This needs to include all possible module reference object
    // types supported by any Flight configuration anywhere since
    // we don't know which Flight build this will end up being used
    // with.
    type.$$typeof === REACT_MODULE_REFERENCE || type.getModuleId !== undefined) {
      return true;
    }
  }

  return false;
}

function typeOf(object) {
  if (typeof object === 'object' && object !== null) {
    var $$typeof = object.$$typeof;

    switch ($$typeof) {
      case REACT_ELEMENT_TYPE:
        var type = object.type;

        switch (type) {
          case REACT_FRAGMENT_TYPE:
          case REACT_PROFILER_TYPE:
          case REACT_STRICT_MODE_TYPE:
          case REACT_SUSPENSE_TYPE:
          case REACT_SUSPENSE_LIST_TYPE:
            return type;

          default:
            var $$typeofType = type && type.$$typeof;

            switch ($$typeofType) {
              case REACT_SERVER_CONTEXT_TYPE:
              case REACT_CONTEXT_TYPE:
              case REACT_FORWARD_REF_TYPE:
              case REACT_LAZY_TYPE:
              case REACT_MEMO_TYPE:
              case REACT_PROVIDER_TYPE:
                return $$typeofType;

              default:
                return $$typeof;
            }

        }

      case REACT_PORTAL_TYPE:
        return $$typeof;
    }
  }

  return undefined;
}
var ContextConsumer = REACT_CONTEXT_TYPE;
var ContextProvider = REACT_PROVIDER_TYPE;
var Element = REACT_ELEMENT_TYPE;
var ForwardRef = REACT_FORWARD_REF_TYPE;
var Fragment = REACT_FRAGMENT_TYPE;
var Lazy = REACT_LAZY_TYPE;
var Memo = REACT_MEMO_TYPE;
var Portal = REACT_PORTAL_TYPE;
var Profiler = REACT_PROFILER_TYPE;
var StrictMode = REACT_STRICT_MODE_TYPE;
var Suspense = REACT_SUSPENSE_TYPE;
var SuspenseList = REACT_SUSPENSE_LIST_TYPE;
var hasWarnedAboutDeprecatedIsAsyncMode = false;
var hasWarnedAboutDeprecatedIsConcurrentMode = false; // AsyncMode should be deprecated

function isAsyncMode(object) {
  {
    if (!hasWarnedAboutDeprecatedIsAsyncMode) {
      hasWarnedAboutDeprecatedIsAsyncMode = true; // Using console['warn'] to evade Babel and ESLint

      console['warn']('The ReactIs.isAsyncMode() alias has been deprecated, ' + 'and will be removed in React 18+.');
    }
  }

  return false;
}
function isConcurrentMode(object) {
  {
    if (!hasWarnedAboutDeprecatedIsConcurrentMode) {
      hasWarnedAboutDeprecatedIsConcurrentMode = true; // Using console['warn'] to evade Babel and ESLint

      console['warn']('The ReactIs.isConcurrentMode() alias has been deprecated, ' + 'and will be removed in React 18+.');
    }
  }

  return false;
}
function isContextConsumer(object) {
  return typeOf(object) === REACT_CONTEXT_TYPE;
}
function isContextProvider(object) {
  return typeOf(object) === REACT_PROVIDER_TYPE;
}
function isElement(object) {
  return typeof object === 'object' && object !== null && object.$$typeof === REACT_ELEMENT_TYPE;
}
function isForwardRef(object) {
  return typeOf(object) === REACT_FORWARD_REF_TYPE;
}
function isFragment(object) {
  return typeOf(object) === REACT_FRAGMENT_TYPE;
}
function isLazy(object) {
  return typeOf(object) === REACT_LAZY_TYPE;
}
function isMemo(object) {
  return typeOf(object) === REACT_MEMO_TYPE;
}
function isPortal(object) {
  return typeOf(object) === REACT_PORTAL_TYPE;
}
function isProfiler(object) {
  return typeOf(object) === REACT_PROFILER_TYPE;
}
function isStrictMode(object) {
  return typeOf(object) === REACT_STRICT_MODE_TYPE;
}
function isSuspense(object) {
  return typeOf(object) === REACT_SUSPENSE_TYPE;
}
function isSuspenseList(object) {
  return typeOf(object) === REACT_SUSPENSE_LIST_TYPE;
}

exports.ContextConsumer = ContextConsumer;
exports.ContextProvider = ContextProvider;
exports.Element = Element;
exports.ForwardRef = ForwardRef;
exports.Fragment = Fragment;
exports.Lazy = Lazy;
exports.Memo = Memo;
exports.Portal = Portal;
exports.Profiler = Profiler;
exports.StrictMode = StrictMode;
exports.Suspense = Suspense;
exports.SuspenseList = SuspenseList;
exports.isAsyncMode = isAsyncMode;
exports.isConcurrentMode = isConcurrentMode;
exports.isContextConsumer = isContextConsumer;
exports.isContextProvider = isContextProvider;
exports.isElement = isElement;
exports.isForwardRef = isForwardRef;
exports.isFragment = isFragment;
exports.isLazy = isLazy;
exports.isMemo = isMemo;
exports.isPortal = isPortal;
exports.isProfiler = isProfiler;
exports.isStrictMode = isStrictMode;
exports.isSuspense = isSuspense;
exports.isSuspenseList = isSuspenseList;
exports.isValidElementType = isValidElementType;
exports.typeOf = typeOf;
  })();
}
});

var reactIs = createCommonjsModule(function (module) {

if (process.env.NODE_ENV === 'production') {
  module.exports = reactIs_production_min;
} else {
  module.exports = reactIs_development;
}
});

var _excluded$l = ["size", "variant", "children", "ComponentProps"];
var ActionGroup = React.forwardRef(function (props, ref) {
  var _props$size = props.size,
    size = _props$size === void 0 ? 'medium' : _props$size,
    _props$variant = props.variant,
    variant = _props$variant === void 0 ? 'box' : _props$variant,
    children = props.children,
    ComponentProps = props.ComponentProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$l);
  var visibleActions = [];
  React.Children.forEach(children, function (action) {
    if (action && !reactIs.isFragment(action)) {
      var _action$props, _action$props2;
      var visibility = action === null || action === void 0 ? void 0 : (_action$props = action.props) === null || _action$props === void 0 ? void 0 : _action$props.visibility;
      if (visibility === undefined || isVisible(visibility, action === null || action === void 0 ? void 0 : (_action$props2 = action.props) === null || _action$props2 === void 0 ? void 0 : _action$props2.data)) {
        visibleActions.push(action);
      }
    }
  });
  if (React.Children.count(visibleActions) === 0) {
    return React.createElement(React.Fragment, null);
  }
  return visibleActions && React.Children.count(visibleActions) > 0 ? React.createElement(React.Fragment, null, (variant === undefined || variant === 'box') && React.createElement(ActionGroupBoxBase, Object.assign({
    ref: ref,
    size: size
  }, other), visibleActions), variant === 'menu' && React.createElement(ActionGroupMenuBase, Object.assign({
    ref: ref,
    size: size
  }, ComponentProps, other), visibleActions), variant === 'stack' && React.createElement(ActionGroupStackBase, Object.assign({
    ref: ref,
    size: size
  }, ComponentProps, other), visibleActions), variant === 'speed-dial' && React.createElement(ActionGroupSpeedDialBase, Object.assign({
    ref: ref,
    size: size
  }, ComponentProps, other), visibleActions)) : React.createElement(React.Fragment, null);
});

var _excluded$m = ["className"];
var classes$6 = {
  root: 'MuictionGroupBox-root'
};
var ActionGroupBox = React.forwardRef(function (props, ref) {
  var className = props.className,
    other = _objectWithoutPropertiesLoose(props, _excluded$m);
  return React.createElement(ActionGroup, Object.assign({
    ref: ref,
    className: buildClassName(classes$6.root, className)
  }, other, {
    variant: 'box'
  }));
});

var _excluded$n = ["className", "menuIcon", "IconButtonProps", "MenuProps", "MenuItemProps", "ListItemTextProps", "ListItemIconProps"];
var classes$7 = {
  root: 'MuiActionGroupMenu-root'
};
var ActionGroupMenu = React.forwardRef(function (props, ref) {
  var className = props.className,
    menuIcon = props.menuIcon,
    IconButtonProps = props.IconButtonProps,
    MenuProps = props.MenuProps,
    MenuItemProps = props.MenuItemProps,
    ListItemTextProps = props.ListItemTextProps,
    ListItemIconProps = props.ListItemIconProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$n);
  return React.createElement(ActionGroup, Object.assign({
    ref: ref,
    className: buildClassName(classes$7.root, className)
  }, other, {
    variant: 'menu',
    ComponentProps: {
      menuIcon: menuIcon,
      IconButtonProps: IconButtonProps,
      MenuProps: MenuProps,
      MenuItemProps: MenuItemProps,
      ListItemTextProps: ListItemTextProps,
      ListItemIconProps: ListItemIconProps
    }
  }));
});

var _excluded$o = ["className", "ListProps", "ListItemProps", "ListItemButtonProps", "ListItemTextProps", "ListItemIconProps"];
var classes$8 = {
  root: 'MuiActionGroupStack-root'
};
var ActionGroupStack = React.forwardRef(function (props, ref) {
  var className = props.className,
    ListProps = props.ListProps,
    ListItemProps = props.ListItemProps,
    ListItemButtonProps = props.ListItemButtonProps,
    ListItemTextProps = props.ListItemTextProps,
    ListItemIconProps = props.ListItemIconProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$o);
  return React.createElement(ActionGroup, Object.assign({
    ref: ref,
    className: buildClassName(classes$8.root, className)
  }, other, {
    variant: 'stack',
    ComponentProps: {
      ListProps: ListProps,
      ListItemProps: ListItemProps,
      ListItemButtonProps: ListItemButtonProps,
      ListItemTextProps: ListItemTextProps,
      ListItemIconProps: ListItemIconProps
    }
  }));
});

var _excluded$p = ["className", "SpeedDialProps", "SpeedDialActionProps"];
var classes$9 = {
  root: 'MuiActionGroupSpeedDial-root'
};
var ActionGroupSpeedDial = React.forwardRef(function (props, ref) {
  var className = props.className,
    SpeedDialProps = props.SpeedDialProps,
    SpeedDialActionProps = props.SpeedDialActionProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$p);
  return React.createElement(ActionGroup, Object.assign({
    ref: ref,
    className: buildClassName(classes$9.root, className)
  }, other, {
    variant: 'speed-dial',
    ComponentProps: {
      SpeedDialProps: SpeedDialProps,
      SpeedDialActionProps: SpeedDialActionProps
    }
  }));
});

var _excluded$q = ["className", "submitting", "formRef", "variant"];
var classes$a = {
  root: 'MuiSubmitButton-root',
  submitting: 'MuiSubmitButton-submitting',
  outside: 'MuiSubmitButton-outside'
};
var SubmitButton = React.forwardRef(function (props, ref) {
  var className = props.className,
    submitting = props.submitting,
    formRef = props.formRef,
    variant = props.variant,
    other = _objectWithoutPropertiesLoose(props, _excluded$q);
  var onClick = function onClick() {
    if (formRef) {
      var form = formRef === null || formRef === void 0 ? void 0 : formRef.current;
      if (form) {
        form.dispatchEvent(new Event('submit', {
          bubbles: true,
          cancelable: true
        }));
      }
    }
  };
  return React.createElement(LoadingButton, Object.assign({
    ref: ref,
    className: buildClassName(classes$a.root, className, submitting ? classes$a.submitting : '', formRef ? classes$a.outside : ''),
    variant: variant !== null && variant !== void 0 ? variant : 'contained',
    type: formRef ? 'button' : 'submit',
    loading: submitting
  }, other, {
    onClick: onClick
  }));
});

var _excluded$r = ["className", "variant"];
var classes$b = {
  root: 'MuiBackButton-root'
};
var BackButton = React.forwardRef(function (props, ref) {
  var className = props.className,
    variant = props.variant,
    other = _objectWithoutPropertiesLoose(props, _excluded$r);
  var navigate = useNavigate();
  return React.createElement(Button, Object.assign({
    ref: ref,
    className: buildClassName(classes$b.root, className),
    variant: variant !== null && variant !== void 0 ? variant : 'text'
  }, other, {
    onClick: function onClick() {
      if (navigate) navigate(-1);
    }
  }));
});

var _excluded$s = ["onRefresh", "refreshIcon", "className"];
var classes$c = {
  root: 'MuiRefreshButton-root'
};
var RefreshButton = React.forwardRef(function (props, ref) {
  var onRefresh = props.onRefresh,
    refreshIcon = props.refreshIcon,
    className = props.className,
    other = _objectWithoutPropertiesLoose(props, _excluded$s);
  return onRefresh ? React.createElement(IconButton, Object.assign({
    ref: ref,
    className: buildClassName(classes$c.root, className)
  }, other, {
    onClick: function onClick(event) {
      onRefresh(event);
    }
  }), refreshIcon !== null && refreshIcon !== void 0 ? refreshIcon : React.createElement(RefreshIcon, null)) : React.createElement(React.Fragment, null);
});

var _templateObject$8;
var _excluded$t = ["hasIcon", "hasTitle", "hasInfo", "hasSuggestion"],
  _excluded2$9 = ["icon", "title", "TitleTypographyProps", "info", "InfoTypographyProps", "suggestion", "SuggestionTypographyProps", "children", "className", "action"],
  _excluded3$3 = ["isEmpty", "empty"];
var classes$d = {
  root: 'MuiEmpty-root',
  title: 'MuiEmpty-title',
  info: 'MuiEmpty-info',
  suggestion: 'MuiEmpty-suggestion',
  action: 'MuiEmpty-action'
};
var EmptyRef = React.forwardRef(function (props, ref) {
  var other = _objectWithoutPropertiesLoose(props, _excluded$t);
  return React.createElement(Box, Object.assign({
    ref: ref,
    display: 'flex',
    flexDirection: 'column',
    alignItems: 'center',
    margin: 'auto',
    padding: 3,
    textAlign: 'center'
  }, other));
});
var EmptyRoot = styled(EmptyRef)(_templateObject$8 || (_templateObject$8 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme,
    hasIcon = _ref.hasIcon,
    hasTitle = _ref.hasTitle,
    hasInfo = _ref.hasInfo,
    hasSuggestion = _ref.hasSuggestion;
  return "\n      padding: " + theme.spacing(3) + ";\n\n      & .MuiEmpty-title{\n        margin-top: " + (hasIcon ? theme.spacing(3) : 'initial') + ";\n      }\n\n& .MuiEmpty-info{\n  margin-top: " + (hasIcon || hasTitle ? theme.spacing(3) : 'initial') + ";\n}\n\n      & .MuiEmpty-suggestion{\n        margin-top: " + (hasIcon || hasTitle || hasInfo ? theme.spacing(3) : 'initial') + ";\n      }\n\n      & .MuiEmpty-action, .MuiButton-root {        \n        margin-top: " + (hasIcon || hasTitle || hasInfo || hasSuggestion ? theme.spacing(3) : 'initial') + ";\n      }\n    ";
});
var Empty = React.forwardRef(function (props, ref) {
  var _action$props;
  var icon = props.icon,
    title = props.title,
    TitleTypographyProps = props.TitleTypographyProps,
    info = props.info,
    InfoTypographyProps = props.InfoTypographyProps,
    suggestion = props.suggestion,
    SuggestionTypographyProps = props.SuggestionTypographyProps,
    children = props.children,
    className = props.className,
    action = props.action,
    other = _objectWithoutPropertiesLoose(props, _excluded2$9);
  return React.createElement(EmptyRoot, Object.assign({
    ref: ref,
    hasIcon: icon !== undefined,
    hasTitle: title !== undefined,
    hasInfo: info !== undefined,
    hasSuggestion: suggestion !== undefined,
    className: buildClassName(classes$d.root, className)
  }, other), icon, title && React.createElement(Typography, Object.assign({
    className: classes$d.title,
    variant: 'h6'
  }, TitleTypographyProps), title), info && React.createElement(Typography, Object.assign({
    className: classes$d.info,
    variant: 'body1'
  }, InfoTypographyProps), info), suggestion && React.createElement(Typography, Object.assign({
    className: classes$d.suggestion,
    variant: 'body1'
  }, SuggestionTypographyProps), suggestion), action && React.cloneElement(action, {
    className: buildClassName(classes$d.action, action === null || action === void 0 ? void 0 : (_action$props = action.props) === null || _action$props === void 0 ? void 0 : _action$props.className)
  }), children);
});
var withEmpty = function withEmpty(WrappedComponent) {
  return function (_ref2) {
    var isEmpty = _ref2.isEmpty,
      empty = _ref2.empty,
      other = _objectWithoutPropertiesLoose(_ref2, _excluded3$3);
    return isEmpty ? React.createElement(React.Fragment, null, empty) : React.createElement(WrappedComponent, Object.assign({}, other));
  };
};

var _excluded$u = ["label", "labelPlacement"],
  _excluded2$a = ["labelPlacement", "label", "className", "size", "progress", "CircularProgressProps", "targetRef", "sx"],
  _excluded3$4 = ["isLoading", "LoaderProps"];
var _templateObject$9;
var classes$e = {
  root: 'MuiLoader-root',
  label: 'MuiLoader-label'
};
var LoaderRoot = styled(function (_ref) {
  var other = _objectWithoutPropertiesLoose(_ref, _excluded$u);
  return React.createElement(Box, Object.assign({}, other));
})(_templateObject$9 || (_templateObject$9 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref2) {
  var theme = _ref2.theme,
    label = _ref2.label,
    labelPlacement = _ref2.labelPlacement;
  return "   \n        padding: " + theme.spacing(2) + ";            \n       & .MuiCircularProgress-root{\n          " + (labelPlacement === 'end' ? 'margin-right: 1rem;' : labelPlacement === 'start' ? 'margin-left: 1rem;' : labelPlacement === 'top' ? 'margin-bottom: 1rem;' : labelPlacement === 'bottom' ? 'margin-top: 1rem;' : '') + "\n       }      \n       \n       & .MuiFormControlLabel-root {\n         " + (!label && 'margin:0') + "\n       }\n\n       & .MuiCircularProgress-root {\n        " + (!label && 'margin:0') + "\n       }\n    ";
});
var Loader = function Loader(props) {
  var _props$labelPlacement = props.labelPlacement,
    labelPlacement = _props$labelPlacement === void 0 ? 'end' : _props$labelPlacement,
    _props$label = props.label,
    label = _props$label === void 0 ? '' : _props$label,
    className = props.className,
    _props$size = props.size,
    size = _props$size === void 0 ? 'medium' : _props$size,
    progress = props.progress,
    CircularProgressProps = props.CircularProgressProps,
    targetRef = props.targetRef,
    sx = props.sx,
    other = _objectWithoutPropertiesLoose(props, _excluded2$a);
  var sizeProp = undefined;
  if (size && size === 'small') {
    sizeProp = 20;
  } else if (size && size === 'large') {
    sizeProp = 80;
  }
  var _sx = sx !== null && sx !== void 0 ? sx : {};
  if (targetRef && targetRef.current) {
    _sx.height = targetRef.current.offsetHeight;
    _sx.width = targetRef.current.offsetWidth;
  }
  return React.createElement(LoaderRoot, Object.assign({
    className: buildClassName(classes$e.root, className),
    margin: 'auto',
    display: 'flex',
    justifyContent: 'center',
    alignItems: 'center',
    label: label,
    labelPlacement: labelPlacement,
    sx: _sx
  }, other), React.createElement(FormControlLabel, {
    className: classes$e.label,
    control: progress !== null && progress !== void 0 ? progress : React.createElement(CircularProgress, Object.assign({
      disableShrink: true,
      size: sizeProp
    }, CircularProgressProps)),
    label: label,
    labelPlacement: labelPlacement
  }));
};
var withLoader = function withLoader(WrappedComponent) {
  return function (_ref3) {
    var isLoading = _ref3.isLoading,
      LoaderProps = _ref3.LoaderProps,
      other = _objectWithoutPropertiesLoose(_ref3, _excluded3$4);
    var targetRef = useRef();
    return isLoading ? React.createElement(Loader, Object.assign({}, LoaderProps, {
      targetRef: targetRef
    })) : React.createElement(WrappedComponent, Object.assign({}, other, {
      ref: targetRef
    }));
  };
};

var _excluded$v = ["className", "message", "onClose", "DismissibleAlertProps", "DismissIconButtonProps", "DismissIconProps", "dismissIcon"],
  _excluded2$b = ["severity", "message", "MessageTypographyProps"],
  _excluded3$5 = ["message", "variant"];
var _templateObject$a;
var classes$f = {
  root: 'MuiNotification-root',
  custom: 'MuiNotification-custom',
  "default": 'MuiNotification-default',
  icon: 'MuiNotification-icon',
  close: 'MuiNotification-close',
  alert: 'MuiNotification-alert',
  success: 'MuiNotification-success',
  error: 'MuiNotification-error',
  info: 'MuiNotification-info',
  warning: 'MuiNotification-warning'
};
var CustomNotificationRef = React.forwardRef(function (props, ref) {
  return React.createElement(Snackbar, Object.assign({
    ref: ref
  }, props));
});
var CustomNotification = styled(CustomNotificationRef)(_templateObject$a || (_templateObject$a = _taggedTemplateLiteralLoose(["\n  & > .MuiPaper-root {\n    border-radius: 5px;\n  }\n  & .MuiSnackbarContent-message {\n    padding: 0;\n    flex-grow: 1;\n  }\n"])));
var Notification = React.forwardRef(function (props, ref) {
  var className = props.className,
    message = props.message,
    onClose = props.onClose,
    DismissibleAlertProps = props.DismissibleAlertProps,
    DismissIconButtonProps = props.DismissIconButtonProps,
    DismissIconProps = props.DismissIconProps,
    dismissIcon = props.dismissIcon,
    other = _objectWithoutPropertiesLoose(props, _excluded$v);
  var _ref = DismissibleAlertProps !== null && DismissibleAlertProps !== void 0 ? DismissibleAlertProps : {},
    severity = _ref.severity,
    alertMessage = _ref.message,
    MessageTypographyProps = _ref.MessageTypographyProps,
    DismissibleAlertPropsOther = _objectWithoutPropertiesLoose(_ref, _excluded2$b);
  return React.createElement(React.Fragment, null, DismissibleAlertProps && severity ? React.createElement(CustomNotification, Object.assign({
    ref: ref,
    className: buildClassName(classes$f.root, classes$f.custom, severity === 'success' ? classes$f.success : severity === 'error' ? classes$f.error : severity === 'info' ? classes$f.info : severity === 'warning' ? classes$f.warning : classes$f["default"], className),
    onClose: onClose,
    ContentProps: {
      sx: {
        padding: 0
      }
    }
  }, other, {
    message: React.createElement(DismissibleAlert, Object.assign({
      className: classes$f.alert,
      onClose: onClose,
      severity: severity,
      message: message !== null && message !== void 0 ? message : alertMessage,
      MessageTypographyProps: _extends({
        variant: 'inherit'
      }, MessageTypographyProps)
    }, DismissibleAlertPropsOther))
  })) : React.createElement(Snackbar, Object.assign({
    ref: ref,
    className: buildClassName(classes$f.root, classes$f["default"], className),
    message: message,
    onClose: onClose,
    action: React.createElement(IconButton, Object.assign({
      className: classes$f.icon,
      size: 'small',
      "aria-label": 'close',
      onClick: onClose,
      color: 'inherit'
    }, DismissIconButtonProps), dismissIcon !== null && dismissIcon !== void 0 ? dismissIcon : React.createElement(CloseIcon, Object.assign({
      fontSize: 'small',
      className: classes$f.close
    }, DismissIconProps)))
  }, other)));
});
var withNotification = function withNotification(WrappedComponent) {
  return function (props) {
    var _useState = useState(false),
      open = _useState[0],
      setOpen = _useState[1];
    var _useState2 = useState(props),
      notificationProps = _useState2[0],
      setNotificationProps = _useState2[1];
    var showNotification = function showNotification(NotificationProps) {
      setNotificationProps(NotificationProps);
      setOpen(true);
    };
    var handleClose = function handleClose(_, reason) {
      if (reason === 'clickaway') {
        return;
      }
      setOpen(false);
    };
    var _ref2 = notificationProps !== null && notificationProps !== void 0 ? notificationProps : {},
      message = _ref2.message,
      variant = _ref2.variant,
      snackbarPropsOther = _objectWithoutPropertiesLoose(_ref2, _excluded3$5);
    return React.createElement(React.Fragment, null, React.createElement(WrappedComponent, Object.assign({}, props, {
      showNotification: showNotification
    })), React.createElement(Notification, Object.assign({
      variant: variant !== null && variant !== void 0 ? variant : 'default',
      open: open,
      onClose: function onClose(event, reason) {
        return handleClose(event, reason);
      },
      message: message
    }, snackbarPropsOther)));
  };
};

var _excluded$w = ["value", "empty", "className", "NumberFormatProps", "kind", "thousandSeparator", "decimalSeparator", "decimalScale", "fixedDecimalScale"];
var classes$g = {
  root: 'MuiNumberDisplay-root',
  number: 'MuiNumberDisplay-number'
};
var NumberDisplay = React.forwardRef(function (props, ref) {
  var value = props.value,
    empty = props.empty,
    className = props.className,
    NumberFormatProps = props.NumberFormatProps,
    kind = props.kind,
    _props$thousandSepara = props.thousandSeparator,
    thousandSeparator = _props$thousandSepara === void 0 ? true : _props$thousandSepara,
    _props$decimalSeparat = props.decimalSeparator,
    decimalSeparator = _props$decimalSeparat === void 0 ? '.' : _props$decimalSeparat,
    _props$decimalScale = props.decimalScale,
    decimalScale = _props$decimalScale === void 0 ? 2 : _props$decimalScale,
    _props$fixedDecimalSc = props.fixedDecimalScale,
    fixedDecimalScale = _props$fixedDecimalSc === void 0 ? true : _props$fixedDecimalSc,
    other = _objectWithoutPropertiesLoose(props, _excluded$w);
  if (!value) {
    return React.createElement(React.Fragment, null, empty);
  }
  var _thousandSeparator = kind === 'id' ? '' : thousandSeparator;
  var _decimalScale = kind === 'id' || kind === 'integer' ? 0 : kind === 'amount' ? 2 : decimalScale;
  var numberFormatProps = _extends({
    thousandSeparator: _thousandSeparator,
    decimalSeparator: decimalSeparator,
    decimalScale: _decimalScale,
    fixedDecimalScale: fixedDecimalScale
  }, NumberFormatProps);
  return React.createElement(Typography, Object.assign({
    ref: ref,
    className: buildClassName(classes$g.root, className)
  }, other), React.createElement(NumericFormat, Object.assign({
    className: classes$g.number,
    value: value,
    displayType: 'text'
  }, numberFormatProps)));
});

var _templateObject$b;
var _excluded$x = ["currencyPosition", "children"],
  _excluded2$c = ["currencyCode", "className"],
  _excluded3$6 = ["value", "className", "currencyPosition", "empty", "AmountNumberDisplayProps", "CurrencyCodeTypographyProps"];
var classes$h = {
  root: 'MuiAmountDisplay-root',
  currencyCode: 'MuiAmountDisplay-currencyCode',
  currencyStart: 'MuiAmountDisplay-currencyCode-start',
  currencyEnd: 'MuiAmountDisplay-currencyCode-end',
  amount: 'MuiAmountDisplay-amount'
};
var CurrencyAmountDisplayRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$x);
  return React.createElement(Box, Object.assign({
    ref: ref,
    display: 'flex'
  }, other), children);
});
var CurrencyAmountDisplayRoot = styled$1(CurrencyAmountDisplayRef)(_templateObject$b || (_templateObject$b = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function () {
  var spacing = '4px';
  return "\n     & ." + classes$h.currencyStart + " {\n       margin-right: " + spacing + ";\n     }\n     & ." + classes$h.currencyEnd + " {\n      margin-left: " + spacing + ";\n    }\n    ";
});
var CurrencyCodeDisplay = function CurrencyCodeDisplay(props) {
  var currencyCode = props.currencyCode,
    className = props.className,
    other = _objectWithoutPropertiesLoose(props, _excluded2$c);
  return currencyCode ? React.createElement(Typography, Object.assign({
    className: buildClassName(classes$h.currencyCode, className)
  }, other), currencyCode) : React.createElement(React.Fragment, null);
};
var CurrencyAmountDisplay = React.forwardRef(function (props, ref) {
  var value = props.value,
    className = props.className,
    _props$currencyPositi = props.currencyPosition,
    currencyPosition = _props$currencyPositi === void 0 ? 'start' : _props$currencyPositi,
    empty = props.empty,
    AmountNumberDisplayProps = props.AmountNumberDisplayProps,
    CurrencyCodeTypographyProps = props.CurrencyCodeTypographyProps,
    other = _objectWithoutPropertiesLoose(props, _excluded3$6);
  if (!value || !value.amount && !value.currencyCode) {
    return React.createElement(React.Fragment, null, empty);
  }
  return React.createElement(CurrencyAmountDisplayRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$h.root, className),
    currencyPosition: currencyPosition
  }, other, {
    disabled: true,
    value: value === null || value === void 0 ? void 0 : value.amount
  }), currencyPosition === 'start' && (value === null || value === void 0 ? void 0 : value.currencyCode) && React.createElement(CurrencyCodeDisplay, Object.assign({
    currencyCode: value === null || value === void 0 ? void 0 : value.currencyCode,
    className: classes$h.currencyStart
  }, CurrencyCodeTypographyProps)), (value === null || value === void 0 ? void 0 : value.amount) && React.createElement(NumberDisplay, Object.assign({
    value: value.amount,
    className: classes$h.amount
  }, AmountNumberDisplayProps)), currencyPosition === 'end' && (value === null || value === void 0 ? void 0 : value.currencyCode) && React.createElement(CurrencyCodeDisplay, Object.assign({
    currencyCode: value === null || value === void 0 ? void 0 : value.currencyCode,
    className: classes$h.currencyEnd
  }, CurrencyCodeTypographyProps)));
});

var _excluded$y = ["value", "invertColors", "options", "trueLabel", "falseLabel", "className", "showTrue", "showFalse", "empty", "size"];
var classes$i = {
  root: 'MuiBoolDisplay-root',
  invert: 'MuiBoolDisplay-invert'
};
var BoolDisplay = React.forwardRef(function (props, ref) {
  var _t$label, _f$label, _t$color, _f$color, _t$color2, _f$color2;
  var value = props.value,
    _props$invertColors = props.invertColors,
    invertColors = _props$invertColors === void 0 ? false : _props$invertColors,
    options = props.options,
    _props$trueLabel = props.trueLabel,
    trueLabel = _props$trueLabel === void 0 ? 'true' : _props$trueLabel,
    _props$falseLabel = props.falseLabel,
    falseLabel = _props$falseLabel === void 0 ? 'false' : _props$falseLabel,
    className = props.className,
    _props$showTrue = props.showTrue,
    showTrue = _props$showTrue === void 0 ? true : _props$showTrue,
    _props$showFalse = props.showFalse,
    showFalse = _props$showFalse === void 0 ? true : _props$showFalse,
    empty = props.empty,
    _props$size = props.size,
    size = _props$size === void 0 ? 'small' : _props$size,
    other = _objectWithoutPropertiesLoose(props, _excluded$y);
  if (value === undefined || value === null) {
    return React.createElement(React.Fragment, null, empty);
  }
  var t = options === null || options === void 0 ? void 0 : options.find(function (o) {
    return o.id === 'true';
  });
  var f = options === null || options === void 0 ? void 0 : options.find(function (o) {
    return o.id === 'false';
  });
  return value === true && showTrue || value === false && showFalse ? React.createElement(Chip, Object.assign({
    ref: ref,
    className: buildClassName(classes$i.root, className, invertColors ? classes$i.invert : ''),
    label: value === true ? (_t$label = t === null || t === void 0 ? void 0 : t.label) !== null && _t$label !== void 0 ? _t$label : trueLabel : (_f$label = f === null || f === void 0 ? void 0 : f.label) !== null && _f$label !== void 0 ? _f$label : falseLabel,
    color: invertColors === true ? value === true ? (_t$color = t === null || t === void 0 ? void 0 : t.color) !== null && _t$color !== void 0 ? _t$color : 'error' : (_f$color = f === null || f === void 0 ? void 0 : f.color) !== null && _f$color !== void 0 ? _f$color : 'success' : value === true ? (_t$color2 = t === null || t === void 0 ? void 0 : t.color) !== null && _t$color2 !== void 0 ? _t$color2 : 'success' : (_f$color2 = f === null || f === void 0 ? void 0 : f.color) !== null && _f$color2 !== void 0 ? _f$color2 : 'error',
    size: size
  }, other)) : React.createElement(React.Fragment, null);
});

var _excluded$z = ["value", "className", "empty"];
var _templateObject$c;
var classes$j = {
  root: 'MuiCheckboxDisplay-root'
};
var CheckboxDisplayRef = React.forwardRef(function (props, ref) {
  return React.createElement(Checkbox, Object.assign({
    ref: ref
  }, props));
});
var CheckboxDisplayRoot = styled(CheckboxDisplayRef)(_templateObject$c || (_templateObject$c = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme,
    color = _ref.color,
    checked = _ref.checked;
  if (!checked) {
    return "";
  }
  var palleteColor = getPaletteColor(theme, color);
  var baseColor = palleteColor ? palleteColor.main : theme.palette.primary.main;
  return "\n      color: " + baseColor + "!important;  \n    ";
});
var CheckboxDisplay = React.forwardRef(function (props, ref) {
  var value = props.value,
    className = props.className,
    empty = props.empty,
    other = _objectWithoutPropertiesLoose(props, _excluded$z);
  if (empty && (value === undefined || value === null)) {
    return React.createElement(React.Fragment, null, empty);
  }
  return React.createElement(CheckboxDisplayRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$j.root, className),
    checked: value !== null && value !== void 0 ? value : false,
    indeterminate: value === undefined || value === null
  }, other, {
    disabled: true
  }));
});

var _templateObject$d;
var _excluded$A = ["children"],
  _excluded2$d = ["className", "value", "primary", "secondary", "dense", "empty", "ListItemIconProps", "CheckboxDisplayProps", "ListItemProps", "ListItemTextProps"],
  _excluded3$7 = ["size", "disableRipple"];
var classes$k = {
  root: 'MuiChecklistDisplay-root',
  invert: 'MuiChecklistDisplay-invert'
};
var ChecklistDisplayRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$A);
  return React.createElement(List, Object.assign({
    ref: ref,
    className: classes$k.root
  }, other), children);
});
var ChecklistDisplayRoot = styled$2(ChecklistDisplayRef)(_templateObject$d || (_templateObject$d = _taggedTemplateLiteralLoose(["\n  padding-left: 0;\n"])));
var ChecklistDisplay = React.forwardRef(function (props, ref) {
  var className = props.className,
    value = props.value,
    primary = props.primary,
    secondary = props.secondary,
    dense = props.dense,
    empty = props.empty,
    ListItemIconProps = props.ListItemIconProps,
    CheckboxDisplayProps = props.CheckboxDisplayProps,
    ListItemProps = props.ListItemProps,
    ListItemTextProps = props.ListItemTextProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$d);
  var isEmpty = value === undefined || value.length === 0;
  if (isEmpty) {
    return React.createElement(React.Fragment, null, empty);
  }
  var items = value;
  var _ref = CheckboxDisplayProps !== null && CheckboxDisplayProps !== void 0 ? CheckboxDisplayProps : {},
    checkboxSize = _ref.size,
    CheckboxDisplayPropsOther = _objectWithoutPropertiesLoose(_ref, _excluded3$7);
  return React.createElement(ChecklistDisplayRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$k.root, className),
    dense: dense !== null && dense !== void 0 ? dense : true
  }, other), items !== undefined && items.map(function (item, index) {
    var _primary = primary ? primary(item) : '';
    var _secondary = secondary ? secondary(item) : '';
    return React.createElement(ListItem, Object.assign({
      key: index,
      dense: dense !== null && dense !== void 0 ? dense : true,
      role: undefined
    }, ListItemProps), React.createElement(ListItemIcon, Object.assign({}, ListItemIconProps), React.createElement(CheckboxDisplay, Object.assign({
      value: items[index].checked,
      size: (checkboxSize !== null && checkboxSize !== void 0 ? checkboxSize : dense === undefined) ? 'small' : dense ? 'small' : 'medium'
    }, CheckboxDisplayPropsOther))), React.createElement(ListItemText, Object.assign({
      primary: _primary,
      secondary: _secondary
    }, ListItemTextProps)));
  }));
});

var _templateObject$e;
var _excluded$B = ["color", "falseColor", "defaultChecked"],
  _excluded2$e = ["value", "className", "empty"];
var classes$l = {
  root: 'MuiSwitchDisplay-root'
};
var SwitchDisplayRef = React.forwardRef(function (props, ref) {
  var defaultChecked = props.defaultChecked,
    other = _objectWithoutPropertiesLoose(props, _excluded$B);
  return React.createElement(Switch, Object.assign({
    ref: ref,
    defaultChecked: defaultChecked
  }, other));
});
var SwitchDisplayRoot = styled(SwitchDisplayRef)(_templateObject$e || (_templateObject$e = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme,
    color = _ref.color,
    falseColor = _ref.falseColor,
    defaultChecked = _ref.defaultChecked;
  if (!defaultChecked && !falseColor) {
    return "";
  }
  var palleteColor = getPaletteColor(theme, defaultChecked ? color : falseColor);
  var baseColor = palleteColor ? palleteColor.main : theme.palette.primary.main;
  return "\n      .MuiSwitch-switchBase {\n        color: " + baseColor + "!important;        \n      }\n\n      .MuiSwitch-track {\n        background-color: " + baseColor + "!important;      \n        opacity: 0.5!important;  \n      }\n    ";
});
var SwitchDisplay = React.forwardRef(function (props, ref) {
  var value = props.value,
    className = props.className,
    empty = props.empty,
    other = _objectWithoutPropertiesLoose(props, _excluded2$e);
  if (value === undefined || value === null) {
    return React.createElement(React.Fragment, null, empty);
  }
  var defaultChecked = value;
  if (defaultChecked !== true && defaultChecked !== false) {
    var lowerValue = String(value).toLowerCase();
    if (value === 1 || lowerValue === 't' || lowerValue === 'true' || lowerValue === 'y' || lowerValue === 'yes' || lowerValue === 'on') ; else {
      defaultChecked = false;
    }
  }
  return React.createElement(SwitchDisplayRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$l.root, className),
    defaultChecked: defaultChecked
  }, other, {
    disabled: true
  }));
});

var _templateObject$f;
var _excluded$C = ["color", "size", "sizeMappings", "children"],
  _excluded2$f = ["className", "size", "color"];
var classes$m = {
  root: 'MuiCircleDisplay-root',
  small: 'MuiCircleDisplay-small',
  medium: 'MuiCircleDisplay-medium',
  large: 'MuiCircleDisplay-large'
};
var CircleDisplayRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$C);
  return React.createElement(Paper, Object.assign({
    ref: ref
  }, other), children);
});
var CircleDisplayRoot = styled(CircleDisplayRef)(_templateObject$f || (_templateObject$f = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var _sizeMappings$small$w, _sizeMappings$small, _sizeMappings$medium$, _sizeMappings$medium, _sizeMappings$large$w, _sizeMappings$large, _sizeMappings$small$f, _sizeMappings$small2, _sizeMappings$medium$2, _sizeMappings$medium2, _sizeMappings$large$f, _sizeMappings$large2;
  var theme = _ref.theme,
    color = _ref.color,
    size = _ref.size,
    sizeMappings = _ref.sizeMappings;
  var palleteColor = getPaletteColor(theme, color);
  var backgroundColor = palleteColor ? palleteColor.main : theme.palette.primary.main;
  var foreColor = theme.palette.getContrastText(backgroundColor);
  var width = size === 'small' ? (_sizeMappings$small$w = sizeMappings === null || sizeMappings === void 0 ? void 0 : (_sizeMappings$small = sizeMappings.small) === null || _sizeMappings$small === void 0 ? void 0 : _sizeMappings$small.width) !== null && _sizeMappings$small$w !== void 0 ? _sizeMappings$small$w : '80px' : size === 'medium' ? (_sizeMappings$medium$ = sizeMappings === null || sizeMappings === void 0 ? void 0 : (_sizeMappings$medium = sizeMappings.medium) === null || _sizeMappings$medium === void 0 ? void 0 : _sizeMappings$medium.width) !== null && _sizeMappings$medium$ !== void 0 ? _sizeMappings$medium$ : '120px' : (_sizeMappings$large$w = sizeMappings === null || sizeMappings === void 0 ? void 0 : (_sizeMappings$large = sizeMappings.large) === null || _sizeMappings$large === void 0 ? void 0 : _sizeMappings$large.width) !== null && _sizeMappings$large$w !== void 0 ? _sizeMappings$large$w : '160px';
  var fontSize = size === 'small' ? (_sizeMappings$small$f = sizeMappings === null || sizeMappings === void 0 ? void 0 : (_sizeMappings$small2 = sizeMappings.small) === null || _sizeMappings$small2 === void 0 ? void 0 : _sizeMappings$small2.fontSize) !== null && _sizeMappings$small$f !== void 0 ? _sizeMappings$small$f : '32px' : size === 'medium' ? (_sizeMappings$medium$2 = sizeMappings === null || sizeMappings === void 0 ? void 0 : (_sizeMappings$medium2 = sizeMappings.medium) === null || _sizeMappings$medium2 === void 0 ? void 0 : _sizeMappings$medium2.fontSize) !== null && _sizeMappings$medium$2 !== void 0 ? _sizeMappings$medium$2 : '48px' : (_sizeMappings$large$f = sizeMappings === null || sizeMappings === void 0 ? void 0 : (_sizeMappings$large2 = sizeMappings.large) === null || _sizeMappings$large2 === void 0 ? void 0 : _sizeMappings$large2.fontSize) !== null && _sizeMappings$large$f !== void 0 ? _sizeMappings$large$f : '64px';
  return "\n      display: flex;\n      justify-content: center;\n      align-items: center;\n      background-color: " + backgroundColor + ";\n      color: " + foreColor + ";\n      width: " + width + ";\n      height: " + width + ";\n      font-size: " + fontSize + ";\n      font-weight: bold;\n      border-radius:50%;      \n      text-align: center;\n      line-height: " + width + ";      \n    ";
});
var CircleDisplay = React.forwardRef(function (props, ref) {
  var className = props.className,
    _props$size = props.size,
    size = _props$size === void 0 ? 'medium' : _props$size,
    _props$color = props.color,
    color = _props$color === void 0 ? 'primary' : _props$color,
    other = _objectWithoutPropertiesLoose(props, _excluded2$f);
  return React.createElement(CircleDisplayRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$m.root, size === 'large' ? classes$m.large : size === 'small' ? classes$m.small : classes$m.medium, className),
    size: size,
    color: color
  }, other));
});

var isValidRgb = function isValidRgb(rgb) {
  if (!rgb) return false;
  var compact = rgb.trim();
  compact = compact.replaceAll(' ', '');
  if (!compact.startsWith('rgb(') || !compact.endsWith(')')) {
    return false;
  }
  var parts = compact.split('(');
  if (parts.length != 2) return false;
  var parts2 = parts[1].split(')');
  if (parts2.length != 2) return false;
  var rgbs = parts2[0].split(',');
  if (rgbs.length != 3) return false;
  return true;
};
var isValidHsl = function isValidHsl(hsl) {
  if (!hsl) return false;
  var compact = hsl.trim();
  compact = compact.replaceAll(' ', '');
  if (!compact.startsWith('hsl(') || !compact.endsWith(')')) {
    return false;
  }
  var parts = compact.split('(');
  if (parts.length != 2) return false;
  var parts2 = parts[1].split(')');
  if (parts2.length != 2) return false;
  var hsls = parts2[0].split(',');
  if (hsls.length != 3) return false;
  return true;
};
var isValidHex = function isValidHex(hex) {
  var reg = /^#([0-9a-f]{3}){1,2}$/i;
  return reg.test(hex);
};
var isValidColor = function isValidColor(color) {
  return isValidHex(color) || isValidRgb(color) || isValidHsl(color);
};

var _templateObject$g;
var _excluded$D = ["children"],
  _excluded2$g = ["className", "value", "empty"];
var classes$n = {
  root: 'MuiCodeDisplay-root'
};
var CodeDisplayRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$D);
  return React.createElement("code", Object.assign({
    ref: ref
  }, other), children);
});
var CodeDisplayRoot = styled(CodeDisplayRef)(_templateObject$g || (_templateObject$g = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme;
  return "\n      background-color: " + theme.palette.action.disabledBackground + ";\n      color: " + theme.palette.text.primary + ";\n      font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New', monospace;\n      border-radius: 0.125rem;\n      padding: 0.0125rem 0.25rem;\n      border: 1px solid rgba(0, 0, 0, 0.1);\n    ";
});
var CodeDisplay = React.forwardRef(function (props, ref) {
  var className = props.className,
    value = props.value,
    empty = props.empty,
    other = _objectWithoutPropertiesLoose(props, _excluded2$g);
  var hasNoValue = value === undefined || value === null || value === '';
  if (!empty && hasNoValue) {
    return React.createElement(React.Fragment, null, empty);
  }
  var code = hasNoValue ? empty : value;
  return React.createElement(CodeDisplayRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$n.root, className)
  }, other), code);
});

var _excluded$E = ["value", "variant", "sx"],
  _excluded2$h = ["value", "className", "variant", "format", "empty", "ColorBoxProps", "CodeDisplayProps"];
var classes$o = {
  root: 'MuiColorDisplay-root',
  color: 'MuiColorDisplay-color',
  value: 'MuiColorDisplay-value'
};
var ColorBox = function ColorBox(props) {
  var value = props.value,
    variant = props.variant,
    sx = props.sx,
    other = _objectWithoutPropertiesLoose(props, _excluded$E);
  var isCircle = variant === 'circle' || variant === 'circle-code' || variant === 'code-circle';
  var backgroundColor = value;
  if (!!value) {
    var bckColor = value.toLowerCase();
    if (palleteColors.find(function (pc) {
      return pc === bckColor;
    })) {
      var theme = useTheme();
      var palleteColor = getPaletteColor(theme, bckColor);
      if (!!palleteColor) backgroundColor = palleteColor.main;
    }
  }
  var _sx = _extends({
    borderRadius: isCircle ? '50%' : '2.5px',
    width: '24px',
    height: '24px',
    border: '1px solid rgba(0, 0, 0, 0.12)'
  }, sx, {
    backgroundColor: backgroundColor
  });
  return React.createElement(Box, Object.assign({
    className: classes$o.color,
    sx: _sx
  }, other));
};
var ColorDisplay = React.forwardRef(function (props, ref) {
  var _value = props.value,
    className = props.className,
    _props$variant = props.variant,
    variant = _props$variant === void 0 ? 'box-code' : _props$variant,
    format = props.format,
    empty = props.empty,
    ColorBoxProps = props.ColorBoxProps,
    CodeDisplayProps = props.CodeDisplayProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$h);
  var value = _value;
  if (value === undefined || value === null || value === '') {
    return React.createElement(React.Fragment, null, empty);
  }
  if (format) {
    if (typeof format === 'string') {
      if (format === 'hex') {
        if (isValidRgb(value)) value = rgbToHex(value);else if (isValidHsl(value)) {
          value = hslToRgb(value);
          value = rgbToHex(value);
        }
      } else if (format === 'rgb') {
        if (isValidHex(value)) {
          value = hexToRgb(value);
        } else if (isValidHsl(value)) {
          value = hslToRgb(value);
        }
      }
    } else value = format(value);
  }
  var code = React.createElement(CodeDisplay, Object.assign({
    className: classes$o.value,
    value: value
  }, CodeDisplayProps), value);
  var boxOrCircle = React.createElement(ColorBox, Object.assign({
    value: value,
    variant: variant
  }, ColorBoxProps));
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: buildClassName(classes$o.root, className),
    display: 'flex',
    alignItems: 'center',
    gap: 1
  }, other), (variant === 'code' || variant === 'code-box' || variant === 'code-circle') && code, (variant === 'box' || variant === 'code-box' || variant === 'box-code' || variant === 'circle' || variant === 'circle-code' || variant === 'code-circle') && boxOrCircle, (variant === 'box-code' || variant === 'circle-code') && code);
});

var getFallbackLocale = function getFallbackLocale() {
  return enUS;
};
var getDefaultDateFormat = function getDefaultDateFormat(locale) {
  var _locale$formatLong;
  if (!locale) {
    locale = getFallbackLocale();
  }
  if (!locale) {
    return 'MM/dd/yyyy';
  }
  return (_locale$formatLong = locale.formatLong) === null || _locale$formatLong === void 0 ? void 0 : _locale$formatLong.date({
    width: 'short'
  });
};
var getDefaultTimeFormat = function getDefaultTimeFormat(locale) {
  var _locale$formatLong2;
  if (!locale) {
    locale = getFallbackLocale();
  }
  if (!locale) {
    return 'HH:mm';
  }
  return (_locale$formatLong2 = locale.formatLong) === null || _locale$formatLong2 === void 0 ? void 0 : _locale$formatLong2.time({
    width: 'short'
  });
};
var getDefaultDateTimeFormat = function getDefaultDateTimeFormat(locale) {
  if (!locale) {
    locale = getFallbackLocale();
  }
  if (!locale) {
    return 'MM/dd/yyyy HH:mm';
  }
  return getDefaultDateFormat(locale) + " " + getDefaultTimeFormat(locale);
};
var getDefaultDateInputMask = function getDefaultDateInputMask(locale) {
  if (!locale) {
    locale = getFallbackLocale();
  }
  if (!locale) {
    return '__/__/____';
  }
  var inputFormat = getDefaultDateFormat(locale);
  return inputFormat.replace(/[A-Za-z]/g, '_');
};
var getDefaultDateTimeInputMask = function getDefaultDateTimeInputMask(locale) {
  if (!locale) {
    locale = getFallbackLocale();
  }
  if (!locale) {
    return '__/__/____ __:__';
  }
  var inputFormat = getDefaultDateTimeFormat(locale);
  return inputFormat.replace(/[A-Za-z]/g, '_');
};
var getDefaultTimeInputMask = function getDefaultTimeInputMask(locale) {
  if (!locale) {
    locale = getFallbackLocale();
  }
  if (!locale) {
    return '__:__';
  }
  var inputFormat = getDefaultTimeFormat(locale);
  return inputFormat.replace(/[A-Za-z]/g, '_');
};

var _excluded$F = ["className", "value", "format", "empty"];
var classes$p = {
  root: 'MuiDateTimeDisplay-root'
};
var DateTimeDisplay = React.forwardRef(function (props, ref) {
  var className = props.className,
    value = props.value,
    format$1 = props.format,
    empty = props.empty,
    other = _objectWithoutPropertiesLoose(props, _excluded$F);
  var utils = useUtils();
  var locale = utils === null || utils === void 0 ? void 0 : utils.locale;
  var _format = format$1 !== null && format$1 !== void 0 ? format$1 : getDefaultDateTimeFormat(locale);
  if (!value) {
    return React.createElement(React.Fragment, null, empty);
  }
  var formattedValue = '';
  try {
    if (typeof value === 'string') {
      var dateTime = parseISO(value);
      formattedValue = format(dateTime, _format, {
        locale: locale
      });
    } else {
      formattedValue = format(value, _format, {
        locale: locale
      });
    }
  } catch (error) {
    console.error(error, {
      value: value,
      format: format$1
    });
  }
  return React.createElement(Typography, Object.assign({
    ref: ref,
    className: buildClassName(classes$p.root, className),
    variant: 'inherit'
  }, other), formattedValue);
});

var _excluded$G = ["className", "format"];
var classes$q = {
  root: 'MuiDateDisplay-root'
};
var DateDisplay = React.forwardRef(function (props, ref) {
  var className = props.className,
    format = props.format,
    other = _objectWithoutPropertiesLoose(props, _excluded$G);
  var utils = useUtils();
  var _format = format !== null && format !== void 0 ? format : getDefaultDateFormat(utils === null || utils === void 0 ? void 0 : utils.locale);
  return React.createElement(DateTimeDisplay, Object.assign({
    ref: ref,
    className: buildClassName(classes$q.root, className),
    format: _format
  }, other));
});

var _templateObject$h;
var _excluded$H = ["width", "alt"],
  _excluded2$i = ["value", "className", "empty", "onError"];
var classes$r = {
  root: 'MuiImageDisplay-root',
  img: 'MuiImageDisplay-img',
  placeholder: 'MuiImageDisplay-placeholder'
};
var ImageDisplayRef = React.forwardRef(function (props, ref) {
  var alt = props.alt,
    other = _objectWithoutPropertiesLoose(props, _excluded$H);
  return React.createElement("img", Object.assign({
    alt: alt !== null && alt !== void 0 ? alt : '',
    ref: ref
  }, other));
});
var ImageDisplayRoot = styled(ImageDisplayRef)(_templateObject$h || (_templateObject$h = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var width = _ref.width;
  return "\n      width: " + (width !== null && width !== void 0 ? width : '100%') + ";\n    ";
});
var ImageDisplay = React.forwardRef(function (props, ref) {
  var value = props.value,
    className = props.className,
    empty = props.empty,
    onError = props.onError,
    other = _objectWithoutPropertiesLoose(props, _excluded2$i);
  var _useState = useState(undefined),
    src = _useState[0],
    setSrc = _useState[1];
  useEffect(function () {
    if (!value) {
      setSrc(undefined);
    } else {
      if (value instanceof Blob || value instanceof File) {
        var url = URL.createObjectURL(value);
        setSrc(url);
      } else if (value.content && value.contentType) {
        setSrc("data:" + (value === null || value === void 0 ? void 0 : value.contentType) + ";base64," + (value === null || value === void 0 ? void 0 : value.content));
      } else {
        setSrc(value);
      }
    }
  }, [value]);
  var isEmpty = src === undefined;
  if (isEmpty && empty) return React.createElement(React.Fragment, null, empty);
  var handleError = function handleError() {
    setSrc(undefined);
  };
  return isEmpty ? React.createElement(React.Fragment, null) : React.createElement(ImageDisplayRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$r.root, classes$r.img, className),
    src: src,
    onError: onError !== null && onError !== void 0 ? onError : handleError
  }, other));
});

var _excluded$I = ["value", "options", "empty", "size", "className", "getOption"];
var classes$s = {
  root: 'MuiOptionDisplay-root'
};
var OptionDisplay = React.forwardRef(function (props, ref) {
  var _option, _option$label, _option2;
  var value = props.value,
    options = props.options,
    empty = props.empty,
    _props$size = props.size,
    size = _props$size === void 0 ? 'small' : _props$size,
    className = props.className,
    getOption = props.getOption,
    other = _objectWithoutPropertiesLoose(props, _excluded$I);
  if (!value) {
    return React.createElement(React.Fragment, null, empty);
  }
  if (!options && !getOption) {
    console.warn('OptionDisplay: Both "options" and "getOption" props are undefined. Resolving an option will be impossible.');
  }
  var option = undefined;
  if (getOption) {
    option = getOption(value);
  }
  if (!option) {
    option = options === null || options === void 0 ? void 0 : options.find(function (o) {
      return o.id === value;
    });
  }
  if (!option) {
    option = options === null || options === void 0 ? void 0 : options.find(function (o) {
      return String(o.id) === String(value);
    });
  }
  if (!option && !value) {
    return React.createElement(React.Fragment, null, empty);
  }
  var color = (_option = option) === null || _option === void 0 ? void 0 : _option.color;
  var label = (_option$label = (_option2 = option) === null || _option2 === void 0 ? void 0 : _option2.label) !== null && _option$label !== void 0 ? _option$label : value;
  return React.createElement(Chip, Object.assign({
    ref: ref,
    className: buildClassName(classes$s.root, className),
    label: label,
    color: color,
    size: size
  }, other));
});

var _excluded$J = ["className", "format"];
var classes$t = {
  root: 'MuiTimeDisplay-root'
};
var TimeDisplay = React.forwardRef(function (props, ref) {
  var className = props.className,
    format = props.format,
    other = _objectWithoutPropertiesLoose(props, _excluded$J);
  var utils = useUtils();
  var locale = utils === null || utils === void 0 ? void 0 : utils.locale;
  var _format = format !== null && format !== void 0 ? format : getDefaultTimeFormat(locale);
  return React.createElement(DateTimeDisplay, Object.assign({
    ref: ref,
    className: buildClassName(classes$t.root, className),
    format: _format
  }, other));
});

var _excluded$K = ["className", "copyrightText", "copyrightChar", "companyName", "companyNamePosition", "yearFrom", "yearTo", "yearSeparator", "CompanyNameTypographyProps", "CopyrightTextTypographyProps", "CopyrightCharTypographyProps", "YearFromTypographyProps", "YearToTypographyProps", "YearSeparatorTypographyProps"];
var _templateObject$i;
var classes$u = {
  root: 'MuiCopyright-root',
  companyNameBefore: 'MuiCopyright-companyName-before',
  copyrightText: 'MuiCopyright-copyrightText',
  copyrightChar: 'MuiCopyright-copyrightChar',
  yearFrom: 'MuiCopyright-yearFrom',
  yearTo: 'MuiCopyright-yearTo',
  yearSeparator: 'MuiCopyright-yearSeparator',
  companyNameAfter: 'MuiCopyright-companyName-after'
};
var CopyrightRef = React.forwardRef(function (props, ref) {
  return React.createElement(Box, Object.assign({
    ref: ref,
    alignItems: 'center',
    display: 'flex'
  }, props));
});
var CopyrightRoot = styled(CopyrightRef)(_templateObject$i || (_templateObject$i = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function () {
  var spacing = '4px';
  return "\n      flex-grow:1;\n\n      & .MuiCopyright-companyName-before, .MuiCopyright-copyrightText {\n        margin-right: " + spacing + ";\n      }\n\n      & .MuiCopyright-companyName-after {\n        margin-left: " + spacing + ";\n      }\n\n      & span {\n        align-content: center;\n        display: flex;\n      }\n    ";
});
var Copyright = React.forwardRef(function (props, ref) {
  var className = props.className,
    _props$copyrightText = props.copyrightText,
    copyrightText = _props$copyrightText === void 0 ? 'Copyright' : _props$copyrightText,
    _props$copyrightChar = props.copyrightChar,
    copyrightChar = _props$copyrightChar === void 0 ? '©' : _props$copyrightChar,
    companyName = props.companyName,
    _props$companyNamePos = props.companyNamePosition,
    companyNamePosition = _props$companyNamePos === void 0 ? 'after' : _props$companyNamePos,
    yearFrom = props.yearFrom,
    _props$yearTo = props.yearTo,
    yearTo = _props$yearTo === void 0 ? new Date().getFullYear() : _props$yearTo,
    _props$yearSeparator = props.yearSeparator,
    yearSeparator = _props$yearSeparator === void 0 ? '-' : _props$yearSeparator,
    CompanyNameTypographyProps = props.CompanyNameTypographyProps,
    CopyrightTextTypographyProps = props.CopyrightTextTypographyProps,
    CopyrightCharTypographyProps = props.CopyrightCharTypographyProps,
    YearFromTypographyProps = props.YearFromTypographyProps,
    YearToTypographyProps = props.YearToTypographyProps,
    YearSeparatorTypographyProps = props.YearSeparatorTypographyProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$K);
  return React.createElement(CopyrightRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$u.root, className)
  }, other), companyNamePosition === 'before' && companyName && React.createElement(Typography, Object.assign({
    className: classes$u.companyNameBefore
  }, CompanyNameTypographyProps), companyName), copyrightText && React.createElement(Typography, Object.assign({
    className: classes$u.copyrightText
  }, CopyrightTextTypographyProps), copyrightText), copyrightChar && React.createElement(Typography, Object.assign({
    className: classes$u.copyrightChar
  }, CopyrightCharTypographyProps), copyrightChar), yearFrom && React.createElement(Typography, Object.assign({
    className: classes$u.yearFrom
  }, YearFromTypographyProps), yearFrom), yearFrom && yearFrom !== yearTo && yearSeparator && React.createElement(Typography, Object.assign({
    className: classes$u.yearSeparator
  }, YearSeparatorTypographyProps), yearSeparator), yearFrom !== yearTo && React.createElement(Typography, Object.assign({
    className: classes$u.yearTo
  }, YearToTypographyProps), yearTo), companyNamePosition === 'after' && companyName && React.createElement(Typography, Object.assign({
    className: classes$u.companyNameAfter
  }, CompanyNameTypographyProps), companyName));
});

var _excluded$L = ["className", "totalCount", "color", "visibleCount", "onReveal", "label"];
var classes$v = {
  root: 'MuiRevealBadge-root'
};
var RevealBadge = React.forwardRef(function (props, ref) {
  var className = props.className,
    totalCount = props.totalCount,
    _props$color = props.color,
    color = _props$color === void 0 ? 'primary' : _props$color,
    _props$visibleCount = props.visibleCount,
    visibleCount = _props$visibleCount === void 0 ? 1 : _props$visibleCount,
    onReveal = props.onReveal,
    label = props.label,
    other = _objectWithoutPropertiesLoose(props, _excluded$L);
  var _useState = useState(false),
    revealed = _useState[0],
    setRevealed = _useState[1];
  var handleReveal = function handleReveal(e) {
    if (onReveal !== undefined) {
      setRevealed(true);
      onReveal(e);
    }
  };
  return !revealed && totalCount > visibleCount ? React.createElement(Chip, Object.assign({
    ref: ref,
    className: buildClassName(classes$v.root, className),
    clickable: onReveal !== undefined,
    onClick: handleReveal,
    label: label !== null && label !== void 0 ? label : "+" + (totalCount - visibleCount),
    color: color
  }, other)) : React.createElement(React.Fragment, null);
});

var _excluded$M = ["value", "className", "empty"];
var _templateObject$j;
var classes$w = {
  root: 'MuiRatingDisplay-root'
};
var RatingDisplayRoot = styled(function (_ref) {
  var other = _extends({}, (_objectDestructuringEmpty(_ref), _ref));
  return React.createElement(Rating, Object.assign({}, other));
})(_templateObject$j || (_templateObject$j = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref2) {
  var theme = _ref2.theme,
    color = _ref2.color;
  var palleteColor = getPaletteColor(theme, color);
  var baseColor = palleteColor ? palleteColor.main : '';
  return "\n      color: " + baseColor + ";\n      opacity: 1!important;\n    ";
});
var RatingDisplay = React.forwardRef(function (props, ref) {
  var value = props.value,
    className = props.className,
    empty = props.empty,
    other = _objectWithoutPropertiesLoose(props, _excluded$M);
  if (!value) {
    return React.createElement(React.Fragment, null, empty);
  }
  return React.createElement(RatingDisplayRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$w.root, className),
    defaultValue: value
  }, other, {
    disabled: true
  }));
});

var _excluded$N = ["color", "checked", "className"],
  _excluded2$j = ["value", "options", "empty", "className", "RadioProps", "size", "FormControlLabelProps"];
var _templateObject$k;
var classes$x = {
  root: 'MuiRadioGroupDisplay-root',
  radio: 'MuiRadioGroupDisplay-radio'
};
var RadioRoot = styled(function (_ref) {
  var checked = _ref.checked,
    className = _ref.className,
    other = _objectWithoutPropertiesLoose(_ref, _excluded$N);
  return React.createElement(Radio, Object.assign({
    className: buildClassName(classes$x.radio, className),
    checked: checked
  }, other));
})(_templateObject$k || (_templateObject$k = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref2) {
  var theme = _ref2.theme,
    color = _ref2.color,
    checked = _ref2.checked;
  if (!checked) {
    return "";
  }
  var palleteColor = getPaletteColor(theme, color);
  var baseColor = palleteColor ? palleteColor.main : theme.palette.primary.main;
  return "\n      color: " + baseColor + "!important;\n    ";
});
var OptionDisplay$1 = React.forwardRef(function (props, ref) {
  var value = props.value,
    options = props.options,
    empty = props.empty,
    className = props.className,
    RadioProps = props.RadioProps,
    _props$size = props.size,
    size = _props$size === void 0 ? 'small' : _props$size,
    FormControlLabelProps = props.FormControlLabelProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$j);
  if (!options || options.length === 0) {
    return React.createElement(React.Fragment, null, empty);
  }
  var option = options === null || options === void 0 ? void 0 : options.find(function (o) {
    return o.id === value;
  });
  if (!option) {
    option = options === null || options === void 0 ? void 0 : options.find(function (o) {
      return String(o.id) === String(value);
    });
  }
  return React.createElement(RadioGroup, Object.assign({
    ref: ref,
    className: buildClassName(classes$x.root, className)
  }, other), options.map(function (radio) {
    var _radio$label, _option;
    var color = radio === null || radio === void 0 ? void 0 : radio.color;
    var label = (_radio$label = radio === null || radio === void 0 ? void 0 : radio.label) !== null && _radio$label !== void 0 ? _radio$label : value;
    return React.createElement(FormControlLabel, Object.assign({
      key: radio.id
    }, FormControlLabelProps, {
      label: label,
      control: React.createElement(RadioRoot, Object.assign({
        size: size
      }, RadioProps, {
        checked: ((_option = option) === null || _option === void 0 ? void 0 : _option.id) === radio.id,
        color: color,
        disabled: true
      }))
    }));
  }));
});

var DEFAULT_MIXINS = {
  sidemenu: {
    width: '280px',
    minimizedWidth: '56px'
  },
  toolbar: {},
  app: {
    backgroundColor: 'white'
  },
  page: {
    listPage: {
      hasHeader: false,
      height: 'full',
      listHasPadding: false,
      listHeaderLabelVariant: 'caption',
      listHeaderVariant: 'default'
    },
    submitPage: {
      hasHeader: false
    },
    detailsPage: {
      hasHeader: true,
      tabIconPosition: 'start',
      tabsPosition: 'left',
      tabIndicator: 'badge'
    }
  },
  part: {
    listPart: {
      listHasPadding: false,
      hasHeader: false
    },
    paperVariant: 'lowered'
  },
  form: {
    buttons: {
      justify: 'wide'
    }
  }
};

var _templateObject$l;
var _excluded$O = ["className", "sidemenuState", "sidemenuVariant"],
  _excluded2$k = ["children", "sidemenuState", "sidemenuVariant"];
var classes$y = {
  root: 'MuiAppContent-root'
};
var AppContentRef = React.forwardRef(function (props, ref) {
  var className = props.className,
    other = _objectWithoutPropertiesLoose(props, _excluded$O);
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: buildClassName(classes$y.root, className)
  }, other));
});
var AppContentRoot = styled(AppContentRef)(_templateObject$l || (_templateObject$l = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var _theme$mixins$sidemen, _theme$mixins$sidemen2, _theme$mixins$sidemen3, _theme$mixins$sidemen4, _theme$mixins$app$bac, _theme$mixins$app;
  var theme = _ref.theme,
    sidemenuState = _ref.sidemenuState,
    sidemenuVariant = _ref.sidemenuVariant;
  var sidemenuOpened = sidemenuVariant !== 'temporary' && (sidemenuState === 'expanded' || sidemenuState === 'minimized');
  var miniSidemenu = sidemenuState === 'minimized';
  var sidemenuWidth = (_theme$mixins$sidemen = (_theme$mixins$sidemen2 = theme.mixins.sidemenu) === null || _theme$mixins$sidemen2 === void 0 ? void 0 : _theme$mixins$sidemen2.width) !== null && _theme$mixins$sidemen !== void 0 ? _theme$mixins$sidemen : DEFAULT_MIXINS.sidemenu.width;
  var sidemenuMiniWidth = (_theme$mixins$sidemen3 = (_theme$mixins$sidemen4 = theme.mixins.sidemenu) === null || _theme$mixins$sidemen4 === void 0 ? void 0 : _theme$mixins$sidemen4.minimizedWidth) !== null && _theme$mixins$sidemen3 !== void 0 ? _theme$mixins$sidemen3 : DEFAULT_MIXINS.sidemenu.minimizedWidth;
  return "\n      background-color: " + ((_theme$mixins$app$bac = (_theme$mixins$app = theme.mixins.app) === null || _theme$mixins$app === void 0 ? void 0 : _theme$mixins$app.backgroundColor) !== null && _theme$mixins$app$bac !== void 0 ? _theme$mixins$app$bac : theme.palette.background["default"]) + ";      \n      max-width: 100%;\n      flex-grow: 1;\n      display: flex;\n      flex-direction: column;\n      padding: 0;\n      transition: " + theme.transitions.create(['margin', 'width'], {
    easing: sidemenuOpened ? theme.transitions.easing.sharp : theme.transitions.easing.easeOut,
    duration: sidemenuOpened ? theme.transitions.duration.leavingScreen : theme.transitions.duration.enteringScreen
  }) + ";\n      width: " + (sidemenuOpened ? "calc(100% - " + (miniSidemenu ? sidemenuMiniWidth : sidemenuWidth) + ")" : '100%') + ";\n      margin-left: " + (sidemenuOpened ? "" + (miniSidemenu ? sidemenuMiniWidth : sidemenuWidth) : "0") + ";\n      margin-top: 64px;\n      " + theme.breakpoints.down('sm') + "{\n        width: 100%;  \n        margin-left: 0;\n      }\n    ";
});
var AppContent = React.forwardRef(function (props, ref) {
  var children = props.children,
    _props$sidemenuState = props.sidemenuState,
    sidemenuState = _props$sidemenuState === void 0 ? 'hidden' : _props$sidemenuState,
    _props$sidemenuVarian = props.sidemenuVariant,
    sidemenuVariant = _props$sidemenuVarian === void 0 ? 'temporary' : _props$sidemenuVarian,
    other = _objectWithoutPropertiesLoose(props, _excluded2$k);
  return React.createElement(AppContentRoot, Object.assign({
    ref: ref,
    component: 'main',
    sidemenuState: sidemenuState,
    sidemenuVariant: sidemenuVariant
  }, other), children);
});

var getElevationNumber = function getElevationNumber(elevation) {
  if (elevation === 'none') return 0;
  if (elevation === 'xs') return 2;
  if (elevation === 'sm') return 4;
  if (elevation === 'md') return 8;
  if (elevation === 'lg') return 12;
  if (elevation === 'xl') return 20;
  return elevation !== null && elevation !== void 0 ? elevation : 0;
};
var ElevationScroll = React.forwardRef(function (props, ref) {
  var children = props.children,
    scrollElevation = props.scrollElevation,
    elevation = props.elevation,
    onScroll = props.onScroll;
  var trigger = useScrollTrigger({
    disableHysteresis: true,
    threshold: 0
  });
  useEffect(function () {
    if (onScroll) onScroll(trigger);
  }, [trigger]);
  return React.cloneElement(children, {
    ref: ref,
    elevation: trigger ? getElevationNumber(scrollElevation) : getElevationNumber(elevation)
  });
});

var getDisplayName_1 = createCommonjsModule(function (module, exports) {

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getDisplayName;
exports.getFunctionName = getFunctionName;

// Simplified polyfill for IE11 support
// https://github.com/JamesMGreene/Function.name/blob/58b314d4a983110c3682f1228f845d39ccca1817/Function.name.js#L3
const fnNameMatchRegex = /^\s*function(?:\s|\s*\/\*.*\*\/\s*)+([^(\s/]*)\s*/;
function getFunctionName(fn) {
  const match = `${fn}`.match(fnNameMatchRegex);
  const name = match && match[1];
  return name || '';
}
function getFunctionComponentName(Component, fallback = '') {
  return Component.displayName || Component.name || getFunctionName(Component) || fallback;
}
function getWrappedName(outerType, innerType, wrapperName) {
  const functionName = getFunctionComponentName(innerType);
  return outerType.displayName || (functionName !== '' ? `${wrapperName}(${functionName})` : wrapperName);
}

/**
 * cherry-pick from
 * https://github.com/facebook/react/blob/769b1f270e1251d9dbdce0fcbd9e92e502d059b8/packages/shared/getComponentName.js
 * originally forked from recompose/getDisplayName with added IE11 support
 */
function getDisplayName(Component) {
  if (Component == null) {
    return undefined;
  }
  if (typeof Component === 'string') {
    return Component;
  }
  if (typeof Component === 'function') {
    return getFunctionComponentName(Component, 'Component');
  }

  // TypeScript can't have components as objects but they exist in the form of `memo` or `Suspense`
  if (typeof Component === 'object') {
    switch (Component.$$typeof) {
      case reactIs.ForwardRef:
        return getWrappedName(Component, Component.render, 'ForwardRef');
      case reactIs.Memo:
        return getWrappedName(Component, Component.type, 'memo');
      default:
        return undefined;
    }
  }
  return undefined;
}
});

unwrapExports(getDisplayName_1);
var getDisplayName_2 = getDisplayName_1.getFunctionName;

var typeOf$1 = function typeOf(element) {
  var _element$type$name, _element$type;
  if (!element) return undefined;
  return (_element$type$name = (_element$type = element.type) === null || _element$type === void 0 ? void 0 : _element$type.name) !== null && _element$type$name !== void 0 ? _element$type$name : element.type;
};
var ofType = function ofType(element, type) {
  if (!element) return false;
  if (!type) return false;
  var _type = typeof type === 'string' ? type : type === null || type === void 0 ? void 0 : type.name;
  if (typeOf$1(element) === _type) {
    return true;
  }
  return false;
};

var isForwardRefElement = function isForwardRefElement(element, componentTypeName, renderFunctionName) {
  if (!element) return false;
  if (componentTypeName && ofType(element, componentTypeName)) {
    return true;
  }
  if (!renderFunctionName && componentTypeName) {
    renderFunctionName = componentTypeName + "Render";
  }
  if (reactIs.isForwardRef(element)) {
    var type = element.type;
    if (type && type.render && renderFunctionName) {
      var fn = getDisplayName_2(type.render);
      if (fn === renderFunctionName) return true;
    }
  }
  return false;
};
var getForwardRefRenderFunctionName = function getForwardRefRenderFunctionName(element) {
  if (!element) return '';
  if (reactIs.isForwardRef(element)) {
    var type = element.type;
    if (type && type.render) {
      return getDisplayName_2(type.render);
    }
  }
  return '';
};
var isSidemenuAction = function isSidemenuAction(element) {
  return isForwardRefElement(element, 'SidemenuAction');
};
var isSidemenuSubmenu = function isSidemenuSubmenu(element) {
  return isForwardRefElement(element, 'SidemenuSubmenu');
};
var isIndexColumn = function isIndexColumn(element) {
  return isForwardRefElement(element, 'IndexColumn');
};
var isNumberColumn = function isNumberColumn(element) {
  return isForwardRefElement(element, 'NumberColumn');
};
var isFieldsRow = function isFieldsRow(element) {
  return isForwardRefElement(element, 'FieldsRow');
};
var isFieldsGroup = function isFieldsGroup(element) {
  return isForwardRefElement(element, 'FieldsGroup');
};
var isField = function isField(element) {
  return isForwardRefElement(element, 'Field');
};
var isAnyField = function isAnyField(element) {
  if (isField(element)) return true;
  var renderFn = getForwardRefRenderFunctionName(element);
  if (renderFn && renderFn.endsWith('FieldRender')) {
    return true;
  }
  return false;
};
var isDetailsPartFieldsGroup = function isDetailsPartFieldsGroup(element) {
  return isForwardRefElement(element, 'DetailsPartFieldsGroup');
};
var isDetailField = function isDetailField(element) {
  return isForwardRefElement(element, 'DetailField');
};
var isAnyDetailField = function isAnyDetailField(element) {
  if (isDetailField(element)) return true;
  var renderFn = getForwardRefRenderFunctionName(element);
  if (renderFn && renderFn.startsWith('Detail') && renderFn.endsWith('FieldRender')) {
    return true;
  }
  return false;
};
var isLookupFilter = function isLookupFilter(element) {
  var _element$props;
  return isForwardRefElement(element, 'LookupFilter') || isForwardRefElement(element, 'Filter') && (element === null || element === void 0 ? void 0 : (_element$props = element.props) === null || _element$props === void 0 ? void 0 : _element$props.variant) === 'lookup';
};
var isDetailsPageTab = function isDetailsPageTab(element) {
  return isForwardRefElement(element, 'DetailsPageTab');
};

var _templateObject$m;
var _excluded$P = ["theme", "className", "variant", "clipped", "borderless", "headerColor", "state", "toggleSidemenu", "anchor"],
  _excluded2$l = ["menuIcon", "clipped", "variant", "state", "borderless", "headerColor", "headerElevation", "headerContent", "toggleSidemenu", "expandIcon", "collapseIcon", "minimizeIcon", "minimizable", "children", "actionSize", "PaperProps", "ListProps", "IconButtonProps"];
var classes$z = {
  root: 'MuiSidemenu-root',
  actionItem: 'MuiSidemenu-actionItem',
  submenu: 'MuiSidemenu-submenu',
  header: 'MuiSidemenu-header'
};
var getPossibleSidemenuState = function getPossibleSidemenuState(variant, state, minimizable) {
  if (variant === 'permanent') {
    if (minimizable) {
      if (state === 'minimized') {
        return 'minimized';
      }
    }
    return 'expanded';
  } else if (variant === 'persistent') {
    if (state === 'expanded') {
      return 'expanded';
    }
    return 'hidden';
  } else {
    if (state === 'expanded') {
      return 'expanded';
    }
    return 'hidden';
  }
};
var toggleSidemenuState = function toggleSidemenuState(variant, currentState) {
  var state = 'expanded';
  if (variant === 'permanent') {
    if (currentState === 'minimized') {
      return 'expanded';
    } else {
      state = 'minimized';
    }
  } else if (variant === 'persistent') {
    if (currentState === 'hidden') {
      return 'expanded';
    } else {
      state = 'hidden';
    }
  } else if (variant === 'temporary') {
    if (currentState === 'expanded') {
      state = 'hidden';
    } else {
      state = 'expanded';
    }
  }
  return state;
};
var setTemporarySidemenuState = function setTemporarySidemenuState(originalVariant, variant, currentState) {
  if (variant === 'temporary') return 'hidden';else {
    if (currentState === 'hidden') {
      if (originalVariant === 'persistent') {
        return 'hidden';
      }
    }
    return 'expanded';
  }
};
var SidemenuRef = React.forwardRef(function (props, ref) {
  var className = props.className,
    variant = props.variant,
    state = props.state,
    toggleSidemenu = props.toggleSidemenu,
    anchor = props.anchor,
    other = _objectWithoutPropertiesLoose(props, _excluded$P);
  var open = state === 'minimized' || state === 'expanded';
  return React.createElement(SwipeableDrawer, Object.assign({
    ref: ref,
    className: buildClassName(classes$z.root, className),
    variant: variant,
    anchor: anchor !== null && anchor !== void 0 ? anchor : 'left',
    open: open,
    onClose: toggleSidemenu,
    onOpen: function onOpen(_) {}
  }, other));
});
var SidemenuRoot = styled(SidemenuRef)(_templateObject$m || (_templateObject$m = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var _theme$mixins$sidemen, _theme$mixins$sidemen2, _theme$mixins$sidemen3, _theme$mixins$sidemen4;
  var theme = _ref.theme,
    state = _ref.state,
    borderless = _ref.borderless,
    headerColor = _ref.headerColor,
    clipped = _ref.clipped,
    variant = _ref.variant;
  var open = state === 'minimized' || state === 'expanded';
  var temporary = variant === 'temporary';
  var minimized = state === 'minimized';
  var sidemenuWidth = minimized ? (_theme$mixins$sidemen = (_theme$mixins$sidemen2 = theme.mixins.sidemenu) === null || _theme$mixins$sidemen2 === void 0 ? void 0 : _theme$mixins$sidemen2.minimizedWidth) !== null && _theme$mixins$sidemen !== void 0 ? _theme$mixins$sidemen : DEFAULT_MIXINS.sidemenu.minimizedWidth : (_theme$mixins$sidemen3 = (_theme$mixins$sidemen4 = theme.mixins.sidemenu) === null || _theme$mixins$sidemen4 === void 0 ? void 0 : _theme$mixins$sidemen4.width) !== null && _theme$mixins$sidemen3 !== void 0 ? _theme$mixins$sidemen3 : DEFAULT_MIXINS.sidemenu.width;
  var palleteColor = getPaletteColor(theme, headerColor);
  var sidemenuHeaderBackgroundColor = palleteColor ? palleteColor.main : headerColor;
  var sidemenuHeaderColor = '';
  if (!!sidemenuHeaderBackgroundColor && sidemenuHeaderBackgroundColor !== 'inherit' && sidemenuHeaderBackgroundColor !== 'transparent') {
    sidemenuHeaderColor = getContrastText(sidemenuHeaderBackgroundColor);
  }
  var zIndexClipped = clipped ? theme.zIndex.appBar - 1 : theme.zIndex.appBar + 1;
  return "\n        width: " + (open ? sidemenuWidth : 0) + ";\n        flex-shrink: 0;\n        white-space: nowrap;\n        overflow-x: hidden;\n        z-index: " + (temporary ? zIndexClipped : theme.zIndex.drawer) + ";        \n        " + theme.breakpoints.down('sm') + "{ \n          width: " + (temporary ? sidemenuWidth : 0) + ";\n        }\n        \n        & .MuiSidemenu-header {\n          display: flex;\n          align-items: center;\n          padding: " + theme.spacing(0, 1) + ";      \n          min-height: 64px;\n          box-shadow: " + (temporary ? "none" : "") + ";\n          background-color: " + sidemenuHeaderBackgroundColor + ";\n          color: " + sidemenuHeaderColor + ";\n        }\n        \n        & .MuiDrawer-paper\n        {\n          top: " + (clipped ? "64px" : "0") + ";\n          z-index: " + (temporary ? zIndexClipped : theme.zIndex.drawer) + ";\n          overflow-x: hidden;\n          width: " + (open ? sidemenuWidth : 0) + ";         \n          " + theme.breakpoints.down('sm') + "{\n            width: " + (temporary ? sidemenuWidth : 0) + ";\n          }\n          " + (borderless ? 'border: none' : '') + "; \n        }\n\n        & li.MuiMenuItem-root {\n          white-space: break-spaces;\n        }\n\n        & .MuiListItemIcon-root{\n          min-width: 40px;\n        }\n\n        & .MuiIconButton-root {\n          color: inherit;\n        }\n    ";
});
var Sidemenu = React.forwardRef(function SidemenuRender(props, ref) {
  var theme = useTheme();
  var menuIcon = props.menuIcon,
    _props$clipped = props.clipped,
    clipped = _props$clipped === void 0 ? false : _props$clipped,
    _props$variant = props.variant,
    variant = _props$variant === void 0 ? 'temporary' : _props$variant,
    state = props.state,
    _props$borderless = props.borderless,
    borderless = _props$borderless === void 0 ? false : _props$borderless,
    _props$headerColor = props.headerColor,
    headerColor = _props$headerColor === void 0 ? 'default' : _props$headerColor,
    _props$headerElevatio = props.headerElevation,
    headerElevation = _props$headerElevatio === void 0 ? 'none' : _props$headerElevatio,
    headerContent = props.headerContent,
    toggleSidemenu = props.toggleSidemenu,
    expandIcon = props.expandIcon,
    collapseIcon = props.collapseIcon,
    minimizeIcon = props.minimizeIcon,
    _props$minimizable = props.minimizable,
    minimizable = _props$minimizable === void 0 ? false : _props$minimizable,
    children = props.children,
    actionSize = props.actionSize,
    PaperProps = props.PaperProps,
    ListProps = props.ListProps,
    IconButtonProps = props.IconButtonProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$l);
  var minimized = variant === 'permanent' && minimizable && state === 'minimized';
  var toggleTemporarySidemenu = function toggleTemporarySidemenu(_) {
    if (variant === 'temporary') {
      if (toggleSidemenu) toggleSidemenu();
    }
  };
  return React.createElement(SidemenuRoot, Object.assign({
    ref: ref,
    theme: theme,
    variant: variant,
    clipped: clipped,
    headerColor: headerColor,
    borderless: borderless,
    state: state,
    toggleSidemenu: toggleTemporarySidemenu
  }, other), !clipped && React.createElement(Paper$1, Object.assign({
    square: true,
    className: classes$z.header,
    elevation: getElevationNumber(headerElevation)
  }, PaperProps), variant === 'permanent' && minimizable && React.createElement(IconButton$1, Object.assign({
    onClick: toggleSidemenu,
    color: 'inherit'
  }, IconButtonProps), minimized ? menuIcon !== null && menuIcon !== void 0 ? menuIcon : React.createElement(MenuIcon, null) : minimizeIcon !== null && minimizeIcon !== void 0 ? minimizeIcon : React.createElement(ArrowLeftIcon, null)), variant !== 'permanent' && React.createElement(IconButton$1, Object.assign({
    onClick: toggleSidemenu,
    color: 'inherit'
  }, IconButtonProps), minimizeIcon !== null && minimizeIcon !== void 0 ? minimizeIcon : React.createElement(ArrowLeftIcon, null)), !minimized && headerContent), React.createElement(List$1, Object.assign({}, ListProps), React.Children.map(children, function (element, index) {
    if (isSidemenuAction(element)) {
      var _element$props$size, _element$props;
      return React.cloneElement(element, {
        key: index,
        toggleTemporarySidemenu: toggleTemporarySidemenu,
        size: (_element$props$size = (_element$props = element.props) === null || _element$props === void 0 ? void 0 : _element$props.size) !== null && _element$props$size !== void 0 ? _element$props$size : actionSize
      });
    } else if (isSidemenuSubmenu(element)) {
      var _element$props$size2, _element$props2;
      return React.cloneElement(element, {
        key: index,
        level: 0,
        minimizable: minimizable !== null && minimizable !== void 0 ? minimizable : false,
        minimized: minimized !== null && minimized !== void 0 ? minimized : false,
        toggleTemporarySidemenu: toggleTemporarySidemenu,
        expandIcon: expandIcon,
        collapseIcon: collapseIcon,
        size: (_element$props$size2 = (_element$props2 = element.props) === null || _element$props2 === void 0 ? void 0 : _element$props2.size) !== null && _element$props$size2 !== void 0 ? _element$props$size2 : actionSize
      });
    } else return element;
  })));
});

var AppLayout = React.forwardRef(function (props, ref) {
  var _sidemenu$props, _sidemenu$props2, _sidemenu$props3, _sidemenu$props4;
  var appHeader = props.appHeader,
    sidemenu = props.sidemenu,
    appFooter = props.appFooter,
    AppContentProps = props.AppContentProps,
    children = props.children;
  var theme = useTheme();
  var temporaryDrawerActive = useMediaQuery(theme.breakpoints.down('sm'));
  var variant = sidemenu === null || sidemenu === void 0 ? void 0 : (_sidemenu$props = sidemenu.props) === null || _sidemenu$props === void 0 ? void 0 : _sidemenu$props.variant;
  var state = sidemenu === null || sidemenu === void 0 ? void 0 : (_sidemenu$props2 = sidemenu.props) === null || _sidemenu$props2 === void 0 ? void 0 : _sidemenu$props2.state;
  var minimizable = sidemenu === null || sidemenu === void 0 ? void 0 : (_sidemenu$props3 = sidemenu.props) === null || _sidemenu$props3 === void 0 ? void 0 : _sidemenu$props3.minimizable;
  var menu = sidemenu === null || sidemenu === void 0 ? void 0 : (_sidemenu$props4 = sidemenu.props) === null || _sidemenu$props4 === void 0 ? void 0 : _sidemenu$props4.children;
  var variantOfSidemenu = variant !== null && variant !== void 0 ? variant : 'temporary';
  var sidemenuMinimizable = minimizable !== null && minimizable !== void 0 ? minimizable : false;
  var stateOfSidemenu = state !== null && state !== void 0 ? state : 'hidden';
  var sidemenuVariant = temporaryDrawerActive ? 'temporary' : variantOfSidemenu;
  var _React$useState = React.useState(getPossibleSidemenuState(sidemenuVariant, stateOfSidemenu, sidemenuMinimizable)),
    sidemenuState = _React$useState[0],
    setSidemenuState = _React$useState[1];
  useEffect(function () {
    var state = getPossibleSidemenuState(sidemenuVariant, stateOfSidemenu, sidemenuMinimizable);
    setSidemenuState(state);
  }, [stateOfSidemenu, sidemenuVariant]);
  useEffect(function () {
    if (variantOfSidemenu !== sidemenuVariant) {
      var _state = setTemporarySidemenuState(variantOfSidemenu, sidemenuVariant, sidemenuState !== null && sidemenuState !== void 0 ? sidemenuState : false);
      setSidemenuState(_state);
    }
  }, [sidemenuVariant]);
  var toggleSidemenu = function toggleSidemenu() {
    var state = toggleSidemenuState(sidemenuVariant, sidemenuState);
    setSidemenuState(state);
  };
  return React.createElement(React.Fragment, null, appHeader && React.isValidElement(appHeader) && React.cloneElement(appHeader, {
    sidemenuState: sidemenuState,
    sidemenuVariant: sidemenuVariant,
    toggleSidemenu: toggleSidemenu
  }), menu && sidemenu && React.isValidElement(sidemenu) && React.cloneElement(sidemenu, {
    state: sidemenuState,
    variant: sidemenuVariant,
    toggleSidemenu: toggleSidemenu,
    minimizable: sidemenuMinimizable !== null && sidemenuMinimizable !== void 0 ? sidemenuMinimizable : false
  }), React.createElement(AppContent, Object.assign({
    ref: ref,
    sidemenuState: sidemenuState,
    sidemenuVariant: sidemenuVariant
  }, AppContentProps), children), appFooter && React.isValidElement(appFooter) && React.cloneElement(appFooter, {
    sidemenuState: sidemenuState
  }));
});

var _templateObject$n;
var _excluded$Q = ["position", "sidemenuState"],
  _excluded2$m = ["className", "color", "density", "variant", "sidemenuState", "position", "children"];
var classes$A = {
  root: 'MuiAppFooter-root'
};
var AppFooterRef = React.forwardRef(function (props, ref) {
  var other = _objectWithoutPropertiesLoose(props, _excluded$Q);
  return React.createElement(AppBar, Object.assign({
    ref: ref
  }, other));
});
var AppFooterRoot = styled(AppFooterRef)(_templateObject$n || (_templateObject$n = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var _theme$mixins$sidemen, _theme$mixins$sidemen2, _theme$mixins$sidemen3, _theme$mixins$sidemen4;
  var theme = _ref.theme,
    position = _ref.position,
    sidemenuState = _ref.sidemenuState;
  var sidemenuOpened = sidemenuState === 'expanded' || sidemenuState === 'minimized';
  var miniSidemenu = sidemenuState === 'minimized';
  var sidemenuWidth = (_theme$mixins$sidemen = (_theme$mixins$sidemen2 = theme.mixins.sidemenu) === null || _theme$mixins$sidemen2 === void 0 ? void 0 : _theme$mixins$sidemen2.width) !== null && _theme$mixins$sidemen !== void 0 ? _theme$mixins$sidemen : DEFAULT_MIXINS.sidemenu.width;
  var sidemenuMiniWidth = (_theme$mixins$sidemen3 = (_theme$mixins$sidemen4 = theme.mixins.sidemenu) === null || _theme$mixins$sidemen4 === void 0 ? void 0 : _theme$mixins$sidemen4.minimizedWidth) !== null && _theme$mixins$sidemen3 !== void 0 ? _theme$mixins$sidemen3 : DEFAULT_MIXINS.sidemenu.minimizedWidth;
  return "\n      top: initial;\n      bottom: 0;\n      position: " + (position === 'fixed' ? 'fixed' : 'initial') + ";\n      flex-shrink: 0;\n      transition: " + theme.transitions.create(['margin', 'width'], {
    easing: sidemenuOpened ? theme.transitions.easing.sharp : theme.transitions.easing.easeOut,
    duration: sidemenuOpened ? theme.transitions.duration.leavingScreen : theme.transitions.duration.enteringScreen
  }) + ";\n      width: " + (sidemenuOpened ? "calc(100% - " + (miniSidemenu ? sidemenuMiniWidth : sidemenuWidth) + ")" : '100%') + ";\n      margin-left: " + (sidemenuOpened ? "" + (miniSidemenu ? sidemenuMiniWidth : sidemenuWidth) : "0") + ";\n       " + theme.breakpoints.down('sm') + "{\n         width: 100%; \n         margin-left: 0; \n       }\n    ";
});
var AppFooter = React.forwardRef(function (props, ref) {
  var className = props.className,
    _props$color = props.color,
    color = _props$color === void 0 ? 'default' : _props$color,
    _props$density = props.density,
    density = _props$density === void 0 ? 'dense' : _props$density,
    _props$sidemenuState = props.sidemenuState,
    sidemenuState = _props$sidemenuState === void 0 ? 'hidden' : _props$sidemenuState,
    _props$position = props.position,
    position = _props$position === void 0 ? 'sticky' : _props$position,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded2$m);
  return React.createElement(AppFooterRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$A.root, className),
    square: true,
    color: color,
    position: position,
    sidemenuState: sidemenuState,
    component: 'footer'
  }, other), React.createElement(Toolbar, {
    variant: density
  }, children));
});

var _excluded$R = ["className", "color", "minimized", "children", "dense", "size"],
  _excluded2$n = ["toggleTemporarySidemenu", "minimized", "ListItemProps", "ListItemIconProps", "ListItemTextProps", "className", "disabled", "size"],
  _excluded3$8 = ["color"];
var _templateObject$o;
var classes$B = {
  root: 'MuiSidemenuAction-root',
  actionComponent: 'SidemenuAction-actionComponent'
};
var SidemenuActionComponentStyled = styled(function (_ref) {
  var className = _ref.className,
    children = _ref.children,
    dense = _ref.dense,
    size = _ref.size,
    other = _objectWithoutPropertiesLoose(_ref, _excluded$R);
  return React.createElement(ListItem$1, Object.assign({
    disablePadding: size !== 'large',
    className: (className)
  }, other, {
    dense: dense !== null && dense !== void 0 ? dense : size == 'small'
  }), children);
})(_templateObject$o || (_templateObject$o = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref2) {
  var theme = _ref2.theme,
    minimized = _ref2.minimized,
    color = _ref2.color,
    size = _ref2.size;
  var _color = '';
  var _iconColor = '';
  if (color) {
    if (color === 'default') _color = theme.palette.text.primary;else {
      var palleteColor = getPaletteColor(theme, color);
      if (palleteColor) {
        _color = palleteColor.main;
        _iconColor = palleteColor.main;
      }
    }
  }
  return "\n    " + (_color ? "& .MuiListItemText-root {\n      color: " + _color + ";\n    }" : '') + "\n    " + (_iconColor ? "& .MuiListItemIcon-root {\n      color: " + _iconColor + ";\n      " + (size === 'small' ? 'font-size: 8px;' : '') + "\n    }" : '') + "\n    & ~ .MuiBadge-badge {\n      right: " + (minimized ? '12px;' : '24px;') + "\n      top: " + (minimized ? '25%;' : '50%;') + "\n    }\n  ";
});
var SidemenuActionComponent = function SidemenuActionComponent(props) {
  var icon = props.icon,
    title = props.title,
    onClick = props.onClick,
    minimized = props.minimized,
    ListItemProps = props.ListItemProps,
    ListItemIconProps = props.ListItemIconProps,
    ListItemTextProps = props.ListItemTextProps,
    toggleTemporarySidemenu = props.toggleTemporarySidemenu,
    color = props.color,
    className = props.className,
    size = props.size,
    disabled = props.disabled,
    dense = props.dense;
  var handleClick = function handleClick(e) {
    if (disabled) return;
    if (toggleTemporarySidemenu) toggleTemporarySidemenu(e);
    if (onClick) onClick(e);
  };
  return React.createElement(SidemenuActionComponentStyled, Object.assign({
    className: className,
    minimized: minimized,
    color: color
  }, ListItemProps, {
    onClick: handleClick,
    size: size
  }), React.createElement(ListItemButton, {
    disabled: disabled,
    dense: dense !== null && dense !== void 0 ? dense : size === 'small'
  }, icon && React.createElement(ListItemIcon$1, Object.assign({}, ListItemIconProps), icon), title && React.createElement(ListItemText$1, Object.assign({
    primary: title
  }, ListItemTextProps))));
};
var SidemenuAction = React.forwardRef(function SidemenuActionRender(props, ref) {
  var toggleTemporarySidemenu = props.toggleTemporarySidemenu,
    minimized = props.minimized,
    ListItemProps = props.ListItemProps,
    ListItemIconProps = props.ListItemIconProps,
    ListItemTextProps = props.ListItemTextProps,
    className = props.className,
    disabled = props.disabled,
    size = props.size,
    actionProps = _objectWithoutPropertiesLoose(props, _excluded2$n);
  var color = actionProps.color,
    actionPropsOther = _objectWithoutPropertiesLoose(actionProps, _excluded3$8);
  var sidemenuActionComponentProps = {
    ListItemProps: ListItemProps,
    ListItemIconProps: ListItemIconProps,
    ListItemTextProps: ListItemTextProps,
    minimized: minimized,
    toggleTemporarySidemenu: toggleTemporarySidemenu,
    disabled: disabled,
    size: size
  };
  return React.createElement(Action, Object.assign({
    ref: ref,
    className: buildClassName(classes$B.root, className),
    color: color !== null && color !== void 0 ? color : 'default'
  }, actionPropsOther, {
    Component: SidemenuActionComponent,
    ComponentProps: sidemenuActionComponentProps,
    variant: 'custom',
    disabled: disabled,
    size: size
  }));
});

var _templateObject$p;
var _excluded$S = ["level", "minimizable", "minimized", "children", "className", "color", "size"],
  _excluded2$o = ["children", "expanded", "key", "icon", "expandedIcon", "indentItems", "title", "expandIcon", "collapseIcon", "toggleTemporarySidemenu", "level", "minimizable", "minimized", "color", "ListItemProps", "ListItemIconProps", "ListItemTextProps", "TooltipProps", "tooltip", "CollapseProps", "disabled", "size"];
var classes$C = {
  root: 'MuiSidemenuSubmenu-root',
  action: 'MuiSidemenuSubmenu-action',
  submenu: 'MuiSidemenuSubmenu-submenu'
};
var SidemenuSubmenuRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    className = props.className,
    size = props.size,
    other = _objectWithoutPropertiesLoose(props, _excluded$S);
  return React.createElement(List$1, Object.assign({
    ref: ref,
    disablePadding: size !== 'large',
    dense: size === 'small',
    className: buildClassName(classes$C.root, className)
  }, other), children);
});
var SidemenuSubmenuRoot = styled(SidemenuSubmenuRef)(_templateObject$p || (_templateObject$p = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme,
    level = _ref.level,
    minimizable = _ref.minimizable,
    minimized = _ref.minimized,
    color = _ref.color;
  var _color = '';
  if (color) {
    var palleteColor = getPaletteColor(theme, color);
    if (palleteColor) _color = palleteColor.main;
  }
  return "\n    cursor: pointer;\n\n    & .MuiCollapse-root .MuiListItemButton-root {\n        " + (minimizable && minimized ? '' : "padding-left: " + (level + 1) + "rem;") + "\n    }\n\n    " + (_color ? "& > .MuiListItem-root .MuiListItemText-root, > .MuiListItem-root .MuiListItemIcon-root {\n      color: " + _color + ";\n    }" : '') + "\n\n    & .MuiListItemText-root > span {\n      overflow-x: clip;\n      text-overflow: ellipsis;\n    }\n    ";
});
var SubmenuItem = function SubmenuItem(props) {
  var key = props.key,
    ListItemProps = props.ListItemProps,
    handleClick = props.handleClick,
    ListItemIconProps = props.ListItemIconProps,
    icon = props.icon,
    title = props.title,
    ListItemTextProps = props.ListItemTextProps,
    open = props.open,
    collapseIcon = props.collapseIcon,
    color = props.color,
    expandIcon = props.expandIcon,
    disabled = props.disabled,
    size = props.size;
  var onClick = function onClick(e) {
    if (disabled) return;
    if (handleClick) handleClick(e);
  };
  return React.createElement(ListItem$1, Object.assign({
    key: key,
    disablePadding: size !== 'large',
    dense: size === 'small'
  }, ListItemProps, {
    onClick: onClick
  }), React.createElement(ListItemButton, {
    disabled: disabled,
    dense: size === 'small'
  }, icon && React.createElement(ListItemIcon$1, Object.assign({}, ListItemIconProps), icon), title && React.createElement(ListItemText$1, Object.assign({
    primary: title
  }, ListItemTextProps)), open ? collapseIcon !== null && collapseIcon !== void 0 ? collapseIcon : React.createElement(CollapseIcon, {
    color: color
  }) : expandIcon !== null && expandIcon !== void 0 ? expandIcon : React.createElement(ExpandIcon, {
    color: color
  })));
};
var SubmenuItemWithTooltip = withTooltip(SubmenuItem);
var SidemenuSubmenu = React.forwardRef(function SidemenuSubmenuRender(props, ref) {
  var children = props.children,
    expanded = props.expanded,
    key = props.key,
    icon = props.icon,
    expandedIcon = props.expandedIcon,
    indentItems = props.indentItems,
    title = props.title,
    expandIcon = props.expandIcon,
    collapseIcon = props.collapseIcon,
    toggleTemporarySidemenu = props.toggleTemporarySidemenu,
    level = props.level,
    minimizable = props.minimizable,
    minimized = props.minimized,
    color = props.color,
    ListItemProps = props.ListItemProps,
    ListItemIconProps = props.ListItemIconProps,
    ListItemTextProps = props.ListItemTextProps,
    TooltipProps = props.TooltipProps,
    tooltip = props.tooltip,
    CollapseProps = props.CollapseProps,
    disabled = props.disabled,
    size = props.size,
    other = _objectWithoutPropertiesLoose(props, _excluded2$o);
  var _useState = useState(expanded !== null && expanded !== void 0 ? expanded : false),
    open = _useState[0],
    setOpen = _useState[1];
  var handleClick = function handleClick() {
    setOpen(!open);
  };
  var _level = level !== null && level !== void 0 ? level : 0;
  var _indent = indentItems !== null && indentItems !== void 0 ? indentItems : true;
  var itemsLevel = _indent ? _level + 1 : _level;
  return React.createElement(SidemenuSubmenuRoot, Object.assign({
    ref: ref,
    onClick: function onClick(_) {},
    level: itemsLevel,
    minimizable: minimizable,
    minimized: minimized,
    color: color,
    size: size
  }, other), React.createElement(SubmenuItemWithTooltip, {
    key: key,
    ListItemProps: ListItemProps,
    handleClick: handleClick,
    icon: open ? expandedIcon !== null && expandedIcon !== void 0 ? expandedIcon : icon : icon,
    ListItemIconProps: ListItemIconProps,
    title: title,
    ListItemTextProps: ListItemTextProps,
    open: open,
    collapseIcon: collapseIcon,
    color: color,
    expandIcon: expandIcon,
    tooltip: tooltip,
    TooltipProps: TooltipProps,
    disabled: disabled,
    size: size
  }), React.createElement(Collapse, Object.assign({
    "in": open,
    timeout: 'auto',
    unmountOnExit: true
  }, CollapseProps), React.createElement(List$1, {
    disablePadding: true,
    onClick: function onClick(e) {
      if (toggleTemporarySidemenu) toggleTemporarySidemenu(e);
    }
  }, React.Children.map(children, function (element, index) {
    if (isSidemenuAction(element)) {
      var _element$props, _element$props2, _element$props$size, _element$props3;
      return React.cloneElement(element, {
        className: buildClassName(classes$C.action, element === null || element === void 0 ? void 0 : (_element$props = element.props) === null || _element$props === void 0 ? void 0 : _element$props.className),
        key: index,
        minimized: minimized !== null && minimized !== void 0 ? minimized : false,
        toggleTemporarySidemenu: toggleTemporarySidemenu,
        disabled: disabled ? true : element === null || element === void 0 ? void 0 : (_element$props2 = element.props) === null || _element$props2 === void 0 ? void 0 : _element$props2.disabled,
        size: (_element$props$size = (_element$props3 = element.props) === null || _element$props3 === void 0 ? void 0 : _element$props3.size) !== null && _element$props$size !== void 0 ? _element$props$size : size
      });
    } else if (isSidemenuSubmenu(element)) {
      var _element$props4, _element$props5, _element$props$size2, _element$props6;
      return React.cloneElement(element, {
        className: buildClassName(classes$C.submenu, element === null || element === void 0 ? void 0 : (_element$props4 = element.props) === null || _element$props4 === void 0 ? void 0 : _element$props4.className),
        key: index,
        level: itemsLevel,
        minimizable: minimizable !== null && minimizable !== void 0 ? minimizable : false,
        minimized: minimized !== null && minimized !== void 0 ? minimized : false,
        toggleTemporarySidemenu: toggleTemporarySidemenu,
        expandIcon: expandIcon,
        collapseIcon: collapseIcon,
        disabled: disabled ? true : element === null || element === void 0 ? void 0 : (_element$props5 = element.props) === null || _element$props5 === void 0 ? void 0 : _element$props5.disabled,
        size: (_element$props$size2 = (_element$props6 = element.props) === null || _element$props6 === void 0 ? void 0 : _element$props6.size) !== null && _element$props$size2 !== void 0 ? _element$props$size2 : size
      });
    } else return element;
  }))));
});

var _excluded$T = ["className"];
var classes$D = {
  root: 'MuiSidemenuDivider-root'
};
var SidemenuDivider = React.forwardRef(function SidemenuDividerRender(props, ref) {
  var className = props.className,
    other = _objectWithoutPropertiesLoose(props, _excluded$T);
  return React.createElement(Divider, Object.assign({
    ref: ref,
    className: buildClassName(classes$D.root, className)
  }, other));
});

var _templateObject$q;
var _excluded$U = ["children"];
var TopmenuRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$U);
  return React.createElement(Box, Object.assign({
    ref: ref
  }, other), children);
});
var TopmenuRoot = styled(TopmenuRef)(_templateObject$q || (_templateObject$q = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  _objectDestructuringEmpty(_ref);
  return "  \n    ";
});
var Topmenu = React.forwardRef(function (props, ref) {
  return React.createElement(TopmenuRoot, Object.assign({
    ref: ref,
    display: 'flex',
    flexDirection: 'row',
    flexWrap: 'nowrap',
    gap: 1
  }, props));
});

var _templateObject$r;
var _excluded$V = ["flat", "rounded", "children"],
  _excluded2$p = ["flat", "rounded"];
var TopmenuActionButtonRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$V);
  return React.createElement(ActionButton, Object.assign({
    color: 'inherit',
    ref: ref
  }, other), children);
});
var TopmenuActionButtonRoot = styled(TopmenuActionButtonRef)(_templateObject$r || (_templateObject$r = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var flat = _ref.flat,
    rounded = _ref.rounded;
  return "  \n    color: inherit;\n    " + (flat ? 'box-shadow: none;' : '') + "\n    " + (rounded ? 'border-radius: 24px;' : '') + "\n    & :hover, :active {" + (flat ? 'box-shadow: none!important;' : '') + "}\n    ";
});
var TopmenuActionButton = React.forwardRef(function (props, ref) {
  var _props$flat = props.flat,
    flat = _props$flat === void 0 ? true : _props$flat,
    _props$rounded = props.rounded,
    rounded = _props$rounded === void 0 ? true : _props$rounded,
    other = _objectWithoutPropertiesLoose(props, _excluded2$p);
  return React.createElement(TopmenuActionButtonRoot, Object.assign({
    ref: ref,
    flat: flat,
    rounded: rounded
  }, other));
});

var _templateObject$s;
var _excluded$W = ["flat", "children"],
  _excluded2$q = ["flat"];
var TopmenuActionButtonRef$1 = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$W);
  return React.createElement(ActionIconButton, Object.assign({
    ref: ref
  }, other), children);
});
var TopmenuActionIconButtonRoot = styled(TopmenuActionButtonRef$1)(_templateObject$s || (_templateObject$s = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var flat = _ref.flat;
  return "  \n    color: white;\n    " + (flat ? 'box-shadow: none;' : '') + "\n    & :hover {" + (flat ? 'box-shadow: none!important;' : '') + "}\n    ";
});
var TopmenuActionIconButton = React.forwardRef(function (props, ref) {
  var _props$flat = props.flat,
    flat = _props$flat === void 0 ? true : _props$flat,
    other = _objectWithoutPropertiesLoose(props, _excluded2$q);
  return React.createElement(TopmenuActionIconButtonRoot, Object.assign({
    ref: ref,
    flat: flat
  }, other));
});

var _templateObject$t;
var _excluded$X = ["children"];
var ActionLinkRef$1 = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$X);
  return React.createElement(ActionLink, Object.assign({
    ref: ref
  }, other), children);
});
var TopmenuActionLinkRoot = styled(ActionLinkRef$1)(_templateObject$t || (_templateObject$t = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function () {
  return "  \n    color: white;\n    text-transform: uppercase;\n    font-weight: 500;\n    font-size: 0.875rem;\n    align-items: center;\n    ";
});
var TopmenuActionLink = React.forwardRef(function (props, ref) {
  return React.createElement(TopmenuActionLinkRoot, Object.assign({
    ref: ref
  }, props));
});

var _templateObject$u;
var _excluded$Y = ["sidemenuState", "sidemenuVariant", "variant", "color", "colorAlpha", "hasScroll", "className"],
  _excluded2$r = ["className", "toggleSidemenu", "sidemenuState", "sidemenuVariant", "children", "color", "scrollElevation", "elevation", "colorAlpha", "variant", "menuIcon", "IconButtonProps", "ToolbarProps", "ContentBoxProps"];
var classes$E = {
  root: 'MuiAppHeader-root',
  menu: 'MuiAppHeader-menu',
  content: 'MuiAppHeader-content'
};
var AppHeaderRef = React.forwardRef(function (props, ref) {
  var className = props.className,
    other = _objectWithoutPropertiesLoose(props, _excluded$Y);
  return React.createElement(AppBar$1, Object.assign({
    ref: ref,
    className: buildClassName(classes$E.root, className)
  }, other));
});
var AppHeaderRoot = styled(AppHeaderRef)(_templateObject$u || (_templateObject$u = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (props) {
  var _theme$mixins$sidemen, _theme$mixins$sidemen2, _theme$mixins$sidemen3, _theme$mixins$sidemen4;
  var theme = props.theme,
    sidemenuState = props.sidemenuState,
    sidemenuVariant = props.sidemenuVariant,
    variant = props.variant,
    color = props.color,
    colorAlpha = props.colorAlpha,
    hasScroll = props.hasScroll;
  var sidemenuMinimized = sidemenuState === 'minimized';
  var sidemenuOpened = sidemenuVariant !== 'temporary' && (sidemenuState === 'expanded' || sidemenuState === 'minimized');
  var wide = variant === 'wide';
  var sidemenuWidth = wide ? 0 : sidemenuMinimized ? (_theme$mixins$sidemen = (_theme$mixins$sidemen2 = theme.mixins.sidemenu) === null || _theme$mixins$sidemen2 === void 0 ? void 0 : _theme$mixins$sidemen2.minimizedWidth) !== null && _theme$mixins$sidemen !== void 0 ? _theme$mixins$sidemen : DEFAULT_MIXINS.sidemenu.minimizedWidth : (_theme$mixins$sidemen3 = (_theme$mixins$sidemen4 = theme.mixins.sidemenu) === null || _theme$mixins$sidemen4 === void 0 ? void 0 : _theme$mixins$sidemen4.width) !== null && _theme$mixins$sidemen3 !== void 0 ? _theme$mixins$sidemen3 : DEFAULT_MIXINS.sidemenu.width;
  var palleteColor = getPaletteColor(theme, color);
  var headerColor = palleteColor ? palleteColor.main : color;
  if (color === 'inherit') headerColor = theme.palette.background.paper;
  var headerColorAlpha = hasScroll ? colorAlpha : 1;
  return "\n      z-index: " + (wide ? theme.zIndex.drawer + 1 : theme.zIndex.appBar) + ";\n      background-color: " + (color === 'transparent' ? 'transparent' : headerColor ? alpha(headerColor, headerColorAlpha) : 'inherit') + ";\n      transition: " + theme.transitions.create(['margin', 'width'], {
    easing: sidemenuOpened ? theme.transitions.easing.sharp : theme.transitions.easing.easeOut,
    duration: sidemenuOpened ? theme.transitions.duration.leavingScreen : theme.transitions.duration.enteringScreen
  }) + ";\n\n      & .MuiAppHeader-content{        \n        width: " + (sidemenuOpened ? "calc(100% - " + sidemenuWidth + ")" : '100%') + ";\n        margin-left: " + (sidemenuOpened ? "" + sidemenuWidth : "0") + ";\n        transition: " + theme.transitions.create(['margin-left', 'width'], {
    easing: sidemenuOpened ? theme.transitions.easing.sharp : theme.transitions.easing.easeOut,
    duration: sidemenuOpened ? theme.transitions.duration.leavingScreen : theme.transitions.duration.enteringScreen
  }) + ";\n      }\n\n      & .MuiToolbar-root {        \n        padding-left:" + theme.spacing(2) + ";\n        padding-right:" + theme.spacing(2) + ";        \n      }\n\n      & .MuiAppHeader-menu{\n        padding:" + theme.spacing(1) + ";\n      }\n\n      " + theme.breakpoints.down('sm') + "{\n        width: 100%;  \n        margin-left: 0;\n        min-height: 64px;\n\n        & .MuiToolbar-regular {          \n          min-height: 64px;\n        }\n      }\n    ";
});
var AppHeader = React.forwardRef(function (props, ref) {
  var className = props.className,
    toggleSidemenu = props.toggleSidemenu,
    _props$sidemenuState = props.sidemenuState,
    sidemenuState = _props$sidemenuState === void 0 ? 'hidden' : _props$sidemenuState,
    _props$sidemenuVarian = props.sidemenuVariant,
    sidemenuVariant = _props$sidemenuVarian === void 0 ? 'temporary' : _props$sidemenuVarian,
    children = props.children,
    _props$color = props.color,
    color = _props$color === void 0 ? 'default' : _props$color,
    scrollElevation = props.scrollElevation,
    elevation = props.elevation,
    _props$colorAlpha = props.colorAlpha,
    colorAlpha = _props$colorAlpha === void 0 ? 1 : _props$colorAlpha,
    _props$variant = props.variant,
    variant = _props$variant === void 0 ? 'regular' : _props$variant,
    menuIcon = props.menuIcon,
    IconButtonProps = props.IconButtonProps,
    ToolbarProps = props.ToolbarProps,
    ContentBoxProps = props.ContentBoxProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$r);
  var _useState = useState(false),
    hasScroll = _useState[0],
    setHasScroll = _useState[1];
  var onScroll = function onScroll(scroll) {
    setHasScroll(scroll);
  };
  return React.createElement(ElevationScroll, {
    scrollElevation: color === 'transparent' ? 0 : scrollElevation,
    elevation: color === 'transparent' ? 0 : elevation,
    onScroll: onScroll
  }, React.createElement(AppHeaderRoot, Object.assign({
    className: className,
    ref: ref,
    sidemenuState: sidemenuState,
    sidemenuVariant: sidemenuVariant,
    position: 'fixed',
    component: 'header',
    color: color,
    colorAlpha: colorAlpha,
    hasScroll: hasScroll,
    variant: variant
  }, other), React.createElement(Toolbar$1, Object.assign({
    variant: 'regular'
  }, ToolbarProps), React.createElement(IconButton$1, Object.assign({
    className: classes$E.menu,
    onClick: function onClick(_) {
      if (toggleSidemenu) toggleSidemenu();
    },
    edge: 'start',
    color: 'inherit'
  }, IconButtonProps), menuIcon !== null && menuIcon !== void 0 ? menuIcon : React.createElement(MenuIcon, null)), React.createElement(Box, Object.assign({
    flexGrow: 1,
    className: classes$E.content
  }, ContentBoxProps), children))));
});

var _excluded$Z = ["className", "ItemGridProps", "children"],
  _excluded2$s = ["xs", "sm", "md", "lg", "xl", "size"];
var classes$F = {
  root: 'MuiDashboardLayout-root',
  part: 'MuiDashboardLayout-part'
};
var DashboardLayout = React.forwardRef(function (props, ref) {
  var className = props.className,
    ItemGridProps = props.ItemGridProps,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$Z);
  return React.createElement(Grid, Object.assign({
    ref: ref,
    className: buildClassName(classes$F.root, className),
    container: true,
    spacing: 2
  }, other), React.Children.map(children, function (element, index) {
    if (!React.isValidElement(element)) return React.createElement(React.Fragment, null);
    var _element$props = element.props,
      xs = _element$props.xs,
      sm = _element$props.sm,
      md = _element$props.md,
      lg = _element$props.lg,
      xl = _element$props.xl,
      _element$props$size = _element$props.size,
      size = _element$props$size === void 0 ? 'medium' : _element$props$size,
      elementOther = _objectWithoutPropertiesLoose(_element$props, _excluded2$s);
    return React.createElement(Grid, Object.assign({
      key: index,
      item: true,
      xs: xs !== null && xs !== void 0 ? xs : 12,
      sm: sm !== null && sm !== void 0 ? sm : size === 'extra-small' ? 3 : size === 'small' ? 6 : 12,
      md: md !== null && md !== void 0 ? md : size === 'extra-small' ? 1 : size === 'small' ? 3 : size === 'medium' ? 6 : size === 'large' ? 12 : 12,
      lg: lg !== null && lg !== void 0 ? lg : size === 'extra-small' ? 1 : size === 'small' ? 3 : size === 'medium' ? 6 : size === 'large' ? 12 : 12,
      xl: xl !== null && xl !== void 0 ? xl : size === 'extra-small' ? 1 : size === 'small' ? 2 : size === 'medium' ? 4 : size === 'large' ? 6 : 12,
      className: classes$F.part
    }, ItemGridProps), React.cloneElement(element, _extends({}, elementOther)));
  }));
});

var _excluded$_ = ["className"],
  _excluded2$t = ["children", "breakpoint", "columns", "className"];
var _templateObject$v;
var classes$G = {
  root: 'MuiColumnsLayout-root',
  column: 'MuiColumnsLayout-column',
  breakpoint: 'MuiColumnsLayout-breakpoint',
  breakpointXs: 'MuiColumnsLayout-breakpoint-xs',
  breakpointSm: 'MuiColumnsLayout-breakpoint-sm',
  breakpointMd: 'MuiColumnsLayout-breakpoint-md',
  breakpointLg: 'MuiColumnsLayout-breakpoint-lg'
};
var Column = styled(function (_ref) {
  var className = _ref.className,
    other = _objectWithoutPropertiesLoose(_ref, _excluded$_);
  return React.createElement(Grid, Object.assign({
    className: buildClassName(className, classes$G.column)
  }, other));
})(_templateObject$v || (_templateObject$v = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function () {
  return "\n      display: flex;\n      flex-direction: column;    \n    ";
});
var ColumnsLayout = React.forwardRef(function (props, ref) {
  var _ref2 = props !== null && props !== void 0 ? props : {},
    children = _ref2.children,
    breakpoint = _ref2.breakpoint,
    columns = _ref2.columns,
    className = _ref2.className,
    other = _objectWithoutPropertiesLoose(_ref2, _excluded2$t);
  var numberOfColumns = React.Children.count(children);
  var _columns = columns !== null && columns !== void 0 ? columns : numberOfColumns;
  var xl = 1;
  var lg = 1;
  var md = 1;
  var sm = 1;
  var xs = 1;
  var _breakpoint = breakpoint !== null && breakpoint !== void 0 ? breakpoint : 'sm';
  var breakpointClasses = '';
  if (_breakpoint === 'xs') {
    breakpointClasses = buildClassName(classes$G.breakpoint, classes$G.breakpointXs);
    xs = _columns;
  } else if (_breakpoint === 'sm') {
    breakpointClasses = buildClassName(classes$G.breakpoint, classes$G.breakpointSm);
    xs = _columns;
    sm = _columns;
  } else if (_breakpoint === 'md') {
    breakpointClasses = buildClassName(classes$G.breakpoint, classes$G.breakpointMd);
    xs = _columns;
    sm = _columns;
    md = _columns;
  } else if (_breakpoint === 'lg') {
    breakpointClasses = buildClassName(classes$G.breakpoint, classes$G.breakpointLg);
    xs = _columns;
    sm = _columns;
    md = _columns;
    lg = _columns;
  }
  return React.createElement(Grid, Object.assign({
    ref: ref,
    className: buildClassName(classes$G.root, className, breakpointClasses),
    container: true,
    spacing: 3,
    columns: _columns
  }, other), children && numberOfColumns > 0 && React.Children.map(children, function (column, index) {
    return React.createElement(Column, {
      item: true,
      key: index,
      xl: xl,
      lg: lg,
      md: md,
      sm: sm,
      xs: xs
    }, column);
  }));
});

var setItem = function setItem(key, value) {
  window.localStorage.setItem(key, JSON.stringify(value));
};
var getItem = function getItem(key, defaultValue) {
  var value = window.localStorage.getItem(key);
  if (value) {
    return JSON.parse(value);
  }
  if (defaultValue) {
    return defaultValue;
  }
};
function getCookie(key) {
  var b = document.cookie.match('(^|;)\\s*' + key + '\\s*=\\s*([^;]+)');
  return b ? b.pop() : '';
}

var LOCAL_STORAGE_THEME_KEY = 'theme';
var useMuiTheme = function useMuiTheme(props) {
  var defaultThemeName = props.themeName,
    loadThemeName = props.getThemeName,
    persistThemeName = props.setThemeName,
    themes = props.themes;
  var _useState = useState(defaultThemeName),
    themeName = _useState[0],
    setThemeName = _useState[1];
  var _useState2 = useState({}),
    theme = _useState2[0],
    setLocalTheme = _useState2[1];
  var _useState3 = useState(false),
    themeLoaded = _useState3[0],
    setThemeLoaded = _useState3[1];
  var setTheme = function setTheme(themeName) {
    setThemeLoaded(false);
    persistThemeName ? persistThemeName(themeName) : setItem(LOCAL_STORAGE_THEME_KEY, themeName);
    set(themeName);
  };
  useEffect(function () {
    var name = loadThemeName ? loadThemeName() : getItem(LOCAL_STORAGE_THEME_KEY);
    set(name !== null && name !== void 0 ? name : defaultThemeName);
  }, []);
  var set = function set(themeName) {
    var currentTheme = themes.find(function (t) {
      return t.name === themeName;
    });
    if (currentTheme) {
      setThemeName(themeName);
      setLocalTheme(currentTheme.theme);
      setThemeLoaded(true);
    }
  };
  return {
    theme: theme,
    themeName: themeName,
    themeLoaded: themeLoaded,
    setTheme: setTheme
  };
};

var AppThemeContext = React.createContext({
  theme: {},
  themeName: '',
  setTheme: function setTheme(_) {}
});
var useAppThemeContext = function useAppThemeContext() {
  return React.useContext(AppThemeContext);
};
var AppThemeProvider = AppThemeContext.Provider;
var AppThemeConsumer = AppThemeContext.Consumer;

// A type of promise-like that resolves synchronously and supports only one observer
const _Pact = /*#__PURE__*/(function() {
	function _Pact() {}
	_Pact.prototype.then = function(onFulfilled, onRejected) {
		const result = new _Pact();
		const state = this.s;
		if (state) {
			const callback = state & 1 ? onFulfilled : onRejected;
			if (callback) {
				try {
					_settle(result, 1, callback(this.v));
				} catch (e) {
					_settle(result, 2, e);
				}
				return result;
			} else {
				return this;
			}
		}
		this.o = function(_this) {
			try {
				const value = _this.v;
				if (_this.s & 1) {
					_settle(result, 1, onFulfilled ? onFulfilled(value) : value);
				} else if (onRejected) {
					_settle(result, 1, onRejected(value));
				} else {
					_settle(result, 2, value);
				}
			} catch (e) {
				_settle(result, 2, e);
			}
		};
		return result;
	};
	return _Pact;
})();

// Settles a pact synchronously
function _settle(pact, state, value) {
	if (!pact.s) {
		if (value instanceof _Pact) {
			if (value.s) {
				if (state & 1) {
					state = value.s;
				}
				value = value.v;
			} else {
				value.o = _settle.bind(null, pact, state);
				return;
			}
		}
		if (value && value.then) {
			value.then(_settle.bind(null, pact, state), _settle.bind(null, pact, 2));
			return;
		}
		pact.s = state;
		pact.v = value;
		const observer = pact.o;
		if (observer) {
			observer(pact);
		}
	}
}

function _isSettledPact(thenable) {
	return thenable instanceof _Pact && thenable.s & 1;
}

const _iteratorSymbol = /*#__PURE__*/ typeof Symbol !== "undefined" ? (Symbol.iterator || (Symbol.iterator = Symbol("Symbol.iterator"))) : "@@iterator";

const _asyncIteratorSymbol = /*#__PURE__*/ typeof Symbol !== "undefined" ? (Symbol.asyncIterator || (Symbol.asyncIterator = Symbol("Symbol.asyncIterator"))) : "@@asyncIterator";

// Asynchronously implement a generic for loop
function _for(test, update, body) {
	var stage;
	for (;;) {
		var shouldContinue = test();
		if (_isSettledPact(shouldContinue)) {
			shouldContinue = shouldContinue.v;
		}
		if (!shouldContinue) {
			return result;
		}
		if (shouldContinue.then) {
			stage = 0;
			break;
		}
		var result = body();
		if (result && result.then) {
			if (_isSettledPact(result)) {
				result = result.s;
			} else {
				stage = 1;
				break;
			}
		}
		if (update) {
			var updateValue = update();
			if (updateValue && updateValue.then && !_isSettledPact(updateValue)) {
				stage = 2;
				break;
			}
		}
	}
	var pact = new _Pact();
	var reject = _settle.bind(null, pact, 2);
	(stage === 0 ? shouldContinue.then(_resumeAfterTest) : stage === 1 ? result.then(_resumeAfterBody) : updateValue.then(_resumeAfterUpdate)).then(void 0, reject);
	return pact;
	function _resumeAfterBody(value) {
		result = value;
		do {
			if (update) {
				updateValue = update();
				if (updateValue && updateValue.then && !_isSettledPact(updateValue)) {
					updateValue.then(_resumeAfterUpdate).then(void 0, reject);
					return;
				}
			}
			shouldContinue = test();
			if (!shouldContinue || (_isSettledPact(shouldContinue) && !shouldContinue.v)) {
				_settle(pact, 1, result);
				return;
			}
			if (shouldContinue.then) {
				shouldContinue.then(_resumeAfterTest).then(void 0, reject);
				return;
			}
			result = body();
			if (_isSettledPact(result)) {
				result = result.v;
			}
		} while (!result || !result.then);
		result.then(_resumeAfterBody).then(void 0, reject);
	}
	function _resumeAfterTest(shouldContinue) {
		if (shouldContinue) {
			result = body();
			if (result && result.then) {
				result.then(_resumeAfterBody).then(void 0, reject);
			} else {
				_resumeAfterBody(result);
			}
		} else {
			_settle(pact, 1, result);
		}
	}
	function _resumeAfterUpdate() {
		if (shouldContinue = test()) {
			if (shouldContinue.then) {
				shouldContinue.then(_resumeAfterTest).then(void 0, reject);
			} else {
				_resumeAfterTest(shouldContinue);
			}
		} else {
			_settle(pact, 1, result);
		}
	}
}

// Asynchronously call a function and send errors to recovery continuation
function _catch(body, recover) {
	try {
		var result = body();
	} catch(e) {
		return recover(e);
	}
	if (result && result.then) {
		return result.then(void 0, recover);
	}
	return result;
}

// Asynchronously await a promise and pass the result to a finally continuation
function _finallyRethrows(body, finalizer) {
	try {
		var result = body();
	} catch (e) {
		return finalizer(true, e);
	}
	if (result && result.then) {
		return result.then(finalizer.bind(null, false), finalizer.bind(null, true));
	}
	return finalizer(false, result);
}

var sleep = function sleep(ms) {
  try {
    return Promise.resolve(new Promise(function (r) {
      return setTimeout(r, ms);
    })).then(function () {});
  } catch (e) {
    return Promise.reject(e);
  }
};
var DEFAULT_DELAY = 500;

var arrayBufferToBase64 = function arrayBufferToBase64(buffer) {
  var binary = '';
  var bytes = new Uint8Array(buffer);
  var len = bytes.byteLength;
  for (var i = 0; i < len; i++) {
    binary += String.fromCharCode(bytes[i]);
  }
  return window.btoa(binary);
};
var readFileContent = function readFileContent(file) {
  try {
    var ready = false;
    var result = '';
    var reader = new FileReader();
    reader.onloadend = function (evt) {
      result = evt.target.result;
      ready = true;
    };
    reader.readAsArrayBuffer(file);
    var _temp = _for(function () {
      return ready === false;
    }, void 0, function () {
      return Promise.resolve(sleep(100)).then(function () {});
    });
    return Promise.resolve(_temp && _temp.then ? _temp.then(function () {
      return result;
    }) : result);
  } catch (e) {
    return Promise.reject(e);
  }
};
function urlToFile(url, filename, mimeType) {
  return fetch(url).then(function (res) {
    return res.arrayBuffer();
  }).then(function (buf) {
    return new File([buf], filename, {
      type: mimeType
    });
  });
}

var xor = function xor(a, b) {
  var ab = a && !b || !a && b;
  for (var _len = arguments.length, other = new Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {
    other[_key - 2] = arguments[_key];
  }
  if (other.length === 0) return ab;
  other.forEach(function (c) {
    ab = ab && !c || !ab && c;
  });
  return ab;
};

var defaultMinDate = new Date('0001-01-01');
var defaultMaxDate = new Date('9999-12-31');
var dateToHHmm = function dateToHHmm(date) {
  if (date === undefined || date === null) {
    return undefined;
  }
  var h = date.getHours();
  var m = date.getMinutes();
  return "" + (h < 10 ? '0' : '') + h + ":" + (m < 10 ? '0' : '') + m;
};
var dateFromHHmm = function dateFromHHmm(time) {
  if (time === undefined || time === null || time.length < 5) {
    return undefined;
  }
  var date = new Date();
  var h = +time.substring(0, 2);
  date.setHours(h);
  var m = +time.substring(3, 5);
  date.setMinutes(m);
  return date;
};
var today = function today() {
  var result = new Date();
  result.setHours(0, 0, 0, 0);
  return result;
};
var tomorrow = function tomorrow() {
  var result = new Date();
  result.setDate(result.getDate() + 1);
  return result;
};
var addDays = function addDays(date, days) {
  date.setDate(date.getDate() + days);
  return date;
};
var isValidPeriod = function isValidPeriod(dateStart, dateEnd, equalIsValid) {
  if (equalIsValid === void 0) {
    equalIsValid = false;
  }
  return !dateStart || !dateEnd || dateStart <= dateEnd || equalIsValid && dateStart === dateEnd;
};

var parseJwt = function parseJwt(token) {
  var base64Url = token.split('.')[1];
  var base64 = base64Url.replace('-', '+').replace('_', '/');
  return JSON.parse(Buffer.from(base64, 'base64').toString());
};

var random = function random(max, min) {
  var _min;
  min = Math.ceil((_min = min) !== null && _min !== void 0 ? _min : 0);
  max = Math.floor(max);
  return Math.floor(Math.random() * (max - min) + min);
};

var shouldHide = function shouldHide(theme, hiddenBreakpoint) {
  switch (hiddenBreakpoint) {
    case 'lgDown':
      return theme.breakpoints.down('lg');
    case 'lgUp':
      return theme.breakpoints.up('lg');
    case 'mdDown':
      return theme.breakpoints.down('md');
    case 'mdUp':
      return theme.breakpoints.up('md');
    case 'smDown':
      return theme.breakpoints.down('sm');
    case 'smUp':
      return theme.breakpoints.up('sm');
    case 'xlUp':
      return theme.breakpoints.down('xl');
    case 'xlDown':
      return theme.breakpoints.up('xl');
    case 'xsDown':
      return theme.breakpoints.down('xs');
    case 'xsUp':
      return theme.breakpoints.up('xs');
  }
  return undefined;
};

var getOptionLabel = function getOptionLabel(options, id) {
  var _options$find$label, _options$find;
  return (_options$find$label = options === null || options === void 0 ? void 0 : (_options$find = options.find(function (o) {
    return o.id === id;
  })) === null || _options$find === void 0 ? void 0 : _options$find.label) !== null && _options$find$label !== void 0 ? _options$find$label : id;
};
var getOption = function getOption(options, id) {
  return options === null || options === void 0 ? void 0 : options.find(function (o) {
    return o.id === id;
  });
};
var getColor = function getColor(options, id) {
  var _options$find2;
  return options === null || options === void 0 ? void 0 : (_options$find2 = options.find(function (o) {
    return o.id === id;
  })) === null || _options$find2 === void 0 ? void 0 : _options$find2.color;
};
var getOptions = function getOptions(options, item) {
  return isFunction(options) ? options(item) : options;
};

var getTitle = function getTitle(title, data) {
  var maybeFunction = title;
  if (isFunction(maybeFunction)) return maybeFunction(data);
  return title;
};

var includesAny = function includesAny(values, searchValue) {
  if (!values || values.length === 0) {
    return false;
  }
  for (var i = 0; i < values.length; i++) {
    if (includes(values[i], searchValue)) {
      return true;
    }
  }
  return false;
};
var includes = function includes(value, searchValue) {
  if (!searchValue) {
    return true;
  }
  if (value === searchValue) {
    return true;
  }
  if (value == searchValue) {
    return true;
  }
  if (!value && !searchValue) {
    return true;
  }
  var v = String(value);
  if (!v) {
    return false;
  }
  var s = String(searchValue);
  return v.toLowerCase().includes(s.toLowerCase());
};
var applyFilter = function applyFilter(items, values, filter) {
  var value = values[filter];
  if (value) {
    try {
      return items.filter(function (i) {
        var v = getValue(i, filter);
        return v ? includes(v, value) : i;
      });
    } catch (e) {
      console.error(e);
    }
  }
  return items;
};
var applyAnyFilter = function applyAnyFilter(items, values, filter, props) {
  var value = values[filter];
  if (value) {
    try {
      return items.filter(function (i) {
        return includesAny(getValues(i, props), value);
      });
    } catch (e) {
      console.error(e);
    }
  }
  return items;
};
var applyFilters = function applyFilters(items, values, map) {
  for (var filter in values) {
    if (map && filter in map) {
      items = applyAnyFilter(items, values, filter, map[filter]);
    } else {
      items = applyFilter(items, values, filter);
    }
  }
  return items;
};
var applySorting = function applySorting(items, sortBy, asc) {
  if (asc === void 0) {
    asc = true;
  }
  items.sort(function (a, b) {
    return a[sortBy] > b[sortBy] ? asc ? 1 : -1 : a[sortBy] < b[sortBy] ? asc ? -1 : 1 : 0;
  });
};
var applyPaging = function applyPaging(items, page, rowsPerPage) {
  if (items.length < rowsPerPage) {
    rowsPerPage = items.length;
    page = 0;
  }
  var start = page * rowsPerPage;
  var end = start + rowsPerPage;
  return items.slice(start, end);
};
var randomError = function randomError(frequency, message, minCode, maxCode) {
  if (frequency = 0) return undefined;
  if (frequency > 100) frequency = 100;
  var r = random(100 / frequency);
  if (r === 0) {
    var code = random(maxCode !== null && maxCode !== void 0 ? maxCode : 1000, minCode);
    var errors = [{
      severity: 'error',
      code: code,
      message: message !== null && message !== void 0 ? message : 'Something went wrong'
    }];
    return new ServiceResponse(false, undefined, errors);
  }
  return undefined;
};
var MemoryService = function MemoryService(enableLog) {
  var _this = this,
    _this2 = this,
    _this3 = this,
    _this4 = this,
    _this5 = this;
  this.enableLog = false;
  this.getList = function (items, filters, page, rowsPerPage, options) {
    try {
      var _temp2 = function _temp2() {
        try {
          items = applyFilters(items, filters, filtersMap);
          totalCount = items.length;
          if (sortBy) applySorting(items, sortBy, sortDirection === 'dsc' ? false : true);
          items = applyPaging(items, page, rowsPerPage);
        } catch (e) {
          return new ServiceResponse(false, undefined, [{
            severity: 'error',
            code: undefined,
            message: String(e)
          }]);
        }
        var result = new ServiceResponse(true, new ListWithTotalCount(items, totalCount));
        return result;
      };
      if (_this.enableLog) {
        console.debug('MemoryService.getList', {
          items: items,
          filters: filters,
          page: page,
          rowsPerPage: rowsPerPage,
          options: options
        });
      }
      if (items === undefined) {
        return Promise.resolve(serviceError('items not provided'));
      }
      var totalCount = 0;
      var _ref = options !== null && options !== void 0 ? options : {},
        filtersMap = _ref.filtersMap,
        sleepDuration = _ref.sleepDuration,
        errorFrequency = _ref.errorFrequency,
        errorMessage = _ref.errorMessage,
        sortBy = _ref.sortBy,
        sortDirection = _ref.sortDirection;
      var _errorFrequency = errorFrequency !== null && errorFrequency !== void 0 ? errorFrequency : 10;
      if (_errorFrequency) {
        var error = randomError(_errorFrequency, errorMessage);
        if (error) return Promise.resolve(error);
      }
      var _sleepDuration = sleepDuration !== null && sleepDuration !== void 0 ? sleepDuration : 200;
      var _temp = function () {
        if (_sleepDuration > 0) return Promise.resolve(sleep(_sleepDuration)).then(function () {});
      }();
      return Promise.resolve(_temp && _temp.then ? _temp.then(_temp2) : _temp2(_temp));
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.get = function (items, params, options) {
    try {
      var _temp4 = function _temp4() {
        var _items = items;
        if (_items && items.length > 0) {
          var _loop = function _loop(p) {
            _items = _items.filter(function (i) {
              var v = getValue(i, p);
              return v ? v == params[p] : i;
            });
          };
          for (var p in params) {
            _loop(p);
          }
        }
        var item = _items && _items.length > 0 ? _items[0] : undefined;
        if (item) {
          return new ServiceResponse(true, item);
        } else return notFoundError();
      };
      if (_this2.enableLog) {
        console.debug('MemoryService.getItem', {
          items: items,
          params: params,
          options: options
        });
      }
      if (items === undefined) {
        return Promise.resolve(serviceError('items not provided'));
      }
      var _ref2 = options !== null && options !== void 0 ? options : {},
        sleepDuration = _ref2.sleepDuration,
        errorFrequency = _ref2.errorFrequency,
        errorMessage = _ref2.errorMessage;
      var _errorFrequency = errorFrequency !== null && errorFrequency !== void 0 ? errorFrequency : 10;
      if (_errorFrequency) {
        var error = randomError(_errorFrequency, errorMessage);
        if (error) return Promise.resolve(error);
      }
      var _sleepDuration = sleepDuration !== null && sleepDuration !== void 0 ? sleepDuration : 200;
      var _temp3 = function () {
        if (_sleepDuration > 0) return Promise.resolve(sleep(_sleepDuration)).then(function () {});
      }();
      return Promise.resolve(_temp3 && _temp3.then ? _temp3.then(_temp4) : _temp4(_temp3));
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.add = function (items, item, options) {
    try {
      var _temp6 = function _temp6() {
        var _validationErrorFrequency = validationErrorFrequency !== null && validationErrorFrequency !== void 0 ? validationErrorFrequency : 5;
        if (_validationErrorFrequency) {
          var error = randomError(_validationErrorFrequency, validationErrorMessage, 400, 499);
          if (error) return error;
        }
        items.push(item);
        return new ServiceResponse(true, item);
      };
      if (_this3.enableLog) {
        console.debug('MemoryService.addItem', {
          items: items,
          item: item,
          options: options
        });
      }
      if (items === undefined) {
        return Promise.resolve(serviceError('items not provided'));
      }
      if (items === undefined) {
        return Promise.resolve(serviceError('item not provided'));
      }
      var _ref3 = options !== null && options !== void 0 ? options : {},
        sleepDuration = _ref3.sleepDuration,
        errorFrequency = _ref3.errorFrequency,
        errorMessage = _ref3.errorMessage,
        validationErrorFrequency = _ref3.validationErrorFrequency,
        validationErrorMessage = _ref3.validationErrorMessage;
      var _errorFrequency = errorFrequency !== null && errorFrequency !== void 0 ? errorFrequency : 10;
      if (_errorFrequency) {
        var error = randomError(_errorFrequency, errorMessage, 500, 599);
        if (error) return Promise.resolve(error);
      }
      var _sleepDuration = sleepDuration !== null && sleepDuration !== void 0 ? sleepDuration : 200;
      var _temp5 = function () {
        if (_sleepDuration > 0) return Promise.resolve(sleep(_sleepDuration)).then(function () {});
      }();
      return Promise.resolve(_temp5 && _temp5.then ? _temp5.then(_temp6) : _temp6(_temp5));
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.updateItem = function (items, params, item, options) {
    try {
      if (_this4.enableLog) {
        console.debug('MemoryService.updateItem', {
          items: items,
          params: params,
          item: item,
          options: options
        });
      }
      if (items === undefined) {
        return Promise.resolve(serviceError('items not provided'));
      }
      if (items === undefined) {
        return Promise.resolve(serviceError('item not provided'));
      }
      var _ref4 = options !== null && options !== void 0 ? options : {},
        sleepDuration = _ref4.sleepDuration,
        errorFrequency = _ref4.errorFrequency,
        errorMessage = _ref4.errorMessage,
        validationErrorFrequency = _ref4.validationErrorFrequency,
        validationErrorMessage = _ref4.validationErrorMessage;
      var _errorFrequency = errorFrequency !== null && errorFrequency !== void 0 ? errorFrequency : 10;
      if (_errorFrequency) {
        var error = randomError(_errorFrequency, errorMessage, 500, 599);
        if (error) return Promise.resolve(error);
      }
      return Promise.resolve(_this4.get(items, params, {
        sleepDuration: sleepDuration,
        errorFrequency: errorFrequency,
        errorMessage: errorMessage
      })).then(function (getResponse) {
        if (!getResponse || !getResponse.ok) {
          return notFoundError();
        }
        var targetItem = getResponse === null || getResponse === void 0 ? void 0 : getResponse.response;
        if (!targetItem) {
          return notFoundError();
        }
        var _validationErrorFrequency = validationErrorFrequency !== null && validationErrorFrequency !== void 0 ? validationErrorFrequency : 5;
        if (_validationErrorFrequency) {
          var validationError = randomError(_validationErrorFrequency, validationErrorMessage, 400, 499);
          if (validationError) return validationError;
        }
        var index = items.indexOf(targetItem);
        if (index === -1) {
          return serviceError('Update failed');
        }
        items[index] = item;
        return new ServiceResponse(true);
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this["delete"] = function (items, params, options) {
    try {
      if (_this5.enableLog) {
        console.debug('MemoryService.deleteItem', {
          items: items,
          params: params,
          options: options
        });
      }
      if (items === undefined) {
        return Promise.resolve(serviceError('items not provided'));
      }
      if (items === undefined) {
        return Promise.resolve(serviceError('item not provided'));
      }
      var _ref5 = options !== null && options !== void 0 ? options : {},
        sleepDuration = _ref5.sleepDuration,
        errorFrequency = _ref5.errorFrequency,
        errorMessage = _ref5.errorMessage,
        validationErrorFrequency = _ref5.validationErrorFrequency,
        validationErrorMessage = _ref5.validationErrorMessage;
      var _errorFrequency = errorFrequency !== null && errorFrequency !== void 0 ? errorFrequency : 10;
      if (_errorFrequency) {
        var error = randomError(_errorFrequency, errorMessage, 500, 599);
        if (error) return Promise.resolve(error);
      }
      return Promise.resolve(_this5.get(items, params, {
        sleepDuration: sleepDuration,
        errorFrequency: errorFrequency,
        errorMessage: errorMessage
      })).then(function (getResponse) {
        if (!getResponse || !getResponse.ok) {
          return notFoundError();
        }
        var targetItem = getResponse === null || getResponse === void 0 ? void 0 : getResponse.response;
        if (!targetItem) {
          return notFoundError();
        }
        var _validationErrorFrequency = validationErrorFrequency !== null && validationErrorFrequency !== void 0 ? validationErrorFrequency : 5;
        if (_validationErrorFrequency) {
          var validationError = randomError(_validationErrorFrequency, validationErrorMessage, 400, 499);
          if (validationError) return validationError;
        }
        var index = items.indexOf(targetItem);
        if (index === -1) {
          return serviceError('Delete failed');
        }
        delete items[index];
        return new ServiceResponse(true);
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.enableLog = enableLog !== null && enableLog !== void 0 ? enableLog : false;
};

function useBackgroundService(getData, enabled, interval) {
  if (enabled === void 0) {
    enabled = true;
  }
  if (interval === void 0) {
    interval = 1000;
  }
  var _useState = useState(null),
    backgroundService = _useState[0],
    setBackgroundService = _useState[1];
  useEffect(function () {
    var bgService = setInterval(function () {
      if (getData && enabled) getData();
    }, interval);
    function cleanup() {
      clearInterval(bgService);
    }
    setBackgroundService(bgService);
    return cleanup;
  }, []);
  return backgroundService;
}

var getHeaders = function getHeaders() {
  return Promise.resolve({
    'Content-Type': 'application/json'
  });
};
function getFormDataHeaders() {
  return {};
}
var handleErrors = function handleErrors(response, data) {
  console.log('fetchService.handleErrors', response, data);
  if (data.errors && data.errors.length > 0) {
    return data === null || data === void 0 ? void 0 : data.errors;
  }
  var code = data === null || data === void 0 ? void 0 : data.status;
  if (!code) {
    code = response === null || response === void 0 ? void 0 : response.status;
  }
  if (!code) {
    code = 500;
  }
  var message = data === null || data === void 0 ? void 0 : data.detail;
  if (!message) {
    message = response === null || response === void 0 ? void 0 : response.statusText;
  }
  if (!message) {
    message = data === null || data === void 0 ? void 0 : data.title;
  }
  return {
    code: code,
    message: message
  };
};
var FetchService = function FetchService(options) {
  var _this2 = this;
  var _this = this,
    _this3 = this,
    _this4 = this,
    _this5 = this,
    _this6 = this,
    _this7 = this,
    _this8 = this,
    _this9 = this,
    _this10 = this,
    _this11 = this,
    _this12 = this,
    _this13 = this,
    _this14 = this;
  this._getHeaders = function () {
    try {
      return Promise.resolve(_this.options.getHeaders ? _this.options.getHeaders() : getHeaders());
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this._getFormDataHeaders = function () {
    var _this2$options;
    return (_this2$options = _this2.options) !== null && _this2$options !== void 0 && _this2$options.getFormDataHeaders ? _this2.options.getFormDataHeaders() : getFormDataHeaders();
  };
  this._getMessage = function (code, defaultMessage) {
    var _this2$options2;
    return (_this2$options2 = _this2.options) !== null && _this2$options2 !== void 0 && _this2$options2.getMessage ? _this2.options.getMessage(code, defaultMessage) : defaultMessage;
  };
  this._getInit = function () {
    if (_this2.options.getInit) {
      return _this2.options.getInit();
    } else {
      return {};
    }
  };
  this._handleErrors = function (response) {
    try {
      return Promise.resolve(response.json().then(function (data) {
        var _this3$options;
        return (_this3$options = _this3.options) !== null && _this3$options !== void 0 && _this3$options.handleErrors ? _this3.options.handleErrors(response, data) : handleErrors(response, data);
      }));
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.undefinedResponse = function () {
    var code = 'response-is-undefined';
    return {
      ok: false,
      data: {
        code: code,
        severity: 'error',
        message: _this2._getMessage(code, 'Response is undefined')
      }
    };
  };
  this.networkErrorResponse = function () {
    var code = 'network-error';
    return {
      ok: false,
      data: {
        code: code,
        severity: 'error',
        message: _this2._getMessage(code, 'Server is not accessible. Check your connection or contact your system administrator.')
      }
    };
  };
  this.get = function (url, init, transformResponseData) {
    try {
      _this4.log('FetchService.get', url, init);
      var requestInit = init !== null && init !== void 0 ? init : _this4._getInit();
      return Promise.resolve(_this4._getHeaders()).then(function (_this4$_getHeaders) {
        var _init = _extends({
          headers: _this4$_getHeaders
        }, requestInit, {
          method: 'GET'
        });
        var ok = false;
        return Promise.resolve(fetch(url, _init).then(function (response) {
          try {
            var _exit = false;
            _this4.log('FetchService.get.response', response);
            if (response === undefined) {
              return Promise.resolve(undefined);
            } else if (!response.ok) {
              var errors = _this4._handleErrors(response);
              return Promise.resolve(errors);
            } else {
              ok = true;
              var contentType = response.headers.get('content-type');
              var _temp = function () {
                if (contentType && contentType.includes('application/json')) {
                  return Promise.resolve(response.json()).then(function (_await$response$json) {
                    _exit = true;
                    return _await$response$json;
                  });
                } else return function () {
                  if (contentType && contentType.startsWith('image')) {
                    return Promise.resolve(response.blob()).then(function (_await$response$blob) {
                      _exit = true;
                      return _await$response$blob;
                    });
                  }
                }();
              }();
              return Promise.resolve(_temp && _temp.then ? _temp.then(function (_result) {
                return _exit ? _result : response;
              }) : _exit ? _temp : response);
            }
          } catch (e) {
            return Promise.reject(e);
          }
        }).then(function (data) {
          _this4.log('FetchService.get.transformResponseData', {
            ok: ok,
            data: data
          });
          return ok && transformResponseData ? transformResponseData(data) : data;
        }).then(function (data) {
          _this4.log('FetchService.get.data', data);
          if (data === undefined) {
            return _this4.undefinedResponse();
          }
          return {
            ok: ok,
            data: data
          };
        })["catch"](function (e) {
          _this4.log('FetchService.get.error', e);
          var errorMessage = e;
          if (e == 'TypeError: NetworkError when attempting to fetch resource.') {
            return _this4.networkErrorResponse();
          }
          throw errorMessage;
        })).then(function (result) {
          _this4.log('FetchService.get.result', result);
          return result;
        });
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.postRequest = function (url, init, transformResponseData) {
    try {
      _this5.log('FetchService.postRequest', url, init);
      var ok = false;
      return Promise.resolve(fetch(url, init).then(function (response) {
        try {
          _this5.log('FetchService.postRequest.response', response);
          if (response === undefined) {
            return Promise.resolve(undefined);
          } else if (!response.ok) {
            return Promise.resolve(_this5._handleErrors(response));
          } else {
            ok = true;
            return Promise.resolve(_catch(function () {
              var contentType = response.headers.get('content-type');
              if (contentType && contentType.includes('application/json')) {
                return Promise.resolve(response.json());
              } else if (contentType && contentType.startsWith('image')) {
                return Promise.resolve(response.blob());
              } else {
                return Promise.resolve(response.text());
              }
            }, function (e) {
              console.error(e);
              return undefined;
            }));
          }
        } catch (e) {
          return Promise.reject(e);
        }
      }).then(function (data) {
        _this5.log('FetchService.postRequest.transformResponseData', {
          ok: ok,
          data: data
        });
        return ok && transformResponseData ? transformResponseData(data) : data;
      }).then(function (data) {
        _this5.log('FetchService.postRequest.data', data);
        if (data === undefined) {
          return _this5.undefinedResponse();
        }
        return {
          ok: ok,
          data: data
        };
      })["catch"](function (e) {
        _this5.log('FetchService.postRequest.error', e);
        var errorMessage = e;
        if (e == 'TypeError: NetworkError when attempting to fetch resource.') {
          return _this5.networkErrorResponse();
        }
        throw errorMessage;
      })).then(function (result) {
        _this5.log('FetchService.postRequest.result', result);
        return result;
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.post = function (url, data, init, transformResponseData) {
    try {
      _this6.log('FetchService.post', url, data, init);
      if (data instanceof FormData) {
        return Promise.resolve(_this6.postFormData(url, data, init));
      }
      var requestInit = init !== null && init !== void 0 ? init : _this6._getInit();
      var _temp2 = data !== undefined ? JSON.stringify(data) : undefined;
      return Promise.resolve(_this6._getHeaders()).then(function (_this6$_getHeaders) {
        var _init = _extends({
          body: _temp2,
          headers: _this6$_getHeaders
        }, requestInit, {
          method: 'POST'
        });
        return Promise.resolve(_this6.postRequest(url, _init, transformResponseData)).then(function (result) {
          _this6.log('FetchService.post.result', result);
          return result;
        });
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.patchRequest = function (url, init, transformResponseData) {
    try {
      _this7.log('FetchService.patchRequest', url, init);
      var ok = false;
      var requestInit = init !== null && init !== void 0 ? init : _this7._getInit();
      return Promise.resolve(fetch(url, requestInit).then(function (response) {
        try {
          _this7.log('FetchService.patchRequest.response', response);
          if (response === undefined) {
            return Promise.resolve(undefined);
          } else if (!response.ok) {
            return Promise.resolve(_this7._handleErrors(response));
          } else {
            ok = true;
            return Promise.resolve(_catch(function () {
              var contentType = response.headers.get('content-type');
              if (contentType && contentType.includes('application/json')) {
                return Promise.resolve(response.json());
              } else if (contentType && contentType.startsWith('image')) {
                return Promise.resolve(response.blob());
              } else {
                return Promise.resolve(response.text());
              }
            }, function (e) {
              console.error(e, response);
              return undefined;
            }));
          }
        } catch (e) {
          return Promise.reject(e);
        }
      }).then(function (data) {
        _this7.log('FetchService.patchRequest.transformResponseData', {
          ok: ok,
          data: data
        });
        return ok && transformResponseData ? transformResponseData(data) : data;
      }).then(function (data) {
        _this7.log('FetchService.patchRequest.data', data);
        return {
          ok: ok,
          data: data
        };
      })["catch"](function (e) {
        _this7.log('FetchService.patchRequest.error', e);
        var errorMessage = e;
        if (e == 'TypeError: NetworkError when attempting to fetch resource.') {
          return _this7.networkErrorResponse();
        }
        throw errorMessage;
      })).then(function (result) {
        _this7.log('FetchService.patchRequest.result', result);
        return result;
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.patch = function (url, data, init, transformResponseData) {
    try {
      _this8.log('FetchService.patch', url, data, init);
      if (data instanceof FormData) {
        return Promise.resolve(_this8.patchFormData(url, data, init));
      }
      var requestInit = init !== null && init !== void 0 ? init : _this8._getInit();
      var _temp3 = data !== undefined ? JSON.stringify(data) : undefined;
      return Promise.resolve(_this8._getHeaders()).then(function (_this8$_getHeaders) {
        var _init = _extends({
          body: _temp3,
          headers: _this8$_getHeaders
        }, requestInit, {
          method: 'PATCH'
        });
        return Promise.resolve(_this8.patchRequest(url, _init, transformResponseData)).then(function (result) {
          _this8.log('FetchService.patch.result', result);
          return result;
        });
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.putRequest = function (url, init, transformResponseData) {
    try {
      _this9.log('FetchService.putRequest', url, init);
      var ok = false;
      var requestInit = init !== null && init !== void 0 ? init : _this9._getInit();
      return Promise.resolve(fetch(url, requestInit).then(function (response) {
        try {
          _this9.log('FetchService.putRequest.response', response);
          if (response === undefined) {
            return Promise.resolve(undefined);
          } else if (!response.ok) {
            return Promise.resolve(_this9._handleErrors(response));
          } else {
            ok = true;
            return Promise.resolve(_catch(function () {
              var contentType = response.headers.get('content-type');
              if (contentType && contentType.includes('application/json')) {
                return Promise.resolve(response.json());
              } else if (contentType && contentType.startsWith('image')) {
                return Promise.resolve(response.blob());
              } else {
                return Promise.resolve(response.text());
              }
            }, function (e) {
              console.error(e, response);
              return undefined;
            }));
          }
        } catch (e) {
          return Promise.reject(e);
        }
      }).then(function (data) {
        _this9.log('FetchService.putRequest.transformResponseData', {
          ok: ok,
          data: data
        });
        return ok && transformResponseData ? transformResponseData(data) : data;
      }).then(function (data) {
        _this9.log('FetchService.putRequest.data', data);
        return {
          ok: ok,
          data: data
        };
      })["catch"](function (e) {
        _this9.log('FetchService.putRequest.error', e);
        var errorMessage = e;
        if (e == 'TypeError: NetworkError when attempting to fetch resource.') {
          return _this9.networkErrorResponse();
        }
        throw errorMessage;
      })).then(function (result) {
        _this9.log('FetchService.putRequest.result', result);
        return result;
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.put = function (url, data, init, transformResponseData) {
    try {
      _this10.log('FetchService.put', url, data, init);
      if (data instanceof FormData) {
        return Promise.resolve(_this10.putFormData(url, data, init));
      }
      var requestInit = init !== null && init !== void 0 ? init : _this10._getInit();
      var _temp4 = data !== undefined ? JSON.stringify(data) : undefined;
      return Promise.resolve(_this10._getHeaders()).then(function (_this10$_getHeaders) {
        var _init = _extends({
          body: _temp4,
          headers: _this10$_getHeaders
        }, requestInit, {
          method: 'PUT'
        });
        return Promise.resolve(_this10.putRequest(url, _init, transformResponseData)).then(function (result) {
          _this10.log('FetchService.put.result', result);
          return result;
        });
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this["delete"] = function (url, data, init, transformResponseData) {
    try {
      _this11.log('FetchService.delete', url, data, init);
      var requestInit = init !== null && init !== void 0 ? init : _this11._getInit();
      return Promise.resolve(_this11._getHeaders()).then(function (_this11$_getHeaders) {
        var _init = _extends({
          headers: _this11$_getHeaders,
          body: data !== undefined ? JSON.stringify(data) : undefined
        }, requestInit, {
          method: 'DELETE'
        });
        var ok = false;
        return Promise.resolve(fetch(url, _init).then(function (response) {
          try {
            _this11.log('FetchService.delete.response', response);
            if (response === undefined) {
              return Promise.resolve(undefined);
            } else if (!response.ok) {
              return Promise.resolve(_this11._handleErrors(response));
            } else {
              ok = true;
              return Promise.resolve(undefined);
            }
          } catch (e) {
            return Promise.reject(e);
          }
        }).then(function (data) {
          _this11.log('FetchService.delete.transformResponseData', {
            ok: ok,
            data: data
          });
          return ok && transformResponseData ? transformResponseData(data) : data;
        }).then(function (data) {
          _this11.log('FetchService.delete.data', data);
          return {
            ok: ok,
            data: data
          };
        })["catch"](function (e) {
          _this11.log('FetchService.delete.error', e);
          var errorMessage = e;
          if (e == 'TypeError: NetworkError when attempting to fetch resource.') {
            return _this11.networkErrorResponse();
          }
          throw errorMessage;
        })).then(function (result) {
          _this11.log('FetchService.delete.result', result);
          return result;
        });
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.postFormData = function (url, formData, init, transformResponseData) {
    try {
      _this12.log('FetchService.postFormData', url, formData, init);
      var requestInit = init !== null && init !== void 0 ? init : _this12._getInit();
      var _init = _extends({
        method: 'POST',
        headers: _this12._getFormDataHeaders()
      }, requestInit, {
        body: formData
      });
      return Promise.resolve(_this12.postRequest(url, _init, transformResponseData)).then(function (result) {
        _this12.log('FetchService.pathFormData.result', result);
        return result;
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.putFormData = function (url, formData, init, transformResponseData) {
    try {
      _this13.log('FetchService.putFormData', url, formData, init);
      var requestInit = init !== null && init !== void 0 ? init : _this13._getInit();
      var _init = _extends({
        method: 'PUT',
        headers: _this13._getFormDataHeaders()
      }, requestInit, {
        body: formData
      });
      return Promise.resolve(_this13.putRequest(url, _init, transformResponseData)).then(function (result) {
        _this13.log('FetchService.putFormData.result', result);
        return result;
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.patchFormData = function (url, formData, init, transformResponseData) {
    try {
      _this14.log('FetchService.patchFormData', url, formData, init);
      var requestInit = init !== null && init !== void 0 ? init : _this14._getInit();
      var _init = _extends({
        method: 'PATCH',
        headers: _this14._getFormDataHeaders()
      }, requestInit, {
        body: formData
      });
      return Promise.resolve(_this14.patchRequest(url, _init, transformResponseData)).then(function (result) {
        _this14.log('FetchService.patchFormData.result', result);
        return result;
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.log = function (message) {
    for (var _len = arguments.length, optionalParameters = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      optionalParameters[_key - 1] = arguments[_key];
    }
    if (_this2.options.enableLog) console.debug(message, optionalParameters);
  };
  this.options = options;
};

var DEFAULT_REST_SERVICE_OPTIONS = {
  enableLog: true
};
var RestService = function RestService(options, fetchService) {
  var _this2 = this,
    _this3 = this,
    _this4 = this,
    _this5 = this,
    _this6 = this,
    _this7 = this,
    _this8 = this,
    _this9 = this,
    _this10 = this;
  var _this = this;
  if (options === void 0) {
    options = DEFAULT_REST_SERVICE_OPTIONS;
  }
  this.buildPageQuery = function (page, rowsPerPage) {
    var query = '';
    var pageParam = _this.options.pageParamName;
    var rowsPerPageParam = _this.options.rowsPerPageParamName;
    if (pageParam && page) {
      query = pageParam + "=" + page;
    }
    if (rowsPerPageParam && rowsPerPage) {
      if (query) {
        query += "&";
      }
      query += rowsPerPageParam + "=" + rowsPerPage;
    }
    return query;
  };
  this.buildSearchQuery = function (filters, page, rowsPerPage) {
    var query = '';
    for (var property in filters) {
      var value = filters[property];
      if (value !== undefined && value !== null) {
        if (Array.isArray(value)) {
          for (var i = 0; i < value.length; i++) {
            var element = value[i];
            if (query) {
              query += '&';
            }
            query += property + "=" + element;
          }
        } else {
          if (value.length === 25) value = value.replace('+', '.000%2b');
          if (query) {
            query += '&';
          }
          query += property + "=" + value;
        }
      }
    }
    if (_this.options.pageParamName || _this.options.rowsPerPageParamName) {
      var pageQuery = _this.options.buildPagingQuery ? _this.options.buildPagingQuery(page, rowsPerPage) : _this.buildPageQuery(page, rowsPerPage);
      if (pageQuery) {
        if (query && !pageQuery.startsWith('&')) {
          query += '&';
        }
        query += pageQuery;
      }
    }
    return query;
  };
  this.handleResponse = function (response) {
    _this.log('RestService.handleResponse.response', response);
    if ((response === null || response === void 0 ? void 0 : response.ok) === true) {
      return new ServiceResponse(true, response === null || response === void 0 ? void 0 : response.data);
    } else {
      if (response !== null && response !== void 0 && response.data) {
        if (Array.isArray(response.data)) {
          return new ServiceResponse(false, undefined, response.data);
        } else {
          return new ServiceResponse(false, undefined, [response.data]);
        }
      }
      return new ServiceResponse(false, undefined);
    }
  };
  this.handleError = function (error) {
    _this.log('RestService.handleError.error', error);
    return new ServiceResponse(false, undefined, [{
      code: 500,
      severity: 'error',
      message: String(error)
    }]);
  };
  this.getList = function (url, filters, page, rowsPerPage, init, transformResponseData) {
    try {
      _this2.log('RestService.getList', url, filters, page, rowsPerPage, init, transformResponseData);
      var query = _this2.buildSearchQuery(filters, page, rowsPerPage);
      var getUrl = "" + url + (query ? url.indexOf('?') < 0 ? '?' : '&' : '') + query;
      _this2.log('RestService.getList.getUrl', getUrl);
      return Promise.resolve(_this2.fetchService.get(getUrl, init, transformResponseData).then(_this2.handleResponse)["catch"](_this2.handleError)).then(function (result) {
        _this2.log('RestService.getList.result', result);
        return result;
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.get = function (url, init, transformResponseData) {
    try {
      _this3.log('RestService.getItem', url, init, transformResponseData);
      return Promise.resolve(_this3.fetchService.get(url, init, transformResponseData).then(_this3.handleResponse)["catch"](_this3.handleError)).then(function (result) {
        _this3.log('RestService.getItem.result', result);
        return result;
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.post = function (url, data, init, transformResponseData) {
    try {
      _this4.log('RestService.post', url, data, init, transformResponseData);
      if (data instanceof FormData) {
        return Promise.resolve(_this4.postFormData(url, data, init, transformResponseData));
      }
      return Promise.resolve(_this4.fetchService.post(url, data, init, transformResponseData).then(_this4.handleResponse)["catch"](_this4.handleError)).then(function (result) {
        _this4.log('RestService.post.result', result);
        return result;
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.modify = function (url, data, init, transformResponseData) {
    try {
      _this5.log('RestService.modify', url, data, init, transformResponseData);
      if (data instanceof FormData) {
        return Promise.resolve(_this5.modifyFormData(url, data, init, transformResponseData));
      }
      return Promise.resolve(_this5.fetchService.patch(url, data, init, transformResponseData).then(_this5.handleResponse)["catch"](_this5.handleError)).then(function (result) {
        _this5.log('RestService.modify.result', result);
        return result;
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.replace = function (url, data, init, transformResponseData) {
    try {
      _this6.log('RestService.replace', url, data, init, transformResponseData);
      if (data instanceof FormData) {
        return Promise.resolve(_this6.replaceFormData(url, data, init, transformResponseData));
      }
      return Promise.resolve(_this6.fetchService.put(url, data, init, transformResponseData).then(_this6.handleResponse)["catch"](_this6.handleError)).then(function (result) {
        _this6.log('RestService.replace.result', result);
        return result;
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this["delete"] = function (url, data, init, transformResponseData) {
    try {
      _this7.log('RestService.delete', url, data, init, transformResponseData);
      return Promise.resolve(_this7.fetchService["delete"](url, data, init, transformResponseData).then(_this7.handleResponse)["catch"](_this7.handleError)).then(function (result) {
        _this7.log('RestService.delete.result', result);
        return result;
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.postFormData = function (url, formData, init, transformResponseData) {
    try {
      _this8.log('RestService.postFormData', url, formData, init, transformResponseData);
      return Promise.resolve(_this8.fetchService.postFormData(url, formData, init, transformResponseData).then(_this8.handleResponse)["catch"](_this8.handleError)).then(function (result) {
        _this8.log('RestService.postFormData.result', result);
        return result;
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.modifyFormData = function (url, formData, init, transformResponseData) {
    try {
      _this9.log('RestService.modifyFormData', url, formData, init, transformResponseData);
      return Promise.resolve(_this9.fetchService.patchFormData(url, formData, init, transformResponseData).then(_this9.handleResponse)["catch"](_this9.handleError)).then(function (result) {
        _this9.log('RestService.modifyFormData.result', result);
        return result;
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.replaceFormData = function (url, formData, init, transformResponseData) {
    try {
      _this10.log('RestService.replaceFormData', url, formData, init, transformResponseData);
      return Promise.resolve(_this10.fetchService.putFormData(url, formData, init, transformResponseData).then(_this10.handleResponse)["catch"](_this10.handleError)).then(function (result) {
        _this10.log('RestService.replaceFormData.result', result);
        return result;
      });
    } catch (e) {
      return Promise.reject(e);
    }
  };
  this.log = function (message) {
    for (var _len = arguments.length, optionalParameters = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
      optionalParameters[_key - 1] = arguments[_key];
    }
    if (_this.options.enableLog) console.debug(message, optionalParameters);
  };
  this.fetchService = fetchService;
  this.options = options;
};

function useGet(props) {
  var _initialData = props.initialData,
    onSetData = props.onSetData,
    getMethod = props.getMethod,
    _params = props.params,
    onGet = props.onGet,
    refresh = props.refresh;
  var _useState = useState(),
    data = _useState[0],
    setData = _useState[1];
  var _useState2 = useState(),
    errors = _useState2[0],
    setErrors = _useState2[1];
  var _useState3 = useState(false),
    isLoading = _useState3[0],
    setIsLoading = _useState3[1];
  var _useState4 = useState(false),
    isEmpty = _useState4[0],
    setIsEmpty = _useState4[1];
  var params = useMemo(function () {
    return _params;
  }, [_params]);
  var initialData = useMemo(function () {
    return _initialData;
  }, [_initialData]);
  var internalSet = function internalSet(_data) {
    setData(_data);
    if (onSetData) onSetData(_data);
    setIsEmpty(_data === undefined);
  };
  var getData = function getData() {
    try {
      var _temp = function () {
        if (getMethod) {
          setIsLoading(true);
          return Promise.resolve(getMethod(params).then(function (serviceResponse) {
            if (serviceResponse && serviceResponse.ok) {
              var result = serviceResponse.response;
              internalSet(result);
              if (onGet) onGet(result);
            } else {
              setErrors(serviceResponse === null || serviceResponse === void 0 ? void 0 : serviceResponse.errors);
              internalSet(undefined);
            }
          })["catch"](function (error) {
            setErrors([{
              severity: 'error',
              code: undefined,
              message: error
            }]);
            internalSet(undefined);
          })["finally"](function () {
            setIsLoading(false);
          })).then(function () {});
        }
      }();
      return Promise.resolve(_temp && _temp.then ? _temp.then(function () {}) : void 0);
    } catch (e) {
      return Promise.reject(e);
    }
  };
  useEffect(function () {
    getData();
  }, [refresh, params]);
  useEffect(function () {
    internalSet(initialData);
  }, [initialData]);
  return {
    data: data,
    errors: errors,
    isLoading: isLoading,
    isEmpty: isEmpty
  };
}

function useQuery() {
  return new URLSearchParams(useLocation().search);
}

var useSubmitActionElement = function useSubmitActionElement(action) {
  var _useState = useState(false),
    submitted = _useState[0],
    setSubmitted = _useState[1];
  var _useState2 = useState(undefined),
    data = _useState2[0],
    setData = _useState2[1];
  var _useState3 = useState(undefined),
    response = _useState3[0],
    setResponse = _useState3[1];
  if (!action) {
    console.error('access-react: useSubmitAction parameter `action` is undefined');
    return {
      action: action,
      submitted: false
    };
  }
  var onSubmitted = function onSubmitted(data, response) {
    var _action$props;
    if (action !== null && action !== void 0 && (_action$props = action.props) !== null && _action$props !== void 0 && _action$props.onSubmitted) {
      var _action$props2;
      action === null || action === void 0 ? void 0 : (_action$props2 = action.props) === null || _action$props2 === void 0 ? void 0 : _action$props2.onSubmitted(data, response);
    }
    setSubmitted(!submitted);
    setData(data);
    setResponse(response);
  };
  var resultingAction = React.cloneElement(action, {
    onSubmitted: onSubmitted
  });
  return {
    action: resultingAction,
    submitted: submitted,
    data: data,
    response: response
  };
};

var useEditPart = function useEditPart(props) {
  var editPart = props.editPart;
  var _useState = useState(false),
    edited = _useState[0],
    setEdited = _useState[1];
  var _useState2 = useState(undefined),
    data = _useState2[0],
    setData = _useState2[1];
  var _useState3 = useState(undefined),
    response = _useState3[0],
    setResponse = _useState3[1];
  if (!editPart) {
    console.error('access-react: useEditPart prop `editPart` is undefined');
    return {
      editPart: editPart,
      edited: edited
    };
  }
  var onSubmitted = function onSubmitted(data, response) {
    var _editPart$props;
    if (editPart !== null && editPart !== void 0 && (_editPart$props = editPart.props) !== null && _editPart$props !== void 0 && _editPart$props.onSubmitted) {
      var _editPart$props2;
      editPart === null || editPart === void 0 ? void 0 : (_editPart$props2 = editPart.props) === null || _editPart$props2 === void 0 ? void 0 : _editPart$props2.onSubmitted(data, response);
    }
    setEdited(!edited);
    setData(data);
    setResponse(response);
  };
  var resultingPart = React.cloneElement(editPart, {
    onSubmitted: onSubmitted
  });
  return {
    editPart: resultingPart,
    edited: edited,
    data: data,
    response: response
  };
};

var useRefresh = function useRefresh(props) {
  var _ref = props !== null && props !== void 0 ? props : {},
    externalRefresh = _ref.refresh;
  var _useState = useState({}),
    refresh = _useState[0],
    setRefresh = _useState[1];
  var handleRefresh = useCallback(function () {
    setRefresh({});
  }, []);
  useEffect(function () {
    handleRefresh();
  }, [externalRefresh]);
  return {
    refresh: refresh,
    handleRefresh: handleRefresh
  };
};
var useRefreshDeps = function useRefreshDeps(deps) {
  var _useRefresh = useRefresh(),
    refresh = _useRefresh.refresh,
    handleRefresh = _useRefresh.handleRefresh;
  useEffect(function () {
    handleRefresh();
  }, deps);
  return refresh;
};

var defaultDateFnsContext = {
  locale: undefined,
  setLocale: function setLocale(_) {}
};
var DateFnsContext = React.createContext(defaultDateFnsContext);
var useDateFnsContext = function useDateFnsContext() {
  return React.useContext(DateFnsContext);
};
var DateFnsProvider = DateFnsContext.Provider;
var DateFnsConsumer = DateFnsContext.Consumer;

var useDateFns = function useDateFns(props) {
  var defaultLocale = props.locale,
    locales = props.locales;
  var _useState = useState({}),
    locale = _useState[0],
    setLocale = _useState[1];
  var setLocaleByName = function setLocaleByName(locale) {
    set(locale);
  };
  useEffect(function () {
    set(defaultLocale);
  }, []);
  var set = function set(locale) {
    var currentLocale = locales.find(function (l) {
      return l.name === locale;
    });
    if (currentLocale) {
      setLocale(currentLocale.locale);
    }
  };
  return {
    locale: locale,
    setLocale: setLocaleByName
  };
};

var _excluded$$ = ["item", "renderTitle", "renderSubheader", "renderActionGroup", "CardHeaderProps", "CardContentProps", "CardActionsProps", "renderContent", "showIndex", "renderIndex", "currentIndex"];
var _templateObject$w;
var classes$H = {
  root: 'MuiCollectionItem-root',
  card: 'MuiCollectionItem-card',
  menu: 'MuiCollectionItem-menu',
  speedDial: 'MuiCollectionItem-speed-dial',
  box: 'MuiCollectionItem-box',
  stack: 'MuiCollectionItem-stack',
  index: 'MuiCollectionItem-index'
};
var CollectionItemRef = React.forwardRef(function (props, ref) {
  return React.createElement(Card, Object.assign({
    ref: ref
  }, props));
});
var CollectionItemRoot = styled(CollectionItemRef)(_templateObject$w || (_templateObject$w = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme;
  return "      \n    position: relative;    \n    display: flex;\n    flex-direction: column;\n    flex-grow: 1;  \n    \n    & .MuiCollectionItem-index {\n      position: absolute;\n      right: 4px;\n      bottom: 4px;\n      font-size: 10px;\n      color: #aaa;\n    }\n\n    &.MuiCollectionItem-card{\n      position: relative;    \n      overflow: initial;  \n    }\n\n    & .MuiCollectionItem-menu{\n      position: absolute;\n      right: " + theme.spacing(1) + ";\n      top: " + theme.spacing(1) + ";\n    }\n\n    & .MuiCollectionItem-speed-dial{\n      position: absolute;\n      right: " + theme.spacing(1) + ";\n      bottom: " + theme.spacing(1) + ";\n\n      & .MuiSpeedDial-root.MuiSpeedDial-directionUp {\n        height: 100%;\n        margin-top: auto;\n      }\n    }\n\n    & .MuiCardActions-root{\n      padding: 0;\n      flex-direction: column; \n      margin-top: auto;\n\n      & .MuiList-root{\n        padding: 0;\n      }\n    }\n\n    & .MuiCollectionItem-box{\n      width:100%;\n      margin-left: 0;\n      padding: " + theme.spacing(1) + ";\n      padding-left:0;\n    }\n\n    & .MuiCollectionItem-stack{\n      width:100%;\n      margin-left: 0;\n    }\n  ";
});
var CollectionItem = React.forwardRef(function (props, ref) {
  var _actionGroup$props$va, _actionGroup, _actionGroup$props, _actionGroup2, _actionGroup2$props, _actionGroup2$props$C, _actionGroup$props$si, _actionGroup3, _actionGroup3$props, _actionGroup$props$si2, _actionGroup4, _actionGroup4$props;
  var item = props.item,
    renderTitle = props.renderTitle,
    renderSubheader = props.renderSubheader,
    actionGroupFunc = props.renderActionGroup,
    CardHeaderProps = props.CardHeaderProps,
    CardContentProps = props.CardContentProps,
    CardActionsProps = props.CardActionsProps,
    renderContent = props.renderContent,
    showIndex = props.showIndex,
    renderIndex = props.renderIndex,
    currentIndex = props.currentIndex,
    itemOther = _objectWithoutPropertiesLoose(props, _excluded$$);
  var actionGroup = undefined;
  if (actionGroupFunc) actionGroup = actionGroupFunc(item);
  var actionGroupVariant = (_actionGroup$props$va = (_actionGroup = actionGroup) === null || _actionGroup === void 0 ? void 0 : (_actionGroup$props = _actionGroup.props) === null || _actionGroup$props === void 0 ? void 0 : _actionGroup$props.variant) !== null && _actionGroup$props$va !== void 0 ? _actionGroup$props$va : 'menu';
  var index = React.createElement(React.Fragment, null);
  if (showIndex) {
    index = renderIndex && currentIndex ? renderIndex(item, currentIndex) : React.createElement("span", {
      className: classes$H.index
    }, "#", currentIndex);
  }
  var ComponentProps = actionGroupVariant === 'speed-dial' ? {
    SpeedDialProps: _extends({
      direction: 'up'
    }, (_actionGroup2 = actionGroup) === null || _actionGroup2 === void 0 ? void 0 : (_actionGroup2$props = _actionGroup2.props) === null || _actionGroup2$props === void 0 ? void 0 : (_actionGroup2$props$C = _actionGroup2$props.ComponentProps) === null || _actionGroup2$props$C === void 0 ? void 0 : _actionGroup2$props$C.SpeedDialProps)
  } : {};
  return React.createElement(CollectionItemRoot, Object.assign({
    ref: ref,
    className: classes$H.card,
    elevation: 0
  }, itemOther), (actionGroupVariant === 'menu' || actionGroupVariant === 'speed-dial') && actionGroup && React.cloneElement(actionGroup, {
    className: actionGroupVariant === 'speed-dial' ? classes$H.speedDial : classes$H.menu,
    data: item,
    size: (_actionGroup$props$si = (_actionGroup3 = actionGroup) === null || _actionGroup3 === void 0 ? void 0 : (_actionGroup3$props = _actionGroup3.props) === null || _actionGroup3$props === void 0 ? void 0 : _actionGroup3$props.size) !== null && _actionGroup$props$si !== void 0 ? _actionGroup$props$si : 'small',
    ComponentProps: ComponentProps
  }), renderTitle && React.createElement(CardHeader, Object.assign({
    title: renderTitle(item),
    subheader: renderSubheader ? renderSubheader(item) : undefined
  }, CardHeaderProps)), renderContent && React.createElement(CardContent, Object.assign({}, CardContentProps), renderContent(item)), (actionGroupVariant === 'box' || actionGroupVariant === 'stack') && React.createElement(CardActions, Object.assign({}, CardActionsProps), actionGroup && React.cloneElement(actionGroup, {
    className: actionGroupVariant === 'stack' ? classes$H.stack : classes$H.box,
    data: item,
    size: (_actionGroup$props$si2 = (_actionGroup4 = actionGroup) === null || _actionGroup4 === void 0 ? void 0 : (_actionGroup4$props = _actionGroup4.props) === null || _actionGroup4$props === void 0 ? void 0 : _actionGroup4$props.size) !== null && _actionGroup$props$si2 !== void 0 ? _actionGroup$props$si2 : 'small'
  })), index);
});

var _templateObject$x;
var _excluded$10 = ["className", "children"],
  _excluded2$u = ["className", "items", "itemProps", "startIndex", "ItemGridProps", "item", "renderItem"];
var classes$I = {
  root: 'MuiCollection-root',
  item: 'MuiCollection-item'
};
var CollectionRef = React.forwardRef(function (props, ref) {
  var className = props.className,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$10);
  return React.createElement(Grid, Object.assign({
    ref: ref,
    className: buildClassName(classes$I.root, className)
  }, other), children);
});
var CollectionRoot = styled(CollectionRef)(_templateObject$x || (_templateObject$x = _taggedTemplateLiteralLoose([""])));
var Collection = React.forwardRef(function (props, ref) {
  var className = props.className,
    items = props.items,
    itemProps = props.itemProps,
    defaultStartIndex = props.startIndex,
    ItemGridProps = props.ItemGridProps,
    renderItem = props.renderItem,
    other = _objectWithoutPropertiesLoose(props, _excluded2$u);
  var startIndex = defaultStartIndex ? defaultStartIndex < 0 ? 0 : defaultStartIndex : 0;
  return React.createElement(CollectionRoot, Object.assign({
    ref: ref,
    className: className,
    container: true,
    spacing: 2
  }, other), items && items.map(function (item, ix) {
    var currentIndex = startIndex + ix + 1;
    return React.createElement(Grid, Object.assign({
      key: currentIndex,
      item: true,
      xs: 12,
      md: 6,
      lg: 4,
      xl: 3,
      display: 'flex'
    }, ItemGridProps), renderItem ? renderItem(item, currentIndex, items) : React.createElement(CollectionItem, Object.assign({
      className: classes$I.item,
      item: item,
      currentIndex: currentIndex
    }, itemProps)));
  }));
});

var _templateObject$y;
var _excluded$11 = ["width", "children"],
  _excluded2$v = ["data", "className", "preheader", "header", "afterheader", "width", "justifyContent", "children", "alertGroup", "errorGroup", "AlertsBoxProps", "ContentBoxProps", "AlertsAndContentBoxProps"];
var classes$J = {
  root: 'MuiPage-root',
  thin: 'MuiPage-thin',
  narrow: 'MuiPage-narrow',
  wide: 'MuiPage-wide',
  full: 'MuiPage-full',
  header: 'MuiPage-header',
  alerts: 'MuiPage-alerts',
  content: 'MuiPage-content'
};
var PageRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$11);
  return React.createElement(Box, Object.assign({
    ref: ref,
    gap: 2,
    flex: '1 1 auto',
    display: 'flex',
    flexDirection: 'column'
  }, other), children);
});
var PageRoot = styled(PageRef)(_templateObject$y || (_templateObject$y = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme,
    width = _ref.width;
  return "          \n      transition: " + theme.transitions.create(['width'], {
    easing: theme.transitions.easing.sharp,
    duration: theme.transitions.duration.enteringScreen
  }) + ";      \n\n      & .MuiPage-header {        \n        margin-left: auto;\n        margin-right: auto;\n      }        \n\n      & .MuiPage-content {\n        margin-left: auto;\n        margin-right: auto;\n        width: " + (width === 'thin' ? '30%' : width === 'narrow' ? '50%' : width === 'wide' ? '75%' : '100%') + ";\n        " + theme.breakpoints.down('lg') + "{ \n          width: " + (width === 'thin' ? '50%' : width === 'narrow' ? '75%' : '100%') + ";\n        }\n        " + theme.breakpoints.down('md') + "{ \n          width: " + (width === 'thin' ? '75%' : '100%') + ";\n        }\n        " + theme.breakpoints.down('sm') + "{ \n          width: 100%;\n        }\n      }      \n      & .MuiPage-fab {\n        margin: 0;\n        top: auto;\n        left: " + theme.spacing(3) + ";\n        bottom: " + theme.spacing(3) + ";\n        position: fixed;\n        z-index:" + (theme.zIndex.drawer - 5) + ";\n      }\n    ";
});
var Page = React.forwardRef(function (props, ref) {
  var _alertGroup$props, _errorGroup$props, _header$props;
  var data = props.data,
    className = props.className,
    preheader = props.preheader,
    header = props.header,
    afterheader = props.afterheader,
    _props$width = props.width,
    width = _props$width === void 0 ? 'full' : _props$width,
    justifyContent = props.justifyContent,
    children = props.children,
    alertGroup = props.alertGroup,
    errorGroup = props.errorGroup,
    AlertsBoxProps = props.AlertsBoxProps,
    ContentBoxProps = props.ContentBoxProps,
    AlertsAndContentBoxProps = props.AlertsAndContentBoxProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$v);
  var hasAlerts = alertGroup && React.Children.count(alertGroup === null || alertGroup === void 0 ? void 0 : (_alertGroup$props = alertGroup.props) === null || _alertGroup$props === void 0 ? void 0 : _alertGroup$props.children) > 0;
  var hasErrors = errorGroup && React.Children.count(errorGroup === null || errorGroup === void 0 ? void 0 : (_errorGroup$props = errorGroup.props) === null || _errorGroup$props === void 0 ? void 0 : _errorGroup$props.children) > 0;
  var _header = header && React.isValidElement(header) ? React.cloneElement(header, {
    className: buildClassName(classes$J.header, header === null || header === void 0 ? void 0 : (_header$props = header.props) === null || _header$props === void 0 ? void 0 : _header$props.className),
    data: data,
    width: width,
    justifyContent: justifyContent
  }) : React.createElement(React.Fragment, null);
  return React.createElement(PageRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$J.root, width === 'full' ? classes$J.full : width === 'wide' ? classes$J.wide : width === 'narrow' ? classes$J.narrow : classes$J.thin, className),
    width: width,
    justifyContent: justifyContent
  }, other), preheader, _header, afterheader, React.createElement(Box, Object.assign({}, AlertsAndContentBoxProps), (hasAlerts || hasErrors) && React.createElement(Box, Object.assign({
    className: classes$J.alerts,
    display: 'flex',
    flexDirection: 'column',
    gap: 2
  }, AlertsBoxProps), hasAlerts && alertGroup, hasErrors && errorGroup), children && React.createElement(Box, Object.assign({
    className: classes$J.content,
    display: 'flex',
    flexDirection: 'column',
    flexGrow: 1
  }, ContentBoxProps), children)));
});

var _templateObject$z, _templateObject2$2;
var _excluded$12 = ["PaperProps", "width"],
  _excluded2$w = ["width", "contentWidth", "children"],
  _excluded3$9 = ["backIcon"],
  _excluded4$2 = ["children"],
  _excluded6 = ["orientation"],
  _excluded7 = ["icon"],
  _excluded8 = ["transparent", "className", "width", "contentWidth", "PaperProps"];
var classes$K = {
  root: 'MuiHeader-root',
  back: 'MuiHeader-back',
  backIcon: 'MuiHeader-backIcon',
  title: 'MuiHeader-title',
  subtitle: 'MuiHeader-subtitle',
  actions: 'MuiHeader-actions',
  divider: 'MuiHeader-divider',
  content: 'MuiHeader-content',
  refresh: 'MuiHeader-refresh',
  icon: 'MuiHeader-icon',
  transparent: 'MuiHeader-transparent',
  container: 'MuiHeader-container'
};
var HeaderRef = React.forwardRef(function (props, ref) {
  var other = _objectWithoutPropertiesLoose(props, _excluded$12);
  return React.createElement(Box, Object.assign({
    ref: ref,
    p: 2,
    display: 'flex',
    alignItems: 'center'
  }, other));
});
var HeaderRoot = styled$1(HeaderRef)(_templateObject$z || (_templateObject$z = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme,
    width = _ref.width;
  return "  \n        width: " + (width === 'full' ? '100%' : width === 'wide' ? '75%' : width === 'narrow' ? '50%' : '30%') + ";\n        " + theme.breakpoints.down('lg') + "{ \n            width: " + (width === 'thin' ? '50%' : width === 'narrow' ? '75%' : '100%') + ";\n        }\n        " + theme.breakpoints.down('md') + "{ \n            width: " + (width === 'thin' ? '75%' : '100%') + ";\n        }\n        " + theme.breakpoints.down('sm') + "{ \n            width: 100%;    \n        }   \n        ";
});
var HeaderPaperRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded2$w);
  return React.createElement(Paper, Object.assign({
    ref: ref,
    className: buildClassName(classes$K.root),
    variant: DEFAULT_MIXINS.part.paperVariant
  }, other), children);
});
var HeaderPaperRoot = styled$1(HeaderPaperRef)(_templateObject2$2 || (_templateObject2$2 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref2) {
  var theme = _ref2.theme,
    width = _ref2.width,
    contentWidth = _ref2.contentWidth;
  return "  \n        width: " + (width === 'full' ? '100%' : width === 'wide' ? '75%' : width === 'narrow' ? '50%' : '30%') + ";\n        " + theme.breakpoints.down('lg') + "{ \n            width: " + (width === 'thin' ? '50%' : width === 'narrow' ? '75%' : '100%') + ";\n        }\n        " + theme.breakpoints.down('md') + "{ \n            width: " + (width === 'thin' ? '75%' : '100%') + ";\n        }\n        " + theme.breakpoints.down('sm') + "{ \n            width: 100%;    \n        }   \n\n        &>.MuiBox-root {\n            margin-left: auto;\n            margin-right: auto;\n            max-width: " + (contentWidth === 'thin' ? '30%' : contentWidth === 'narrow' ? '50%' : contentWidth === 'wide' ? '75%' : '100%') + ";\n            " + theme.breakpoints.down('lg') + "{ \n              max-width: " + (contentWidth === 'thin' ? '50%' : contentWidth === 'narrow' ? '75%' : '100%') + ";\n            }\n            " + theme.breakpoints.down('md') + "{ \n              max-width: " + (contentWidth === 'thin' ? '75%' : '100%') + ";\n            }\n            " + theme.breakpoints.down('sm') + "{ \n              max-width: 100%;\n            }\n          }      \n        ";
});
var HeaderBack = function HeaderBack(_ref3) {
  var backIcon = _ref3.backIcon,
    other = _objectWithoutPropertiesLoose(_ref3, _excluded3$9);
  var navigate = useNavigate();
  return React.createElement(IconButton, Object.assign({
    className: classes$K.back,
    onClick: function onClick() {
      return navigate(-1);
    },
    size: 'medium'
  }, other), backIcon !== null && backIcon !== void 0 ? backIcon : React.createElement(BackIcon, {
    className: classes$K.backIcon
  }));
};
var getTitleAdornemnt = function getTitleAdornemnt(_titleAdornment, data) {
  return _titleAdornment ? _titleAdornment(data) : undefined;
};
var HeaderTitle = function HeaderTitle(_ref4) {
  var _title = _ref4.title,
    _titleAdornment = _ref4.titleAdornment,
    data = _ref4.data,
    TitleTypographyProps = _ref4.TitleTypographyProps;
  var _useState = useState(getTitle(_title, data)),
    title = _useState[0],
    setTitle = _useState[1];
  var _useState2 = useState(getTitleAdornemnt(_titleAdornment, data)),
    titleAdornment = _useState2[0],
    setTitleAdornment = _useState2[1];
  useEffect(function () {
    setTitle(getTitle(_title, data));
    setTitleAdornment(getTitleAdornemnt(_titleAdornment, data));
  }, [data]);
  return React.createElement(React.Fragment, null, title && React.createElement(Typography, Object.assign({
    variant: 'h5',
    className: classes$K.title,
    color: 'textPrimary'
  }, TitleTypographyProps), title), titleAdornment);
};
var HeaderSubtitle = function HeaderSubtitle(_ref5) {
  var subtitle = _ref5.subtitle,
    data = _ref5.data,
    SubtitleTypographyProps = _ref5.SubtitleTypographyProps;
  var _subtitle = getTitle(subtitle, data);
  return _subtitle ? React.createElement(Typography, Object.assign({
    variant: 'subtitle1',
    className: classes$K.subtitle,
    color: 'textSecondary'
  }, SubtitleTypographyProps), _subtitle) : React.createElement(React.Fragment, null);
};
var HeaderContent = function HeaderContent(_ref6) {
  var children = _ref6.children,
    other = _objectWithoutPropertiesLoose(_ref6, _excluded4$2);
  return children ? React.createElement(Box, Object.assign({
    className: classes$K.content,
    display: 'flex',
    flexGrow: 1
  }, other), children) : React.createElement(React.Fragment, null);
};
var HeaderDivider = function HeaderDivider(_ref8) {
  var orientation = _ref8.orientation,
    other = _objectWithoutPropertiesLoose(_ref8, _excluded6);
  return React.createElement(Divider, Object.assign({
    className: classes$K.divider,
    orientation: orientation,
    flexItem: orientation === 'vertical'
  }, other));
};
var HeaderIcon = function HeaderIcon(_ref9) {
  var icon = _ref9.icon,
    other = _objectWithoutPropertiesLoose(_ref9, _excluded7);
  return icon ? React.createElement(Box, Object.assign({
    className: classes$K.icon,
    display: 'flex',
    mr: 1,
    alignItems: 'center'
  }, other), icon) : React.createElement(React.Fragment, null);
};
var Header = React.forwardRef(function (props, ref) {
  var transparent = props.transparent,
    className = props.className,
    _props$width = props.width,
    width = _props$width === void 0 ? 'full' : _props$width,
    contentWidth = props.contentWidth,
    PaperProps = props.PaperProps,
    other = _objectWithoutPropertiesLoose(props, _excluded8);
  return transparent ? React.createElement(HeaderRoot, Object.assign({
    className: buildClassName(classes$K.root, className, classes$K.transparent, width === 'full' ? 'MuiHeader-full' : width === 'wide' ? 'MuiHeader-wide' : width === 'narrow' ? 'MuiHeader-narrow' : 'MuiHeader-thin'),
    ref: ref,
    width: width
  }, other)) : React.createElement(HeaderPaperRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$K.root, className, width === 'full' ? 'MuiHeader-full' : width === 'wide' ? 'MuiHeader-wide' : width === 'narrow' ? 'MuiHeader-narrow' : 'MuiHeader-thin'),
    elevation: 0,
    width: width,
    contentWidth: contentWidth
  }, PaperProps), React.createElement(Box, Object.assign({
    className: classes$K.container,
    p: 2,
    display: 'flex',
    alignItems: 'center'
  }, other)));
});

var _templateObject$A;
var _excluded$13 = ["children"],
  _excluded2$x = ["renderStartAdornment", "renderEndAdornment", "title", "className", "titleAdornment", "subtitle", "actionGroup", "data", "hasDivider", "hasBack", "width", "contentWidth", "backIcon", "children", "TitleBoxProps", "TitleTypographyProps", "SubtitleTypographyProps", "TitleAndSubtitleBoxProps", "BackIconButtonProps", "DividerProps", "ContentBoxProps"];
var classes$L = {
  root: 'MuiPageHeader-root',
  titleAndSubtitle: 'MuiPageHeader-titleAndSubtitle',
  titleContainer: 'MuiPageHeader-titleContainer'
};
var PageHeaderRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$13);
  return React.createElement(Header, Object.assign({
    ref: ref
  }, other), children);
});
var PageHeaderRoot = styled(PageHeaderRef)(_templateObject$A || (_templateObject$A = _taggedTemplateLiteralLoose(["\n  & .MuiPageHeader-titleContainer {\n    display: flex;\n    align-items: center;\n  }\n\n  & .MuiPageHeader-back {\n    margin-right: 0.75rem;\n    margin-left: -8px;\n  }\n\n  &.muipageheader-back: hover {\n    background-color: initial;\n  }\n"])));
var PageHeader = React.forwardRef(function (props, ref) {
  var _actionGroup$props$da, _actionGroup$props;
  var renderStartAdornment = props.renderStartAdornment,
    renderEndAdornment = props.renderEndAdornment,
    title = props.title,
    className = props.className,
    titleAdornment = props.titleAdornment,
    subtitle = props.subtitle,
    actionGroup = props.actionGroup,
    data = props.data,
    hasDivider = props.hasDivider,
    _props$hasBack = props.hasBack,
    hasBack = _props$hasBack === void 0 ? false : _props$hasBack,
    _props$width = props.width,
    width = _props$width === void 0 ? 'full' : _props$width,
    _props$contentWidth = props.contentWidth,
    contentWidth = _props$contentWidth === void 0 ? 'full' : _props$contentWidth,
    backIcon = props.backIcon,
    children = props.children,
    TitleBoxProps = props.TitleBoxProps,
    TitleTypographyProps = props.TitleTypographyProps,
    SubtitleTypographyProps = props.SubtitleTypographyProps,
    TitleAndSubtitleBoxProps = props.TitleAndSubtitleBoxProps,
    BackIconButtonProps = props.BackIconButtonProps,
    DividerProps = props.DividerProps,
    ContentBoxProps = props.ContentBoxProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$x);
  var hasTitle = hasBack || title || titleAdornment;
  var hasSubtitle = subtitle != undefined;
  return React.createElement(PageHeaderRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$L.root, className),
    width: width,
    contentWidth: contentWidth
  }, other), renderStartAdornment ? renderStartAdornment(data) : React.createElement(React.Fragment, null), React.createElement(Box, Object.assign({
    className: classes$L.titleAndSubtitle,
    display: 'flex',
    gap: 1,
    flexGrow: !children ? 1 : 'initial',
    flexDirection: 'column',
    mr: 2
  }, TitleAndSubtitleBoxProps), hasTitle && React.createElement(Box, Object.assign({
    className: classes$L.titleContainer
  }, TitleBoxProps), hasBack && React.createElement(HeaderBack, Object.assign({
    backIcon: backIcon
  }, BackIconButtonProps)), React.createElement(HeaderTitle, {
    title: title,
    titleAdornment: titleAdornment,
    data: data,
    TitleTypographyProps: TitleTypographyProps
  })), hasDivider && React.createElement(HeaderDivider, Object.assign({}, DividerProps)), hasSubtitle && React.createElement(HeaderSubtitle, {
    subtitle: subtitle,
    data: data,
    SubtitleTypographyProps: SubtitleTypographyProps
  })), children && React.createElement(HeaderContent, Object.assign({}, ContentBoxProps), children), actionGroup && React.isValidElement(actionGroup) && React.cloneElement(actionGroup, {
    data: (_actionGroup$props$da = (_actionGroup$props = actionGroup.props) === null || _actionGroup$props === void 0 ? void 0 : _actionGroup$props.data) !== null && _actionGroup$props$da !== void 0 ? _actionGroup$props$da : data
  }), renderEndAdornment ? renderEndAdornment(data) : React.createElement(React.Fragment, null));
});

var _excluded$14 = ["className", "children", "width", "data", "getMethod", "LoaderProps", "params"];
var classes$M = {
  root: 'MuiDashboardPage-root'
};
var DashboardPage = React.forwardRef(function (props, ref) {
  var className = props.className,
    children = props.children,
    _props$width = props.width,
    width = _props$width === void 0 ? 'full' : _props$width,
    initialData = props.data,
    getMethod = props.getMethod,
    LoaderProps = props.LoaderProps,
    params = props.params,
    other = _objectWithoutPropertiesLoose(props, _excluded$14);
  var _useGet = useGet({
      initialData: initialData,
      getMethod: getMethod,
      params: params
    }),
    data = _useGet.data,
    isLoading = _useGet.isLoading,
    errors = _useGet.errors;
  var hasErrors = errors && errors.length > 0;
  var alerts = hasErrors ? errors === null || errors === void 0 ? void 0 : errors.map(function (e, index) {
    return React.createElement(DismissibleAlert, {
      key: index,
      message: e.message,
      code: e.code,
      severity: e.severity
    });
  }) : undefined;
  var errorGroup = hasErrors ? React.createElement(AlertGroup, null, alerts) : undefined;
  var targetRef = useRef();
  return React.createElement(Page, Object.assign({
    ref: ref,
    classes: buildClassName(className, classes$M.root),
    data: data,
    width: width,
    errorGroup: errorGroup
  }, other), isLoading ? React.createElement(Loader, Object.assign({
    targetRef: targetRef
  }, LoaderProps)) : React.createElement(Box, {
    ref: targetRef
  }, React.Children.map(children, function (dashboard, index) {
    var _dashboard$props$key, _dashboard$props;
    return React.cloneElement(dashboard, {
      key: (_dashboard$props$key = dashboard === null || dashboard === void 0 ? void 0 : (_dashboard$props = dashboard.props) === null || _dashboard$props === void 0 ? void 0 : _dashboard$props.key) !== null && _dashboard$props$key !== void 0 ? _dashboard$props$key : index,
      data: data
    });
  })));
});

var _excluded$15 = ["data", "children", "PartGridProps", "className"];
var classes$N = {
  root: 'MuiDashboard-root'
};
var Dashboard = React.forwardRef(function (props, ref) {
  var children = props.children,
    PartGridProps = props.PartGridProps,
    className = props.className,
    other = _objectWithoutPropertiesLoose(props, _excluded$15);
  return React.createElement(DashboardLayout, Object.assign({
    ref: ref,
    ItemGridProps: PartGridProps,
    className: buildClassName(classes$N.root, className)
  }, other), React.Children.map(children, function (part, index) {
    var _part$props;
    var data = part === null || part === void 0 ? void 0 : (_part$props = part.props) === null || _part$props === void 0 ? void 0 : _part$props.data;
    return React.cloneElement(part, {
      key: index,
      data: data !== null && data !== void 0 ? data : data
    });
  }));
});

var _templateObject$B;
var _excluded$16 = ["className", "headerPlacement", "width", "height", "contentWidth", "contentJustify", "transparent", "PaperProps"],
  _excluded2$y = ["header", "children", "data", "actionGroup", "hasContentPadding", "contentWidth", "transparent", "width", "headerPlacement", "ContentBoxProps", "ContentAndActionsBoxProps", "alertGroup", "errorAlertGroup", "visibility"];
var classes$O = {
  root: 'MuiPart-root',
  transparent: 'MuiPart-transparent',
  content: 'MuiPart-content',
  actions: 'MuiPart-actions',
  contentAndActions: 'MuiPart-contentAndActions'
};
var PartRef = React.forwardRef(function (props, ref) {
  var className = props.className,
    headerPlacement = props.headerPlacement,
    transparent = props.transparent,
    PaperProps = props.PaperProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$16);
  return transparent ? React.createElement(Box, Object.assign({
    ref: ref,
    className: buildClassName(classes$O.root, classes$O.transparent, className),
    display: 'flex',
    flexDirection: headerPlacement === 'top' ? 'column' : 'row'
  }, other)) : React.createElement(Paper, Object.assign({
    ref: ref,
    variant: DEFAULT_MIXINS.part.paperVariant,
    className: buildClassName(classes$O.root, className),
    sx: {
      display: 'flex',
      flexDirection: headerPlacement === 'top' ? 'column' : 'row'
    }
  }, PaperProps, other));
});
var PartRoot = styled(PartRef)(_templateObject$B || (_templateObject$B = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme,
    headerPlacement = _ref.headerPlacement,
    width = _ref.width,
    height = _ref.height,
    contentWidth = _ref.contentWidth,
    contentJustify = _ref.contentJustify;
  return "  \n      border-radius: " + theme.spacing(1) + ";\n      position: relative;\n      height: " + (height === 'initial' ? 'initial' : '100%') + ";\n      " + theme.breakpoints.down('md') + "{ \n        flex-direction: column;  \n      }\n      width: " + (width === 'full' ? '100%' : width === 'wide' ? '75%' : width === 'narrow' ? '50%' : '30%') + ";\n      " + theme.breakpoints.down('lg') + "{ \n        width: " + (width === 'thin' ? '50%' : width === 'narrow' ? '75%' : '100%') + ";\n      }\n      " + theme.breakpoints.down('md') + "{ \n        width: " + (width === 'thin' ? '75%' : '100%') + ";\n      }\n      " + theme.breakpoints.down('sm') + "{ \n        width: 100%;    \n      }\n  \n      &>.MuiPart-contentAndActions {        \n        width: " + (contentWidth === 'full' ? '100%' : contentWidth === 'wide' ? '75%' : contentWidth === 'narrow' ? '50%' : '30%') + ";\n        " + theme.breakpoints.down('lg') + "{ \n          width: " + (contentWidth === 'thin' ? '50%' : contentWidth === 'narrow' ? '75%' : '100%') + ";\n        }\n\n        " + theme.breakpoints.down('md') + "{ \n          width: " + (contentWidth === 'thin' ? '75%' : '100%') + ";\n        }\n        \n        " + theme.breakpoints.down('sm') + "{ \n          width: 100%;\n        }        \n\n        " + (contentJustify === 'center' ? 'margin-left: auto; margin-right:auto;' : contentJustify === 'end' ? 'margin-left: auto;' : '') + "\n      }\n\n      " + (headerPlacement === 'side' && "& .MuiPartHeader-root {        \n          width: initial;\n        }") + "\n\n      & .MuiActionGroup-stack ul a:last-of-type:hover .MuiListItemButton-root {\n        border-bottom-left-radius: " + theme.spacing(1) + ";\n        border-bottom-right-radius: " + theme.spacing(1) + ";\n      }\n\n      & .MuiActionGroup-speed-dial {\n        position: absolute; \n        bottom: " + theme.spacing(3) + ";\n        right: " + theme.spacing(3) + ";\n        z-index:" + (theme.zIndex.drawer - 5) + ";\n      }\n\n      & .MuiActionGroup-dropdown {\n        display: flex; \n        justify-content: end;\n        padding: " + theme.spacing(2) + ";\n      }\n      ";
});
var Part = React.forwardRef(function (props, ref) {
  var _actionGroup$props, _actionGroup$props$ma, _actionGroup$props2, _actionGroup$props3;
  var header = props.header,
    children = props.children,
    data = props.data,
    actionGroup = props.actionGroup,
    _props$hasContentPadd = props.hasContentPadding,
    hasContentPadding = _props$hasContentPadd === void 0 ? true : _props$hasContentPadd,
    _props$contentWidth = props.contentWidth,
    contentWidth = _props$contentWidth === void 0 ? 'full' : _props$contentWidth,
    _props$transparent = props.transparent,
    transparent = _props$transparent === void 0 ? false : _props$transparent,
    _props$width = props.width,
    width = _props$width === void 0 ? 'full' : _props$width,
    _props$headerPlacemen = props.headerPlacement,
    headerPlacement = _props$headerPlacemen === void 0 ? 'top' : _props$headerPlacemen,
    ContentBoxProps = props.ContentBoxProps,
    ContentAndActionsBoxProps = props.ContentAndActionsBoxProps,
    alertGroup = props.alertGroup,
    errorAlertGroup = props.errorAlertGroup,
    visibility = props.visibility,
    other = _objectWithoutPropertiesLoose(props, _excluded2$y);
  if (!isVisible(visibility, data)) return React.createElement(React.Fragment, null);
  var _actionGroup = actionGroup && React.isValidElement(actionGroup) && (actionGroup === null || actionGroup === void 0 ? void 0 : (_actionGroup$props = actionGroup.props) === null || _actionGroup$props === void 0 ? void 0 : _actionGroup$props.children) && React.cloneElement(actionGroup, {
    className: classes$O.actions,
    marginLeft: (_actionGroup$props$ma = actionGroup === null || actionGroup === void 0 ? void 0 : (_actionGroup$props2 = actionGroup.props) === null || _actionGroup$props2 === void 0 ? void 0 : _actionGroup$props2.marginLeft) !== null && _actionGroup$props$ma !== void 0 ? _actionGroup$props$ma : 'auto',
    marginBottom: (actionGroup === null || actionGroup === void 0 ? void 0 : (_actionGroup$props3 = actionGroup.props) === null || _actionGroup$props3 === void 0 ? void 0 : _actionGroup$props3.variant) === 'box' ? 2 : 'initial',
    data: data
  });
  return React.createElement(PartRoot, Object.assign({
    ref: ref,
    headerPlacement: headerPlacement !== null && headerPlacement !== void 0 ? headerPlacement : 'top',
    contentWidth: contentWidth,
    transparent: transparent,
    width: width
  }, other), header && React.isValidElement(header) && React.cloneElement(header, {
    data: data
  }), React.createElement(Box, Object.assign({
    className: classes$O.contentAndActions
  }, ContentAndActionsBoxProps), React.createElement(Box, Object.assign({
    padding: hasContentPadding ? 2 : 0,
    className: classes$O.content
  }, ContentBoxProps), alertGroup && React.isValidElement(alertGroup) && alertGroup, errorAlertGroup && React.isValidElement(errorAlertGroup) && errorAlertGroup, children), _actionGroup));
});

var _templateObject$C;
var _excluded$17 = ["headerColor", "autoHeight", "children"],
  _excluded2$z = ["header", "renderContent", "children", "getMethod", "onGet", "params", "empty", "data", "autoHeight", "size", "LoaderProps", "ErrorAlertGroupProps", "DismissibleAlertProps"];
var classes$P = {
  root: 'MuiDashboardPart-root',
  content: 'MuiDashboardPart-content'
};
var DashboardPartRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$17);
  return React.createElement(Part, Object.assign({
    ref: ref
  }, other), children);
});
var DashboardPartRoot = styled(DashboardPartRef)(_templateObject$C || (_templateObject$C = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var autoHeight = _ref.autoHeight;
  return "\n        flex-grow: 1;\n        display: flex;\n        flex-direction: column;\n        overflow-x: auto;\n        \n        & .MuiPart-header{\n            display: flex;\n            min-height: " + (autoHeight ? 'auto' : '90px') + ";\n        }\n        \n        & .MuiPart-refresh{\n          margin-left: auto;\n          cursor: pointer;\n        }\n\n        & .MuiDashboardPart-content{\n          height: " + (autoHeight ? 'auto' : '286px') + ";\n          display: flex;\n          flex-direction: column;\n          flex-grow: 1;\n        }\n\n        & .MuiPart-content {          \n          padding: 0;\n        }\n    ";
});
var DashboardPart = React.forwardRef(function (props, ref) {
  var _header$props$onRefre, _header$props;
  var header = props.header,
    renderContent = props.renderContent,
    children = props.children,
    getMethod = props.getMethod,
    onGet = props.onGet,
    params = props.params,
    empty = props.empty,
    initialData = props.data,
    _props$autoHeight = props.autoHeight,
    autoHeight = _props$autoHeight === void 0 ? true : _props$autoHeight,
    LoaderProps = props.LoaderProps,
    ErrorAlertGroupProps = props.ErrorAlertGroupProps,
    DismissibleAlertProps = props.DismissibleAlertProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$z);
  var _useRefresh = useRefresh(),
    refresh = _useRefresh.refresh,
    handleRefresh = _useRefresh.handleRefresh;
  var _useGet = useGet({
      initialData: initialData,
      getMethod: getMethod,
      params: params,
      onGet: onGet,
      refresh: refresh
    }),
    data = _useGet.data,
    errors = _useGet.errors,
    isLoading = _useGet.isLoading,
    isEmpty = _useGet.isEmpty;
  var hasErrors = errors && errors.length > 0;
  var errorAlertGroup = hasErrors && errors ? React.createElement(AlertGroup, Object.assign({}, ErrorAlertGroupProps), errors.map(function (e, index) {
    return React.createElement(DismissibleAlert, Object.assign({
      key: index,
      message: e.message,
      code: e.code,
      severity: e.severity
    }, DismissibleAlertProps));
  })) : undefined;
  var _header = header && React.cloneElement(header, {
    onRefresh: (_header$props$onRefre = header === null || header === void 0 ? void 0 : (_header$props = header.props) === null || _header$props === void 0 ? void 0 : _header$props.onRefresh) !== null && _header$props$onRefre !== void 0 ? _header$props$onRefre : handleRefresh
  });
  var targetRef = useRef();
  return React.createElement(DashboardPartRoot, Object.assign({
    ref: ref,
    className: classes$P.root,
    header: _header,
    autoHeight: autoHeight,
    errorAlertGroup: !isLoading && hasErrors ? errorAlertGroup : undefined
  }, other), React.createElement(Box, {
    className: classes$P.content,
    display: 'flex'
  }, isLoading && React.createElement(Loader, Object.assign({
    targetRef: targetRef
  }, LoaderProps)), !isLoading && !hasErrors && (isEmpty && !children ? React.createElement(React.Fragment, null, empty) : React.createElement(Box, {
    ref: targetRef,
    display: 'flex',
    flexGrow: 1
  }, renderContent ? renderContent(data) : React.createElement(React.Fragment, null), children))));
});

var _templateObject$D;
var _excluded$18 = ["numSelected", "children"],
  _excluded2$A = ["numSelected", "selectableActionGroup", "selected", "selectedLabel", "list"];
var classes$Q = {
  root: 'MuiDatatableToolbar-root',
  selectableActionGroup: 'MuiDatatableToolbar-selectableActionGroup'
};
var DatatableToolbarRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$18);
  return React.createElement(Toolbar, Object.assign({
    ref: ref,
    className: classes$Q.root
  }, other), children);
});
var DatatableToolbarRoot = styled(DatatableToolbarRef)(_templateObject$D || (_templateObject$D = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme,
    numSelected = _ref.numSelected;
  return "      \n        padding-left: " + theme.spacing(2) + ";\n        padding-right: " + theme.spacing(1) + ";\n        background-color: \n          " + (numSelected > 0 ? alpha(theme.palette.primary.main, theme.palette.action.activatedOpacity) : 'initial') + ";\n        & .MuiDatatable-tableToolbarActions {\n          margin-left: auto;\n        }\n      ";
});
var DatatableToolbar = React.forwardRef(function (props, ref) {
  var _selectableActionGrou, _selectableActionGrou2, _selectableActionGrou3;
  var numSelected = props.numSelected,
    selectableActionGroup = props.selectableActionGroup,
    selected = props.selected,
    selectedLabel = props.selectedLabel,
    list = props.list,
    other = _objectWithoutPropertiesLoose(props, _excluded2$A);
  var data = list === null || list === void 0 ? void 0 : list.filter(function (_, index) {
    return selected.indexOf(index) > -1;
  });
  return numSelected > 0 ? React.createElement(DatatableToolbarRoot, Object.assign({
    ref: ref,
    variant: 'dense',
    numSelected: numSelected
  }, other), React.createElement(Typography, {
    variant: 'subtitle2'
  }, numSelected, " ", selectedLabel), selectableActionGroup && React.isValidElement(selectableActionGroup) && React.Children.count((_selectableActionGrou = selectableActionGroup.props) === null || _selectableActionGrou === void 0 ? void 0 : _selectableActionGrou.children) > 0 && React.cloneElement(selectableActionGroup, {
    className: classes$Q.selectableActionGroup,
    data: data,
    variant: (_selectableActionGrou2 = selectableActionGroup === null || selectableActionGroup === void 0 ? void 0 : (_selectableActionGrou3 = selectableActionGroup.props) === null || _selectableActionGrou3 === void 0 ? void 0 : _selectableActionGrou3.variant) !== null && _selectableActionGrou2 !== void 0 ? _selectableActionGrou2 : 'menu'
  })) : React.createElement(React.Fragment, null);
});

var _templateObject$E;
var _excluded$19 = ["theme", "minWidth", "children"],
  _excluded2$B = ["minWidth", "align", "label", "TypographyProps"];
var classes$R = {
  root: 'MuiDatatableHeaderCell-root'
};
var DatatableHeaderCellRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$19);
  return React.createElement(TableCell, Object.assign({
    ref: ref,
    className: classes$R.root
  }, other), children);
});
var DatatableHeaderCellRoot = styled(DatatableHeaderCellRef)(_templateObject$E || (_templateObject$E = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme,
    minWidth = _ref.minWidth;
  return "      \n        min-width: " + minWidth + ";\n        & .MuiTypography-root {\n          font-weight: " + theme.typography.fontWeightBold + ";        \n        }\n      ";
});
var DatatableHeaderCell = React.forwardRef(function (props, ref) {
  var minWidth = props.minWidth,
    align = props.align,
    label = props.label,
    TypographyProps = props.TypographyProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$B);
  return React.createElement(DatatableHeaderCellRoot, Object.assign({
    ref: ref,
    minWidth: minWidth,
    align: align
  }, other), React.createElement(Typography, Object.assign({}, TypographyProps), label));
});

var HeaderCheckboxCell = React.forwardRef(function (props, ref) {
  var size = props.size,
    onSelectAllClick = props.onSelectAllClick,
    selectedCount = props.selectedCount,
    totalCount = props.totalCount,
    CheckboxProps = props.CheckboxProps;
  return React.createElement(TableCell, {
    ref: ref,
    padding: 'checkbox'
  }, React.createElement(Checkbox, Object.assign({
    size: size,
    color: 'primary'
  }, CheckboxProps, {
    indeterminate: selectedCount > 0 && selectedCount < totalCount,
    checked: totalCount > 0 && selectedCount === totalCount,
    onChange: onSelectAllClick
  })));
});

var _excluded$1a = ["size", "selectable", "children", "selectedCount", "totalCount", "handleSelectAllClick", "TableRowProps", "SelectableCheckboxProps", "TableCellProps", "TableCellTypographyProps"];
var DatatableHeader = React.forwardRef(function (props, ref) {
  var size = props.size,
    selectable = props.selectable,
    children = props.children,
    selectedCount = props.selectedCount,
    totalCount = props.totalCount,
    handleSelectAllClick = props.handleSelectAllClick,
    TableRowProps = props.TableRowProps,
    SelectableCheckboxProps = props.SelectableCheckboxProps,
    TableCellProps = props.TableCellProps,
    TableCellTypographyProps = props.TableCellTypographyProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1a);
  return React.createElement(TableHead, Object.assign({
    ref: ref
  }, other), React.createElement(TableRow, Object.assign({}, TableRowProps), selectable && React.createElement(HeaderCheckboxCell, {
    size: size !== null && size !== void 0 ? size : 'medium',
    selectedCount: selectedCount !== null && selectedCount !== void 0 ? selectedCount : 0,
    totalCount: totalCount !== null && totalCount !== void 0 ? totalCount : 0,
    onSelectAllClick: handleSelectAllClick,
    CheckboxProps: SelectableCheckboxProps
  }), React.Children.map(children, function (child, index) {
    var _child$props = child === null || child === void 0 ? void 0 : child.props,
      name = _child$props.name,
      hidden = _child$props.hidden,
      label = _child$props.label,
      minWidth = _child$props.minWidth,
      align = _child$props.align,
      hiddenBreakpoint = _child$props.hiddenBreakpoint;
    var _align = align;
    if (isIndexColumn(child) || isNumberColumn(child)) {
      var _align2;
      _align = (_align2 = _align) !== null && _align2 !== void 0 ? _align2 : 'right';
    }
    var _shouldHide = false;
    if (hiddenBreakpoint) {
      _shouldHide = useMediaQuery$1(function (theme) {
        return shouldHide(theme, hiddenBreakpoint);
      });
    }
    return React.createElement(React.Fragment, {
      key: name
    }, hidden || _shouldHide ? React.createElement(React.Fragment, null) : React.createElement(DatatableHeaderCell, Object.assign({
      key: name !== null && name !== void 0 ? name : index,
      label: label,
      align: _align,
      minWidth: minWidth,
      TypographyProps: TableCellTypographyProps
    }, TableCellProps)));
  })));
});

var _excluded$1b = ["list", "selected", "selectable", "rowSelection", "handleSelectClick", "size", "children", "TableRowProps", "TableCellProps", "startIndex", "SelectableCheckboxProps"];
var DatatableBody = React.forwardRef(function (props, ref) {
  var list = props.list,
    selected = props.selected,
    selectable = props.selectable,
    rowSelection = props.rowSelection,
    handleSelectClick = props.handleSelectClick,
    size = props.size,
    children = props.children,
    TableRowProps = props.TableRowProps,
    TableCellProps = props.TableCellProps,
    startIndex = props.startIndex,
    SelectableCheckboxProps = props.SelectableCheckboxProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1b);
  var isSelected = function isSelected(index) {
    return selected.indexOf(index) !== -1;
  };
  if (list && !Array.isArray(list)) {
    console.error("access-react: 'list' prop in DatatableBody is not an array.", {
      list: list
    });
    return React.createElement(TableBody, Object.assign({}, other));
  }
  return React.createElement(TableBody, Object.assign({
    ref: ref
  }, other), list && (list === null || list === void 0 ? void 0 : list.map(function (item, index) {
    var isItemSelected = isSelected(index);
    return React.createElement(TableRow, Object.assign({
      hover: true,
      role: selectable ? 'checkbox' : '',
      tabIndex: -1,
      key: index,
      onClick: rowSelection ? function (event) {
        return handleSelectClick(event, index);
      } : undefined,
      selected: selectable && isItemSelected
    }, TableRowProps), selectable && React.createElement(TableCell, Object.assign({
      padding: 'checkbox',
      onClick: rowSelection ? undefined : function (event) {
        return handleSelectClick(event, index);
      }
    }, TableCellProps), React.createElement(Checkbox, Object.assign({
      size: size,
      checked: isItemSelected
    }, SelectableCheckboxProps))), React.Children.map(children, function (child, cellIndex) {
      var _child$props = child.props,
        name = _child$props.name,
        hiddenBreakpoint = _child$props.hiddenBreakpoint,
        hidden = _child$props.hidden;
      var _shouldHide = false;
      if (hiddenBreakpoint) {
        _shouldHide = useMediaQuery$1(function (theme) {
          return shouldHide(theme, hiddenBreakpoint);
        });
      }
      if (_shouldHide || hidden) return React.createElement(React.Fragment, null);
      if (isIndexColumn(child)) {
        return React.cloneElement(child, {
          key: name !== null && name !== void 0 ? name : cellIndex,
          index: (startIndex !== null && startIndex !== void 0 ? startIndex : 0) + index + 1
        });
      }
      return React.cloneElement(child, {
        key: name !== null && name !== void 0 ? name : cellIndex,
        item: item
      });
    }));
  })));
});

var _templateObject$F;
var _excluded$1c = ["minWidth", "stripedRows", "className", "children"],
  _excluded2$C = ["size", "selectable", "selectableActionGroup", "selectedLabel", "rowSelection", "SelectableCheckboxProps", "stripedRows", "list", "startIndex", "TableToolbarProps", "TableProps", "TableHeadProps", "TableHeadRowProps", "TableHeadCellProps", "TableHeadCellTypographyProps", "TableBodyProps", "TableBodyRowProps", "TableBodyCellProps", "className", "children"];
var classes$S = {
  root: 'MuiDatatable-root',
  table: 'MuiDatatable-table',
  header: 'MuiDatatable-header',
  tableToolbar: 'MuiDatatable-tableToolbar',
  body: 'MuiDatatable-body'
};
var DatatableRef = React.forwardRef(function (props, ref) {
  var className = props.className,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$1c);
  return React.createElement(TableContainer, Object.assign({
    ref: ref,
    className: buildClassName(classes$S.root, className)
  }, other), children);
});
var DatatableRoot = styled(DatatableRef)(_templateObject$F || (_templateObject$F = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var _theme$mixins$page$li, _theme$mixins$page, _theme$mixins$page$li2;
  var theme = _ref.theme,
    minWidth = _ref.minWidth,
    stripedRows = _ref.stripedRows;
  return "      \n      & .MuiTableBody-root .MuiTableRow-root:nth-of-type(odd) { \n        background-color: " + (stripedRows ? theme.palette.action.hover : 'initial') + ";\n      }\n      & .MuiTableBody-root .MuiTableRow-root.Mui-selected { \n        background-color: \n        " + alpha(theme.palette.primary.main, theme.palette.action.activatedOpacity) + ";\n      }\n      & .MuiTableHead-root {\n        border-bottom: " + (((_theme$mixins$page$li = (_theme$mixins$page = theme.mixins.page) === null || _theme$mixins$page === void 0 ? void 0 : (_theme$mixins$page$li2 = _theme$mixins$page.listPage) === null || _theme$mixins$page$li2 === void 0 ? void 0 : _theme$mixins$page$li2.listHeaderVariant) !== null && _theme$mixins$page$li !== void 0 ? _theme$mixins$page$li : DEFAULT_MIXINS.page.listPage.listHeaderVariant === 'underlined') ? "solid 2px " + theme.palette.divider : 'initial') + ";\n      };\n\n      & .MuiTableHead-root .MuiTableCell-root {\n        font-weight: " + theme.typography.fontWeightBold + ";\n        min-width: " + minWidth + ",\n      }\n\n      & .MuiTableCell-sizeSmall .MuiIconButton-root {\n        padding: 4px;\n      }\n\n      & .MuiTableCell-sizeSmall .MuiSvgIcon-root {\n        width: .75em;\n        height: .75em;\n      }\n\n      & .MuiTableCell-root .MuiChip-root {\n        font-size: 12px;        \n      }\n    ";
});
var Datatable = React.forwardRef(function (props, ref) {
  var _props$size = props.size,
    size = _props$size === void 0 ? 'medium' : _props$size,
    selectable = props.selectable,
    selectableActionGroup = props.selectableActionGroup,
    selectedLabel = props.selectedLabel,
    rowSelection = props.rowSelection,
    SelectableCheckboxProps = props.SelectableCheckboxProps,
    _props$stripedRows = props.stripedRows,
    stripedRows = _props$stripedRows === void 0 ? true : _props$stripedRows,
    list = props.list,
    startIndex = props.startIndex,
    TableToolbarProps = props.TableToolbarProps,
    TableProps = props.TableProps,
    TableHeadProps = props.TableHeadProps,
    TableHeadRowProps = props.TableHeadRowProps,
    TableHeadCellProps = props.TableHeadCellProps,
    TableBodyProps = props.TableBodyProps,
    TableBodyRowProps = props.TableBodyRowProps,
    TableBodyCellProps = props.TableBodyCellProps,
    className = props.className,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded2$C);
  var _React$useState = React.useState([]),
    selected = _React$useState[0],
    setSelected = _React$useState[1];
  var handleSelectAllClick = function handleSelectAllClick(event) {
    if (event.target.checked) {
      var _list$map;
      var newSelecteds = (_list$map = list === null || list === void 0 ? void 0 : list.map(function (_, index) {
        return index;
      })) !== null && _list$map !== void 0 ? _list$map : [];
      setSelected(newSelecteds);
      return;
    }
    setSelected([]);
  };
  var handleSelectClick = function handleSelectClick(_, index) {
    var selectedIndex = selected.indexOf(index);
    var newSelected = [];
    if (selectedIndex === -1) {
      newSelected = newSelected.concat(selected, index);
    } else if (selectedIndex === 0) {
      newSelected = newSelected.concat(selected.slice(1));
    } else if (selectedIndex === selected.length - 1) {
      newSelected = newSelected.concat(selected.slice(0, -1));
    } else if (selectedIndex > 0) {
      newSelected = newSelected.concat(selected.slice(0, selectedIndex), selected.slice(selectedIndex + 1));
    }
    setSelected(newSelected);
  };
  return React.createElement(DatatableRoot, Object.assign({
    ref: ref,
    className: className,
    stripedRows: stripedRows
  }, other), selectable && React.createElement(DatatableToolbar, Object.assign({
    className: classes$S.tableToolbar,
    list: list,
    numSelected: selected.length,
    selected: selected,
    selectableActionGroup: selectableActionGroup,
    selectedLabel: selectedLabel
  }, TableToolbarProps)), React.createElement(Table, Object.assign({
    className: classes$S.table,
    size: size
  }, TableProps), React.createElement(DatatableHeader, Object.assign({
    className: classes$S.header,
    selectedCount: selected.length,
    totalCount: list === null || list === void 0 ? void 0 : list.length,
    selectable: selectable,
    handleSelectAllClick: handleSelectAllClick,
    TableRowProps: TableHeadRowProps,
    TableCellProps: TableHeadCellProps,
    SelectableCheckboxProps: SelectableCheckboxProps
  }, TableHeadProps), children), React.createElement(DatatableBody, Object.assign({
    className: classes$S.body,
    list: list,
    selected: selected,
    handleSelectClick: handleSelectClick,
    selectable: selectable,
    rowSelection: rowSelection,
    size: size,
    startIndex: startIndex,
    TableRowProps: TableBodyRowProps,
    TableCellProps: TableBodyCellProps,
    SelectableCheckboxProps: SelectableCheckboxProps
  }, TableBodyProps), children)));
});

var DatatableDataCell = React.forwardRef(function (props, ref) {
  var align = props.align,
    TableCellProps = props.TableCellProps,
    children = props.children,
    renderStartAdornment = props.renderStartAdornment,
    renderEndAdornment = props.renderEndAdornment,
    item = props.item,
    value = props.value;
  var justifyContent = 'start';
  if (align === 'center') {
    justifyContent = 'center';
  } else if (align === 'right') {
    justifyContent = 'end';
  }
  var content = React.createElement(Box, {
    alignItems: 'center',
    display: 'flex',
    justifyContent: justifyContent
  }, renderStartAdornment && renderStartAdornment(value, item), React.createElement("span", null, children), renderEndAdornment && renderEndAdornment(value, item));
  return React.createElement(TableCell, Object.assign({
    ref: ref
  }, TableCellProps), content);
});

var _excluded$1d = ["className", "renderContent", "name", "item", "format", "align", "TableCellProps", "getValue"];
var classes$T = {
  root: 'MuiColumn-root'
};
var getColumnValue = function getColumnValue(props) {
  var name = props.name,
    item = props.item,
    getValueFunction = props.getValue,
    format = props.format;
  var value = undefined;
  if (getValueFunction) {
    value = getValueFunction(item);
  } else if (name) {
    value = getValue(item, name);
  }
  return format ? format(value) : value;
};
var Column$1 = React.forwardRef(function (props, ref) {
  var className = props.className,
    renderContent = props.renderContent,
    name = props.name,
    item = props.item,
    format = props.format,
    align = props.align,
    TableCellProps = props.TableCellProps,
    getValueFunction = props.getValue,
    other = _objectWithoutPropertiesLoose(props, _excluded$1d);
  var value = getColumnValue({
    name: name,
    getValue: getValueFunction,
    item: item,
    format: format
  });
  return React.createElement(DatatableDataCell, Object.assign({
    ref: ref,
    className: buildClassName(classes$T.root, className),
    name: name,
    value: value,
    item: item,
    align: align,
    TableCellProps: TableCellProps
  }, other), renderContent ? renderContent(value, item) : value);
});

var _excluded$1e = ["className", "options", "name", "label", "hiddenBreakpoint", "hidden", "renderContent", "item", "renderStartAdornment", "renderEndAdornment", "align", "TableCellProps", "getValue"];
var classes$U = {
  root: 'MuiBoolColumn-root'
};
var BoolColumn = React.forwardRef(function (props, ref) {
  var className = props.className,
    options = props.options,
    name = props.name,
    label = props.label,
    hiddenBreakpoint = props.hiddenBreakpoint,
    hidden = props.hidden,
    renderContent = props.renderContent,
    item = props.item,
    renderStartAdornment = props.renderStartAdornment,
    renderEndAdornment = props.renderEndAdornment,
    align = props.align,
    TableCellProps = props.TableCellProps,
    getValue = props.getValue,
    other = _objectWithoutPropertiesLoose(props, _excluded$1e);
  var opts = getOptions(options, item);
  var value = getColumnValue({
    item: item,
    name: name,
    getValue: getValue
  });
  return React.createElement(DatatableDataCell, {
    ref: ref,
    className: buildClassName(classes$U.root, className),
    name: name,
    label: label,
    hiddenBreakpoint: hiddenBreakpoint,
    hidden: hidden,
    renderContent: renderContent,
    renderStartAdornment: renderStartAdornment,
    renderEndAdornment: renderEndAdornment,
    value: value,
    align: align,
    item: item,
    TableCellProps: TableCellProps
  }, React.createElement(BoolDisplay, Object.assign({
    value: value,
    size: 'small',
    options: opts
  }, other)));
});

var _excluded$1f = ["className", "name", "label", "hiddenBreakpoint", "hidden", "renderStartAdornment", "renderEndAdornment", "item", "format", "align", "TableCellProps", "getValue"];
var classes$V = {
  root: 'MuiCodeColumn-root'
};
var CodeColumn = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    label = props.label,
    hiddenBreakpoint = props.hiddenBreakpoint,
    hidden = props.hidden,
    renderStartAdornment = props.renderStartAdornment,
    renderEndAdornment = props.renderEndAdornment,
    item = props.item,
    format = props.format,
    align = props.align,
    TableCellProps = props.TableCellProps,
    getValueFunction = props.getValue,
    other = _objectWithoutPropertiesLoose(props, _excluded$1f);
  var value = getColumnValue({
    name: name,
    getValue: getValueFunction,
    item: item
  });
  var code = value;
  if (format) code = format(value);
  return React.createElement(DatatableDataCell, {
    ref: ref,
    className: buildClassName(classes$V.root, className),
    name: name,
    label: label,
    hiddenBreakpoint: hiddenBreakpoint,
    hidden: hidden,
    renderStartAdornment: renderStartAdornment,
    renderEndAdornment: renderEndAdornment,
    value: value,
    align: align,
    item: item,
    TableCellProps: TableCellProps
  }, code && React.createElement(CodeDisplay, Object.assign({
    className: buildClassName(classes$V.root, className),
    value: code
  }, other)));
});

var _excluded$1g = ["className", "name", "label", "hiddenBreakpoint", "hidden", "renderStartAdornment", "renderEndAdornment", "item", "align", "TableCellProps", "getValue"];
var classes$W = {
  root: 'MuiColorColumn-root'
};
var ColorColumn = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    label = props.label,
    hiddenBreakpoint = props.hiddenBreakpoint,
    hidden = props.hidden,
    renderStartAdornment = props.renderStartAdornment,
    renderEndAdornment = props.renderEndAdornment,
    item = props.item,
    align = props.align,
    TableCellProps = props.TableCellProps,
    getValueFunction = props.getValue,
    other = _objectWithoutPropertiesLoose(props, _excluded$1g);
  var value = getColumnValue({
    name: name,
    getValue: getValueFunction,
    item: item
  });
  var code = value;
  return React.createElement(DatatableDataCell, {
    ref: ref,
    className: buildClassName(classes$W.root, className),
    name: name,
    label: label,
    hiddenBreakpoint: hiddenBreakpoint,
    hidden: hidden,
    renderStartAdornment: renderStartAdornment,
    renderEndAdornment: renderEndAdornment,
    value: value,
    align: align,
    item: item,
    TableCellProps: TableCellProps
  }, code && React.createElement(ColorDisplay, Object.assign({
    className: buildClassName(classes$W.root, className),
    justifyContent: align !== null && align !== void 0 ? align : 'left',
    value: code
  }, other)));
});

var _excluded$1h = ["className", "label", "hiddenBreakpoint", "hidden", "item", "variant", "align", "children", "TableCellProps"];
var classes$X = {
  root: 'MuiActionsColumn-root'
};
var ActionsColumn = React.forwardRef(function (props, ref) {
  var className = props.className,
    label = props.label,
    hiddenBreakpoint = props.hiddenBreakpoint,
    hidden = props.hidden,
    item = props.item,
    variant = props.variant,
    align = props.align,
    children = props.children,
    TableCellProps = props.TableCellProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1h);
  return React.createElement(DatatableDataCell, {
    ref: ref,
    className: buildClassName(classes$X.root, className),
    name: '',
    label: label,
    hiddenBreakpoint: hiddenBreakpoint,
    hidden: hidden,
    align: align,
    item: item,
    TableCellProps: TableCellProps
  }, React.createElement(ActionGroup, Object.assign({
    data: item,
    size: 'small',
    variant: variant === 'menu' ? 'menu' : 'box',
    justifyContent: align !== null && align !== void 0 ? align : 'left'
  }, other), React.Children.map(children, function (action, index) {
    var _action$props$data, _action$props, _action$props$key, _action$props2;
    var data = (_action$props$data = (_action$props = action.props) === null || _action$props === void 0 ? void 0 : _action$props.data) !== null && _action$props$data !== void 0 ? _action$props$data : item;
    return React.cloneElement(action, {
      key: (_action$props$key = action === null || action === void 0 ? void 0 : (_action$props2 = action.props) === null || _action$props2 === void 0 ? void 0 : _action$props2.key) !== null && _action$props$key !== void 0 ? _action$props$key : index,
      data: data
    });
  })));
});

var _excluded$1i = ["className", "name", "label", "hiddenBreakpoint", "hidden", "renderStartAdornment", "renderEndAdornment", "item", "align", "TableCellProps", "getValue"];
var classes$Y = {
  root: 'MuiDateColumn-root'
};
var DateColumn = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    label = props.label,
    hiddenBreakpoint = props.hiddenBreakpoint,
    hidden = props.hidden,
    renderStartAdornment = props.renderStartAdornment,
    renderEndAdornment = props.renderEndAdornment,
    item = props.item,
    align = props.align,
    TableCellProps = props.TableCellProps,
    getValueFunction = props.getValue,
    other = _objectWithoutPropertiesLoose(props, _excluded$1i);
  var value = getColumnValue({
    name: name,
    getValue: getValueFunction,
    item: item
  });
  return React.createElement(DatatableDataCell, {
    ref: ref,
    className: buildClassName(classes$Y.root, className),
    name: name,
    label: label,
    hiddenBreakpoint: hiddenBreakpoint,
    hidden: hidden,
    renderStartAdornment: renderStartAdornment,
    renderEndAdornment: renderEndAdornment,
    value: value,
    align: align,
    item: item,
    TableCellProps: TableCellProps
  }, React.createElement(DateDisplay, Object.assign({
    value: value
  }, other)));
});

var _excluded$1j = ["className", "name", "label", "hiddenBreakpoint", "hidden", "renderStartAdornment", "renderEndAdornment", "item", "align", "TableCellProps", "getValue"];
var classes$Z = {
  root: 'MuiDateTimeColumn-root'
};
var DateTimeColumn = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    label = props.label,
    hiddenBreakpoint = props.hiddenBreakpoint,
    hidden = props.hidden,
    renderStartAdornment = props.renderStartAdornment,
    renderEndAdornment = props.renderEndAdornment,
    item = props.item,
    align = props.align,
    TableCellProps = props.TableCellProps,
    getValueFunction = props.getValue,
    other = _objectWithoutPropertiesLoose(props, _excluded$1j);
  var value = getColumnValue({
    name: name,
    getValue: getValueFunction,
    item: item
  });
  return React.createElement(DatatableDataCell, {
    ref: ref,
    className: buildClassName(classes$Z.root, className),
    name: name,
    label: label,
    item: item,
    hiddenBreakpoint: hiddenBreakpoint,
    hidden: hidden,
    renderStartAdornment: renderStartAdornment,
    renderEndAdornment: renderEndAdornment,
    value: value,
    align: align,
    TableCellProps: TableCellProps
  }, React.createElement(DateTimeDisplay, Object.assign({
    value: value
  }, other)));
});

var _excluded$1k = ["className", "index", "label", "hiddenBreakpoint", "hidden", "item", "renderStartAdornment", "renderEndAdornment", "format", "renderContent", "align", "TableCellProps"];
var classes$_ = {
  root: 'MuiIndexColumn-root'
};
var IndexColumn = React.forwardRef(function IndexColumnRender(props, ref) {
  var className = props.className,
    index = props.index,
    label = props.label,
    hiddenBreakpoint = props.hiddenBreakpoint,
    hidden = props.hidden,
    item = props.item,
    renderStartAdornment = props.renderStartAdornment,
    renderEndAdornment = props.renderEndAdornment,
    format = props.format,
    renderContent = props.renderContent,
    _props$align = props.align,
    align = _props$align === void 0 ? 'right' : _props$align,
    TableCellProps = props.TableCellProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1k);
  var value = index;
  if (format) {
    value = format(index);
  }
  return React.createElement(DatatableDataCell, {
    ref: ref,
    className: buildClassName(classes$_.root, className),
    name: '#',
    label: label,
    hiddenBreakpoint: hiddenBreakpoint,
    hidden: hidden,
    renderStartAdornment: renderStartAdornment,
    renderEndAdornment: renderEndAdornment,
    value: value,
    align: align,
    TableCellProps: TableCellProps
  }, value && (renderContent ? renderContent(value, item) : React.createElement(Typography, Object.assign({
    variant: 'body2'
  }, other), value)));
});

var _excluded$1l = ["height"],
  _excluded2$D = ["className", "name", "label", "hiddenBreakpoint", "hidden", "renderStartAdornment", "renderEndAdornment", "item", "align", "TableCellProps", "getValue"];
var _templateObject$G;
var classes$$ = {
  root: 'MuiImageColumn-root'
};
var ImageDisplayStyled = styled(function (_ref) {
  var other = _objectWithoutPropertiesLoose(_ref, _excluded$1l);
  return React.createElement(ImageDisplay, Object.assign({}, other));
})(_templateObject$G || (_templateObject$G = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref2) {
  var height = _ref2.height;
  return " \n    height: " + (height !== null && height !== void 0 ? height : '20px') + ";\n  ";
});
var ImageColumn = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    label = props.label,
    hiddenBreakpoint = props.hiddenBreakpoint,
    hidden = props.hidden,
    renderStartAdornment = props.renderStartAdornment,
    renderEndAdornment = props.renderEndAdornment,
    item = props.item,
    align = props.align,
    TableCellProps = props.TableCellProps,
    getValueFunction = props.getValue,
    other = _objectWithoutPropertiesLoose(props, _excluded2$D);
  var value = getColumnValue({
    name: name,
    getValue: getValueFunction,
    item: item
  });
  return React.createElement(DatatableDataCell, {
    ref: ref,
    className: buildClassName(classes$$.root, className),
    name: name,
    label: label,
    hiddenBreakpoint: hiddenBreakpoint,
    hidden: hidden,
    renderStartAdornment: renderStartAdornment,
    renderEndAdornment: renderEndAdornment,
    value: value,
    align: align,
    item: item,
    TableCellProps: TableCellProps
  }, React.createElement(ImageDisplayStyled, Object.assign({
    className: buildClassName(classes$$.root, className),
    value: value
  }, other)));
});

var _excluded$1m = ["className", "name", "label", "hiddenBreakpoint", "hidden", "renderStartAdornment", "renderEndAdornment", "format", "align", "TableCellProps", "getValue", "item"],
  _excluded2$E = ["color", "data", "LinkProps"],
  _excluded3$a = ["sx"];
var classes$10 = {
  root: 'MuiLinkColumn-root'
};
var LinkColumn = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    label = props.label,
    hiddenBreakpoint = props.hiddenBreakpoint,
    hidden = props.hidden,
    renderStartAdornment = props.renderStartAdornment,
    renderEndAdornment = props.renderEndAdornment,
    format = props.format,
    align = props.align,
    TableCellProps = props.TableCellProps,
    getValueFunction = props.getValue,
    item = props.item,
    action = _objectWithoutPropertiesLoose(props, _excluded$1m);
  var value = getColumnValue({
    name: name,
    getValue: getValueFunction,
    item: item
  });
  var color = action.color,
    data = action.data,
    LinkProps = action.LinkProps,
    actionOther = _objectWithoutPropertiesLoose(action, _excluded2$E);
  var _ref = LinkProps !== null && LinkProps !== void 0 ? LinkProps : {},
    sx = _ref.sx,
    LinkPropsOther = _objectWithoutPropertiesLoose(_ref, _excluded3$a);
  var _LinkProps = _extends({
    align: align,
    sx: _extends({
      justifyContent: align
    }, sx),
    underline: 'hover'
  }, LinkPropsOther);
  var link = value;
  if (format) link = format(value);
  return React.createElement(DatatableDataCell, {
    ref: ref,
    className: buildClassName(classes$10.root, className),
    name: name,
    label: label,
    hiddenBreakpoint: hiddenBreakpoint,
    hidden: hidden,
    renderStartAdornment: renderStartAdornment,
    renderEndAdornment: renderEndAdornment,
    value: value,
    align: align,
    item: item,
    TableCellProps: TableCellProps
  }, React.createElement(ActionLink, Object.assign({
    title: link,
    color: color !== null && color !== void 0 ? color : 'inherit',
    data: data !== null && data !== void 0 ? data : item,
    LinkProps: _LinkProps
  }, actionOther)));
});

var _excluded$1n = ["className", "name", "label", "hiddenBreakpoint", "hidden", "renderStartAdornment", "renderEndAdornment", "item", "align", "TableCellProps", "getValue"];
var classes$11 = {
  root: 'MuiNumberColumn-root'
};
var NumberColumn = React.forwardRef(function NumberColumnRender(props, ref) {
  var className = props.className,
    name = props.name,
    label = props.label,
    hiddenBreakpoint = props.hiddenBreakpoint,
    hidden = props.hidden,
    renderStartAdornment = props.renderStartAdornment,
    renderEndAdornment = props.renderEndAdornment,
    item = props.item,
    align = props.align,
    TableCellProps = props.TableCellProps,
    getValueFunction = props.getValue,
    other = _objectWithoutPropertiesLoose(props, _excluded$1n);
  var value = getColumnValue({
    name: name,
    getValue: getValueFunction,
    item: item
  });
  var _align = align !== null && align !== void 0 ? align : 'right';
  return React.createElement(DatatableDataCell, {
    ref: ref,
    className: buildClassName(classes$11.root, className),
    name: name,
    label: label,
    hiddenBreakpoint: hiddenBreakpoint,
    hidden: hidden,
    renderStartAdornment: renderStartAdornment,
    renderEndAdornment: renderEndAdornment,
    value: value,
    align: _align,
    item: item,
    TableCellProps: TableCellProps
  }, React.createElement(NumberDisplay, Object.assign({
    value: value,
    align: _align
  }, other)));
});

var _excluded$1o = ["className", "options", "name", "label", "hiddenBreakpoint", "hidden", "renderStartAdornment", "renderEndAdornment", "item", "align", "TableCellProps", "getValue", "getOption"];
var classes$12 = {
  root: 'MuiOptionColumn-root'
};
var OptionColumn = React.forwardRef(function (props, ref) {
  var className = props.className,
    options = props.options,
    name = props.name,
    label = props.label,
    hiddenBreakpoint = props.hiddenBreakpoint,
    hidden = props.hidden,
    renderStartAdornment = props.renderStartAdornment,
    renderEndAdornment = props.renderEndAdornment,
    item = props.item,
    align = props.align,
    TableCellProps = props.TableCellProps,
    getValueFunction = props.getValue,
    getOption = props.getOption,
    other = _objectWithoutPropertiesLoose(props, _excluded$1o);
  var opts = getOptions(options, item);
  var value = getColumnValue({
    name: name,
    getValue: getValueFunction,
    item: item
  });
  return React.createElement(DatatableDataCell, {
    ref: ref,
    className: buildClassName(classes$12.root, className),
    name: name,
    label: label,
    hiddenBreakpoint: hiddenBreakpoint,
    hidden: hidden,
    renderStartAdornment: renderStartAdornment,
    renderEndAdornment: renderEndAdornment,
    value: value,
    align: align,
    item: item,
    TableCellProps: TableCellProps
  }, React.createElement(OptionDisplay, Object.assign({
    value: value,
    options: opts,
    getOption: getOption
  }, other)));
});

var _excluded$1p = ["className", "name", "label", "hiddenBreakpoint", "hidden", "renderStartAdornment", "renderEndAdornment", "item", "format", "align", "renderContent", "TableCellProps", "getValue"];
var classes$13 = {
  root: 'MuiTextColumn-root'
};
var TextColumn = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    label = props.label,
    hiddenBreakpoint = props.hiddenBreakpoint,
    hidden = props.hidden,
    renderStartAdornment = props.renderStartAdornment,
    renderEndAdornment = props.renderEndAdornment,
    item = props.item,
    format = props.format,
    align = props.align,
    renderContent = props.renderContent,
    TableCellProps = props.TableCellProps,
    getValueFunction = props.getValue,
    other = _objectWithoutPropertiesLoose(props, _excluded$1p);
  var value = getColumnValue({
    name: name,
    getValue: getValueFunction,
    item: item
  });
  var text = value;
  if (format) text = format(value);
  return React.createElement(DatatableDataCell, {
    ref: ref,
    className: buildClassName(classes$13.root, className),
    name: name,
    label: label,
    hiddenBreakpoint: hiddenBreakpoint,
    hidden: hidden,
    renderStartAdornment: renderStartAdornment,
    renderEndAdornment: renderEndAdornment,
    value: value,
    align: align,
    item: item,
    TableCellProps: TableCellProps
  }, text && (renderContent ? renderContent(value, item) : React.createElement(Typography, Object.assign({
    variant: 'body2'
  }, other), text.toString())));
});

var _excluded$1q = ["className", "name", "label", "hiddenBreakpoint", "hidden", "renderStartAdornment", "renderEndAdornment", "item", "align", "TableCellProps", "getValue"];
var classes$14 = {
  root: 'MuiTimeColumn-root'
};
var TimeColumn = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    label = props.label,
    hiddenBreakpoint = props.hiddenBreakpoint,
    hidden = props.hidden,
    renderStartAdornment = props.renderStartAdornment,
    renderEndAdornment = props.renderEndAdornment,
    item = props.item,
    align = props.align,
    TableCellProps = props.TableCellProps,
    getValueFunction = props.getValue,
    other = _objectWithoutPropertiesLoose(props, _excluded$1q);
  var value = getColumnValue({
    name: name,
    getValue: getValueFunction,
    item: item
  });
  return React.createElement(DatatableDataCell, {
    ref: ref,
    className: buildClassName(classes$14.root, className),
    name: name,
    label: label,
    hiddenBreakpoint: hiddenBreakpoint,
    hidden: hidden,
    renderStartAdornment: renderStartAdornment,
    renderEndAdornment: renderEndAdornment,
    value: value,
    align: align,
    item: item,
    TableCellProps: TableCellProps
  }, React.createElement(TimeDisplay, Object.assign({
    value: value
  }, other)));
});

var _excluded$1r = ["renderContent", "data", "alertGroup", "className", "active", "ContentBoxProps", "children"];
var classes$15 = {
  root: 'MuiDetailsPageTabPanel-root',
  content: 'MuiDetailsPageTabPanel-panel-content'
};
var DetailsPageTabPanel = React.forwardRef(function (props, ref) {
  var renderContent = props.renderContent,
    data = props.data,
    alertGroup = props.alertGroup,
    className = props.className,
    active = props.active,
    ContentBoxProps = props.ContentBoxProps,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$1r);
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: buildClassName(classes$15.root, className),
    role: 'tabpanel',
    display: active ? 'flex' : 'none',
    flexDirection: 'column',
    flexGrow: 1,
    gap: 2
  }, other), alertGroup, React.createElement(Box, Object.assign({
    className: classes$15.content,
    display: 'flex',
    flexGrow: 1
  }, ContentBoxProps), renderContent && renderContent(data), children));
});

var _excluded$1s = ["children", "data", "activeTab", "className", "params"],
  _excluded2$F = ["value", "data", "children"];
var classes$16 = {
  root: 'MuiDetailsPageTabPanels-root',
  panel: 'MuiDetailsPageTabPanels-panel'
};
var DetailsPageTabPanels = React.forwardRef(function (props, ref) {
  var children = props.children,
    parentData = props.data,
    activeTab = props.activeTab,
    className = props.className,
    params = props.params,
    other = _objectWithoutPropertiesLoose(props, _excluded$1s);
  var childrenArray = React.Children.toArray(children);
  var tabsArray = childrenArray.filter(function (child) {
    if (!isDetailsPageTab(child)) return false;
    if (React.isValidElement(child)) {
      var _child$props = child.props,
        visibility = _child$props.visibility,
        data = _child$props.data;
      if (!isVisible(visibility, data !== null && data !== void 0 ? data : parentData, parentData)) return false;
    }
    return true;
  });
  var renderPanels = function renderPanels() {
    return tabsArray.map(function (panel, index) {
      var _panel$props = panel === null || panel === void 0 ? void 0 : panel.props,
        value = _panel$props.value,
        data = _panel$props.data,
        tabChildren = _panel$props.children,
        other = _objectWithoutPropertiesLoose(_panel$props, _excluded2$F);
      var active = activeTab ? activeTab === value : index === 0;
      return React.createElement(DetailsPageTabPanel, Object.assign({
        key: value !== null && value !== void 0 ? value : index,
        value: value !== null && value !== void 0 ? value : index,
        data: data !== null && data !== void 0 ? data : parentData,
        active: active
      }, other), tabChildren && React.Children.count(tabChildren) > 0 && React.Children.map(tabChildren, function (child) {
        var _ref, _child$props$data, _child$props2, _ref2, _ref3, _child$props$params, _child$props3;
        return React.cloneElement(child, {
          data: (_ref = (_child$props$data = child === null || child === void 0 ? void 0 : (_child$props2 = child.props) === null || _child$props2 === void 0 ? void 0 : _child$props2.data) !== null && _child$props$data !== void 0 ? _child$props$data : data) !== null && _ref !== void 0 ? _ref : parentData,
          params: (_ref2 = (_ref3 = (_child$props$params = child === null || child === void 0 ? void 0 : (_child$props3 = child.props) === null || _child$props3 === void 0 ? void 0 : _child$props3.params) !== null && _child$props$params !== void 0 ? _child$props$params : params) !== null && _ref3 !== void 0 ? _ref3 : data) !== null && _ref2 !== void 0 ? _ref2 : parentData
        });
      }));
    });
  };
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: buildClassName(classes$16.root, className),
    display: 'flex',
    flexGrow: 1
  }, other), renderPanels());
});

var _templateObject$H;
var _excluded$1t = ["className", "children", "tabIndicator", "indicatorColor"],
  _excluded2$G = ["activeTab", "handleTabChange", "children"];
var classes$17 = {
  root: 'MuiDetailsPageTabs-root',
  tab: 'MuiDetailsPageTabs-tab'
};
var DetailsPageTabsRef = React.forwardRef(function (props, ref) {
  var className = props.className,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$1t);
  return React.createElement(Tabs, Object.assign({
    ref: ref,
    className: buildClassName(classes$17.root, className)
  }, other), children);
});
var DetailsPageTabsRoot = styled(DetailsPageTabsRef)(_templateObject$H || (_templateObject$H = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var _getPaletteColor;
  var theme = _ref.theme,
    tabIndicator = _ref.tabIndicator,
    indicatorColor = _ref.indicatorColor;
  var _indicatorColor = (_getPaletteColor = getPaletteColor(theme, indicatorColor)) !== null && _getPaletteColor !== void 0 ? _getPaletteColor : theme.palette.primary;
  return "  \n        & .MuiTabs-indicator {\n          " + (tabIndicator !== 'standard' ? "display: none;" : '') + "\n        }\n  \n        & .MuiTab-root {\n          " + (tabIndicator === 'badge' ? "border-radius:  36px;" : '') + "   \n          " + (tabIndicator === 'box' ? "border-radius:  4px;" : '') + "      \n           \n          min-height: 48px;  \n        }\n        & .MuiTab-root.Mui-selected {\n          " + (tabIndicator !== 'standard' && tabIndicator !== 'text' ? "background-color: " + (_indicatorColor === null || _indicatorColor === void 0 ? void 0 : _indicatorColor.main) + ";\n              color: " + (_indicatorColor === null || _indicatorColor === void 0 ? void 0 : _indicatorColor.contrastText) + ";" : "") + "\n        }\n      ";
});
var DetailsPageTabs = React.forwardRef(function (props, ref) {
  var activeTab = props.activeTab,
    handleTabChange = props.handleTabChange,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded2$G);
  if (!children || React.Children.count(children) === 0) return React.createElement(React.Fragment, null);
  var _value = activeTab !== null && activeTab !== void 0 ? activeTab : false;
  return React.createElement(DetailsPageTabsRoot, Object.assign({
    ref: ref,
    scrollButtons: 'auto',
    value: _value,
    onChange: handleTabChange,
    variant: 'scrollable'
  }, other), children);
});

var _templateObject$I;
var _excluded$1u = ["className", "width", "children", "tabsPosition"],
  _excluded2$H = ["data", "getMethod", "params", "onGet", "onSetData", "LoaderProps", "refresh", "children", "tabsPosition", "tabIndicator", "tabsIconPosition", "tabsBreakpoint", "tabsBreakpointPosition", "activeTab", "setActiveTab", "empty", "header", "width", "TabPanelsBoxProps", "TabsProps", "preheader", "afterheader"],
  _excluded3$b = ["className", "wrapped", "iconPosition", "value", "renderContent", "children", "alertGroup", "visibility"];
var classes$18 = {
  root: 'MuiDetailsPage-root',
  content: 'MuiDetailsPage-content',
  tabs: 'MuiDetailsPage-tabs',
  tab: 'MuiDetailsPage-tab',
  tabsLeft: 'MuiDetailsPage-tabs-left',
  tabsHeader: 'MuiDetailsPage-tabs-header',
  tabsPreHeader: 'MuiDetailsPage-tabs-preheader',
  tabsAfterHeader: 'MuiDetailsPage-tabs-afterheader',
  panels: 'MuiDetailsPage-panels',
  panel: 'MuiDetailsPage-panel',
  panelContent: 'MuiDetailsPage-panel-content'
};
var DetailsPageRef = React.forwardRef(function (props, ref) {
  var className = props.className,
    width = props.width,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$1u);
  return React.createElement(Page, Object.assign({
    ref: ref,
    width: width,
    className: buildClassName(classes$18.root, className)
  }, other), children);
});
var DetailsPageRoot = styled(DetailsPageRef)(_templateObject$I || (_templateObject$I = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var tabsPosition = _ref.tabsPosition;
  return "\n      & .MuiDetailsPage-tabs {\n        min-width: 200px;\n        " + (tabsPosition === 'left' ? "margin-right: 1rem;" : "") + "       \n      }\n    ";
});
var DetailsPage = React.forwardRef(function (props, ref) {
  var _theme$mixins$page$de, _theme$mixins$page, _theme$mixins$page$de2, _ref2, _theme$mixins$page2, _theme$mixins$page2$d;
  var initialData = props.data,
    getMethod = props.getMethod,
    params = props.params,
    onGet = props.onGet,
    onSetData = props.onSetData,
    LoaderProps = props.LoaderProps,
    refresh = props.refresh,
    children = props.children,
    tabsPosition = props.tabsPosition,
    tabIndicator = props.tabIndicator,
    tabsIconPosition = props.tabsIconPosition,
    tabsBreakpoint = props.tabsBreakpoint,
    tabsBreakpointPosition = props.tabsBreakpointPosition,
    selectedTab = props.activeTab,
    setSelectedTab = props.setActiveTab,
    empty = props.empty,
    header = props.header,
    _props$width = props.width,
    width = _props$width === void 0 ? 'full' : _props$width,
    TabPanelsBoxProps = props.TabPanelsBoxProps,
    TabsProps = props.TabsProps,
    preheader = props.preheader,
    afterheader = props.afterheader,
    other = _objectWithoutPropertiesLoose(props, _excluded2$H);
  var _useGet = useGet({
      initialData: initialData,
      getMethod: getMethod,
      params: params,
      onGet: onGet,
      onSetData: onSetData,
      refresh: refresh
    }),
    data = _useGet.data,
    errors = _useGet.errors,
    isEmpty = _useGet.isEmpty,
    isLoading = _useGet.isLoading;
  var childrenArray = React.Children.toArray(children);
  var tabsArray = childrenArray.filter(function (child) {
    if (!isDetailsPageTab(child)) return false;
    if (React.isValidElement(child)) {
      var visibility = child.props.visibility;
      if (!isVisible(visibility, data)) return false;
    }
    return true;
  });
  var tabsArrayNames = tabsArray.map(function (tab) {
    if (React.isValidElement(tab)) {
      var value = tab.props.value;
      return value;
    }
  });
  var getActiveTab = function getActiveTab() {
    if (setSelectedTab) return undefined;
    var result = selectedTab;
    if (!result) {
      var _tabs = tabsArray;
      if (_tabs.length > 0) {
        var _tabs$, _tabs$$props;
        result = (_tabs$ = _tabs[0]) === null || _tabs$ === void 0 ? void 0 : (_tabs$$props = _tabs$.props) === null || _tabs$$props === void 0 ? void 0 : _tabs$$props.value;
      }
    }
    return result;
  };
  var _useState = useState(getActiveTab),
    activeTab = _useState[0],
    setActiveTab = _useState[1];
  var handleTabChange = function handleTabChange(_, newValue) {
    if (setSelectedTab) {
      setSelectedTab(newValue);
    } else {
      setActiveTab(newValue);
    }
  };
  useEffect(function () {
    if (!setSelectedTab && selectedTab) {
      setActiveTab(selectedTab);
    }
  }, [selectedTab]);
  var hasErrors = errors !== undefined && errors.length > 0;
  var theme = useTheme();
  var hasHeader = (_theme$mixins$page$de = (_theme$mixins$page = theme.mixins.page) === null || _theme$mixins$page === void 0 ? void 0 : (_theme$mixins$page$de2 = _theme$mixins$page.detailsPage) === null || _theme$mixins$page$de2 === void 0 ? void 0 : _theme$mixins$page$de2.hasHeader) !== null && _theme$mixins$page$de !== void 0 ? _theme$mixins$page$de : DEFAULT_MIXINS.page.detailsPage.hasHeader;
  var downMd = useMediaQuery$1(theme.breakpoints.down(tabsBreakpoint !== null && tabsBreakpoint !== void 0 ? tabsBreakpoint : 'md'));
  var _tabsPosition = (_ref2 = tabsPosition !== null && tabsPosition !== void 0 ? tabsPosition : (_theme$mixins$page2 = theme.mixins.page) === null || _theme$mixins$page2 === void 0 ? void 0 : (_theme$mixins$page2$d = _theme$mixins$page2.detailsPage) === null || _theme$mixins$page2$d === void 0 ? void 0 : _theme$mixins$page2$d.tabsPosition) !== null && _ref2 !== void 0 ? _ref2 : DEFAULT_MIXINS.page.detailsPage.tabsPosition;
  if (downMd && _tabsPosition === 'left') _tabsPosition = tabsBreakpointPosition !== null && tabsBreakpointPosition !== void 0 ? tabsBreakpointPosition : 'afterheader';
  var tabsClassName = buildClassName(classes$18.tabs, tabsPosition === 'header' ? classes$18.tabsHeader : tabsPosition === 'afterheader' ? classes$18.tabsAfterHeader : tabsPosition === 'preheader' ? classes$18.tabsPreHeader : classes$18.tabsLeft);
  var actualTab = selectedTab !== null && selectedTab !== void 0 ? selectedTab : activeTab;
  var renderTabs = function renderTabs() {
    return tabsArray.map(function (tab, index) {
      var _tab$props;
      var _ref3 = (_tab$props = tab.props) !== null && _tab$props !== void 0 ? _tab$props : {},
        className = _ref3.className,
        wrapped = _ref3.wrapped,
        iconPosition = _ref3.iconPosition,
        value = _ref3.value,
        other = _objectWithoutPropertiesLoose(_ref3, _excluded3$b);
      return React.createElement(Tab, Object.assign({
        key: value !== null && value !== void 0 ? value : index,
        value: value !== null && value !== void 0 ? value : index,
        className: buildClassName(classes$18.tab, className),
        wrapped: wrapped !== null && wrapped !== void 0 ? wrapped : true,
        iconPosition: iconPosition !== null && iconPosition !== void 0 ? iconPosition : tabsIconPosition
      }, other));
    });
  };
  var tabs = tabsArray && tabsArray.length > 1 ? React.createElement(DetailsPageTabs, Object.assign({
    orientation: _tabsPosition !== 'left' ? 'horizontal' : 'vertical',
    className: buildClassName(classes$18.tabs, tabsClassName),
    activeTab: actualTab,
    tabIndicator: tabIndicator,
    handleTabChange: handleTabChange
  }, TabsProps), renderTabs()) : React.createElement(React.Fragment, null);
  useEffect(function () {
    if (!tabsArrayNames.find(function (n) {
      return n === actualTab;
    }) && tabsArrayNames.length > 0) {
      handleTabChange(undefined, tabsArrayNames[0]);
    }
  }, [tabs]);
  var pageHeader = header && React.isValidElement(header) ? React.cloneElement(header, {
    children: _tabsPosition === 'header' && tabs
  }) : React.createElement(React.Fragment, null);
  var errorGroup = errors ? React.createElement(AlertGroup, null, errors.map(function (e, index) {
    return React.createElement(DismissibleAlert, {
      key: index,
      message: e.message,
      code: e.code,
      severity: e.severity
    });
  })) : React.createElement(React.Fragment, null);
  var targetRef = ref !== null && ref !== void 0 ? ref : useRef();
  return isLoading ? React.createElement(Loader, Object.assign({}, LoaderProps, {
    targetRef: targetRef
  })) : isEmpty ? React.createElement(React.Fragment, null, empty) : React.createElement(DetailsPageRoot, Object.assign({
    ref: targetRef,
    preheader: _tabsPosition === 'preheader' ? tabs : preheader,
    header: hasHeader ? pageHeader : undefined,
    afterheader: _tabsPosition === 'afterheader' ? tabs : afterheader,
    data: data,
    errorGroup: errorGroup,
    tabsPosition: _tabsPosition,
    width: width
  }, other), React.createElement(Stack, {
    className: classes$18.content,
    width: '100%',
    direction: 'row'
  }, _tabsPosition === 'left' && tabs, !hasErrors && React.createElement(DetailsPageTabPanels, Object.assign({
    className: classes$18.panels,
    data: data,
    params: params,
    activeTab: actualTab
  }, TabPanelsBoxProps), children)));
});

var _excluded$1v = ["className", "children"];
var classes$19 = {
  root: 'MuiDetailsPageTab-root'
};
var DetailsPageTab = React.forwardRef(function DetailsPageTabRender(props, ref) {
  var className = props.className,
    other = _objectWithoutPropertiesLoose(props, _excluded$1v);
  return React.createElement(Tab, Object.assign({
    ref: ref,
    className: buildClassName(classes$19.root, className)
  }, other));
});

var _templateObject$J;
var _excluded$1w = ["className", "children"],
  _excluded2$I = ["renderStartAdornment", "renderEndAdornment", "title", "titleAdornment", "subtitle", "icon", "hasRefresh", "actionGroup", "refreshIcon", "data", "width", "contentWidth", "onRefresh", "hasDivider", "transparent", "DividerProps", "TitleTypographyProps", "SubtitleTypographyProps", "RefreshButtonProps", "TitleBoxProps", "TitleAndSubtitleBoxProps"];
var classes$1a = {
  root: 'MuiPartHeader-root',
  sideTitle: 'MuiPartHeader-sideTitle',
  topTitle: 'MuiPartHeader-topTitle',
  titleAndSubtitle: 'MuiPartHeader-titleAndSubtitle',
  titleContainer: 'MuiPartHeader-titleContainer'
};
var PartHeaderRef = React.forwardRef(function (props, ref) {
  var className = props.className,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$1w);
  return React.createElement(Header, Object.assign({
    ref: ref,
    className: buildClassName(classes$1a.root, className)
  }, other), children);
});
var PartHeaderRoot = styled(PartHeaderRef)(_templateObject$J || (_templateObject$J = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  _objectDestructuringEmpty(_ref);
  return "\n      \n    ";
});
var PartHeader = React.forwardRef(function (props, ref) {
  var renderStartAdornment = props.renderStartAdornment,
    renderEndAdornment = props.renderEndAdornment,
    title = props.title,
    titleAdornment = props.titleAdornment,
    subtitle = props.subtitle,
    icon = props.icon,
    hasRefresh = props.hasRefresh,
    actionGroup = props.actionGroup,
    refreshIcon = props.refreshIcon,
    data = props.data,
    _props$width = props.width,
    width = _props$width === void 0 ? 'full' : _props$width,
    _props$contentWidth = props.contentWidth,
    contentWidth = _props$contentWidth === void 0 ? 'full' : _props$contentWidth,
    onRefresh = props.onRefresh,
    hasDivider = props.hasDivider,
    _props$transparent = props.transparent,
    transparent = _props$transparent === void 0 ? true : _props$transparent,
    DividerProps = props.DividerProps,
    TitleTypographyProps = props.TitleTypographyProps,
    SubtitleTypographyProps = props.SubtitleTypographyProps,
    RefreshButtonProps = props.RefreshButtonProps,
    TitleBoxProps = props.TitleBoxProps,
    TitleAndSubtitleBoxProps = props.TitleAndSubtitleBoxProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$I);
  var hasTitle = !!title || !!titleAdornment;
  var hasSubtitle = !!subtitle;
  return React.createElement(PartHeaderRoot, Object.assign({
    ref: ref,
    className: classes$1a.root,
    transparent: transparent,
    width: width,
    contentWidth: contentWidth
  }, other), renderStartAdornment ? renderStartAdornment(data) : React.createElement(React.Fragment, null), React.createElement(Box, Object.assign({
    className: classes$1a.titleAndSubtitle,
    display: 'flex',
    gap: 1,
    flexDirection: 'column',
    flexGrow: 1,
    mr: 2
  }, TitleAndSubtitleBoxProps), hasTitle && React.createElement(Box, Object.assign({
    display: 'flex',
    alignItems: 'center',
    flexGrow: 1,
    className: classes$1a.titleContainer
  }, TitleBoxProps), icon && React.createElement(HeaderIcon, {
    icon: icon
  }), hasTitle && React.createElement(HeaderTitle, Object.assign({
    title: title,
    titleAdornment: titleAdornment,
    data: data,
    TitleTypographyProps: TitleTypographyProps
  }, TitleBoxProps))), hasDivider && React.createElement(HeaderDivider, Object.assign({}, DividerProps)), hasSubtitle && React.createElement(HeaderSubtitle, {
    subtitle: subtitle,
    data: data,
    SubtitleTypographyProps: SubtitleTypographyProps
  })), actionGroup && React.isValidElement(actionGroup) && React.cloneElement(actionGroup, {
    data: data
  }), hasRefresh && onRefresh && React.createElement(RefreshButton, Object.assign({
    onRefresh: onRefresh,
    refreshIcon: refreshIcon
  }, RefreshButtonProps)), renderEndAdornment ? renderEndAdornment(data) : React.createElement(React.Fragment, null));
});

var DetailsPartContent = React.forwardRef(function (props, ref) {
  var data = props.data,
    children = props.children,
    LayoutComponent = props.LayoutComponent,
    LayoutComponentProps = props.LayoutComponentProps;
  var hasGroup = false;
  var hasField = false;
  var _children = React.Children.map(children, function (child) {
    if (isDetailsPartFieldsGroup(child)) {
      hasGroup = true;
      return React.cloneElement(child, {
        data: data
      });
    } else if (isAnyDetailField(child)) {
      var _child$props, _child$props2;
      hasField = true;
      var propValue = child === null || child === void 0 ? void 0 : (_child$props = child.props) === null || _child$props === void 0 ? void 0 : _child$props.value;
      var value = propValue !== undefined ? isFunction(propValue) ? propValue(data) : propValue : getValue(data, child === null || child === void 0 ? void 0 : (_child$props2 = child.props) === null || _child$props2 === void 0 ? void 0 : _child$props2.name);
      return React.cloneElement(child, {
        value: value
      });
    } else {
      return React.cloneElement(child, {
        data: data
      });
    }
  });
  if (LayoutComponent) return React.createElement(LayoutComponent, Object.assign({
    ref: ref
  }, LayoutComponentProps), _children);
  if (hasField) return React.createElement(Stack, Object.assign({
    ref: ref
  }, LayoutComponentProps), _children);
  if (hasGroup) return React.createElement(ColumnsLayout, Object.assign({
    ref: ref
  }, LayoutComponentProps), _children);
  return React.createElement(React.Fragment, null, _children);
});

var _excluded$1x = ["getMethod", "params", "LoaderProps", "children", "empty", "contentWidth", "onGet", "onSetData", "width", "height", "data", "className", "refresh", "header", "LayoutComponent", "LayoutComponentProps", "ErrorAlertGroupProps", "fieldsProps"];
var classes$1b = {
  root: 'MuiDetailsPart-root'
};
var DetailsPart = React.forwardRef(function (props, ref) {
  var getMethod = props.getMethod,
    params = props.params,
    LoaderProps = props.LoaderProps,
    children = props.children,
    empty = props.empty,
    _props$contentWidth = props.contentWidth,
    contentWidth = _props$contentWidth === void 0 ? 'full' : _props$contentWidth,
    onGet = props.onGet,
    onSetData = props.onSetData,
    _props$width = props.width,
    width = _props$width === void 0 ? 'full' : _props$width,
    height = props.height,
    initialData = props.data,
    className = props.className,
    externalRefresh = props.refresh,
    header = props.header,
    LayoutComponent = props.LayoutComponent,
    LayoutComponentProps = props.LayoutComponentProps,
    ErrorAlertGroupProps = props.ErrorAlertGroupProps,
    fieldsProps = props.fieldsProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1x);
  var _useRefresh = useRefresh({
      refresh: externalRefresh
    }),
    refresh = _useRefresh.refresh,
    handleRefresh = _useRefresh.handleRefresh;
  var _useGet = useGet({
      getMethod: getMethod,
      params: params,
      onGet: onGet,
      onSetData: onSetData,
      initialData: initialData,
      refresh: refresh
    }),
    data = _useGet.data,
    errors = _useGet.errors,
    isLoading = _useGet.isLoading,
    isEmpty = _useGet.isEmpty;
  var hasErrors = errors !== undefined && errors.length > 0;
  var errorAlertGroup = hasErrors && errors ? React.createElement(AlertGroup, Object.assign({}, ErrorAlertGroupProps), errors.map(function (e, index) {
    return React.createElement(DismissibleAlert, {
      key: index,
      message: e.message,
      code: e.code,
      severity: e.severity
    });
  })) : undefined;
  var _header = undefined;
  if (header && React.isValidElement(header)) {
    _header = React.cloneElement(header, {
      onRefresh: handleRefresh
    });
  }
  var targetRef = ref !== null && ref !== void 0 ? ref : useRef(null);
  return isLoading ? React.createElement(Loader, Object.assign({}, LoaderProps, {
    targetRef: targetRef
  })) : React.createElement(Part, Object.assign({
    ref: targetRef,
    className: buildClassName(classes$1b.root, className),
    width: width,
    height: height,
    data: data,
    contentWidth: contentWidth,
    header: _header,
    errorAlertGroup: errorAlertGroup
  }, other), hasErrors ? React.createElement(React.Fragment, null) : isEmpty && empty ? React.createElement(React.Fragment, null, empty) : React.createElement(DetailsPartContent, {
    data: data,
    LayoutComponent: LayoutComponent,
    LayoutComponentProps: LayoutComponentProps
  }, React.Children.map(children, function (child) {
    var _child$data, _child$props;
    return React.cloneElement(child, _extends({
      data: (_child$data = child === null || child === void 0 ? void 0 : child.data) !== null && _child$data !== void 0 ? _child$data : data
    }, fieldsProps === null || fieldsProps === void 0 ? void 0 : fieldsProps[(_child$props = child.props) === null || _child$props === void 0 ? void 0 : _child$props.name]));
  })));
});

var _excluded$1y = ["title", "className", "TitleTypographyProps"];
var classes$1c = {
  root: 'MuiFieldsGroupHeader-root',
  groupTitle: 'MuiFieldsGroup-groupTitle'
};
var DetailsPartFieldsGroupHeader = React.forwardRef(function (props, ref) {
  var title = props.title,
    className = props.className,
    TitleTypographyProps = props.TitleTypographyProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1y);
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: buildClassName(classes$1c.root, className)
  }, other), typeof title === 'string' ? React.createElement(Typography, Object.assign({
    className: classes$1c.groupTitle,
    variant: 'caption'
  }, TitleTypographyProps), title) : React.createElement(React.Fragment, null, title));
});

var _excluded$1z = ["title", "TitleTypographyProps", "children", "data", "fieldMargin", "HeaderBoxProps", "FieldsBoxProps"];
var classes$1d = {
  root: 'MuiFieldsGroup-root',
  groupTitle: 'MuiFieldsGroup-groupTitle',
  field: 'MuiFieldsGroup-field'
};
var DetailsPartFieldsGroup = React.forwardRef(function DetailsPartFieldsGroupRender(props, ref) {
  var title = props.title,
    TitleTypographyProps = props.TitleTypographyProps,
    children = props.children,
    data = props.data,
    fieldMargin = props.fieldMargin,
    HeaderBoxProps = props.HeaderBoxProps,
    FieldsBoxProps = props.FieldsBoxProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1z);
  return React.createElement(Box, Object.assign({
    ref: ref,
    display: 'flex',
    flexDirection: 'column'
  }, other), title && React.createElement(DetailsPartFieldsGroupHeader, Object.assign({
    title: title,
    TitleTypographyProps: TitleTypographyProps
  }, HeaderBoxProps)), React.createElement(Box, Object.assign({
    display: 'flex',
    flexDirection: 'column'
  }, FieldsBoxProps), children !== undefined && React.Children.map(children, function (field, index) {
    var _field$props$margin, _field$props, _field$props$name, _field$props2, _field$props3;
    return React.cloneElement(field, {
      margin: (_field$props$margin = field === null || field === void 0 ? void 0 : (_field$props = field.props) === null || _field$props === void 0 ? void 0 : _field$props.margin) !== null && _field$props$margin !== void 0 ? _field$props$margin : fieldMargin,
      className: classes$1d.field,
      key: (_field$props$name = (_field$props2 = field.props) === null || _field$props2 === void 0 ? void 0 : _field$props2.name) !== null && _field$props$name !== void 0 ? _field$props$name : index,
      value: getValue(data, (_field$props3 = field.props) === null || _field$props3 === void 0 ? void 0 : _field$props3.name)
    });
  })));
});

var _excluded$1A = ["labelPlacement", "labelSx", "borderBottom", "sx", "margin"],
  _excluded2$J = ["className", "label", "control", "LabelTypographyProps", "sx", "data", "renderStartAdornment", "renderEndAdornment", "value", "visibility", "labelPlacement", "Component", "renderContent"],
  _excluded3$c = ["sx"];
var _templateObject$K;
var classes$1e = {
  root: 'MuiDetailFieldControlRoot-root',
  label: 'MuiDetailFieldControlRoot-label'
};
var DetailFieldControlRoot = styled$1(function (_ref) {
  var borderBottom = _ref.borderBottom,
    sx = _ref.sx,
    other = _objectWithoutPropertiesLoose(_ref, _excluded$1A);
  return React.createElement(Box$1, Object.assign({
    borderBottom: borderBottom,
    sx: sx
  }, other));
})(_templateObject$K || (_templateObject$K = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref2) {
  var _ref3, _labelSx$color, _labelSx$transform, _labelSx$transform2;
  var theme = _ref2.theme,
    sx = _ref2.sx,
    borderBottom = _ref2.borderBottom,
    margin = _ref2.margin,
    labelSx = _ref2.labelSx,
    labelPlacement = _ref2.labelPlacement;
  return "\n    " + (labelPlacement == 'top' || labelPlacement == 'bottom' ? 'min-height: 48px;' : 'min-height: 24px;') + "\n    margin-top: " + (margin === 'none' ? theme.spacing(0) : margin === 'dense' ? theme.spacing(0) : theme.spacing(1)) + ";\n    margin-bottom: " + (margin === 'none' ? theme.spacing(0) : margin === 'dense' ? theme.spacing(1) : theme.spacing(1)) + ";\n\n    border-bottom: " + ((_ref3 = borderBottom !== null && borderBottom !== void 0 ? borderBottom : sx === null || sx === void 0 ? void 0 : sx.borderBottom) !== null && _ref3 !== void 0 ? _ref3 : '1px dotted ' + theme.palette.text.secondary) + ";\n    \n    " + (labelPlacement == 'start' ? 'display: flex; align-items: center; flex-direction: row;' : labelPlacement == 'end' ? 'display: flex; align-items: center; flex-direction: row-reverse;' : labelPlacement == 'bottom' ? 'display: flex; flex-direction: column-reverse;' : '') + "\n\n    & .MuiDetailFieldControlRoot-label {\n      color: " + ((_labelSx$color = labelSx === null || labelSx === void 0 ? void 0 : labelSx.color) !== null && _labelSx$color !== void 0 ? _labelSx$color : theme.palette.text.secondary) + ";\n      transform: " + (((_labelSx$transform = labelSx === null || labelSx === void 0 ? void 0 : labelSx.transform) !== null && _labelSx$transform !== void 0 ? _labelSx$transform : labelPlacement) ? 'scale(0.75)' : 'translate(0, -1.5px) scale(0.75)') + ";\n      transform-origin: " + ((_labelSx$transform2 = labelSx === null || labelSx === void 0 ? void 0 : labelSx.transform) !== null && _labelSx$transform2 !== void 0 ? _labelSx$transform2 : 'left') + ";\n      " + (labelPlacement == 'end' ? 'margin-left:auto;' : '') + "\n    }";
});
var DetailFieldControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    label = props.label,
    control = props.control,
    LabelTypographyProps = props.LabelTypographyProps,
    sx = props.sx,
    data = props.data,
    renderStartAdornment = props.renderStartAdornment,
    renderEndAdornment = props.renderEndAdornment,
    value = props.value,
    visibility = props.visibility,
    _props$labelPlacement = props.labelPlacement,
    labelPlacement = _props$labelPlacement === void 0 ? 'top' : _props$labelPlacement,
    Component = props.Component,
    renderContent = props.renderContent,
    other = _objectWithoutPropertiesLoose(props, _excluded2$J);
  if (!isVisible(visibility, value, props === null || props === void 0 ? void 0 : props.data)) return React.createElement(React.Fragment, null);
  if ((props === null || props === void 0 ? void 0 : props.empty) === true && (value === undefined || value === null || typeof (props === null || props === void 0 ? void 0 : props.value) === 'string' && !props.value) && !renderStartAdornment && !renderEndAdornment && !Component && !renderContent) {
    return React.createElement(React.Fragment, null);
  }
  var _ref4 = LabelTypographyProps !== null && LabelTypographyProps !== void 0 ? LabelTypographyProps : {},
    labelSx = _ref4.sx,
    LabelTypographyPropsOther = _objectWithoutPropertiesLoose(_ref4, _excluded3$c);
  return React.createElement(DetailFieldControlRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$1e.root, className),
    labelPlacement: labelPlacement,
    labelSx: labelSx,
    sx: sx
  }, other), label && React.createElement(Typography, Object.assign({
    className: classes$1e.label,
    sx: labelSx
  }, LabelTypographyPropsOther), label), React.createElement(Box$1, {
    display: 'flex'
  }, renderStartAdornment && renderStartAdornment(value, data), control, renderEndAdornment && renderEndAdornment(value, data)));
});

var _excluded$1B = ["value", "className", "empty"],
  _excluded2$K = ["value", "className", "empty", "TextDisplayProps"],
  _excluded3$d = ["empty"];
var classes$1f = {
  root: 'MuiDetailTextField-root',
  value: 'MuiDetailTextField-value'
};
var TextDisplay = function TextDisplay(props) {
  var value = props.value,
    className = props.className,
    empty = props.empty,
    other = _objectWithoutPropertiesLoose(props, _excluded$1B);
  if (!value) return React.createElement(React.Fragment, null, empty);
  return React.createElement(Typography, Object.assign({
    className: buildClassName(classes$1f.value, className)
  }, other), value);
};
var DetailTextField = React.forwardRef(function DetailTextFieldRender(props, ref) {
  var value = props.value,
    className = props.className,
    empty = props.empty,
    TextDisplayProps = props.TextDisplayProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$K);
  var _ref = TextDisplayProps !== null && TextDisplayProps !== void 0 ? TextDisplayProps : {},
    displayEmpty = _ref.empty,
    TextDisplayPropsOther = _objectWithoutPropertiesLoose(_ref, _excluded3$d);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1f.root, className),
    control: React.createElement(TextDisplay, Object.assign({
      value: value !== null && value !== void 0 ? value : '',
      empty: empty !== null && empty !== void 0 ? empty : displayEmpty
    }, TextDisplayPropsOther))
  }, other));
});

var _excluded$1C = ["value", "empty", "className", "DateTimeDisplayProps"],
  _excluded2$L = ["className", "empty"];
var classes$1g = {
  root: 'MuiDetailDateTimeField-root',
  value: 'MuiDetailDateTimeField-value'
};
var DetailDateTimeField = React.forwardRef(function DetailDateTimeFieldRender(props, ref) {
  var value = props.value,
    empty = props.empty,
    className = props.className,
    DateTimeDisplayProps = props.DateTimeDisplayProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1C);
  var _ref = DateTimeDisplayProps !== null && DateTimeDisplayProps !== void 0 ? DateTimeDisplayProps : {},
    dateTimeDisplayClassName = _ref.className,
    displayEmpty = _ref.empty,
    DateTimeDisplayPropsOther = _objectWithoutPropertiesLoose(_ref, _excluded2$L);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1g.root, className),
    control: React.createElement(DateTimeDisplay, Object.assign({
      className: buildClassName(classes$1g.value, dateTimeDisplayClassName),
      value: value,
      empty: empty !== null && empty !== void 0 ? empty : displayEmpty
    }, DateTimeDisplayPropsOther))
  }, other));
});

var _excluded$1D = ["value", "className", "empty", "TimeDisplayProps"],
  _excluded2$M = ["className", "empty"];
var classes$1h = {
  root: 'MuiDetailTimeField-root',
  value: 'MuiDetailTimeField-value'
};
var DetailTimeField = React.forwardRef(function DetailTimeFieldRender(props, ref) {
  var value = props.value,
    className = props.className,
    empty = props.empty,
    TimeDisplayProps = props.TimeDisplayProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1D);
  var _ref = TimeDisplayProps !== null && TimeDisplayProps !== void 0 ? TimeDisplayProps : {},
    timeDisplayClassName = _ref.className,
    displayEmpty = _ref.empty,
    TimeDisplayPropsOther = _objectWithoutPropertiesLoose(_ref, _excluded2$M);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1h.root, className),
    control: React.createElement(TimeDisplay, Object.assign({
      value: value,
      empty: empty !== null && empty !== void 0 ? empty : displayEmpty,
      className: buildClassName(classes$1h.root, timeDisplayClassName)
    }, TimeDisplayPropsOther))
  }, other));
});

var _excluded$1E = ["value", "empty", "className", "DateDisplayProps"],
  _excluded2$N = ["className", "empty"];
var classes$1i = {
  root: 'MuiDetailDateField-root',
  value: 'MuiDetailDateField-value'
};
var DetailDateField = React.forwardRef(function DetailDateFieldRender(props, ref) {
  var value = props.value,
    empty = props.empty,
    className = props.className,
    DateDisplayProps = props.DateDisplayProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1E);
  var _ref = DateDisplayProps !== null && DateDisplayProps !== void 0 ? DateDisplayProps : {},
    dateDisplayClassName = _ref.className,
    displayEmpty = _ref.empty,
    DateDisplayPropsOther = _objectWithoutPropertiesLoose(_ref, _excluded2$N);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1i.root, className),
    control: React.createElement(DateDisplay, Object.assign({
      className: buildClassName(classes$1i.value, dateDisplayClassName),
      value: value,
      empty: empty !== null && empty !== void 0 ? empty : displayEmpty
    }, DateDisplayPropsOther))
  }, other));
});

var _excluded$1F = ["value", "empty", "className", "ImageDisplayProps"],
  _excluded2$O = ["className", "empty"];
var _templateObject$L;
var classes$1j = {
  root: 'MuiDetailImageField-root',
  value: 'MuiDetailImageField-value'
};
var DetailImageFieldRoot = styled(function (_ref) {
  var other = _extends({}, (_objectDestructuringEmpty(_ref), _ref));
  return React.createElement(ImageDisplay, Object.assign({}, other));
})(_templateObject$L || (_templateObject$L = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function () {
  return "\n      margin-bottom: .25rem;\n    ";
});
var DetailImageField = React.forwardRef(function DetailImageFieldRender(props, ref) {
  var value = props.value,
    empty = props.empty,
    className = props.className,
    ImageDisplayProps = props.ImageDisplayProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1F);
  var _ref2 = ImageDisplayProps !== null && ImageDisplayProps !== void 0 ? ImageDisplayProps : {},
    imageDisplayClassName = _ref2.className,
    displayEmpty = _ref2.empty,
    ImageDisplayPropsOther = _objectWithoutPropertiesLoose(_ref2, _excluded2$O);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1j.root, className),
    control: React.createElement(DetailImageFieldRoot, Object.assign({
      className: buildClassName(classes$1j.value, imageDisplayClassName),
      value: value,
      empty: empty !== null && empty !== void 0 ? empty : displayEmpty
    }, ImageDisplayPropsOther))
  }, other));
});

var _excluded$1G = ["value", "className", "empty", "SwitchDisplayProps", "variant"],
  _excluded2$P = ["className", "empty"];
var classes$1k = {
  root: 'MuiDetailSwitchField-root',
  value: 'MuiDetailSwitchField-value'
};
var DetailSwitchField = React.forwardRef(function DetailSwitchFieldRender(props, ref) {
  var value = props.value,
    className = props.className,
    empty = props.empty,
    SwitchDisplayProps = props.SwitchDisplayProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1G);
  var _ref = SwitchDisplayProps !== null && SwitchDisplayProps !== void 0 ? SwitchDisplayProps : {},
    switchDisplayClassName = _ref.className,
    displayEmpty = _ref.empty,
    SwitchDisplayPropsOther = _objectWithoutPropertiesLoose(_ref, _excluded2$P);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1k.root, className),
    control: React.createElement(SwitchDisplay, Object.assign({
      className: buildClassName(classes$1k.value, switchDisplayClassName),
      value: value,
      empty: empty !== null && empty !== void 0 ? empty : displayEmpty
    }, SwitchDisplayPropsOther))
  }, other));
});

var _excluded$1H = ["value", "empty", "className", "CurrencyAmountDisplayProps"],
  _excluded2$Q = ["className", "empty"];
var classes$1l = {
  root: 'MuiDetailsCurrencyAmountField-root',
  value: 'MuiDetailsCurrencyAmountField-value'
};
var DetailCurrencyAmountField = React.forwardRef(function DetailCurrencyAmountFieldRender(props, ref) {
  var value = props.value,
    empty = props.empty,
    className = props.className,
    CurrencyAmountDisplayProps = props.CurrencyAmountDisplayProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1H);
  var _ref = CurrencyAmountDisplayProps !== null && CurrencyAmountDisplayProps !== void 0 ? CurrencyAmountDisplayProps : {},
    currencyAmountDisplayClassName = _ref.className,
    displayEmpty = _ref.empty,
    CurrencyAmountDisplayPropsOther = _objectWithoutPropertiesLoose(_ref, _excluded2$Q);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1l.root, className),
    control: React.createElement(CurrencyAmountDisplay, Object.assign({
      className: buildClassName(classes$1l.value, currencyAmountDisplayClassName),
      value: value,
      empty: empty !== null && empty !== void 0 ? empty : displayEmpty
    }, CurrencyAmountDisplayPropsOther))
  }, other));
});

var _excluded$1I = ["value", "options", "empty", "className", "BoxProps", "OptionDisplayProps"],
  _excluded2$R = ["className", "empty"];
var _templateObject$M;
var classes$1m = {
  root: 'MuiDetailOptionField-root',
  value: 'MuiDetailOptionField-value'
};
var DetailOptionFieldStyled = styled(function (_ref) {
  var other = _extends({}, (_objectDestructuringEmpty(_ref), _ref));
  return React.createElement(OptionDisplay, Object.assign({}, other));
})(_templateObject$M || (_templateObject$M = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function () {
  return "\n      margin-bottom: .25rem;\n    ";
});
var DetailOptionField = React.forwardRef(function DetailOptionFieldRender(props, ref) {
  var value = props.value,
    options = props.options,
    empty = props.empty,
    className = props.className,
    BoxProps = props.BoxProps,
    OptionDisplayProps = props.OptionDisplayProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1I);
  var _ref2 = OptionDisplayProps !== null && OptionDisplayProps !== void 0 ? OptionDisplayProps : {},
    optionDisplayClassName = _ref2.className,
    displayEmpty = _ref2.empty,
    OptionDisplayPropsOther = _objectWithoutPropertiesLoose(_ref2, _excluded2$R);
  var isArray = Array.isArray(value);
  var control = React.createElement(React.Fragment, null);
  if (isArray) {
    control = React.createElement(Box, Object.assign({
      display: 'flex',
      gap: 1
    }, BoxProps), value.map(function (v, index) {
      return React.createElement(DetailOptionFieldStyled, Object.assign({
        key: index,
        className: buildClassName(classes$1m.value, optionDisplayClassName),
        value: v,
        options: options !== null && options !== void 0 ? options : []
      }, OptionDisplayPropsOther));
    }));
  } else {
    control = React.createElement(DetailOptionFieldStyled, Object.assign({
      className: buildClassName(classes$1m.value, optionDisplayClassName),
      value: value,
      options: options !== null && options !== void 0 ? options : [],
      empty: empty !== null && empty !== void 0 ? empty : displayEmpty
    }, OptionDisplayPropsOther));
  }
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1m.root, className),
    control: control
  }, other));
});

var _excluded$1J = ["value", "empty", "className", "NumberDisplayProps"],
  _excluded2$S = ["className", "empty"];
var classes$1n = {
  root: 'MuiDetailNumberField-root',
  value: 'MuiDetailNumberField-value'
};
var DetailNumberField = React.forwardRef(function DetailNumberFieldRender(props, ref) {
  var value = props.value,
    empty = props.empty,
    className = props.className,
    NumberDisplayProps = props.NumberDisplayProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1J);
  var _ref = NumberDisplayProps !== null && NumberDisplayProps !== void 0 ? NumberDisplayProps : {},
    numberDisplayClassName = _ref.className,
    displayEmpty = _ref.empty,
    NumberDisplayPropsOther = _objectWithoutPropertiesLoose(_ref, _excluded2$S);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1n.root, className),
    control: React.createElement(NumberDisplay, Object.assign({
      className: buildClassName(classes$1n.value, numberDisplayClassName),
      value: value,
      empty: empty !== null && empty !== void 0 ? empty : displayEmpty
    }, NumberDisplayPropsOther))
  }, other));
});

var _excluded$1K = ["value", "empty", "className", "CodeDisplayProps"],
  _excluded2$T = ["className", "empty"];
var _templateObject$N;
var classes$1o = {
  root: 'MuiDetailCodeField-root',
  value: 'MuiDetailCodeField-value'
};
var CodeDisplayStyled = styled(function (_ref) {
  var other = _extends({}, (_objectDestructuringEmpty(_ref), _ref));
  return React.createElement(CodeDisplay, Object.assign({}, other));
})(_templateObject$N || (_templateObject$N = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function () {
  return "\n      margin-bottom: .25rem;\n    ";
});
var DetailCodeField = React.forwardRef(function DetailCodeFieldRender(props, ref) {
  var value = props.value,
    empty = props.empty,
    className = props.className,
    CodeDisplayProps = props.CodeDisplayProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1K);
  var _ref2 = CodeDisplayProps !== null && CodeDisplayProps !== void 0 ? CodeDisplayProps : {},
    codeDisplayClassName = _ref2.className,
    displayEmpty = _ref2.empty,
    CodeDisplayPropsOther = _objectWithoutPropertiesLoose(_ref2, _excluded2$T);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1o.root, className),
    control: React.createElement(CodeDisplayStyled, Object.assign({
      className: buildClassName(classes$1o.value, codeDisplayClassName),
      value: value !== null && value !== void 0 ? value : '',
      empty: empty !== null && empty !== void 0 ? empty : displayEmpty
    }, CodeDisplayPropsOther))
  }, other));
});

var _excluded$1L = ["labelPlacement"],
  _excluded2$U = ["value", "className", "empty", "ColorDisplayProps", "labelPlacement"],
  _excluded3$e = ["className", "empty"];
var _templateObject$O;
var classes$1p = {
  root: 'MuiDetailColorField-root',
  value: 'MuiDetailColorField-value'
};
var ColorDisplayStyled = styled(function (_ref) {
  var props = _extends({}, (_objectDestructuringEmpty(_ref), _ref));
  var other = _objectWithoutPropertiesLoose(props, _excluded$1L);
  return React.createElement(ColorDisplay, Object.assign({}, other));
})(_templateObject$O || (_templateObject$O = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref2) {
  var labelPlacement = _ref2.labelPlacement;
  return "\n      " + (labelPlacement !== 'top' ? 'margin-bottom: .25rem;' : '') + "\n    ";
});
var DetailColorField = React.forwardRef(function DetailColorFieldRender(props, ref) {
  var value = props.value,
    className = props.className,
    empty = props.empty,
    ColorDisplayProps = props.ColorDisplayProps,
    labelPlacement = props.labelPlacement,
    other = _objectWithoutPropertiesLoose(props, _excluded2$U);
  var _ref3 = ColorDisplayProps !== null && ColorDisplayProps !== void 0 ? ColorDisplayProps : {},
    codeDisplayClassName = _ref3.className,
    displayEmpty = _ref3.empty,
    ColorDisplayPropsOther = _objectWithoutPropertiesLoose(_ref3, _excluded3$e);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1p.root, className),
    control: React.createElement(ColorDisplayStyled, Object.assign({
      className: buildClassName(classes$1p.value, codeDisplayClassName),
      value: value !== null && value !== void 0 ? value : '',
      empty: empty !== null && empty !== void 0 ? empty : displayEmpty,
      labelPlacement: labelPlacement
    }, ColorDisplayPropsOther)),
    labelPlacement: labelPlacement
  }, other));
});

var _excluded$1M = ["value", "empty", "className", "CheckboxDisplayProps"],
  _excluded2$V = ["className", "empty"];
var _templateObject$P;
var classes$1q = {
  root: 'MuiDetailCheckboxField-root',
  value: 'MuiDetailCheckboxField-value'
};
var CheckboxDisplayStyled = styled(function (_ref) {
  var other = _extends({}, (_objectDestructuringEmpty(_ref), _ref));
  return React.createElement(CheckboxDisplay, Object.assign({}, other));
})(_templateObject$P || (_templateObject$P = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function () {
  return "\n      padding: 0;\n      margin: .25rem;\n    ";
});
var DetailCheckboxField = React.forwardRef(function DetailCheckboxFieldRender(props, ref) {
  var value = props.value,
    empty = props.empty,
    className = props.className,
    CheckboxDisplayProps = props.CheckboxDisplayProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1M);
  var _ref2 = CheckboxDisplayProps !== null && CheckboxDisplayProps !== void 0 ? CheckboxDisplayProps : {},
    checkBoxDisplayClassName = _ref2.className,
    displayEmpty = _ref2.empty,
    CheckboxDisplayPropsOther = _objectWithoutPropertiesLoose(_ref2, _excluded2$V);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1q.root, className),
    control: React.createElement(CheckboxDisplayStyled, Object.assign({
      className: buildClassName(classes$1q.value, checkBoxDisplayClassName),
      value: value,
      empty: empty !== null && empty !== void 0 ? empty : displayEmpty
    }, CheckboxDisplayPropsOther))
  }, other));
});

var _excluded$1N = ["value", "empty", "className", "BoolDisplayProps"],
  _excluded2$W = ["className", "empty"];
var _templateObject$Q;
var classes$1r = {
  root: 'MuiDetailBoolField-root',
  value: 'MuiDetailBoolField-value'
};
var DetailBoolFieldRoot = styled(function (_ref) {
  var other = _extends({}, (_objectDestructuringEmpty(_ref), _ref));
  return React.createElement(BoolDisplay, Object.assign({}, other));
})(_templateObject$Q || (_templateObject$Q = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function () {
  return "\n      margin-bottom: .25rem;\n    ";
});
var DetailBoolField = React.forwardRef(function DetailBoolFieldRender(props, ref) {
  var value = props.value,
    empty = props.empty,
    className = props.className,
    BoolDisplayProps = props.BoolDisplayProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1N);
  var _ref2 = BoolDisplayProps !== null && BoolDisplayProps !== void 0 ? BoolDisplayProps : {},
    boolDisplayClassName = _ref2.className,
    displayEmpty = _ref2.empty,
    BoolDisplayPropsOther = _objectWithoutPropertiesLoose(_ref2, _excluded2$W);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1r.root, className),
    control: React.createElement(DetailBoolFieldRoot, Object.assign({
      className: buildClassName(classes$1r.value, boolDisplayClassName),
      value: value,
      empty: empty !== null && empty !== void 0 ? empty : displayEmpty
    }, BoolDisplayPropsOther))
  }, other));
});

var _excluded$1O = ["value", "empty", "className", "ChecklistDisplayProps"],
  _excluded2$X = ["className", "empty"];
var _templateObject$R;
var classes$1s = {
  root: 'MuiDetailChecklistField-root',
  value: 'MuiDetailChecklistField-value'
};
var ChecklistDisplayStyled = styled(function (_ref) {
  var other = _extends({}, (_objectDestructuringEmpty(_ref), _ref));
  return React.createElement(ChecklistDisplay, Object.assign({}, other));
})(_templateObject$R || (_templateObject$R = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function () {
  return "\n      padding: 0;\n    ";
});
var DetailChecklistField = React.forwardRef(function DetailChecklistFieldRender(props, ref) {
  var value = props.value,
    empty = props.empty,
    className = props.className,
    ChecklistDisplayProps = props.ChecklistDisplayProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1O);
  var _ref2 = ChecklistDisplayProps !== null && ChecklistDisplayProps !== void 0 ? ChecklistDisplayProps : {},
    ChecklistDisplayClassName = _ref2.className,
    displayEmpty = _ref2.empty,
    ChecklistDisplayPropsOther = _objectWithoutPropertiesLoose(_ref2, _excluded2$X);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1s.root, className),
    control: React.createElement(ChecklistDisplayStyled, Object.assign({
      className: buildClassName(classes$1s.value, ChecklistDisplayClassName),
      value: value,
      empty: empty !== null && empty !== void 0 ? empty : displayEmpty
    }, ChecklistDisplayPropsOther))
  }, other));
});

var _excluded$1P = ["value", "className", "empty", "RatingDisplayProps"],
  _excluded2$Y = ["className", "empty"];
var classes$1t = {
  root: 'MuiDetailRatingField-root',
  value: 'MuiDetailRatingField-value'
};
var DetailRatingField = React.forwardRef(function DetailRatingFieldRender(props, ref) {
  var value = props.value,
    className = props.className,
    empty = props.empty,
    RatingDisplayProps = props.RatingDisplayProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1P);
  var _ref = RatingDisplayProps !== null && RatingDisplayProps !== void 0 ? RatingDisplayProps : {},
    displayClassName = _ref.className,
    displayEmpty = _ref.empty,
    RatingDisplayPropsOther = _objectWithoutPropertiesLoose(_ref, _excluded2$Y);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1t.root, className),
    control: React.createElement(RatingDisplay, Object.assign({
      className: buildClassName(classes$1t.value, displayClassName),
      empty: empty !== null && empty !== void 0 ? empty : displayEmpty,
      value: value
    }, RatingDisplayPropsOther))
  }, other));
});

var _excluded$1Q = ["value", "className", "options", "empty", "RadioGroupDisplayProps"],
  _excluded2$Z = ["className", "empty"];
var classes$1u = {
  root: 'MuiDetailRadioGroupField-root',
  value: 'MuiDetailRadioGroupField-value'
};
var DetailRadioGroupField = React.forwardRef(function DetailRadioGroupFieldRender(props, ref) {
  var value = props.value,
    className = props.className,
    options = props.options,
    empty = props.empty,
    RadioGroupDisplayProps = props.RadioGroupDisplayProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1Q);
  var _ref = RadioGroupDisplayProps !== null && RadioGroupDisplayProps !== void 0 ? RadioGroupDisplayProps : {},
    displayClassName = _ref.className,
    displayEmpty = _ref.empty,
    RadioGroupDisplayPropsOther = _objectWithoutPropertiesLoose(_ref, _excluded2$Z);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1u.root, className),
    control: React.createElement(OptionDisplay$1, Object.assign({
      className: buildClassName(classes$1u.value, displayClassName),
      options: options !== null && options !== void 0 ? options : [],
      value: value,
      empty: empty !== null && empty !== void 0 ? empty : displayEmpty
    }, RadioGroupDisplayPropsOther))
  }, other));
});

var _excluded$1R = ["value", "empty", "className", "ActionLinkProps"],
  _excluded2$_ = ["className", "to", "LinkProps", "data"];
var _templateObject$S;
var classes$1v = {
  root: 'DetailLinkField-root',
  value: 'DetailLinkField-value'
};
var ActionLinkStyled = styled(function (_ref) {
  var other = _extends({}, (_objectDestructuringEmpty(_ref), _ref));
  return React.createElement(ActionLink, Object.assign({}, other));
})(_templateObject$S || (_templateObject$S = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function () {
  return "\n      margin-bottom: .25rem;\n    ";
});
var DetailLinkField = React.forwardRef(function DetailLinkFieldRender(props, ref) {
  var value = props.value,
    empty = props.empty,
    className = props.className,
    ActionLinkProps = props.ActionLinkProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1R);
  var _ref2 = ActionLinkProps !== null && ActionLinkProps !== void 0 ? ActionLinkProps : {},
    codeDisplayClassName = _ref2.className,
    to = _ref2.to,
    LinkProps = _ref2.LinkProps,
    data = _ref2.data,
    ActionLinkPropsOther = _objectWithoutPropertiesLoose(_ref2, _excluded2$_);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1v.root, className),
    control: React.createElement(ActionLinkStyled, Object.assign({
      className: buildClassName(classes$1v.value, codeDisplayClassName),
      title: value !== null && value !== void 0 ? value : empty,
      color: 'inherit',
      LinkProps: _extends({
        underline: 'hover'
      }, LinkProps),
      to: to !== null && to !== void 0 ? to : value
    }, ActionLinkPropsOther, {
      data: data !== null && data !== void 0 ? data : props === null || props === void 0 ? void 0 : props.data
    }))
  }, other));
});

var _excluded$1S = ["className", "variant", "ComponentProps"];
var classes$1w = {
  root: 'MuiDetailField-root'
};
var DetailField = React.forwardRef(function DetailFieldRender(props, ref) {
  var className = props.className,
    variant = props.variant,
    ComponentProps = props.ComponentProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1S);
  if (props !== null && props !== void 0 && props.renderContent) {
    var value = props === null || props === void 0 ? void 0 : props.value;
    var data = props === null || props === void 0 ? void 0 : props.data;
    if (isFunction(value)) {
      value = value(data);
    }
    return React.createElement(DetailFieldControl, Object.assign({
      ref: ref,
      className: buildClassName(classes$1w.root, className),
      control: value || data ? props.renderContent(value, data) : React.createElement(React.Fragment, null, props === null || props === void 0 ? void 0 : props.empty)
    }, other));
  }
  var Component = props === null || props === void 0 ? void 0 : props.Component;
  if (Component) {
    return React.createElement(DetailFieldControl, Object.assign({
      ref: ref,
      className: buildClassName(classes$1w.root, className),
      control: props !== null && props !== void 0 && props.value ? React.createElement(Component, Object.assign({
        className: buildClassName(classes$1w.root, className),
        value: props === null || props === void 0 ? void 0 : props.value
      }, ComponentProps)) : React.createElement(React.Fragment, null, props === null || props === void 0 ? void 0 : props.empty)
    }, other));
  }
  switch (variant) {
    case 'bool':
      {
        return React.createElement(DetailBoolField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className)
        }, other, {
          BoolDisplayProps: ComponentProps
        }));
      }
    case 'checkbox':
      {
        return React.createElement(DetailCheckboxField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className)
        }, other, {
          CheckboxDisplayProps: ComponentProps
        }));
      }
    case 'checklist':
      {
        return React.createElement(DetailChecklistField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className)
        }, other, {
          ChecklistDisplayProps: ComponentProps
        }));
      }
    case 'code':
      {
        return React.createElement(DetailCodeField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className)
        }, other, {
          CodeDisplayProps: ComponentProps
        }));
      }
    case 'color':
      {
        return React.createElement(DetailColorField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className)
        }, other, {
          ColorDisplayProps: ComponentProps
        }));
      }
    case 'combo-box':
      {
        return React.createElement(DetailOptionField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className)
        }, other, {
          OptionDisplayProps: ComponentProps
        }));
      }
    case 'currency-amount':
      {
        return React.createElement(DetailCurrencyAmountField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className)
        }, other, {
          CurrencyAmountDisplayProps: ComponentProps
        }));
      }
    case 'date':
      {
        return React.createElement(DetailDateField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className),
          DateDisplayProps: ComponentProps
        }, other));
      }
    case 'date-time':
      {
        return React.createElement(DetailDateTimeField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className),
          DateTimeDisplayProps: ComponentProps
        }, other));
      }
    case 'image':
      {
        return React.createElement(DetailImageField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className)
        }, other, {
          ImageDisplayProps: ComponentProps
        }));
      }
    case 'link':
      {
        return React.createElement(DetailLinkField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className)
        }, other, {
          ActionLinkProps: ComponentProps
        }));
      }
    case 'number':
      {
        return React.createElement(DetailNumberField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className)
        }, other, ComponentProps));
      }
    case 'radio-group':
      {
        return React.createElement(DetailRadioGroupField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className)
        }, other, {
          RadioGroupDisplayProps: ComponentProps
        }));
      }
    case 'rating':
      {
        return React.createElement(DetailRatingField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className)
        }, other, {
          RatingDisplayProps: ComponentProps
        }));
      }
    case 'switch':
      {
        return React.createElement(DetailSwitchField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className)
        }, other, {
          SwitchDisplayProps: ComponentProps
        }));
      }
    case 'text-area':
      {
        return React.createElement(DetailTextField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className)
        }, other, {
          TextDisplayProps: ComponentProps
        }));
      }
    case 'time':
      {
        return React.createElement(DetailTimeField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className),
          TimeDisplayProps: ComponentProps
        }, other));
      }
    default:
      {
        return React.createElement(DetailTextField, Object.assign({
          ref: ref,
          className: buildClassName(classes$1w.root, className)
        }, other, {
          TextDisplayProps: ComponentProps
        }));
      }
  }
});

var _excluded$1T = ["children", "color", "position", "top", "right"],
  _excluded2$$ = ["children", "minHeight", "cursor", "borderWidth", "borderRadius", "borderColor", "borderStyle", "color", "outline", "transition", "textAlign", "justifyContent"],
  _excluded3$f = ["className", "placeholder", "onChange", "value", "onRemove", "BoxProps", "imgProps", "PlaceholderProps", "RemoveButtonProps", "disabled", "noDrag", "noClick", "noKeyboard", "removeIcon", "removeable", "accept"],
  _excluded4$3 = ["ref"];
var _templateObject$T, _templateObject2$3;
var classes$1x = {
  root: 'MuiImageInput-root',
  placeholder: 'MuiImageInput-placeholder'
};
var RemoveButton = styled(function (_ref2) {
  var children = _ref2.children,
    color = _ref2.color,
    other = _objectWithoutPropertiesLoose(_ref2, _excluded$1T);
  return React.createElement(Fab, Object.assign({
    size: 'small',
    color: color !== null && color !== void 0 ? color : 'error'
  }, other), children);
})(_templateObject$T || (_templateObject$T = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref3) {
  var position = _ref3.position,
    top = _ref3.top,
    right = _ref3.right;
  return "\n      position: " + (position !== null && position !== void 0 ? position : 'absolute') + ";\n      top: " + (top !== null && top !== void 0 ? top : '.75rem') + ";\n      right: " + (right !== null && right !== void 0 ? right : '.75rem') + ";\n      opacity: 0.5;\n\n      &:hover{\n        opacity: 1;\n      }\n    ";
});
var ImageInputRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded2$$);
  return React.createElement(Box, Object.assign({
    ref: ref
  }, other), children);
});
var ImageInputRoot = styled(ImageInputRef)(_templateObject2$3 || (_templateObject2$3 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref4) {
  var theme = _ref4.theme,
    minHeight = _ref4.minHeight,
    cursor = _ref4.cursor,
    borderWidth = _ref4.borderWidth,
    borderRadius = _ref4.borderRadius,
    borderColor = _ref4.borderColor,
    borderStyle = _ref4.borderStyle,
    color = _ref4.color,
    outline = _ref4.outline,
    transition = _ref4.transition,
    textAlign = _ref4.textAlign,
    justifyContent = _ref4.justifyContent;
  return "\n      position: relative;\n      align-items: center;\n      display: flex;\n      min-height: " + (minHeight !== null && minHeight !== void 0 ? minHeight : '78px') + ";\n      cursor: " + (cursor !== null && cursor !== void 0 ? cursor : 'pointer') + ";  \n      border-width: " + (borderWidth !== null && borderWidth !== void 0 ? borderWidth : '.9px') + ";\n      border-radius: " + (borderRadius !== null && borderRadius !== void 0 ? borderRadius : theme.shape.borderRadius + 'px') + ";\n      border-color: " + (borderColor !== null && borderColor !== void 0 ? borderColor : 'rgba(0, 0, 0, 0.42)') + ";\n      border-style:  " + (borderStyle !== null && borderStyle !== void 0 ? borderStyle : 'dotted') + ";\n      color: " + (color !== null && color !== void 0 ? color : '#bdbdbd') + ";\n      outline: " + (outline !== null && outline !== void 0 ? outline : 'none') + ";\n      transition: " + (transition !== null && transition !== void 0 ? transition : 'border .24s ease-in-out') + ";\n      text-align: " + (textAlign !== null && textAlign !== void 0 ? textAlign : 'center') + ";\n      justify-content: " + (justifyContent !== null && justifyContent !== void 0 ? justifyContent : 'center') + ";\n\n      & img {        \n        border-radius: " + theme.shape.borderRadius + "px;\n        max-width: 100%;                \n        border: none;\n      }\n\n      & .MuiImageInput-placeholder{\n         padding-left: 1rem;\n         padding-right: 1rem;\n      }\n    ";
});
var ImageInput = React.forwardRef(function (props, ref) {
  var className = props.className,
    placeholder = props.placeholder,
    onChange = props.onChange,
    value = props.value,
    onRemove = props.onRemove,
    BoxProps = props.BoxProps,
    imgProps = props.imgProps,
    PlaceholderProps = props.PlaceholderProps,
    RemoveButtonProps = props.RemoveButtonProps,
    disabled = props.disabled,
    noDrag = props.noDrag,
    noClick = props.noClick,
    noKeyboard = props.noKeyboard,
    removeIcon = props.removeIcon,
    removeable = props.removeable,
    _props$accept = props.accept,
    accept = _props$accept === void 0 ? {
      'image/*': ['.png', '.jpeg', '.jpg']
    } : _props$accept,
    other = _objectWithoutPropertiesLoose(props, _excluded3$f);
  var _useState = useState(),
    file = _useState[0],
    setFile = _useState[1];
  var _useState2 = useState(),
    fileUrl = _useState2[0],
    setFileUrl = _useState2[1];
  var _useState3 = useState(undefined),
    src = _useState3[0],
    setSrc = _useState3[1];
  var handleRemove = function handleRemove(src) {
    if (onChange) onChange(undefined);
    if (onRemove) onRemove(src);
    setFile(undefined);
    setFileUrl(undefined);
    setSrc(undefined);
  };
  var onDrop = useCallback(function (acceptedFiles) {
    if (acceptedFiles && acceptedFiles.length > 0) {
      var acceptedFile = acceptedFiles[0];
      setFile(acceptedFile);
      setFileUrl(URL.createObjectURL(acceptedFile));
      var reader = new FileReader();
      reader.onload = function () {
        if (onChange !== undefined) {
          onChange(acceptedFile);
        }
      };
      reader.readAsArrayBuffer(acceptedFile);
    }
  }, [onChange]);
  useEffect(function () {
    if (value instanceof Blob || value instanceof File) {
      var url = URL.createObjectURL(value);
      setSrc(url);
    } else if (value !== null && value !== void 0 && value.content && value !== null && value !== void 0 && value.contentType) {
      var _value$contentType, _value$content;
      setSrc("data:" + ((_value$contentType = value === null || value === void 0 ? void 0 : value.contentType) !== null && _value$contentType !== void 0 ? _value$contentType : 'image/*') + ";base64," + ((_value$content = value === null || value === void 0 ? void 0 : value.content) !== null && _value$content !== void 0 ? _value$content : value));
    } else {
      setSrc(value);
      if (!value) {
        setFile(undefined);
        setFileUrl(undefined);
      }
    }
  }, [value]);
  var _useDropzone = useDropzone(_extends({
      multiple: false,
      maxFiles: 1,
      onDrop: onDrop,
      disabled: disabled,
      noDrag: disabled !== null && disabled !== void 0 ? disabled : noDrag,
      noClick: disabled !== null && disabled !== void 0 ? disabled : noClick,
      noKeyboard: disabled !== null && disabled !== void 0 ? disabled : noKeyboard,
      accept: accept
    }, other)),
    getRootProps = _useDropzone.getRootProps,
    getInputProps = _useDropzone.getInputProps;
  useEffect(function () {
    return function () {
      if (fileUrl !== undefined) URL.revokeObjectURL(fileUrl);
    };
  }, [fileUrl]);
  var _getRootProps = _extends({}, getRootProps()),
    rootProps = _objectWithoutPropertiesLoose(_getRootProps, _excluded4$3);
  var showRemove = (src || file) && !disabled && (onRemove || removeable);
  var showPlaceholder = !src && !file;
  var onRemoveClick = function onRemoveClick(e) {
    e.stopPropagation();
    handleRemove(src);
  };
  return React.createElement(ImageInputRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$1x.root, className)
  }, rootProps, BoxProps), !disabled && React.createElement("input", Object.assign({}, getInputProps())), showPlaceholder && React.createElement(Typography, Object.assign({
    className: classes$1x.placeholder
  }, PlaceholderProps), placeholder), file !== undefined ? React.createElement("img", Object.assign({
    src: fileUrl,
    alt: ''
  }, imgProps)) : src && React.createElement("img", Object.assign({
    src: src,
    alt: ''
  }, imgProps)), showRemove && React.createElement(RemoveButton, Object.assign({
    onClick: onRemoveClick
  }, RemoveButtonProps), removeIcon !== null && removeIcon !== void 0 ? removeIcon : React.createElement(CloseIcon, null)));
});

var _excluded$1U = ["value", "empty", "className", "placeholder", "ImageInputProps"];
var _templateObject$U;
var classes$1y = {
  root: 'MuiDetailImageInputField-root',
  value: 'MuiDetailImageInputField-value'
};
var DetailImageInputFieldRoot = styled(function (_ref) {
  var other = _extends({}, (_objectDestructuringEmpty(_ref), _ref));
  return React.createElement(ImageInput, Object.assign({}, other));
})(_templateObject$U || (_templateObject$U = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function () {
  return "\n      &.MuiDetailImageInputField-value{\n        margin-bottom: .25rem;\n        width: 100%;\n      } \n    ";
});
var DetailImageInputField = React.forwardRef(function DetailImageInputFieldRender(props, ref) {
  var value = props.value,
    empty = props.empty,
    className = props.className,
    placeholder = props.placeholder,
    ImageInputProps = props.ImageInputProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1U);
  return React.createElement(DetailFieldControl, Object.assign({
    ref: ref,
    value: value,
    empty: empty,
    className: buildClassName(classes$1y.root, className),
    control: React.createElement(DetailImageInputFieldRoot, Object.assign({
      className: buildClassName(classes$1y.value),
      value: value,
      empty: empty,
      placeholder: placeholder
    }, ImageInputProps))
  }, other));
});

var _templateObject$V;
var _excluded$1V = ["width", "hasHeader", "className", "children"],
  _excluded2$10 = ["width", "className", "title", "header", "children", "ErrorGroupProps", "onSubmitted", "onSubmitFailed", "navigateBackOnSubmitted", "submittedConfirmationDialog"];
var classes$1z = {
  root: 'MuiSubmitPage-root',
  thin: 'MuiSubmitPage-thin',
  narrow: 'MuiSubmitPage-narrow',
  wide: 'MuiSubmitPage-wide',
  full: 'MuiSubmitPage-full',
  submitPart: 'MuiSubmitPage-submitPart'
};
var SubmitPageRef = React.forwardRef(function (props, ref) {
  var width = props.width,
    className = props.className,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$1V);
  return React.createElement(Page, Object.assign({
    ref: ref,
    width: width,
    className: buildClassName(classes$1z.root, width === 'full' ? classes$1z.full : width === 'wide' ? classes$1z.wide : width === 'narrow' ? classes$1z.narrow : className.thin, className)
  }, other), children);
});
var SubmitPageRoot = styled(SubmitPageRef)(_templateObject$V || (_templateObject$V = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme,
    width = _ref.width,
    hasHeader = _ref.hasHeader;
  return "      \n      padding: " + theme.spacing(3) + ";\n      & .MuiSubmitPage-content {  \n        margin-top: " + (hasHeader ? 'initial' : 'auto') + ";   \n        margin-bottom: " + (hasHeader ? 'initial' : 'auto') + ";\n        width: " + (width === 'full' ? 'none' : 'initial') + ";\n        " + theme.breakpoints.down('lg') + "{ \n          width: " + (width === 'thin' || width === 'narrow' ? 'initial' : 'none') + ";\n        }\n        " + theme.breakpoints.down('md') + "{ \n          border: " + (width === 'thin' ? 'initial' : 'none') + ";\n        }        \n        " + theme.breakpoints.down('sm') + "{ \n          border: none;\n        }\n      }\n    ";
});
var SubmitPage = React.forwardRef(function (props, ref) {
  var _submitPart$props, _submitPart$props$chi, _submitPart$props$chi2, _theme$mixins$page$su, _theme$mixins$page, _theme$mixins$page$su2, _submitPart$props2, _submitPart$props3, _submitPart$props4, _submitPart$props$wid, _submitPart$props5;
  var _props$width = props.width,
    width = _props$width === void 0 ? 'narrow' : _props$width,
    className = props.className,
    header = props.header,
    children = props.children,
    ErrorGroupProps = props.ErrorGroupProps,
    onSubmitted = props.onSubmitted,
    onSubmitFailed = props.onSubmitFailed,
    navigateBackOnSubmitted = props.navigateBackOnSubmitted,
    submittedConfirmationDialog = props.submittedConfirmationDialog,
    other = _objectWithoutPropertiesLoose(props, _excluded2$10);
  if (React.Children.count(children) !== 1) {
    console.error('access-react: SubmitPage component should have only one child of type SubmitPart.');
    return React.createElement(React.Fragment, null);
  }
  var submitPart = React.Children.only(children);
  var submitMethod = submitPart === null || submitPart === void 0 ? void 0 : (_submitPart$props = submitPart.props) === null || _submitPart$props === void 0 ? void 0 : (_submitPart$props$chi = _submitPart$props.children) === null || _submitPart$props$chi === void 0 ? void 0 : (_submitPart$props$chi2 = _submitPart$props$chi.props) === null || _submitPart$props$chi2 === void 0 ? void 0 : _submitPart$props$chi2.onSubmit;
  var _useSubmit = useSubmit({
      submitMethod: submitMethod,
      onSubmitted: onSubmitted,
      onSubmitFailed: onSubmitFailed,
      navigateBackOnSubmitted: navigateBackOnSubmitted,
      submittedConfirmationDialog: submittedConfirmationDialog
    }),
    onSubmit = _useSubmit.onSubmit,
    errors = _useSubmit.errors,
    openConfirmationDialog = _useSubmit.openConfirmationDialog,
    onConfirmationDialogClose = _useSubmit.onConfirmationDialogClose;
  var dismissibleErrors = errors ? errors.map(function (e, index) {
    return React.createElement(DismissibleAlert, {
      key: index,
      message: e.message,
      code: e.code,
      severity: e.severity
    });
  }) : React.createElement(React.Fragment, null);
  var theme = useTheme();
  var hasHeader = ((_theme$mixins$page$su = (_theme$mixins$page = theme.mixins.page) === null || _theme$mixins$page === void 0 ? void 0 : (_theme$mixins$page$su2 = _theme$mixins$page.submitPage) === null || _theme$mixins$page$su2 === void 0 ? void 0 : _theme$mixins$page$su2.hasHeader) !== null && _theme$mixins$page$su !== void 0 ? _theme$mixins$page$su : DEFAULT_MIXINS.page.submitPage.hasHeader) && header !== undefined;
  if (React.Children.count(submitPart === null || submitPart === void 0 ? void 0 : (_submitPart$props2 = submitPart.props) === null || _submitPart$props2 === void 0 ? void 0 : _submitPart$props2.children) !== 1) {
    console.error('access-react: SubmitPart component should have only one child of type Form.');
    return React.createElement(React.Fragment, null);
  }
  var form = React.Children.only(submitPart === null || submitPart === void 0 ? void 0 : (_submitPart$props3 = submitPart.props) === null || _submitPart$props3 === void 0 ? void 0 : _submitPart$props3.children);
  var _form = form ? React.cloneElement(form, {
    onSubmit: onSubmit
  }) : React.createElement(React.Fragment, null);
  var _submitPart = submitPart ? React.cloneElement(submitPart, {
    className: buildClassName(classes$1z.submitPart, submitPart === null || submitPart === void 0 ? void 0 : (_submitPart$props4 = submitPart.props) === null || _submitPart$props4 === void 0 ? void 0 : _submitPart$props4.className),
    width: (_submitPart$props$wid = submitPart === null || submitPart === void 0 ? void 0 : (_submitPart$props5 = submitPart.props) === null || _submitPart$props5 === void 0 ? void 0 : _submitPart$props5.width) !== null && _submitPart$props$wid !== void 0 ? _submitPart$props$wid : 'full',
    errorGroup: React.createElement(AlertGroup, Object.assign({}, ErrorGroupProps), dismissibleErrors),
    children: _form
  }) : React.createElement(React.Fragment, null);
  return React.createElement(SubmitPageRoot, Object.assign({
    ref: ref,
    className: className,
    header: hasHeader ? header : undefined,
    hasHeader: hasHeader,
    width: width
  }, other), _submitPart, submittedConfirmationDialog && React.cloneElement(submittedConfirmationDialog, {
    open: openConfirmationDialog,
    onClose: onConfirmationDialogClose
  }));
});

var _excluded$1W = ["params", "getMethod", "onGet", "LoaderProps", "children", "className", "width", "ErrorGroupProps"];
var classes$1A = {
  root: 'MuiEditPage-root'
};
var EditPage = React.forwardRef(function (props, ref) {
  var _submitPart$props, _form$props;
  var params = props.params,
    getMethod = props.getMethod,
    onGet = props.onGet,
    LoaderProps = props.LoaderProps,
    children = props.children,
    className = props.className,
    _props$width = props.width,
    width = _props$width === void 0 ? 'narrow' : _props$width,
    ErrorGroupProps = props.ErrorGroupProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1W);
  if (React.Children.count(children) !== 1) {
    console.error('access-react: SubmitPage component should have one and only one child of type SubmitPart.');
    return React.createElement(React.Fragment, null);
  }
  var submitPart = React.Children.only(children);
  var form = submitPart === null || submitPart === void 0 ? void 0 : (_submitPart$props = submitPart.props) === null || _submitPart$props === void 0 ? void 0 : _submitPart$props.children;
  var defaultValues = form === null || form === void 0 ? void 0 : (_form$props = form.props) === null || _form$props === void 0 ? void 0 : _form$props.defaultValues;
  var _useGet = useGet({
      getMethod: getMethod,
      params: params,
      onGet: onGet,
      initialData: defaultValues
    }),
    data = _useGet.data,
    errors = _useGet.errors,
    isLoading = _useGet.isLoading;
  var _form = form ? React.cloneElement(form, {
    defaultValues: data
  }) : React.createElement(React.Fragment, null);
  var _submitPart = submitPart ? React.cloneElement(submitPart, {
    children: _form
  }) : React.createElement(React.Fragment, null);
  var alerts = errors ? errors.map(function (e, index) {
    return React.createElement(DismissibleAlert, {
      key: index,
      message: e.message,
      code: e.code,
      severity: e.severity
    });
  }) : React.createElement(React.Fragment, null);
  var targetRef = ref !== null && ref !== void 0 ? ref : useRef();
  return isLoading ? React.createElement(Loader, Object.assign({
    targetRef: targetRef
  }, LoaderProps)) : errors && errors.length > 0 ? React.createElement(AlertGroup, Object.assign({}, ErrorGroupProps), alerts) : React.createElement(SubmitPage, Object.assign({
    ref: targetRef,
    className: buildClassName(classes$1A.root, className),
    width: width
  }, other), _submitPart);
});

var _excluded$1X = ["children", "className"];
var classes$1B = {
  root: 'MuiSubmitPart-root'
};
var SubmitPart = React.forwardRef(function (props, ref) {
  var children = props.children,
    className = props.className,
    other = _objectWithoutPropertiesLoose(props, _excluded$1X);
  if (React.Children.count(children) !== 1) {
    console.error('access-react: SubmitPart component should have one and only one child of type Form.');
    return React.createElement(React.Fragment, null);
  }
  var form = React.Children.only(children);
  return React.createElement(Part, Object.assign({
    ref: ref,
    className: buildClassName(classes$1B.root, className)
  }, other), form);
});

var _excluded$1Y = ["showNotification", "notificationMessage", "NotificationProps", "className", "onSubmitted", "onSubmitFailed", "children", "data", "width", "contentWidth"];
var classes$1C = {
  root: 'MuiEditPart-root',
  form: 'MuiEditPart-form'
};
var EditPart = React.forwardRef(function (props, ref) {
  var _form$props, _form$props$defaultVa, _form$props2;
  var showNotification = props.showNotification,
    notificationMessage = props.notificationMessage,
    NotificationProps = props.NotificationProps,
    className = props.className,
    onEdited = props.onSubmitted,
    onEditFailed = props.onSubmitFailed,
    children = props.children,
    data = props.data,
    _props$width = props.width,
    width = _props$width === void 0 ? 'thin' : _props$width,
    _props$contentWidth = props.contentWidth,
    contentWidth = _props$contentWidth === void 0 ? 'full' : _props$contentWidth,
    other = _objectWithoutPropertiesLoose(props, _excluded$1Y);
  if (React.Children.count(children) !== 1) {
    console.error('access-react: EditPart component should have only one child of type Form.');
    return React.createElement(React.Fragment, null);
  }
  var form = React.Children.only(children);
  var editMethod = form === null || form === void 0 ? void 0 : (_form$props = form.props) === null || _form$props === void 0 ? void 0 : _form$props.onSubmit;
  var defaultValues = (_form$props$defaultVa = form === null || form === void 0 ? void 0 : (_form$props2 = form.props) === null || _form$props2 === void 0 ? void 0 : _form$props2.defaultValues) !== null && _form$props$defaultVa !== void 0 ? _form$props$defaultVa : data;
  var onEditedWithNotification = function onEditedWithNotification(data, response) {
    if (notificationMessage !== undefined && notificationMessage !== '') if (showNotification) showNotification(_extends({}, NotificationProps, {
      message: notificationMessage
    }));
    if (onEdited) onEdited(data, response);
  };
  var _useSubmit = useSubmit({
      submitMethod: editMethod,
      onSubmitted: onEditedWithNotification,
      onSubmitFailed: onEditFailed
    }),
    onEdit = _useSubmit.onSubmit,
    errors = _useSubmit.errors,
    submitting = _useSubmit.submitting;
  var dismissibleErrors = errors ? errors.map(function (e, index) {
    return React.createElement(DismissibleAlert, {
      key: index,
      message: e.message,
      code: e.code,
      severity: e.severity
    });
  }) : React.createElement(React.Fragment, null);
  var errorAlertGroup = dismissibleErrors && React.Children.count(dismissibleErrors) > 0 ? React.createElement(AlertGroup, null, dismissibleErrors) : React.createElement(React.Fragment, null);
  var editForm = React.cloneElement(form, {
    className: classes$1C.form,
    onSubmit: onEdit,
    submitting: submitting,
    defaultValues: defaultValues
  });
  return React.createElement(SubmitPart, Object.assign({
    ref: ref,
    className: buildClassName(classes$1C.root, className),
    data: defaultValues,
    errorAlertGroup: errorAlertGroup,
    width: width,
    contentWidth: contentWidth
  }, other), editForm);
});
var editPart = withNotification(EditPart);

var _templateObject$W;
var _excluded$1Z = ["orientation", "flexWrap"],
  _excluded2$11 = ["className", "filterInputVariant", "filterMargin", "filterSize", "onChange", "FilterBoxProps", "children", "defaultFilterValues", "orientation", "filtersProps"];
var classes$1D = {
  root: 'MuiSearchBar-root'
};
var SearchBarRef = React.forwardRef(function (props, ref) {
  var flexWrap = props.flexWrap,
    other = _objectWithoutPropertiesLoose(props, _excluded$1Z);
  return React.createElement(Box, Object.assign({
    ref: ref,
    flexWrap: flexWrap !== null && flexWrap !== void 0 ? flexWrap : 'wrap',
    display: 'flex'
  }, other));
});
var SearchBarRoot = styled(SearchBarRef)(_templateObject$W || (_templateObject$W = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme,
    orientation = _ref.orientation;
  return "\n      " + (orientation == 'vertical' ? 'flex-direction: column;' : '') + "\n      > .MuiBox-root {   \n        " + (orientation == 'vertical' ? 'width:100%;' : '') + "     \n      }\n      & .MuiFormControl-root {\n        margin-top:0;\n        margin-bottom:0;        \n        " + (orientation == 'vertical' ? 'width:100%;' : '') + "\n      }\n      & .MuiInputBase-input, .MuiFormLabel-root{\n        font-size:" + theme.typography.fontSize + "px;\n      } \n\n      & [hidden]{\n        display: none;\n      }\n      \n      & .MuiAutocomplete-root{\n        " + (orientation == 'vertical' ? 'width:100%;' : ' width: 33.5ch;') + "\n      }\n      \n    ";
});
var SearchBar = React.forwardRef(function (props, ref) {
  var className = props.className,
    _props$filterInputVar = props.filterInputVariant,
    filterInputVariant = _props$filterInputVar === void 0 ? 'outlined' : _props$filterInputVar,
    _props$filterMargin = props.filterMargin,
    filterMargin = _props$filterMargin === void 0 ? 'normal' : _props$filterMargin,
    _props$filterSize = props.filterSize,
    filterSize = _props$filterSize === void 0 ? 'medium' : _props$filterSize,
    onChange = props.onChange,
    FilterBoxProps = props.FilterBoxProps,
    children = props.children,
    defaultFilterValues = props.defaultFilterValues,
    _props$orientation = props.orientation,
    orientation = _props$orientation === void 0 ? 'horizontal' : _props$orientation,
    filtersProps = props.filtersProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$11);
  var getDefaultFilters = function getDefaultFilters() {
    var result = defaultFilterValues !== null && defaultFilterValues !== void 0 ? defaultFilterValues : {};
    React.Children.forEach(children, function (element) {
      if (element && React.isValidElement(element)) {
        var _element$props, _element$props2, _element$props3;
        if (element !== null && element !== void 0 && (_element$props = element.props) !== null && _element$props !== void 0 && _element$props.defaultValue) result[element === null || element === void 0 ? void 0 : (_element$props2 = element.props) === null || _element$props2 === void 0 ? void 0 : _element$props2.name] = (_element$props3 = element.props) === null || _element$props3 === void 0 ? void 0 : _element$props3.defaultValue;
      }
    });
    return result;
  };
  var _useState = useState(function () {
      return getDefaultFilters();
    }),
    filters = _useState[0],
    setFilters = _useState[1];
  var handleChange = function handleChange(name, value) {
    var _extends2;
    setFilters(_extends({}, filters, (_extends2 = {}, _extends2[name] = value, _extends2)));
    if (onChange) onChange(name, value);
  };
  return React.createElement(SearchBarRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$1D.root, className),
    gap: filterMargin === 'normal' ? 2 : filterMargin === 'dense' ? 1 : 0,
    orientation: orientation
  }, other), React.Children.map(children, function (element, index) {
    var props = {};
    if (element && React.isValidElement(element)) {
      var _element$props4, _element$props$margin, _element$props5, _element$props$size, _element$props6, _element$props$inputV, _element$props7, _element$props$defaul, _element$props8, _element$props9, _element$props10;
      var filterName = (_element$props4 = element.props) === null || _element$props4 === void 0 ? void 0 : _element$props4.name;
      props = _extends({
        key: filterName !== null && filterName !== void 0 ? filterName : index,
        onChange: handleChange,
        margin: (_element$props$margin = (_element$props5 = element.props) === null || _element$props5 === void 0 ? void 0 : _element$props5.margin) !== null && _element$props$margin !== void 0 ? _element$props$margin : filterMargin,
        size: (_element$props$size = (_element$props6 = element.props) === null || _element$props6 === void 0 ? void 0 : _element$props6.size) !== null && _element$props$size !== void 0 ? _element$props$size : filterSize,
        inputVariant: (_element$props$inputV = (_element$props7 = element.props) === null || _element$props7 === void 0 ? void 0 : _element$props7.inputVariant) !== null && _element$props$inputV !== void 0 ? _element$props$inputV : filterInputVariant,
        defaultValue: (_element$props$defaul = (_element$props8 = element.props) === null || _element$props8 === void 0 ? void 0 : _element$props8.defaultValue) !== null && _element$props$defaul !== void 0 ? _element$props$defaul : defaultFilterValues ? defaultFilterValues[(_element$props9 = element.props) === null || _element$props9 === void 0 ? void 0 : _element$props9.name] : undefined,
        BoxProps: _extends({}, FilterBoxProps, (_element$props10 = element.props) === null || _element$props10 === void 0 ? void 0 : _element$props10.BoxProps)
      }, filtersProps === null || filtersProps === void 0 ? void 0 : filtersProps[filterName]);
      if (isLookupFilter(element)) {
        var _element$props11;
        var _params = element === null || element === void 0 ? void 0 : (_element$props11 = element.props) === null || _element$props11 === void 0 ? void 0 : _element$props11.params;
        var params = {};
        if (_params && Array.isArray(_params)) _params.forEach(function (param) {
          if (filters) params[param] = filters[param];
        });else {
          params = _params;
        }
        props.params = params;
      }
    }
    return element && React.isValidElement(element) && React.cloneElement(element, props);
  }));
});

var _excluded$1_ = ["name", "label", "placeholder", "variant", "options", "margin", "freeSolo", "multiple", "onChange", "className", "required", "disabled", "AutocompleteProps", "value"],
  _excluded2$12 = ["renderOption", "renderTags", "getOptionLabel", "isOptionEqualToValue"],
  _excluded3$g = ["InputProps"];
var _templateObject$X;
var classes$1E = {
  root: 'MuiComboBox-root',
  option: 'MuiComboBox-option',
  textField: 'MuiComboBox-textField'
};
var ComboBoxRef = React.forwardRef(function (props, ref) {
  return React.createElement(Autocomplete, Object.assign({
    ref: ref
  }, props));
});
var ComboBoxRoot = styled(ComboBoxRef)(_templateObject$X || (_templateObject$X = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme;
  return "\n      & .MuiComboBox-option{\n        font-size: " + theme.typography.fontSize + ",\n      }\n    ";
});
var ComboBox = React.forwardRef(function (props, ref) {
  var name = props.name,
    label = props.label,
    placeholder = props.placeholder,
    variant = props.variant,
    options = props.options,
    margin = props.margin,
    _freeSolo = props.freeSolo,
    multiple = props.multiple,
    onChange = props.onChange,
    className = props.className,
    required = props.required,
    disabled = props.disabled,
    AutocompleteProps = props.AutocompleteProps,
    defaultValue = props.value,
    other = _objectWithoutPropertiesLoose(props, _excluded$1_);
  var freeSolo = _freeSolo;
  if (multiple && freeSolo) {
    console.warn("'multiple' and 'freeSolo' props are both set. 'multiple' will be used.");
    freeSolo = false;
  }
  var _useState = useState(multiple ? [] : null),
    value = _useState[0],
    setValue = _useState[1];
  var _React$useState = React.useState(''),
    inputValue = _React$useState[0],
    setInputValue = _React$useState[1];
  var handleChange = function handleChange(newValue) {
    var _newValue;
    if (freeSolo && typeof newValue === 'string') newValue = {
      id: newValue,
      name: newValue
    };
    setValue((_newValue = newValue) !== null && _newValue !== void 0 ? _newValue : null);
    if (onChange) {
      var v = multiple ? newValue ? newValue.map(function (value) {
        return value.id;
      }) : undefined : newValue ? newValue.id : '';
      onChange(v);
    }
  };
  var _React$useState2 = React.useState([]),
    _options = _React$useState2[0],
    setOptions = _React$useState2[1];
  var getOptions = function getOptions() {
    try {
      var _temp2 = function _temp2() {
        setOptions(result);
        if (multiple) {
          var _defaultValue$map;
          var optionIds = (_defaultValue$map = defaultValue === null || defaultValue === void 0 ? void 0 : defaultValue.map(function (dv) {
            var _dv$id;
            return (_dv$id = dv.id) !== null && _dv$id !== void 0 ? _dv$id : dv;
          })) !== null && _defaultValue$map !== void 0 ? _defaultValue$map : [];
          if (optionIds !== undefined) {
            if (Array.isArray(optionIds)) {
              var vs = result.filter(function (o) {
                return optionIds.find(function (oid) {
                  return (oid === null || oid === void 0 ? void 0 : oid.id) == o.id || oid == o.id;
                }) !== undefined;
              });
              setValue(vs);
            } else {
              var v = result.find(function (o) {
                return o.id === optionIds;
              });
              setValue(v ? [v] : []);
            }
          } else {
            setValue([]);
          }
        } else {
          var _defaultValue$id, _defaultValue$name, _v$name;
          var optionId = (_defaultValue$id = defaultValue === null || defaultValue === void 0 ? void 0 : defaultValue.id) !== null && _defaultValue$id !== void 0 ? _defaultValue$id : defaultValue;
          var optionName = (_defaultValue$name = defaultValue === null || defaultValue === void 0 ? void 0 : defaultValue.name) !== null && _defaultValue$name !== void 0 ? _defaultValue$name : optionId;
          if (optionId === true) optionId = 'true';else if (optionId === false) optionId = 'false';
          var _v = result.find(function (o) {
            return o.id == optionId;
          });
          setValue(_v !== undefined ? _v : freeSolo && optionId ? {
            id: optionId,
            name: optionName
          } : null);
          setInputValue(((_v$name = _v === null || _v === void 0 ? void 0 : _v.name) !== null && _v$name !== void 0 ? _v$name : freeSolo && optionId) ? optionId : '');
        }
      };
      var f = options;
      var result;
      var _temp = function () {
        if (isFunction(f) || isAsyncFunction(f)) {
          return Promise.resolve(f(inputValue)).then(function (_f) {
            result = _f;
          });
        } else {
          result = options !== null && options !== void 0 ? options : [];
        }
      }();
      return Promise.resolve(_temp && _temp.then ? _temp.then(_temp2) : _temp2(_temp));
    } catch (e) {
      return Promise.reject(e);
    }
  };
  useEffect(function () {
    getOptions();
  }, []);
  var _ref2 = AutocompleteProps !== null && AutocompleteProps !== void 0 ? AutocompleteProps : {},
    renderOption = _ref2.renderOption,
    getOptionLabel = _ref2.getOptionLabel,
    AutocompleteOther = _objectWithoutPropertiesLoose(_ref2, _excluded2$12);
  var defaultRenderOption = function defaultRenderOption(props, option) {
    var _ref3, _props$dataOptionIn;
    return React.createElement("li", Object.assign({}, props, {
      key: (_ref3 = (_props$dataOptionIn = props['data-option-index']) !== null && _props$dataOptionIn !== void 0 ? _props$dataOptionIn : props.id) !== null && _ref3 !== void 0 ? _ref3 : option.id
    }), React.createElement(Typography, {
      className: classes$1E.option
    }, option.label || ''));
  };
  var defaultGetOptionLabel = function defaultGetOptionLabel(option) {
    return option.label || '';
  };
  return React.createElement(ComboBoxRoot, Object.assign({
    ref: ref
  }, AutocompleteOther, {
    freeSolo: freeSolo,
    autoSelect: freeSolo,
    value: value,
    onChange: function onChange(_, newValue) {
      handleChange(newValue);
    },
    inputValue: inputValue,
    onInputChange: function onInputChange(_, newValue) {
      setInputValue(newValue);
    },
    className: buildClassName(classes$1E.root, className),
    disableCloseOnSelect: multiple,
    disabled: disabled,
    multiple: multiple,
    options: _options,
    renderOption: renderOption !== null && renderOption !== void 0 ? renderOption : defaultRenderOption,
    getOptionLabel: getOptionLabel !== null && getOptionLabel !== void 0 ? getOptionLabel : defaultGetOptionLabel,
    renderInput: function renderInput(params) {
      var InputProps = params.InputProps,
        otherParams = _objectWithoutPropertiesLoose(params, _excluded3$g);
      return React.createElement(TextField$1, Object.assign({
        required: !value && required,
        className: buildClassName(classes$1E.textField, className),
        label: label,
        variant: variant,
        name: name,
        margin: margin,
        disabled: disabled,
        placeholder: placeholder,
        InputProps: _extends({}, InputProps, {
          type: 'search'
        })
      }, otherParams, other));
    }
  }));
});

var _excluded$1$ = ["className", "name", "defaultValue", "inputVariant", "onChange", "getFilterOutput", "BoxProps"];
var classes$1F = {
  root: 'MuiComboBoxFilter-root',
  comboBox: 'MuiComboBoxFilter-comboBox'
};
var ComboBoxFilter = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    defaultValue = props.defaultValue,
    inputVariant = props.inputVariant,
    _onChange = props.onChange,
    getFilterOutput = props.getFilterOutput,
    BoxProps = props.BoxProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$1$);
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: classes$1F.root
  }, BoxProps), React.createElement(ComboBox, Object.assign({
    name: name,
    className: buildClassName(classes$1F.comboBox, className),
    value: defaultValue,
    variant: inputVariant,
    onChange: function onChange(newValue) {
      var output = getFilterOutput ? getFilterOutput(newValue) : newValue;
      if (_onChange) _onChange(name, output);
    }
  }, other)));
});

var _excluded$20 = ["name", "defaultValue", "onChange", "getFilterOutput", "margin", "BoxProps", "inputVariant"];
var classes$1G = {
  root: 'MuiHiddenFilter-root'
};
var HiddenFilter = React.forwardRef(function (props, ref) {
  var anyProps = props;
  var name = anyProps.name,
    defaultValue = anyProps.defaultValue,
    _onChange = anyProps.onChange,
    getFilterOutput = anyProps.getFilterOutput,
    margin = anyProps.margin,
    other = _objectWithoutPropertiesLoose(anyProps, _excluded$20);
  return React.createElement(Input, Object.assign({
    ref: ref,
    name: name,
    defaultValue: defaultValue,
    className: classes$1G.root,
    onChange: function onChange(e) {
      var output = getFilterOutput ? getFilterOutput(e.target.value) : e.target.value;
      if (_onChange) _onChange(name, output);
    },
    sx: {
      display: 'none'
    },
    margin: margin == 'normal' ? 'dense' : margin
  }, other));
});

var _excluded$21 = ["className"];
var classes$1H = {
  root: 'MuiFreeSoloFilter-root'
};
var FreeSoloFilter = React.forwardRef(function (props, ref) {
  var className = props.className,
    other = _objectWithoutPropertiesLoose(props, _excluded$21);
  return React.createElement(ComboBoxFilter, Object.assign({
    ref: ref,
    className: buildClassName(classes$1H.root, className),
    freeSolo: true
  }, other));
});

var _excluded$22 = ["className"];
var classes$1I = {
  root: 'MuiMultiSelectFilter-root'
};
var MultiSelectFilter = React.forwardRef(function (props, ref) {
  var className = props.className,
    other = _objectWithoutPropertiesLoose(props, _excluded$22);
  return React.createElement(ComboBoxFilter, Object.assign({
    ref: ref,
    className: buildClassName(classes$1I.root, className),
    multiple: true
  }, other));
});

var _templateObject$Y;
var _excluded$23 = ["noOptionsText", "autoHighlight", "handleHomeEndKeys", "disableClearable"],
  _excluded2$13 = ["name", "label", "placeholder", "variant", "margin", "disabled", "onChange", "className", "required", "options", "params", "value", "delay", "AutocompleteProps"],
  _excluded3$h = ["renderOption", "getOptionLabel", "isOptionEqualToValue"],
  _excluded4$4 = ["InputProps"];
var classes$1J = {
  root: 'MuiLookup-root',
  option: 'MuiLookup-option',
  textField: 'MuiLookup-textField'
};
var LookupRef = React.forwardRef(function (props, ref) {
  var _other$options;
  var noOptionsText = props.noOptionsText,
    autoHighlight = props.autoHighlight,
    handleHomeEndKeys = props.handleHomeEndKeys,
    disableClearable = props.disableClearable,
    other = _objectWithoutPropertiesLoose(props, _excluded$23);
  var _options = (_other$options = other === null || other === void 0 ? void 0 : other.options) !== null && _other$options !== void 0 ? _other$options : [];
  return React.createElement(Autocomplete, Object.assign({
    ref: ref,
    noOptionsText: noOptionsText !== null && noOptionsText !== void 0 ? noOptionsText : '---',
    autoHighlight: autoHighlight !== null && autoHighlight !== void 0 ? autoHighlight : true,
    handleHomeEndKeys: handleHomeEndKeys !== null && handleHomeEndKeys !== void 0 ? handleHomeEndKeys : false,
    options: _options,
    disableClearable: disableClearable !== null && disableClearable !== void 0 ? disableClearable : false
  }, other));
});
var LookupRoot = styled(LookupRef)(_templateObject$Y || (_templateObject$Y = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme;
  return "\n        & .MuiLookup-option{\n          font-size: " + theme.typography.fontSize + ",\n        }\n\n        & .MuiCircularProgress-root {\n          position: absolute; \n          right: 38px;\n        }\n    ";
});
var applyParam = function applyParam(options, params, param) {
  var value = params[param];
  if (value !== undefined) {
    try {
      return options.filter(function (option) {
        var item = option === null || option === void 0 ? void 0 : option.item;
        if (item) {
          var v = getValue(item, param);
          return v === value;
        } else {
          return true;
        }
      });
    } catch (e) {
      console.error(e);
    }
  }
  return options;
};
var applyParams = function applyParams(options, params) {
  var resultingOptions = options;
  if (params) {
    for (var param in params) {
      resultingOptions = applyParam(resultingOptions, params, param);
    }
  }
  return resultingOptions;
};
var Lookup = React.forwardRef(function (props, ref) {
  var _defaultValue$name;
  var name = props.name,
    label = props.label,
    placeholder = props.placeholder,
    variant = props.variant,
    margin = props.margin,
    disabled = props.disabled,
    _onChange = props.onChange,
    className = props.className,
    options = props.options,
    params = props.params,
    defaultValue = props.value,
    _props$delay = props.delay,
    delay = _props$delay === void 0 ? DEFAULT_DELAY : _props$delay,
    AutocompleteProps = props.AutocompleteProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$13);
  var _useState = useState(defaultValue !== null && defaultValue !== void 0 ? defaultValue : null),
    value = _useState[0],
    setValue = _useState[1];
  var _React$useState = React.useState((_defaultValue$name = defaultValue === null || defaultValue === void 0 ? void 0 : defaultValue.name) !== null && _defaultValue$name !== void 0 ? _defaultValue$name : ''),
    inputValue = _React$useState[0],
    setInputValue = _React$useState[1];
  var _React$useState2 = React.useState([]),
    filteredOptions = _React$useState2[0],
    setFilteredOptions = _React$useState2[1];
  var _useState2 = useState(false),
    get = _useState2[0],
    setGet = _useState2[1];
  var _useState3 = useState(false),
    loading = _useState3[0],
    setLoading = _useState3[1];
  var getOptions = function getOptions(input) {
    try {
      var _temp3 = _finallyRethrows(function () {
        var _ref2;
        function _temp2() {
          var _filteredOptions2;
          setFilteredOptions((_filteredOptions2 = _filteredOptions) !== null && _filteredOptions2 !== void 0 ? _filteredOptions2 : []);
          if (defaultValue && _filteredOptions && _filteredOptions.length === 1) {
            setValue(_filteredOptions[0]);
          }
        }
        setLoading(true);
        var f = options;
        var _filteredOptions;
        var _input = (_ref2 = input !== null && input !== void 0 ? input : inputValue) !== null && _ref2 !== void 0 ? _ref2 : '';
        var _temp = function () {
          if (isFunction(f) || isAsyncFunction(f)) {
            return Promise.resolve(f(_input, params)).then(function (_f) {
              _filteredOptions = _f;
            });
          } else {
            var _options$filter;
            var _options = options;
            _filteredOptions = (_options$filter = _options === null || _options === void 0 ? void 0 : _options.filter(function (o) {
              var _o$label;
              return o === null || o === void 0 ? void 0 : (_o$label = o.label) === null || _o$label === void 0 ? void 0 : _o$label.toLowerCase().includes(_input ? _input.toLowerCase() : '');
            })) !== null && _options$filter !== void 0 ? _options$filter : [];
            if (params && _filteredOptions && _filteredOptions.length > 0) {
              _filteredOptions = applyParams(_filteredOptions, params);
            }
          }
        }();
        return _temp && _temp.then ? _temp.then(_temp2) : _temp2(_temp);
      }, function (_wasThrown, _result) {
        setLoading(false);
        if (_wasThrown) throw _result;
        return _result;
      });
      return Promise.resolve(_temp3 && _temp3.then ? _temp3.then(function () {}) : void 0);
    } catch (e) {
      return Promise.reject(e);
    }
  };
  useEffect(function () {
    var active = true;
    if (active) {
      getOptions();
    }
    return function () {
      active = false;
      setFilteredOptions([]);
      setValue(null);
    };
  }, [get]);
  var paramsJSON = JSON.stringify(params);
  useEffect(function () {
    setValue(null);
    {
      getOptions();
    }
  }, [paramsJSON]);
  var _useState4 = useState(false),
    open = _useState4[0],
    setOpen = _useState4[1];
  var delayTimer;
  var handleInputChange = function handleInputChange(newInputValue, reason) {
    setInputValue(newInputValue);
    clearTimeout(delayTimer);
    delayTimer = setTimeout(function () {
      if (reason !== 'reset') {
        setGet(!get);
      }
    }, delay);
  };
  var _ref3 = AutocompleteProps !== null && AutocompleteProps !== void 0 ? AutocompleteProps : {},
    renderOption = _ref3.renderOption,
    getOptionLabel = _ref3.getOptionLabel,
    isOptionEqualToValue = _ref3.isOptionEqualToValue,
    AutocompleteOther = _objectWithoutPropertiesLoose(_ref3, _excluded3$h);
  var defaultRenderOption = function defaultRenderOption(props, option) {
    var _ref4, _props$dataOptionIn;
    return React.createElement("li", Object.assign({}, props, {
      key: (_ref4 = (_props$dataOptionIn = props['data-option-index']) !== null && _props$dataOptionIn !== void 0 ? _props$dataOptionIn : props.id) !== null && _ref4 !== void 0 ? _ref4 : option === null || option === void 0 ? void 0 : option.id
    }), React.createElement(Typography, {
      className: classes$1J.option
    }, (option === null || option === void 0 ? void 0 : option.content) || (option === null || option === void 0 ? void 0 : option.label) || ''));
  };
  var defaultGetOptionLabel = function defaultGetOptionLabel(option) {
    return (option === null || option === void 0 ? void 0 : option.label) || '';
  };
  var defaultIsOptionEqualToValue = function defaultIsOptionEqualToValue(option, value) {
    return (option === null || option === void 0 ? void 0 : option.id) === (value === null || value === void 0 ? void 0 : value.id);
  };
  return React.createElement(LookupRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$1J.root, className)
  }, AutocompleteOther, {
    open: open,
    onOpen: function onOpen() {
      setOpen(true);
    },
    onClose: function onClose() {
      setOpen(false);
    },
    value: value,
    inputValue: inputValue,
    disabled: disabled,
    filterOptions: function filterOptions(values) {
      return values;
    },
    options: filteredOptions,
    isOptionEqualToValue: isOptionEqualToValue !== null && isOptionEqualToValue !== void 0 ? isOptionEqualToValue : defaultIsOptionEqualToValue,
    onChange: function onChange(_, newValue) {
      setValue(newValue !== null && newValue !== void 0 ? newValue : null);
      if (_onChange) {
        _onChange(newValue);
      }
    },
    onInputChange: function onInputChange(_, newInputValue, reason) {
      handleInputChange(newInputValue, reason);
    },
    renderOption: renderOption !== null && renderOption !== void 0 ? renderOption : defaultRenderOption,
    getOptionLabel: getOptionLabel !== null && getOptionLabel !== void 0 ? getOptionLabel : defaultGetOptionLabel,
    renderInput: function renderInput(params) {
      var InputProps = params.InputProps,
        otherParams = _objectWithoutPropertiesLoose(params, _excluded4$4);
      return React.createElement(TextField$1, Object.assign({
        className: buildClassName(classes$1J.textField, className),
        label: label,
        variant: variant,
        name: name,
        margin: margin,
        placeholder: placeholder,
        disabled: disabled,
        InputProps: _extends({}, InputProps, {
          type: 'search',
          endAdornment: React.createElement(React.Fragment, null, loading && React.createElement(CircularProgress, {
            color: 'primary',
            size: 20
          }), InputProps === null || InputProps === void 0 ? void 0 : InputProps.endAdornment)
        })
      }, otherParams, other));
    }
  }));
});

var _excluded$24 = ["className", "name", "inputVariant", "onChange", "BoxProps", "getFilterOutput", "params"];
var classes$1K = {
  root: 'MuiLookupFilter-root',
  lookup: 'MuiLookupFilter-lookup'
};
var LookupFilter = React.forwardRef(function LookupFilterRender(props, ref) {
  var className = props.className,
    name = props.name,
    inputVariant = props.inputVariant,
    _onChange = props.onChange,
    BoxProps = props.BoxProps,
    getFilterOutput = props.getFilterOutput,
    params = props.params,
    other = _objectWithoutPropertiesLoose(props, _excluded$24);
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: classes$1K.root
  }, BoxProps), React.createElement(Lookup, Object.assign({
    name: name,
    className: buildClassName(classes$1K.lookup, className),
    variant: inputVariant,
    onChange: function onChange(newValue) {
      var output = getFilterOutput ? getFilterOutput(newValue) : newValue === null || newValue === void 0 ? void 0 : newValue.id;
      if (_onChange) _onChange(name, output);
    },
    params: params
  }, other)));
});

var _excluded$25 = ["name", "value", "onChange", "onError", "className", "disabled", "margin", "DateTimePickerProps"],
  _excluded2$14 = ["ampm", "mask", "minDate", "maxDate"];
var classes$1L = {
  root: 'MuiDateTimeInput-root'
};
var DateTimeInput = React.forwardRef(function (props, ref) {
  var value = props.value,
    onChange = props.onChange,
    className = props.className,
    _props$disabled = props.disabled,
    disabled = _props$disabled === void 0 ? false : _props$disabled,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    DateTimePickerProps = props.DateTimePickerProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$25);
  var _ref = DateTimePickerProps !== null && DateTimePickerProps !== void 0 ? DateTimePickerProps : {},
    ampm = _ref.ampm,
    mask = _ref.mask,
    minDate = _ref.minDate,
    maxDate = _ref.maxDate,
    DateTimePickerOther = _objectWithoutPropertiesLoose(_ref, _excluded2$14);
  var _useState = useState(value),
    selectedDate = _useState[0],
    setSelectedDate = _useState[1];
  var internalChange = function internalChange(newValue) {
    console.log('DateTimeInput.internalChange', {
      selectedDate: selectedDate,
      newValue: newValue
    });
    setSelectedDate(newValue);
    if (onChange) onChange(newValue);
  };
  var utils = useUtils();
  var locale = utils === null || utils === void 0 ? void 0 : utils.locale;
  var _mask = mask;
  if (!_mask && !ampm) {
    _mask = getDefaultDateTimeInputMask(locale);
  }
  return React.createElement(DateTimePicker, Object.assign({
    className: buildClassName(classes$1L.root, className),
    ampm: ampm !== null && ampm !== void 0 ? ampm : false,
    value: selectedDate,
    onChange: function onChange(newValue) {
      internalChange(newValue);
    },
    mask: _mask,
    disabled: disabled,
    minDate: minDate !== null && minDate !== void 0 ? minDate : defaultMinDate,
    maxDate: maxDate !== null && maxDate !== void 0 ? maxDate : defaultMaxDate,
    renderInput: function renderInput(params) {
      return React.createElement(TextField$2, Object.assign({
        ref: ref,
        margin: margin
      }, params, other));
    }
  }, DateTimePickerOther));
});

var _excluded$26 = ["className", "name", "inputVariant", "onChange", "BoxProps", "defaultValue", "getFilterOutput"];
var classes$1M = {
  root: 'MuiDateTimeFilter-root',
  dateTimeInput: 'MuiDateTimeFilter-dateTimeInput'
};
var DateTimeFilter = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    inputVariant = props.inputVariant,
    _onChange = props.onChange,
    BoxProps = props.BoxProps,
    defaultValue = props.defaultValue,
    getFilterOutput = props.getFilterOutput,
    other = _objectWithoutPropertiesLoose(props, _excluded$26);
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: classes$1M.root
  }, BoxProps), React.createElement(DateTimeInput, Object.assign({
    name: name,
    className: buildClassName(classes$1M.dateTimeInput, className),
    value: defaultValue !== null && defaultValue !== void 0 ? defaultValue : null,
    variant: inputVariant,
    onChange: function onChange(newValue) {
      try {
        var output = getFilterOutput ? getFilterOutput(newValue) : newValue;
        if (_onChange) _onChange(name, output);
      } catch (error) {}
    }
  }, other)));
});

var _excluded$27 = ["name", "value", "onChange", "onError", "className", "disabled", "margin", "TimePickerProps"],
  _excluded2$15 = ["ampm", "mask"];
var classes$1N = {
  root: 'MuiTimeInput-root'
};
var TimeInput = React.forwardRef(function (props, ref) {
  var value = props.value,
    onChange = props.onChange,
    className = props.className,
    _props$disabled = props.disabled,
    disabled = _props$disabled === void 0 ? false : _props$disabled,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    TimePickerProps = props.TimePickerProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$27);
  var _ref = TimePickerProps !== null && TimePickerProps !== void 0 ? TimePickerProps : {},
    ampm = _ref.ampm,
    mask = _ref.mask,
    TimePickerOther = _objectWithoutPropertiesLoose(_ref, _excluded2$15);
  var _useState = useState(value),
    selectedDate = _useState[0],
    setSelectedDate = _useState[1];
  var internalChange = function internalChange(newValue) {
    setSelectedDate(newValue);
    if (onChange) onChange(newValue);
  };
  var utils = useUtils();
  var locale = utils === null || utils === void 0 ? void 0 : utils.locale;
  var _mask = mask;
  if (!_mask && !ampm) {
    _mask = getDefaultTimeInputMask(locale);
  }
  return React.createElement(TimePicker, Object.assign({
    className: buildClassName(classes$1N.root, className),
    ampm: ampm !== null && ampm !== void 0 ? ampm : false,
    mask: _mask,
    disabled: disabled,
    value: selectedDate,
    onChange: function onChange(newValue) {
      internalChange(newValue);
    },
    renderInput: function renderInput(params) {
      return React.createElement(TextField$2, Object.assign({
        ref: ref,
        margin: margin,
        disabled: disabled
      }, params, other));
    }
  }, TimePickerOther));
});

var _excluded$28 = ["className", "name", "inputVariant", "onChange", "BoxProps", "defaultValue", "getFilterOutput"];
var classes$1O = {
  root: 'MuiTimeFilter-root',
  dateTimeInput: 'MuiTimeFilter-timeInput'
};
var TimeFilter = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    inputVariant = props.inputVariant,
    _onChange = props.onChange,
    BoxProps = props.BoxProps,
    defaultValue = props.defaultValue,
    getFilterOutput = props.getFilterOutput,
    other = _objectWithoutPropertiesLoose(props, _excluded$28);
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: classes$1O.root
  }, BoxProps), React.createElement(TimeInput, Object.assign({
    name: name,
    className: buildClassName(classes$1O.dateTimeInput, className),
    value: defaultValue !== null && defaultValue !== void 0 ? defaultValue : null,
    variant: inputVariant,
    onChange: function onChange(newValue) {
      try {
        var output = getFilterOutput ? getFilterOutput(newValue) : newValue;
        if (_onChange) _onChange(name, output);
      } catch (error) {}
    }
  }, other)));
});

var _excluded$29 = ["name", "value", "onChange", "onError", "className", "disabled", "margin", "DatePickerProps"],
  _excluded2$16 = ["mask", "minDate", "maxDate", "openTo", "views"];
var classes$1P = {
  root: 'MuiDateInput-root'
};
var DateInput = React.forwardRef(function (props, ref) {
  var value = props.value,
    onChange = props.onChange,
    className = props.className,
    _props$disabled = props.disabled,
    disabled = _props$disabled === void 0 ? false : _props$disabled,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    DatePickerProps = props.DatePickerProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$29);
  var _ref = DatePickerProps !== null && DatePickerProps !== void 0 ? DatePickerProps : {},
    mask = _ref.mask,
    minDate = _ref.minDate,
    maxDate = _ref.maxDate,
    _openTo = _ref.openTo,
    views = _ref.views,
    DatePickerOther = _objectWithoutPropertiesLoose(_ref, _excluded2$16);
  var openTo = _openTo !== null && _openTo !== void 0 ? _openTo : 'day';
  if (views && views.length > 0) {
    if (!openTo || !views.find(function (v) {
      return v === openTo;
    })) {
      openTo = views[0];
    }
  }
  var _useState = useState(value),
    selectedDate = _useState[0],
    setSelectedDate = _useState[1];
  var internalChange = function internalChange(newValue) {
    setSelectedDate(newValue);
    if (onChange) onChange(newValue);
  };
  var utils = useUtils();
  var locale = utils === null || utils === void 0 ? void 0 : utils.locale;
  var _mask = mask;
  if (!_mask) {
    if (views && views.length === 1) {
      if (views[0] === 'year') {
        _mask = '____';
      }
    } else _mask = getDefaultDateInputMask(locale);
  }
  return React.createElement(DatePicker, Object.assign({
    className: buildClassName(classes$1P.root, className),
    value: selectedDate,
    onChange: function onChange(newValue) {
      internalChange(newValue);
    },
    views: views,
    mask: _mask,
    disabled: disabled,
    minDate: minDate !== null && minDate !== void 0 ? minDate : defaultMinDate,
    maxDate: maxDate !== null && maxDate !== void 0 ? maxDate : defaultMaxDate,
    openTo: openTo,
    renderInput: function renderInput(params) {
      return React.createElement(TextField$2, Object.assign({
        ref: ref,
        margin: margin
      }, params, other));
    }
  }, DatePickerOther));
});

var _excluded$2a = ["className", "name", "inputVariant", "onChange", "BoxProps", "defaultValue", "getFilterOutput"];
var classes$1Q = {
  root: 'MuiDateFilter-root',
  dateInput: 'MuiDateFilter-dateInput'
};
var DateFilter = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    inputVariant = props.inputVariant,
    _onChange = props.onChange,
    BoxProps = props.BoxProps,
    defaultValue = props.defaultValue,
    getFilterOutput = props.getFilterOutput,
    other = _objectWithoutPropertiesLoose(props, _excluded$2a);
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: classes$1Q.root
  }, BoxProps), React.createElement(DateInput, Object.assign({
    name: name,
    className: buildClassName(classes$1Q.dateInput, className),
    value: defaultValue !== null && defaultValue !== void 0 ? defaultValue : null,
    variant: inputVariant,
    onChange: function onChange(newValue) {
      try {
        var output = getFilterOutput ? getFilterOutput(newValue) : newValue;
        if (_onChange) _onChange(name, output);
      } catch (error) {}
    }
  }, other)));
});

var _excluded$2b = ["className", "name", "onChange", "getFilterOutput"];
var classes$1R = {
  root: 'MuiStartOfDayFilter-root',
  dateInput: 'MuiStartOfDayFilter-dateInput'
};
var StartOfDayFilter = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    onChange = props.onChange,
    getFilterOutput = props.getFilterOutput,
    other = _objectWithoutPropertiesLoose(props, _excluded$2b);
  var handleChange = function handleChange(newValue) {
    if (!onChange) return;
    var date = newValue;
    try {
      date.setHours(0);
      date.setMinutes(0);
      date.setSeconds(0);
      var output = getFilterOutput ? getFilterOutput(newValue) : date;
      onChange(name, output);
    } catch (error) {}
  };
  return React.createElement(DateFilter, Object.assign({
    ref: ref,
    name: name,
    className: buildClassName(classes$1R.dateInput, className),
    onChange: handleChange
  }, other));
});

var _excluded$2c = ["className", "name", "onChange", "getFilterOutput"];
var classes$1S = {
  root: 'MuiEndOfDayFilter-root',
  dateInput: 'MuiEndOfDayFilter-dateInput'
};
var EndOfDayFilter = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    onChange = props.onChange,
    getFilterOutput = props.getFilterOutput,
    other = _objectWithoutPropertiesLoose(props, _excluded$2c);
  var handleChange = function handleChange(newValue) {
    if (!onChange) return;
    var date = newValue;
    try {
      date.setHours(23);
      date.setMinutes(59);
      date.setSeconds(59);
      var output = getFilterOutput ? getFilterOutput(newValue) : date;
      onChange(name, output);
    } catch (error) {}
  };
  return React.createElement(DateFilter, Object.assign({
    ref: ref,
    name: name,
    className: buildClassName(classes$1S.dateInput, className),
    onChange: handleChange
  }, other));
});

var _excluded$2d = ["onChange"],
  _excluded2$17 = ["value", "className", "InputProps", "onChange", "kind", "thousandSeparator", "decimalSeparator", "decimalScale", "fixedDecimalScale", "allowNegative", "variant", "maxAmount", "NumberFormatProps"],
  _excluded3$i = ["isAllowed"];
var classes$1T = {
  root: 'MuiAmountInput-root'
};
var NumberFormatCustom = React.forwardRef(function NumberFormatCustom(props, ref) {
  var onChange = props.onChange,
    other = _objectWithoutPropertiesLoose(props, _excluded$2d);
  return React.createElement(NumericFormat, Object.assign({}, other, {
    getInputRef: ref,
    onValueChange: function onValueChange(values) {
      onChange({
        target: {
          name: props.name,
          value: values.floatValue
        }
      });
    },
    valueIsNumericString: true
  }));
});
var NumberInput = React.forwardRef(function (props, ref) {
  var value = props.value,
    className = props.className,
    InputProps = props.InputProps,
    _onChange = props.onChange,
    kind = props.kind,
    _props$thousandSepara = props.thousandSeparator,
    thousandSeparator = _props$thousandSepara === void 0 ? true : _props$thousandSepara,
    _props$decimalSeparat = props.decimalSeparator,
    decimalSeparator = _props$decimalSeparat === void 0 ? '.' : _props$decimalSeparat,
    _props$decimalScale = props.decimalScale,
    decimalScale = _props$decimalScale === void 0 ? 2 : _props$decimalScale,
    _props$fixedDecimalSc = props.fixedDecimalScale,
    fixedDecimalScale = _props$fixedDecimalSc === void 0 ? true : _props$fixedDecimalSc,
    _props$allowNegative = props.allowNegative,
    allowNegative = _props$allowNegative === void 0 ? false : _props$allowNegative,
    _props$variant = props.variant,
    variant = _props$variant === void 0 ? 'outlined' : _props$variant,
    maxAmount = props.maxAmount,
    NumberFormatProps = props.NumberFormatProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$17);
  var _ref = NumberFormatProps !== null && NumberFormatProps !== void 0 ? NumberFormatProps : {},
    _isAllowed = _ref.isAllowed,
    NumberFormatOther = _objectWithoutPropertiesLoose(_ref, _excluded3$i);
  var withValueLimit = function withValueLimit(floatValue) {
    return maxAmount === undefined || floatValue <= maxAmount;
  };
  var isAllowed = function isAllowed(_ref2) {
    var formattedValue = _ref2.formattedValue,
      value = _ref2.value,
      floatValue = _ref2.floatValue;
    var inRange = withValueLimit(floatValue);
    if (inRange === false) return false;
    if (_isAllowed === undefined) return true;
    return _isAllowed({
      formattedValue: formattedValue,
      value: value,
      floatValue: floatValue
    });
  };
  var _thousandSeparator = kind === 'id' ? '' : thousandSeparator;
  var _decimalScale = kind === 'id' || kind === 'integer' ? 0 : kind === 'amount' ? 2 : decimalScale;
  var _allowNegative = kind === 'id' ? false : allowNegative;
  var numberFormatProps = _extends({}, InputProps, {
    inputComponent: NumberFormatCustom,
    inputProps: _extends({
      thousandSeparator: _thousandSeparator,
      decimalSeparator: decimalSeparator,
      decimalScale: _decimalScale,
      fixedDecimalScale: fixedDecimalScale,
      allowNegative: _allowNegative,
      isAllowed: isAllowed
    }, NumberFormatOther)
  });
  return React.createElement(TextField$2, Object.assign({
    ref: ref,
    className: buildClassName(classes$1T.root, className),
    variant: variant
  }, other, {
    value: value,
    InputProps: numberFormatProps,
    onChange: function onChange(event) {
      var _event$target;
      if (_onChange !== undefined) _onChange(event === null || event === void 0 ? void 0 : (_event$target = event.target) === null || _event$target === void 0 ? void 0 : _event$target.value);
    }
  }));
});

var _excluded$2e = ["className", "name", "inputVariant", "onChange", "BoxProps", "defaultValue", "getFilterOutput", "kind"];
var classes$1U = {
  root: 'MuiNumberFilter-root',
  number: 'MuiNumberFilter-numberInput'
};
var NumberFilter = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    inputVariant = props.inputVariant,
    _onChange = props.onChange,
    BoxProps = props.BoxProps,
    defaultValue = props.defaultValue,
    getFilterOutput = props.getFilterOutput,
    kind = props.kind,
    other = _objectWithoutPropertiesLoose(props, _excluded$2e);
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: classes$1U.root
  }, BoxProps), React.createElement(NumberInput, Object.assign({
    className: buildClassName(classes$1U.number, className),
    value: defaultValue !== null && defaultValue !== void 0 ? defaultValue : undefined,
    variant: inputVariant,
    kind: kind,
    onChange: function onChange(newValue) {
      var output = getFilterOutput ? getFilterOutput(newValue) : newValue;
      if (_onChange) _onChange(name, output);
    }
  }, other)));
});

var _excluded$2f = ["className", "name", "inputVariant", "onChange", "BoxProps", "defaultValue", "getFilterOutput"];
var classes$1V = {
  root: 'MuiTextFilter-root',
  textField: 'MuiTextFilter-textField'
};
var TextFilter = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    inputVariant = props.inputVariant,
    _onChange = props.onChange,
    BoxProps = props.BoxProps,
    defaultValue = props.defaultValue,
    getFilterOutput = props.getFilterOutput,
    other = _objectWithoutPropertiesLoose(props, _excluded$2f);
  var _useState = useState(defaultValue !== null && defaultValue !== void 0 ? defaultValue : ''),
    value = _useState[0],
    setValue = _useState[1];
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: classes$1V.root
  }, BoxProps), React.createElement(TextField$2, Object.assign({
    name: name,
    className: buildClassName(classes$1V.textField, className),
    variant: inputVariant,
    type: 'text',
    value: value,
    onChange: function onChange(e) {
      var output = getFilterOutput ? getFilterOutput(e.target.value) : e.target.value;
      setValue(e.target.value);
      if (_onChange) _onChange(name, output);
    }
  }, other)));
});

var _excluded$2g = ["className", "trueLabel", "falseLabel", "onChange"];
var classes$1W = {
  root: 'MuiBoolInput-root'
};
var BoolInput = React.forwardRef(function (props, ref) {
  var className = props.className,
    trueLabel = props.trueLabel,
    falseLabel = props.falseLabel,
    _onChange = props.onChange,
    other = _objectWithoutPropertiesLoose(props, _excluded$2g);
  var options = [{
    id: 'true',
    label: trueLabel !== null && trueLabel !== void 0 ? trueLabel : 'true'
  }, {
    id: 'false',
    label: falseLabel !== null && falseLabel !== void 0 ? falseLabel : 'false'
  }];
  return React.createElement(ComboBox, Object.assign({
    ref: ref,
    className: buildClassName(classes$1W.root, className),
    options: options,
    onChange: function onChange(value) {
      var v = value === true || value === 'true' || (value === null || value === void 0 ? void 0 : value.id) === 'true' ? true : value === false || value === 'false' || (value === null || value === void 0 ? void 0 : value.id) === 'false' ? false : undefined;
      _onChange && _onChange(v);
    }
  }, other));
});

var _excluded$2h = ["className", "name", "defaultValue", "inputVariant", "onChange", "getFilterOutput", "BoxProps"];
var classes$1X = {
  root: 'MuiBoolFilter-root',
  input: 'MuiBoolFilter-input'
};
var BoolFilter = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    defaultValue = props.defaultValue,
    inputVariant = props.inputVariant,
    _onChange = props.onChange,
    getFilterOutput = props.getFilterOutput,
    BoxProps = props.BoxProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$2h);
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: classes$1X.root
  }, BoxProps), React.createElement(BoolInput, Object.assign({
    name: name,
    className: buildClassName(classes$1X.input, className),
    value: defaultValue,
    variant: inputVariant,
    onChange: function onChange(newValue) {
      var output = getFilterOutput ? getFilterOutput(newValue) : newValue;
      if (_onChange) _onChange(name, output);
    }
  }, other)));
});

var _excluded$2i = ["className", "variant", "label", "placeholder", "options", "hidden", "inputVariant", "size", "margin", "componentProps"];
var classes$1Y = {
  hidden: 'MuiFilter-hidden',
  box: 'MuiFilter-box',
  bool: 'MuiFilter-bool',
  comboBox: 'MuiFilter-comboBox',
  freeSolo: 'MuiFilter-freeSolo',
  multiSelect: 'MuiFilter-multiSelect',
  lookup: 'MuiFilter-lookup',
  dateTime: 'MuiFilter-dateTime',
  date: 'MuiFilter-date',
  time: 'MuiFilter-time',
  textField: 'MuiFilter-textField',
  number: 'MuiFilter-number'
};
var Filter = React.forwardRef(function FilterRender(props, ref) {
  var className = props.className,
    variant = props.variant,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    hidden = props.hidden,
    inputVariant = props.inputVariant,
    size = props.size,
    margin = props.margin,
    componentProps = props.componentProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$2i);
  if (hidden) return React.createElement(HiddenFilter, Object.assign({
    ref: ref,
    className: classes$1Y.hidden
  }, other));
  var filter = undefined;
  switch (variant) {
    case 'bool':
      {
        filter = React.createElement(BoolFilter, Object.assign({
          ref: ref,
          className: buildClassName(classes$1Y.bool, className),
          size: size,
          inputVariant: inputVariant,
          label: label,
          margin: margin,
          placeholder: placeholder
        }, other, componentProps));
        break;
      }
    case 'combo-box':
      {
        filter = React.createElement(ComboBoxFilter, Object.assign({
          ref: ref,
          className: buildClassName(classes$1Y.comboBox, className),
          size: size,
          inputVariant: inputVariant,
          label: label,
          margin: margin,
          options: options,
          placeholder: placeholder
        }, other, componentProps));
        break;
      }
    case 'free-solo':
      {
        filter = React.createElement(FreeSoloFilter, Object.assign({
          ref: ref,
          className: classes$1Y.freeSolo,
          size: size,
          inputVariant: inputVariant,
          label: label,
          margin: margin,
          options: options,
          placeholder: placeholder
        }, other, componentProps));
        break;
      }
    case 'multi-select':
      {
        filter = React.createElement(MultiSelectFilter, Object.assign({
          ref: ref,
          className: classes$1Y.multiSelect,
          size: size,
          inputVariant: inputVariant,
          label: label,
          margin: margin,
          options: options,
          placeholder: placeholder
        }, other, componentProps));
        break;
      }
    case 'lookup':
      {
        filter = React.createElement(LookupFilter, Object.assign({
          ref: ref,
          className: classes$1Y.lookup,
          size: size,
          inputVariant: inputVariant,
          label: label,
          margin: margin,
          options: options,
          placeholder: placeholder
        }, other, componentProps));
        break;
      }
    case 'date-time':
      {
        filter = React.createElement(DateTimeFilter, Object.assign({
          ref: ref,
          className: classes$1Y.dateTime,
          size: size,
          margin: margin,
          label: label,
          placeholder: placeholder,
          inputVariant: inputVariant
        }, other, componentProps));
        break;
      }
    case 'date':
      {
        filter = React.createElement(DateFilter, Object.assign({
          ref: ref,
          className: classes$1Y.dateTime,
          size: size,
          margin: margin,
          label: label,
          placeholder: placeholder,
          inputVariant: inputVariant
        }, other, componentProps));
        break;
      }
    case 'end-of-day':
      {
        filter = React.createElement(EndOfDayFilter, Object.assign({
          ref: ref,
          className: classes$1Y.date,
          size: size,
          margin: margin,
          label: label,
          placeholder: placeholder,
          inputVariant: inputVariant
        }, other, componentProps));
        break;
      }
    case 'start-of-day':
      {
        filter = React.createElement(StartOfDayFilter, Object.assign({
          ref: ref,
          className: classes$1Y.date,
          size: size,
          margin: margin,
          label: label,
          placeholder: placeholder,
          inputVariant: inputVariant
        }, other, componentProps));
        break;
      }
    case 'time':
      {
        filter = React.createElement(TimeFilter, Object.assign({
          ref: ref,
          className: classes$1Y.time,
          size: size,
          margin: margin,
          label: label,
          placeholder: placeholder,
          inputVariant: inputVariant
        }, other, componentProps));
        break;
      }
    case 'number':
      {
        filter = React.createElement(NumberFilter, Object.assign({
          ref: ref,
          className: classes$1Y.number,
          size: size,
          margin: margin,
          label: label,
          placeholder: placeholder,
          inputVariant: inputVariant
        }, other, componentProps));
        break;
      }
    default:
      {
        filter = React.createElement(TextFilter, Object.assign({
          ref: ref,
          className: classes$1Y.textField,
          size: size,
          margin: margin,
          label: label,
          placeholder: placeholder,
          inputVariant: inputVariant
        }, other, componentProps));
        break;
      }
  }
  return filter;
});

var _templateObject$Z;
var _excluded$2j = ["searchBarOrientation"],
  _excluded2$18 = ["className", "searchBar", "getListMethod", "filterDataMethod", "onGetList", "width", "contentWidth", "rowsPerPageOptions", "defaultPage", "defaultRowsPerPage", "empty", "variant", "children", "reload", "data", "LoaderProps", "ErrorAlertGroupProps", "TablePaginationProps", "filtersProps"];
var classes$1Z = {
  root: 'MuiSearchList-root',
  searchBar: 'MuiSearchList-searchBar',
  searchListData: 'MuiSearchList-searchListData'
};
var SearchListRef = React.forwardRef(function (props, ref) {
  var other = _objectWithoutPropertiesLoose(props, _excluded$2j);
  return React.createElement(Part, Object.assign({
    ref: ref
  }, other));
});
var SearchListRoot = styled(SearchListRef)(_templateObject$Z || (_templateObject$Z = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var searchBarOrientation = _ref.searchBarOrientation;
  return "  \n      .MuiPart-content {\n        " + (searchBarOrientation === 'vertical' && 'display: flex;') + "\n      }\n      ";
});
var SearchListData = function SearchListData(props) {
  var totalRowsCount = props.totalRowsCount,
    list = props.list,
    _props$variant = props.variant,
    variant = _props$variant === void 0 ? 'datatable' : _props$variant,
    children = props.children,
    page = props.page,
    rowsPerPage = props.rowsPerPage,
    rowsPerPageOptions = props.rowsPerPageOptions,
    handleRowsPerPageChange = props.handleRowsPerPageChange,
    handlePageChange = props.handlePageChange,
    TablePaginationProps = props.TablePaginationProps;
  if (React.Children.count(children) !== 1) {
    console.error('access-react: SearchListData component should have one and only one child of type Datatable or Collection.');
    return React.createElement(React.Fragment, null);
  }
  var content;
  var child = React.Children.only(children);
  if (variant === 'datatable' && child) {
    content = React.cloneElement(child, {
      list: list,
      startIndex: page * rowsPerPage
    });
  } else if (child) {
    content = React.cloneElement(child, {
      items: list,
      startIndex: page * rowsPerPage
    });
  }
  return React.createElement(Box, {
    className: classes$1Z.searchListData,
    display: 'flex',
    flexDirection: 'column'
  }, content, totalRowsCount > 0 && totalRowsCount > rowsPerPage && React.createElement(TablePagination, Object.assign({
    component: 'div'
  }, TablePaginationProps, {
    rowsPerPageOptions: rowsPerPageOptions,
    count: totalRowsCount,
    rowsPerPage: rowsPerPage,
    page: page,
    onPageChange: function onPageChange(event, page) {
      return handlePageChange(event, page);
    },
    onRowsPerPageChange: handleRowsPerPageChange
  })));
};
var SearchList = React.forwardRef(function (props, ref) {
  var _searchBar$props, _searchBar$props2, _theme$mixins$page$li, _theme$mixins$page, _theme$mixins$page$li2;
  var className = props.className,
    searchBar = props.searchBar,
    getListMethod = props.getListMethod,
    filterDataMethod = props.filterDataMethod,
    onGetList = props.onGetList,
    _props$width = props.width,
    width = _props$width === void 0 ? 'full' : _props$width,
    _props$contentWidth = props.contentWidth,
    contentWidth = _props$contentWidth === void 0 ? 'full' : _props$contentWidth,
    _props$rowsPerPageOpt = props.rowsPerPageOptions,
    rowsPerPageOptions = _props$rowsPerPageOpt === void 0 ? [10, 25, 100] : _props$rowsPerPageOpt,
    _props$defaultPage = props.defaultPage,
    defaultPage = _props$defaultPage === void 0 ? 0 : _props$defaultPage,
    _props$defaultRowsPer = props.defaultRowsPerPage,
    defaultRowsPerPage = _props$defaultRowsPer === void 0 ? 25 : _props$defaultRowsPer,
    empty = props.empty,
    _props$variant2 = props.variant,
    variant = _props$variant2 === void 0 ? 'datatable' : _props$variant2,
    children = props.children,
    reload = props.reload,
    data = props.data,
    LoaderProps = props.LoaderProps,
    ErrorAlertGroupProps = props.ErrorAlertGroupProps,
    TablePaginationProps = props.TablePaginationProps,
    filtersProps = props.filtersProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$18);
  var filtersOptions = searchBar === null || searchBar === void 0 ? void 0 : (_searchBar$props = searchBar.props) === null || _searchBar$props === void 0 ? void 0 : _searchBar$props.children;
  var searchBarOrientation = searchBar === null || searchBar === void 0 ? void 0 : (_searchBar$props2 = searchBar.props) === null || _searchBar$props2 === void 0 ? void 0 : _searchBar$props2.orientation;
  if (searchBarOrientation) {
    console.log('searchBarOrientation', searchBarOrientation);
  }
  var _useState = useState(false),
    isFiltering = _useState[0],
    setIsFiltering = _useState[1];
  var _useState2 = useState(data === undefined),
    isLoading = _useState2[0],
    setIsLoading = _useState2[1];
  var _useState3 = useState(defaultPage !== null && defaultPage !== void 0 ? defaultPage : 0),
    page = _useState3[0],
    setPage = _useState3[1];
  var _useState4 = useState(defaultRowsPerPage !== null && defaultRowsPerPage !== void 0 ? defaultRowsPerPage : 25),
    rowsPerPage = _useState4[0],
    setRowsPerPage = _useState4[1];
  var _useState5 = useState(0),
    totalRowsCount = _useState5[0],
    setTotalRowsCount = _useState5[1];
  var defaultFilters = {};
  if (filtersOptions) {
    React.Children.forEach(filtersOptions, function (child) {
      var _child$props;
      var filterName = child === null || child === void 0 ? void 0 : (_child$props = child.props) === null || _child$props === void 0 ? void 0 : _child$props.name;
      if (filterName) {
        var _child$props2;
        defaultFilters[filterName] = child === null || child === void 0 ? void 0 : (_child$props2 = child.props) === null || _child$props2 === void 0 ? void 0 : _child$props2.defaultValue;
      }
    });
  }
  var _useState6 = useState(defaultFilters),
    filters = _useState6[0],
    setFilters = _useState6[1];
  var _useState7 = useState(!getListMethod && data && Array.isArray(data) ? data : []),
    list = _useState7[0],
    setList = _useState7[1];
  useEffect(function () {
    if (!getListMethod && data && Array.isArray(data)) {
      setTotalRowsCount(data === null || data === void 0 ? void 0 : data.length);
      setList(data);
    }
  }, [data]);
  var _useState8 = useState([]),
    errors = _useState8[0],
    setErrors = _useState8[1];
  var getData = function getData() {
    try {
      var _temp2 = function _temp2() {
        setIsFiltering(false);
      };
      setIsFiltering(true);
      var _temp = function () {
        if (getListMethod) {
          return Promise.resolve(getListMethod(filters, page, rowsPerPage).then(function (serviceResponse) {
            if (serviceResponse && serviceResponse.ok) {
              var _data$items, _data$totalCount;
              var _data = serviceResponse.response;
              var rows = (_data$items = _data === null || _data === void 0 ? void 0 : _data.items) !== null && _data$items !== void 0 ? _data$items : new Array();
              var _totalRowsCount = (_data$totalCount = _data === null || _data === void 0 ? void 0 : _data.totalCount) !== null && _data$totalCount !== void 0 ? _data$totalCount : 0;
              setList(rows);
              if (onGetList) onGetList({
                data: _data,
                filters: filters,
                page: page,
                rowsPerPage: rowsPerPage
              });
              setTotalRowsCount(_totalRowsCount);
              if (hasErrors) setErrors([]);
            } else {
              setErrors(serviceResponse === null || serviceResponse === void 0 ? void 0 : serviceResponse.errors);
            }
          })["catch"](function (error) {
            return setErrors([{
              severity: 'error',
              code: undefined,
              message: error
            }]);
          })["finally"](function () {
            setIsLoading(false);
          })).then(function () {});
        } else if (filterDataMethod) {
          var _filterDataMethod, _filteredData$length;
          var filteredData = (_filterDataMethod = filterDataMethod(data, filters)) !== null && _filterDataMethod !== void 0 ? _filterDataMethod : [];
          var _totalRowsCount2 = (_filteredData$length = filteredData === null || filteredData === void 0 ? void 0 : filteredData.length) !== null && _filteredData$length !== void 0 ? _filteredData$length : 0;
          setList(filteredData);
          if (onGetList) onGetList({
            data: filteredData,
            filters: filters,
            page: page,
            rowsPerPage: rowsPerPage
          });
          setTotalRowsCount(_totalRowsCount2);
        }
      }();
      return Promise.resolve(_temp && _temp.then ? _temp.then(_temp2) : _temp2(_temp));
    } catch (e) {
      return Promise.reject(e);
    }
  };
  var _useState9 = useState(data === undefined ? true : undefined),
    get = _useState9[0],
    setGet = _useState9[1];
  useEffect(function () {
    getData();
  }, [reload, get]);
  var handlePageChange = function handlePageChange(_, newPage) {
    if (page !== newPage) {
      setPage(newPage);
      setGet(!get);
    }
  };
  var handleRowsPerPageChange = function handleRowsPerPageChange(event) {
    var newRowsPerPage = +event.target.value;
    var shouldGet = false;
    if (rowsPerPage !== newRowsPerPage) {
      setRowsPerPage(newRowsPerPage);
      shouldGet = true;
    }
    if (page > 0) {
      setPage(0);
      shouldGet = true;
    }
    if (shouldGet) setGet(!get);
  };
  var _useState10 = useState(false),
    applyFiltering = _useState10[0],
    setApplyFiltering = _useState10[1];
  var delayTimer;
  var handleFilterChange = function handleFilterChange(name, value) {
    clearTimeout(delayTimer);
    delayTimer = setTimeout(function () {
      var _extends2;
      if (page > 0) setPage(0);
      setApplyFiltering(true);
      setFilters(_extends({}, filters, (_extends2 = {}, _extends2[name] = value, _extends2)));
    }, DEFAULT_DELAY);
  };
  useEffect(function () {
    if (applyFiltering) {
      setGet(!get);
    }
  }, [filters]);
  var isEmpty = !list || list.length === 0;
  var hasErrors = errors !== undefined && errors.length > 0;
  var errorAlertGroup = hasErrors && errors ? React.createElement(AlertGroup, Object.assign({
    marginX: 2,
    marginTop: 2
  }, ErrorAlertGroupProps), errors.map(function (e, index) {
    return React.createElement(DismissibleAlert, {
      key: index,
      message: e.message,
      code: e.code,
      severity: e.severity
    });
  })) : undefined;
  var hasSearchBar = filtersOptions && React.Children.count(filtersOptions) > 0 && React.Children.map(filtersOptions, function (child) {
    var _child$props3, _child$props4;
    return (child === null || child === void 0 ? void 0 : (_child$props3 = child.props) === null || _child$props3 === void 0 ? void 0 : _child$props3.hidden) === undefined || (child === null || child === void 0 ? void 0 : (_child$props4 = child.props) === null || _child$props4 === void 0 ? void 0 : _child$props4.hidden) === false;
  }).find(function (hidden) {
    return hidden === true;
  }) !== undefined;
  var theme = useTheme();
  var listHasPadding = (_theme$mixins$page$li = (_theme$mixins$page = theme.mixins.page) === null || _theme$mixins$page === void 0 ? void 0 : (_theme$mixins$page$li2 = _theme$mixins$page.listPage) === null || _theme$mixins$page$li2 === void 0 ? void 0 : _theme$mixins$page$li2.listHasPadding) !== null && _theme$mixins$page$li !== void 0 ? _theme$mixins$page$li : DEFAULT_MIXINS.page.listPage.listHasPadding;
  var _searchBar;
  if (searchBar && React.isValidElement(searchBar)) {
    var _searchBar$props3, _searchBar$props4;
    _searchBar = React.cloneElement(searchBar, {
      onChange: handleFilterChange,
      className: buildClassName(classes$1Z.searchBar, searchBar === null || searchBar === void 0 ? void 0 : (_searchBar$props3 = searchBar.props) === null || _searchBar$props3 === void 0 ? void 0 : _searchBar$props3.className),
      filtersProps: _extends({}, filtersProps, searchBar === null || searchBar === void 0 ? void 0 : (_searchBar$props4 = searchBar.props) === null || _searchBar$props4 === void 0 ? void 0 : _searchBar$props4.filtersProps)
    });
  }
  var targetRef = ref !== null && ref !== void 0 ? ref : useRef();
  return isLoading ? React.createElement(Loader, Object.assign({}, LoaderProps, {
    targetRef: targetRef
  })) : React.createElement(SearchListRoot, Object.assign({
    ref: targetRef,
    className: buildClassName(classes$1Z.root, className),
    searchBarOrientation: searchBarOrientation,
    width: width,
    contentWidth: contentWidth,
    hasContentPadding: listHasPadding,
    errorAlertGroup: !isFiltering ? errorAlertGroup : undefined
  }, other), hasSearchBar && React.createElement(Box, {
    p: listHasPadding ? 0 : 2
  }, _searchBar), isFiltering && React.createElement(Loader, Object.assign({
    size: 'large'
  }, LoaderProps)), !isFiltering && !hasErrors && (isEmpty ? React.createElement(React.Fragment, null, empty) : React.createElement(SearchListData, {
    totalRowsCount: totalRowsCount,
    list: list,
    variant: variant,
    page: page,
    rowsPerPage: rowsPerPage,
    rowsPerPageOptions: rowsPerPageOptions,
    handleRowsPerPageChange: handleRowsPerPageChange,
    handlePageChange: handlePageChange,
    TablePaginationProps: TablePaginationProps
  }, children)));
});

var _templateObject$_;
var _excluded$2k = ["width", "className", "header", "children"],
  _excluded2$19 = ["children", "width"];
var classes$1_ = {
  root: 'MuiListPage-root',
  thin: 'MuiListPage-thin',
  narrow: 'MuiListPage-narrow',
  wide: 'MuiListPage-wide',
  full: 'MuiListPage-full'
};
var ListPageRef = React.forwardRef(function (props, ref) {
  var width = props.width,
    className = props.className,
    header = props.header,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$2k);
  return React.createElement(Page, Object.assign({
    ref: ref,
    className: buildClassName(classes$1_.root, width === 'full' ? classes$1_.full : width === 'wide' ? classes$1_.wide : width === 'narrow' ? classes$1_.narrow : className.thin, className),
    width: width,
    header: header
  }, other), children);
});
var ListPageRoot = styled(ListPageRef)(_templateObject$_ || (_templateObject$_ = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var _theme$mixins$page$li, _theme$mixins$page, _theme$mixins$page$li2;
  var theme = _ref.theme,
    header = _ref.header;
  return "\n      & .MuiSearchList-root {\n        margin-top: " + (header ? theme.spacing(2) : '0px') + ";\n        flex-grow: " + (((_theme$mixins$page$li = (_theme$mixins$page = theme.mixins.page) === null || _theme$mixins$page === void 0 ? void 0 : (_theme$mixins$page$li2 = _theme$mixins$page.listPage) === null || _theme$mixins$page$li2 === void 0 ? void 0 : _theme$mixins$page$li2.height) !== null && _theme$mixins$page$li !== void 0 ? _theme$mixins$page$li : DEFAULT_MIXINS.page.listPage.height === 'full') ? '1' : 'initial') + ";\n      }\n    ";
});
var ListPage = React.forwardRef(function (props, ref) {
  var children = props.children,
    _props$width = props.width,
    width = _props$width === void 0 ? 'full' : _props$width,
    other = _objectWithoutPropertiesLoose(props, _excluded2$19);
  if (React.Children.count(children) !== 1) {
    console.error('access-react: ListPage should have one and only one child of type SearchList');
  }
  return React.createElement(ListPageRoot, Object.assign({
    ref: ref,
    width: width
  }, other), children);
});

var FormContent = React.forwardRef(function (props, ref) {
  var children = props.children,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    fieldsProps = props.fieldsProps,
    control = props.control,
    errors = props.errors,
    LayoutComponent = props.LayoutComponent,
    LayoutComponentProps = props.LayoutComponentProps;
  var hasGroup = false;
  var hasField = false;
  var _children = children ? React.Children.map(children, function (child) {
    var _child$props, _child$props$fieldInp2, _child$props4, _child$props$fieldSiz2, _child$props5;
    var fieldName = child === null || child === void 0 ? void 0 : (_child$props = child.props) === null || _child$props === void 0 ? void 0 : _child$props.name;
    if (isFieldsGroup(child)) {
      hasGroup = true;
    } else if (isAnyField(child)) {
      var _errors$fieldName$mes, _errors$fieldName, _child$props$fieldInp, _child$props2, _child$props$fieldSiz, _child$props3;
      hasField = true;
      var error = undefined;
      if (errors && fieldName && errors[fieldName]) error = (_errors$fieldName$mes = (_errors$fieldName = errors[fieldName]) === null || _errors$fieldName === void 0 ? void 0 : _errors$fieldName.message) !== null && _errors$fieldName$mes !== void 0 ? _errors$fieldName$mes : errors[fieldName];
      return React.cloneElement(child, _extends({
        control: control,
        error: error,
        fieldInputVariant: (_child$props$fieldInp = child === null || child === void 0 ? void 0 : (_child$props2 = child.props) === null || _child$props2 === void 0 ? void 0 : _child$props2.fieldInputVariant) !== null && _child$props$fieldInp !== void 0 ? _child$props$fieldInp : fieldInputVariant,
        fieldSize: (_child$props$fieldSiz = child === null || child === void 0 ? void 0 : (_child$props3 = child.props) === null || _child$props3 === void 0 ? void 0 : _child$props3.fieldSize) !== null && _child$props$fieldSiz !== void 0 ? _child$props$fieldSiz : fieldSize
      }, fieldsProps === null || fieldsProps === void 0 ? void 0 : fieldsProps[fieldName]));
    }
    return React.cloneElement(child, _extends({
      control: control,
      errors: errors,
      fieldInputVariant: (_child$props$fieldInp2 = child === null || child === void 0 ? void 0 : (_child$props4 = child.props) === null || _child$props4 === void 0 ? void 0 : _child$props4.fieldInputVariant) !== null && _child$props$fieldInp2 !== void 0 ? _child$props$fieldInp2 : fieldInputVariant,
      fieldSize: (_child$props$fieldSiz2 = child === null || child === void 0 ? void 0 : (_child$props5 = child.props) === null || _child$props5 === void 0 ? void 0 : _child$props5.fieldSize) !== null && _child$props$fieldSiz2 !== void 0 ? _child$props$fieldSiz2 : fieldSize
    }, fieldsProps === null || fieldsProps === void 0 ? void 0 : fieldsProps[fieldName]));
  }) : React.createElement(React.Fragment, null);
  if (LayoutComponent) return React.createElement(LayoutComponent, Object.assign({
    ref: ref
  }, LayoutComponentProps), _children);
  if (hasField) return React.createElement(Stack, Object.assign({
    ref: ref
  }, LayoutComponentProps), _children);
  if (hasGroup) return React.createElement(ColumnsLayout, Object.assign({
    ref: ref
  }, LayoutComponentProps), _children);
  return React.createElement(React.Fragment, null, _children);
});

var _templateObject$$, _templateObject2$4;
var _excluded$2l = ["width", "hasHeader", "className", "children"],
  _excluded2$1a = ["error", "active", "completed"],
  _excluded3$j = ["header", "children", "className", "width", "backTitle", "BackButtonProps", "nextTitle", "onSubmitted", "onSubmitFailed", "NextButtonProps", "StepperProps", "ActiveStepTypographyProps", "AlertGroupProps", "StepBoxProps", "ButtonsBoxProps", "ErrorBoxProps", "ErrorTypographyProps", "ErrorChipProps"],
  _excluded4$5 = ["contentWidth", "header", "children"],
  _excluded5 = ["validationResolver", "defaultValues", "submitDisabled", "submitTitle", "cancelTitle", "children", "fieldInputVariant", "CancelButtonProps", "SubmitButtonProps", "onSubmit", "buttonsPosition", "submitting"];
var classes$1$ = {
  root: 'MuiStepPage-root',
  thin: 'MuiStepPage-thin',
  narrow: 'MuiStepPage-narrow',
  wide: 'MuiStepPage-wide',
  full: 'MuiStepPage-full',
  submit: 'MuiStepPage-submit',
  next: 'MuiStepPage-next',
  back: 'MuiStepPage-back',
  cancel: 'MuiForm-cancel',
  buttons: 'MuiStepPage-buttons',
  stepContent: 'MuiStepPage-stepContent',
  form: 'MuiStepPage-form',
  step: 'MuiStepPage-step',
  content: 'MuiStepPage-content'
};
var StepPageRef = React.forwardRef(function (props, ref) {
  var width = props.width,
    className = props.className,
    children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$2l);
  return React.createElement(Page, Object.assign({
    ref: ref,
    width: width,
    className: buildClassName(classes$1$.root, width === 'full' ? classes$1$.full : width === 'wide' ? classes$1$.wide : width === 'narrow' ? classes$1$.narrow : className.thin, className)
  }, other), children);
});
var StepPageRoot = styled(StepPageRef)(_templateObject$$ || (_templateObject$$ = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme,
    width = _ref.width,
    hasHeader = _ref.hasHeader;
  return "\n    padding: " + theme.spacing(3) + ";\n    \n    & .MuiStep-root, .MuiStepPage-step {\n        cursor: pointer;\n    }\n\n    & .MuiStepPage-content {     \n      margin-top: " + (hasHeader ? 'initial' : 'initial') + ";   \n      margin-bottom: " + (hasHeader ? 'initial' : 'auto') + ";\n      width: " + (width === 'full' ? 'none' : 'initial') + ";\n      " + theme.breakpoints.down('lg') + "{ \n        width: " + (width === 'thin' || width === 'narrow' ? 'initial' : 'none') + ";\n      }\n      " + theme.breakpoints.down('md') + "{ \n        border: " + (width === 'thin' ? 'initial' : 'none') + ";\n      }\n      \n      " + theme.breakpoints.down('sm') + "{ \n        border: none;\n      }\n    }\n\n    & .MuiStep-root.MuiStep-horizontal{\n      padding-left:0;\n      padding:right: 8px;\n    }\n\n    & .MuiStepLabel-iconContainer{\n      width: 100%;\n    }\n\n    & .MuiStepIcon-root{\n      height: 2rem;\n      width: 2rem;\n    }\n\n    & .MuiStepPage-stepContent{\n      display: flex;\n      flex-direction: column;\n      margin-left: auto;\n      margin-right: auto;\n    }\n\n    & button {\n      width: 50%;\n    }\n    ";
});
var getErrors = function getErrors(errors, fieldNames) {
  var result = [];
  errors && fieldNames && fieldNames.forEach(function (fieldName) {
    var error = getValue(errors, fieldName);
    if (error !== undefined) result.push(error);
  });
  return result;
};
var LinearStepRoot = styled(function (_ref2) {
  var other = _objectWithoutPropertiesLoose(_ref2, _excluded2$1a);
  return React.createElement(Box, Object.assign({}, other));
})(_templateObject2$4 || (_templateObject2$4 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref3) {
  var theme = _ref3.theme,
    completed = _ref3.completed,
    active = _ref3.active,
    error = _ref3.error;
  return "\n      background:\n        linear-gradient(to left, " + theme.palette.action.selected + " 50%, " + (error ? theme.palette.error.light : theme.palette.success.light) + " 50%);\n      background-size: 200% 100%;\n      background-position:\n        " + (completed || active ? 'left  bottom' : 'right bottom') + ";\n      transition: all .2s ease;\n      height: 4px;\n      width: 100%;\n    ";
});
var LinearStep = function LinearStep(props) {
  return React.createElement(LinearStepRoot, Object.assign({}, props));
};
var StepPage = React.forwardRef(function (props, ref) {
  var _submitPart$props, _form$props, _true, _theme$mixins$page$su, _theme$mixins$page, _theme$mixins$page$su2;
  var header = props.header,
    children = props.children,
    className = props.className,
    _props$width = props.width,
    width = _props$width === void 0 ? 'narrow' : _props$width,
    backTitle = props.backTitle,
    BackButtonProps = props.BackButtonProps,
    nextTitle = props.nextTitle,
    onSubmitted = props.onSubmitted,
    onSubmitFailed = props.onSubmitFailed,
    NextButtonProps = props.NextButtonProps,
    StepperProps = props.StepperProps,
    ActiveStepTypographyProps = props.ActiveStepTypographyProps,
    AlertGroupProps = props.AlertGroupProps,
    StepBoxProps = props.StepBoxProps,
    ButtonsBoxProps = props.ButtonsBoxProps,
    ErrorBoxProps = props.ErrorBoxProps,
    ErrorTypographyProps = props.ErrorTypographyProps,
    ErrorChipProps = props.ErrorChipProps,
    other = _objectWithoutPropertiesLoose(props, _excluded3$j);
  if (React.Children.count(children) !== 1) {
    console.error('access-react: StepPage should have one and only one chid of type SubmitPart');
    return React.createElement(React.Fragment, null);
  }
  var submitPart = React.Children.only(children);
  var _ref4 = (_submitPart$props = submitPart === null || submitPart === void 0 ? void 0 : submitPart.props) !== null && _submitPart$props !== void 0 ? _submitPart$props : {},
    _ref4$contentWidth = _ref4.contentWidth,
    contentWidth = _ref4$contentWidth === void 0 ? 'full' : _ref4$contentWidth,
    partHeader = _ref4.header,
    submitPartChildren = _ref4.children,
    otherPart = _objectWithoutPropertiesLoose(_ref4, _excluded4$5);
  if (React.Children.count(submitPartChildren) !== 1) {
    console.error('access-react: SubmitPart should have one and only one chid of type Form');
    return React.createElement(React.Fragment, null);
  }
  var form = React.Children.only(submitPartChildren);
  var _ref5 = (_form$props = form === null || form === void 0 ? void 0 : form.props) !== null && _form$props !== void 0 ? _form$props : {},
    validationResolver = _ref5.validationResolver,
    defaultValues = _ref5.defaultValues,
    _ref5$submitDisabled = _ref5.submitDisabled,
    submitDisabled = _ref5$submitDisabled === void 0 ? false : _ref5$submitDisabled,
    submitTitle = _ref5.submitTitle,
    cancelTitle = _ref5.cancelTitle,
    formSteps = _ref5.children,
    fieldInputVariant = _ref5.fieldInputVariant,
    CancelButtonProps = _ref5.CancelButtonProps,
    SubmitButtonProps = _ref5.SubmitButtonProps,
    submitMethod = _ref5.onSubmit,
    otherForm = _objectWithoutPropertiesLoose(_ref5, _excluded5);
  var _useForm = useForm({
      defaultValues: defaultValues,
      resolver: validationResolver
    }),
    control = _useForm.control,
    handleSubmit = _useForm.handleSubmit,
    errors = _useForm.formState.errors;
  var _useSubmit = useSubmit({
      submitMethod: submitMethod,
      onSubmitted: onSubmitted,
      onSubmitFailed: onSubmitFailed
    }),
    onSubmit = _useSubmit.onSubmit,
    submitErrors = _useSubmit.errors;
  var dismissibleErrors = submitErrors ? submitErrors.map(function (e) {
    return React.createElement(DismissibleAlert, {
      message: e.message,
      code: e.code,
      severity: e.severity
    });
  }) : React.createElement(React.Fragment, null);
  var _useState = useState(0),
    activeStep = _useState[0],
    setActiveStep = _useState[1];
  var _useState2 = useState(new Set()),
    skipped = _useState2[0],
    setSkipped = _useState2[1];
  var isStepSkipped = function isStepSkipped(step) {
    return skipped.has(step);
  };
  var handleNext = function handleNext() {
    var newSkipped = skipped;
    if (isStepSkipped(activeStep)) {
      newSkipped = new Set(newSkipped.values());
      newSkipped["delete"](activeStep);
    }
    setActiveStep(function (prevActiveStep) {
      return prevActiveStep + 1;
    });
    setSkipped(newSkipped);
  };
  var handleBack = function handleBack() {
    setActiveStep(function (prevActiveStep) {
      return prevActiveStep - 1;
    });
  };
  var handleStepClick = function handleStepClick(index) {
    return setActiveStep(index);
  };
  var theme = useTheme();
  var hasHeader = (_true = true) !== null && _true !== void 0 ? _true : ((_theme$mixins$page$su = (_theme$mixins$page = theme.mixins.page) === null || _theme$mixins$page === void 0 ? void 0 : (_theme$mixins$page$su2 = _theme$mixins$page.submitPage) === null || _theme$mixins$page$su2 === void 0 ? void 0 : _theme$mixins$page$su2.hasHeader) !== null && _theme$mixins$page$su !== void 0 ? _theme$mixins$page$su : DEFAULT_MIXINS.page.submitPage.hasHeader) && header !== undefined;
  var stepsCount = formSteps ? React.Children.count(formSteps) : 0;
  var steps = React.Children.map(formSteps, function (step) {
    var _step$props$title, _step$props;
    return (_step$props$title = step === null || step === void 0 ? void 0 : (_step$props = step.props) === null || _step$props === void 0 ? void 0 : _step$props.title) !== null && _step$props$title !== void 0 ? _step$props$title : '';
  });
  return React.createElement(StepPageRoot, Object.assign({
    ref: ref,
    className: className,
    width: width,
    hasHeader: hasHeader,
    header: hasHeader ? header : undefined
  }, other), React.createElement(Part, Object.assign({
    width: 'full',
    contentWidth: contentWidth,
    className: classes$1$.content,
    header: partHeader
  }, otherPart), React.createElement(Typography, Object.assign({
    variant: 'caption'
  }, ActiveStepTypographyProps), steps[activeStep]), React.createElement(Stepper, Object.assign({
    activeStep: activeStep,
    alternativeLabel: true,
    connector: React.createElement(React.Fragment, null),
    sx: {
      display: 'flex'
    }
  }, StepperProps), React.Children.map(formSteps, function (step, index) {
    var _step$props2;
    var stepProps = {};
    var label = step === null || step === void 0 ? void 0 : (_step$props2 = step.props) === null || _step$props2 === void 0 ? void 0 : _step$props2.title;
    var labelProps = {};
    if (isStepSkipped(index)) {
      stepProps.completed = false;
    }
    if (errors) {
      var _step$props3;
      var fieldNames = React.Children.map(step === null || step === void 0 ? void 0 : (_step$props3 = step.props) === null || _step$props3 === void 0 ? void 0 : _step$props3.children, function (field) {
        var _field$props;
        return field === null || field === void 0 ? void 0 : (_field$props = field.props) === null || _field$props === void 0 ? void 0 : _field$props.name;
      });
      var errs = getErrors(errors, fieldNames);
      if (errs && errs.length > 0) {
        labelProps.error = true;
        var firstError = errs[0].message;
        labelProps.optional = React.createElement(Box, Object.assign({
          display: 'flex',
          flexDirection: 'row',
          alignItems: 'center',
          gap: 1
        }, ErrorBoxProps), React.createElement(Typography, Object.assign({
          variant: 'caption',
          color: 'error'
        }, ErrorTypographyProps), firstError), errs.length > 1 && React.createElement(Chip, Object.assign({
          size: 'small',
          label: "+" + (errs.length - 1),
          color: 'error'
        }, ErrorChipProps)));
      }
    }
    return React.createElement(Step, Object.assign({
      className: classes$1$.step,
      key: label
    }, stepProps, {
      onClick: function onClick() {
        return handleStepClick(index);
      }
    }), React.createElement(StepLabel, Object.assign({
      StepIconComponent: LinearStep
    }, labelProps)));
  })), dismissibleErrors && React.Children.count(dismissibleErrors) > 0 && React.createElement(AlertGroup, Object.assign({}, AlertGroupProps), dismissibleErrors), React.createElement(Box, Object.assign({
    className: classes$1$.form
  }, StepBoxProps), React.createElement("form", Object.assign({
    onSubmit: handleSubmit(onSubmit)
  }, otherForm), React.Children.map(formSteps, function (step, index) {
    var _step$props4;
    return React.createElement("div", {
      key: index,
      hidden: index !== activeStep
    }, React.createElement(FormContent, {
      className: classes$1$.stepContent,
      fieldInputVariant: fieldInputVariant,
      control: control,
      errors: errors
    }, step === null || step === void 0 ? void 0 : (_step$props4 = step.props) === null || _step$props4 === void 0 ? void 0 : _step$props4.children));
  }), React.createElement(Box, Object.assign({
    className: classes$1$.buttons,
    display: 'flex',
    gap: 1,
    mt: 3
  }, ButtonsBoxProps), cancelTitle && React.createElement(BackButton, Object.assign({
    className: classes$1$.cancel,
    color: 'inherit'
  }, CancelButtonProps), cancelTitle), backTitle && activeStep > 0 && React.createElement(Button, Object.assign({
    className: classes$1$.back,
    color: 'inherit',
    onClick: handleBack
  }, BackButtonProps), backTitle), activeStep < stepsCount - 1 && React.createElement(Button, Object.assign({
    className: classes$1$.next,
    variant: 'contained',
    color: 'primary',
    onClick: handleNext
  }, NextButtonProps), nextTitle), activeStep === stepsCount - 1 && React.createElement(SubmitButton, Object.assign({
    className: classes$1$.submit,
    variant: 'contained',
    color: 'primary',
    disabled: submitDisabled === true
  }, SubmitButtonProps), submitTitle))))));
});
var stepPage = withLoader(StepPage);

var _templateObject$10;
var _excluded$2m = ["width", "children"],
  _excluded2$1b = ["open", "onClose", "dialogTitle", "dialogContentText", "form", "className", "children", "alertGroup", "errorGroup", "params", "getMethod", "onGet", "LoaderProps", "width", "DialogTitleProps", "DialogContentTextProps", "GetErrorGroupProps", "data"];
var classes$20 = {
  root: 'MuiModalDialog-root',
  content: 'MuiModalDialog-content',
  form: 'MuiModalDialog-form'
};
var ModalDialogRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$2m);
  return React.createElement(Dialog, Object.assign({
    ref: ref
  }, other), children);
});
var ModalDialogRoot = styled(ModalDialogRef)(_templateObject$10 || (_templateObject$10 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var theme = _ref.theme,
    width = _ref.width;
  return "\n      margin:  " + theme.spacing(1) + "; \n\n      & .MuiAlert-root{\n        margin-bottom: " + theme.spacing(2) + "; \n      }\n      \n      & .MuiForm-root {\n        padding-top:0;\n      }\n\n      & .MuiForm-buttons {\n        margin-left: auto;\n        margin-top: " + theme.spacing(2) + ";\n        margin-bottom: " + theme.spacing(1) + ";\n      }\n\n      & .MuiDialog-container>.MuiPaper-root {\n        min-width: " + (width === 'full' ? '100% ' : width === 'wide' ? '75%' : width === 'narrow' ? '50%' : width === 'thin' ? '30%' : 'initial') + ";\n\n        " + theme.breakpoints.down('lg') + "{ \n          min-width: " + (width === 'full' ? '100%' : width === 'wide' ? '75%' : width === 'narrow' ? '75%' : width === 'thin' ? '50%' : 'initial') + ";\n        }  \n\n        " + theme.breakpoints.down('md') + "{ \n          min-width: " + (width === 'full' || width === 'wide' ? '100%' : width === 'narrow' ? '75%' : width === 'thin' ? '50%' : 'initial') + ";\n        }  \n\n        " + theme.breakpoints.down('sm') + "{ \n          min-width: " + (width === 'full' || width === 'wide' || width === 'narrow' ? '100%' : width === 'thin' ? '75%' : 'initial') + ";\n        }      \n\n        " + theme.breakpoints.down('xs') + "{ \n          min-width: " + (width === 'full' || width === 'wide' || width === 'narrow' || width === 'thin' ? '100%' : 'initial') + ";\n        }        \n      }\n    ";
});
var getDialogText$1 = function getDialogText(dialogText, data) {
  var _dialogText = dialogText;
  var _text = isFunction(_dialogText) ? _dialogText(data) : _dialogText;
  return _text;
};
var ModalDialog = React.forwardRef(function (props, ref) {
  var _form$props$defaultVa, _form$props, _form$props2;
  var open = props.open,
    onClose = props.onClose,
    dialogTitle = props.dialogTitle,
    dialogContentText = props.dialogContentText,
    form = props.form,
    className = props.className,
    children = props.children,
    alertGroup = props.alertGroup,
    errorGroup = props.errorGroup,
    params = props.params,
    getMethod = props.getMethod,
    onGet = props.onGet,
    LoaderProps = props.LoaderProps,
    width = props.width,
    DialogTitleProps = props.DialogTitleProps,
    DialogContentTextProps = props.DialogContentTextProps,
    GetErrorGroupProps = props.GetErrorGroupProps,
    initialData = props.data,
    other = _objectWithoutPropertiesLoose(props, _excluded2$1b);
  var _useState = useState(getMethod !== undefined ? false : true),
    loaded = _useState[0],
    setLoaded = _useState[1];
  var defaultValues = (_form$props$defaultVa = form === null || form === void 0 ? void 0 : (_form$props = form.props) === null || _form$props === void 0 ? void 0 : _form$props.defaultValues) !== null && _form$props$defaultVa !== void 0 ? _form$props$defaultVa : {};
  var _useState2 = useState(defaultValues),
    data = _useState2[0],
    setData = _useState2[1];
  var _useState3 = useState([]),
    getErrors = _useState3[0],
    setGetErrors = _useState3[1];
  var getData = function getData() {
    try {
      var _temp = function () {
        if (getMethod !== undefined) {
          return Promise.resolve(getMethod(getParams(params, initialData)).then(function (serviceResponse) {
            if (serviceResponse.ok) {
              var _data = serviceResponse.response;
              if (_data === undefined) {
                return;
              }
              for (var prop in defaultValues) {
                if (_data[prop] === undefined) {
                  _data[prop] = defaultValues[prop];
                }
              }
              setData(_data);
              if (onGet) onGet(_data);
            } else {
              setGetErrors(serviceResponse.errors);
            }
          })["catch"](function (error) {
            setGetErrors([{
              severity: 'error',
              code: undefined,
              message: error
            }]);
          })["finally"](function () {
            setLoaded(true);
          })).then(function () {});
        }
      }();
      return Promise.resolve(_temp && _temp.then ? _temp.then(function () {}) : void 0);
    } catch (e) {
      return Promise.reject(e);
    }
  };
  useEffect(function () {
    getData();
  }, [params]);
  var hasGetErrors = getErrors && getErrors.length > 0;
  var getErrorDismissibleAlerts = getErrors ? getErrors.map(function (e) {
    return React.createElement(DismissibleAlert, {
      message: e.message,
      code: e.code,
      severity: e.severity
    });
  }) : React.createElement(React.Fragment, null);
  return React.createElement(ModalDialogRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$20.root, className),
    open: open,
    width: width,
    onClose: onClose
  }, other), React.createElement(DialogTitle, Object.assign({}, DialogTitleProps), getDialogText$1(dialogTitle, data)), React.createElement(DialogContent, {
    className: classes$20.content
  }, alertGroup, errorGroup, React.createElement(DialogContentText, Object.assign({}, DialogContentTextProps), getDialogText$1(dialogContentText, data)), !loaded ? React.createElement(Loader, Object.assign({}, LoaderProps)) : hasGetErrors ? React.createElement(AlertGroup, Object.assign({}, GetErrorGroupProps), getErrorDismissibleAlerts) : React.createElement(React.Fragment, null, children, React.cloneElement(form, {
    className: buildClassName(classes$20.form, form === null || form === void 0 ? void 0 : (_form$props2 = form.props) === null || _form$props2 === void 0 ? void 0 : _form$props2.className),
    defaultValues: data,
    onCancel: onClose
  }))));
});

var _templateObject$11;
var _excluded$2n = ["children", "hasCancel", "buttonsJustify", "buttonsPosition"],
  _excluded2$1c = ["submitting", "submitDisabled", "submitTitle", "SubmitButtonProps", "cancelTitle", "onCancel", "buttonsJustify", "CancelButtonProps"];
var classes$21 = {
  root: 'MuiFormButtons-root',
  cancel: 'MuiFormButtons-cancel',
  submit: 'MuiFormButtons-submit',
  submitTop: 'MuiFormButtons-submit-top',
  submitOutside: 'MuiFormButtons-submit-outside',
  submitDefault: 'MuiFormButtons-submit-default'
};
var FormButtonsRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$2n);
  return React.createElement(Box, Object.assign({
    ref: ref
  }, other), children);
});
var FormButtonsRoot = styled(FormButtonsRef)(_templateObject$11 || (_templateObject$11 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var _ref2, _theme$mixins$form, _theme$mixins$form$bu;
  var theme = _ref.theme,
    buttonsPosition = _ref.buttonsPosition,
    justify = _ref.buttonsJustify,
    hasCancel = _ref.hasCancel;
  var buttonsJustify = (_ref2 = justify !== null && justify !== void 0 ? justify : (_theme$mixins$form = theme.mixins.form) === null || _theme$mixins$form === void 0 ? void 0 : (_theme$mixins$form$bu = _theme$mixins$form.buttons) === null || _theme$mixins$form$bu === void 0 ? void 0 : _theme$mixins$form$bu.justify) !== null && _ref2 !== void 0 ? _ref2 : DEFAULT_MIXINS.form.buttons.justify;
  return "\n          display: flex;\n          width: " + (buttonsJustify === 'wide' ? '100%' : 'initial') + ";\n          margin-top:" + (buttonsPosition === 'outside' || buttonsPosition === 'top' ? '0' : theme.spacing(3)) + ";\n          justify-content: " + (buttonsJustify === 'right' ? 'right' : buttonsJustify === 'center' ? 'center' : 'left') + ";\n          & .MuiFormButtons-submit {\n            margin-left: " + (hasCancel ? '1rem' : buttonsJustify === 'right' ? 'auto' : 'initial') + ";\n            width: " + (buttonsJustify === 'wide' ? hasCancel ? '50%' : '100%' : 'initial') + ";\n          }   \n          & .MuiFormButtons-submit.MuiForm-MuiFormButtons-outside {\n            position: absolute; \n            right: " + theme.spacing(3) + ";\n            top: " + theme.spacing(2) + ";\n          }\n          & .MuiFormButtons-submit.MuiForm-MuiFormButtons-top {        \n            margin-bottom: " + theme.spacing(2) + ";\n          }\n          & .MuiFormButtons-cancel {\n            width: " + (buttonsJustify === 'wide' ? '50%' : 'initial') + ";\n          }        \n        ";
});
var FormButtons = React.forwardRef(function (props, ref) {
  var submitting = props.submitting,
    submitDisabled = props.submitDisabled,
    submitTitle = props.submitTitle,
    SubmitButtonProps = props.SubmitButtonProps,
    cancelTitle = props.cancelTitle,
    onCancel = props.onCancel,
    buttonsJustify = props.buttonsJustify,
    CancelButtonProps = props.CancelButtonProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$1c);
  var hasCancel = cancelTitle !== undefined;
  return React.createElement(FormButtonsRoot, Object.assign({
    ref: ref,
    buttonsJustify: buttonsJustify,
    hasCancel: hasCancel,
    className: classes$21.root
  }, other), hasCancel && (onCancel ? React.createElement(Button, Object.assign({
    className: classes$21.cancel,
    disabled: submitting,
    onClick: onCancel,
    variant: 'text',
    color: 'inherit'
  }, CancelButtonProps), cancelTitle) : React.createElement(BackButton, Object.assign({
    className: classes$21.cancel,
    disabled: submitting,
    variant: 'text',
    color: 'inherit'
  }, CancelButtonProps), cancelTitle)), React.createElement(SubmitButton, Object.assign({
    submitting: submitting,
    disabled: submitDisabled === true,
    color: 'primary',
    variant: 'contained',
    className: classes$21.submit
  }, SubmitButtonProps), submitTitle));
});

var _excluded$2o = ["children", "className"],
  _excluded2$1d = ["children", "onSubmit", "onCancel", "submitTitle", "cancelTitle", "className", "validationResolver", "defaultValues", "submitDisabled", "submitting", "buttonsJustify", "FormButtonBoxProps", "SubmitButtonProps", "CancelButtonProps", "fieldInputVariant", "fieldSize", "fieldsProps"];
var classes$22 = {
  root: 'MuiForm-root',
  outsider: 'MuiForm-outsider',
  buttons: 'MuiForm-buttons',
  cancel: 'MuiForm-cancel',
  submit: 'MuiForm-submit',
  submitTop: 'MuiForm-submit-top',
  submitOutside: 'MuiForm-submit-outside',
  submitDefault: 'MuiForm-submit-default'
};
var FormRoot = React.forwardRef(function (props, ref) {
  var children = props.children,
    className = props.className,
    other = _objectWithoutPropertiesLoose(props, _excluded$2o);
  return React.createElement("form", Object.assign({
    ref: ref,
    className: buildClassName(classes$22.root, className)
  }, other), children);
});
var Form = React.forwardRef(function (props, ref) {
  var children = props.children,
    onSubmit = props.onSubmit,
    onCancel = props.onCancel,
    submitTitle = props.submitTitle,
    cancelTitle = props.cancelTitle,
    className = props.className,
    validationResolver = props.validationResolver,
    defaultValues = props.defaultValues,
    _props$submitDisabled = props.submitDisabled,
    submitDisabled = _props$submitDisabled === void 0 ? false : _props$submitDisabled,
    _props$submitting = props.submitting,
    submitting = _props$submitting === void 0 ? false : _props$submitting,
    buttonsJustify = props.buttonsJustify,
    FormButtonBoxProps = props.FormButtonBoxProps,
    SubmitButtonProps = props.SubmitButtonProps,
    CancelButtonProps = props.CancelButtonProps,
    _props$fieldInputVari = props.fieldInputVariant,
    fieldInputVariant = _props$fieldInputVari === void 0 ? 'outlined' : _props$fieldInputVari,
    fieldSize = props.fieldSize,
    fieldsProps = props.fieldsProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$1d);
  if (!onSubmit) console.error("access-react: Form 'onSubmit' method not provided.");
  var _useForm = useForm({
      defaultValues: defaultValues,
      resolver: validationResolver
    }),
    control = _useForm.control,
    reset = _useForm.reset,
    handleSubmit = _useForm.handleSubmit,
    _useForm$formState = _useForm.formState,
    errors = _useForm$formState.errors,
    formIsSubmitting = _useForm$formState.isSubmitting;
  useEffect(function () {
    reset(defaultValues);
  }, [defaultValues, reset]);
  return onSubmit ? React.createElement(FormRoot, Object.assign({
    ref: ref,
    className: className,
    onSubmit: handleSubmit(onSubmit)
  }, other), React.createElement(FormContent, {
    control: control,
    errors: errors,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    fieldsProps: fieldsProps
  }, children), !ref && React.createElement(FormButtons, Object.assign({
    cancelTitle: cancelTitle,
    onCancel: onCancel,
    submitting: formIsSubmitting || submitting === true,
    submitDisabled: submitDisabled,
    submitTitle: submitTitle,
    buttonsJustify: buttonsJustify
  }, FormButtonBoxProps, SubmitButtonProps, CancelButtonProps))) : React.createElement(React.Fragment, null);
});

var _excluded$2p = ["helperText", "error", "sx"];
var FormControlHelperText = React.forwardRef(function (props, ref) {
  var helperText = props.helperText,
    error = props.error,
    sx = props.sx,
    other = _objectWithoutPropertiesLoose(props, _excluded$2p);
  var _sx = _extends({
    marginLeft: 0
  }, sx);
  return helperText || error ? React.createElement(FormHelperText, Object.assign({
    ref: ref,
    error: error != undefined,
    sx: _sx
  }, other), error !== null && error !== void 0 ? error : helperText) : React.createElement(React.Fragment, null);
});

var _excluded$2q = ["className", "name", "control", "rules", "defaultValue", "shouldUnregister", "render", "disabled", "label", "helperText", "error", "sx", "hiddenLabel", "FormControlLabelProps", "FormHelperTextProps"];
var classes$23 = {
  root: 'MuiFormController-root'
};
var FormController = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    control = props.control,
    rules = props.rules,
    defaultValue = props.defaultValue,
    shouldUnregister = props.shouldUnregister,
    render = props.render,
    disabled = props.disabled,
    label = props.label,
    helperText = props.helperText,
    error = props.error,
    sx = props.sx,
    hiddenLabel = props.hiddenLabel,
    FormControlLabelProps = props.FormControlLabelProps,
    FormHelperTextProps = props.FormHelperTextProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$2q);
  var _sx = _extends({
    display: 'flex'
  }, sx);
  return React.createElement(FormControl, Object.assign({
    ref: ref,
    className: buildClassName(classes$23.root, className),
    sx: _sx,
    disabled: disabled
  }, other), hiddenLabel ? React.createElement(Controller, {
    name: name,
    rules: rules,
    defaultValue: defaultValue,
    control: control,
    shouldUnregister: shouldUnregister,
    render: render
  }) : React.createElement(FormControlLabel, Object.assign({
    label: hiddenLabel ? '' : label !== null && label !== void 0 ? label : '',
    control: React.createElement(Controller, {
      name: name,
      rules: rules,
      defaultValue: defaultValue,
      control: control,
      shouldUnregister: shouldUnregister,
      render: render
    }),
    disabled: disabled
  }, FormControlLabelProps)), React.createElement(FormControlHelperText, Object.assign({
    helperText: helperText,
    error: error,
    disabled: disabled
  }, FormHelperTextProps)));
});

var _excluded$2r = ["className", "name", "control", "rules", "defaultValue", "shouldUnregister", "margin", "onChange", "onBlur", "helperText", "error", "sx"],
  _excluded2$1e = ["ref", "onChange", "onBlur"];
var classes$24 = {
  root: 'MuiComboBoxControl-root'
};
var ComboBoxControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    control = props.control,
    rules = props.rules,
    defaultValue = props.defaultValue,
    shouldUnregister = props.shouldUnregister,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    controlChange = props.onChange,
    controlBlur = props.onBlur,
    helperText = props.helperText,
    error = props.error,
    sx = props.sx,
    other = _objectWithoutPropertiesLoose(props, _excluded$2r);
  var _sx = _extends({
    display: 'flex'
  }, sx);
  return React.createElement(Controller, {
    name: name,
    control: control,
    rules: rules,
    defaultValue: defaultValue,
    shouldUnregister: shouldUnregister,
    render: function render(_ref2) {
      var _ref2$field = _ref2.field,
        _onChange = _ref2$field.onChange,
        _onBlur = _ref2$field.onBlur,
        fieldOther = _objectWithoutPropertiesLoose(_ref2$field, _excluded2$1e);
      return React.createElement(ComboBox, Object.assign({
        ref: ref
      }, fieldOther, {
        className: buildClassName(classes$24.root, className),
        onChange: function onChange(optionId) {
          _onChange(optionId);
          if (controlChange) controlChange(optionId);
        },
        onBlur: function onBlur(event) {
          _onBlur();
          if (controlBlur) controlBlur(event);
        },
        error: error != undefined,
        helperText: error !== null && error !== void 0 ? error : helperText,
        margin: margin,
        sx: _sx
      }, other));
    }
  });
});

var _excluded$2s = ["className", "name", "control", "rules", "defaultValue", "shouldUnregister", "onChange", "onBlur", "helperText", "error", "margin", "variant", "sx"],
  _excluded2$1f = ["ref", "value", "onChange", "onBlur"];
var classes$25 = {
  root: 'MuiTextFieldControl-root'
};
var TextFieldControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    control = props.control,
    rules = props.rules,
    defaultValue = props.defaultValue,
    shouldUnregister = props.shouldUnregister,
    controlChange = props.onChange,
    controlBlur = props.onBlur,
    helperText = props.helperText,
    error = props.error,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    _props$variant = props.variant,
    variant = _props$variant === void 0 ? 'outlined' : _props$variant,
    sx = props.sx,
    other = _objectWithoutPropertiesLoose(props, _excluded$2s);
  var _sx = _extends({
    display: 'flex'
  }, sx);
  return React.createElement(Controller, {
    name: name !== null && name !== void 0 ? name : '',
    control: control,
    rules: rules,
    defaultValue: defaultValue,
    shouldUnregister: shouldUnregister,
    render: function render(_ref2) {
      var _ref2$field = _ref2.field,
        value = _ref2$field.value,
        _onChange = _ref2$field.onChange,
        _onBlur = _ref2$field.onBlur,
        fieldOther = _objectWithoutPropertiesLoose(_ref2$field, _excluded2$1f);
      return React.createElement(TextField$2, Object.assign({
        ref: ref,
        className: buildClassName(classes$25.root, className)
      }, fieldOther, {
        value: value !== null && value !== void 0 ? value : '',
        error: error != undefined,
        helperText: error !== null && error !== void 0 ? error : helperText,
        onChange: function onChange(event) {
          _onChange(event);
          if (controlChange) controlChange(event);
        },
        onBlur: function onBlur(event) {
          _onBlur();
          if (controlBlur) controlBlur(event);
        },
        variant: variant,
        margin: margin,
        sx: _sx
      }, other));
    }
  });
});

var _templateObject$12;
var _excluded$2t = ["size"],
  _excluded2$1g = ["className", "onChange", "onBlur", "disabled", "color", "size", "defaultValue", "margin", "SwitchProps"],
  _excluded3$k = ["size", "disabled", "color"],
  _excluded4$6 = ["value", "onChange", "onBlur"];
var classes$26 = {
  root: 'MuiSwitchControl-root'
};
var SwitchControlRef = React.forwardRef(function (props, ref) {
  var other = _objectWithoutPropertiesLoose(props, _excluded$2t);
  return React.createElement(FormController, Object.assign({
    ref: ref
  }, other));
});
var SwitchControlRoot = styled(SwitchControlRef)(_templateObject$12 || (_templateObject$12 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var size = _ref.size;
  return "\n        & .MuiFormControlLabel-labelPlacementEnd {\n          height: " + (size === 'medium' ? '56px' : '40px') + ";\n          margin-left:0;\n          margin-right:0;\n        }        \n      ";
});
var SwitchControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    controlChange = props.onChange,
    controlBlur = props.onBlur,
    disabled = props.disabled,
    color = props.color,
    _size = props.size,
    _props$defaultValue = props.defaultValue,
    defaultValue = _props$defaultValue === void 0 ? false : _props$defaultValue,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    SwitchProps = props.SwitchProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$1g);
  var _ref2 = SwitchProps !== null && SwitchProps !== void 0 ? SwitchProps : {},
    switchSize = _ref2.size,
    switchDisabled = _ref2.disabled,
    switchColor = _ref2.color,
    SwitchPropsOther = _objectWithoutPropertiesLoose(_ref2, _excluded3$k);
  var size = switchSize !== null && switchSize !== void 0 ? switchSize : _size;
  return React.createElement(SwitchControlRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$26.root, className),
    defaultValue: defaultValue !== null && defaultValue !== void 0 ? defaultValue : false,
    disabled: disabled,
    size: size,
    render: function render(_ref3) {
      var _ref3$field = _ref3.field,
        value = _ref3$field.value,
        _onChange = _ref3$field.onChange,
        _onBlur = _ref3$field.onBlur,
        fieldOther = _objectWithoutPropertiesLoose(_ref3$field, _excluded4$6);
      return React.createElement(Switch, Object.assign({}, fieldOther, {
        checked: value,
        size: size,
        margin: margin,
        color: switchColor !== null && switchColor !== void 0 ? switchColor : color,
        disabled: switchDisabled !== null && switchDisabled !== void 0 ? switchDisabled : disabled,
        onChange: function onChange(event) {
          _onChange(event);
          if (controlChange) controlChange(event);
        },
        onBlur: function onBlur(event) {
          _onBlur();
          if (controlBlur) controlBlur(event);
        }
      }, SwitchPropsOther));
    }
  }, other));
});

var _excluded$2u = ["className", "name", "control", "rules", "defaultValue", "shouldUnregister", "onChange", "onBlur", "helperText", "error", "sx", "margin"],
  _excluded2$1h = ["ref", "value", "onChange", "onBlur"];
var classes$27 = {
  root: 'MuiDateControl-root'
};
var DateControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    control = props.control,
    rules = props.rules,
    _props$defaultValue = props.defaultValue,
    defaultValue = _props$defaultValue === void 0 ? null : _props$defaultValue,
    shouldUnregister = props.shouldUnregister,
    controlChange = props.onChange,
    controlBlur = props.onBlur,
    helperText = props.helperText,
    error = props.error,
    sx = props.sx,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    other = _objectWithoutPropertiesLoose(props, _excluded$2u);
  var _sx = _extends({
    display: 'flex'
  }, sx);
  return React.createElement(Controller, {
    name: name,
    control: control,
    rules: rules,
    defaultValue: defaultValue,
    shouldUnregister: shouldUnregister,
    render: function render(_ref2) {
      var _ref2$field = _ref2.field,
        value = _ref2$field.value,
        _onChange = _ref2$field.onChange,
        _onBlur = _ref2$field.onBlur,
        fieldOther = _objectWithoutPropertiesLoose(_ref2$field, _excluded2$1h);
      return React.createElement(DateInput, Object.assign({
        ref: ref,
        className: buildClassName(classes$27.root, className)
      }, fieldOther, {
        value: value !== null && value !== void 0 ? value : null,
        onChange: function onChange(event) {
          _onChange(event);
          if (controlChange) controlChange(event);
        },
        onBlur: function onBlur(event) {
          _onBlur();
          if (controlBlur) controlBlur(event);
        },
        error: error != undefined,
        helperText: error !== null && error !== void 0 ? error : helperText,
        margin: margin,
        sx: _sx
      }, other));
    }
  });
});

var _excluded$2v = ["ref", "value"];
var HiddenControl = React.forwardRef(function (props, ref) {
  var name = props.name,
    control = props.control,
    rules = props.rules,
    shouldUnregister = props.shouldUnregister,
    defaultValue = props.defaultValue;
  return React.createElement(Controller, {
    name: name,
    control: control,
    rules: rules,
    shouldUnregister: shouldUnregister,
    defaultValue: defaultValue,
    render: function render(_ref2) {
      var _ref2$field = _ref2.field,
        value = _ref2$field.value,
        fieldOther = _objectWithoutPropertiesLoose(_ref2$field, _excluded$2v);
      return React.createElement("input", Object.assign({
        ref: ref,
        hidden: true
      }, fieldOther, {
        value: value !== null && value !== void 0 ? value : ''
      }));
    }
  });
});

var _templateObject$13;
var _excluded$2w = ["disabled", "size"],
  _excluded2$1i = ["className", "onChange", "onBlur", "options", "disabled", "color", "size", "margin", "defaultValue", "RadioGroupProps", "RadioFormControlLabelProps", "RadioProps"],
  _excluded3$l = ["size", "color"],
  _excluded4$7 = ["onChange", "onBlur"];
var classes$28 = {
  root: 'MuiRadioGroupControl-root'
};
var RadioGroupControlRef = React.forwardRef(function (props, ref) {
  var disabled = props.disabled,
    other = _objectWithoutPropertiesLoose(props, _excluded$2w);
  return React.createElement(FormController, Object.assign({
    ref: ref,
    disabled: disabled
  }, other));
});
var RadioGroupControlRoot = styled$1(RadioGroupControlRef)(_templateObject$13 || (_templateObject$13 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var size = _ref.size,
    disabled = _ref.disabled;
  return "\n        &>.MuiFormControlLabel-root {\n          min-height: " + (size === 'medium' ? '56px' : '40px') + ";\n          margin-left:0;\n          margin-right:0;\n          align-items: start;\n          border-radius: 4px;\n          border: 1px solid " + (!disabled ? '#C4C4C4;' : '#F4F4F4;') + "\n\n          &>.MuiFormControlLabel-label {\n            transform: translate(10px, -10px);\n            font-size: 12px;\n            background: white;\n            padding-left: 4px;\n            padding-right: 4px;\n          }\n        }\n\n        &>.MuiFormControlLabel-root:hover {    \n          border: 1px solid " + (!disabled ? '#212121;' : '#F4F4F4;') + " \n        }\n\n        & .MuiFormGroup-root {\n          margin-left: 12px;\n          margin-right: 8px;\n        }\n      }\n      ";
});
var RadioGroupControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    controlChange = props.onChange,
    controlBlur = props.onBlur,
    options = props.options,
    disabled = props.disabled,
    color = props.color,
    size = props.size,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    defaultValue = props.defaultValue,
    RadioGroupProps = props.RadioGroupProps,
    RadioFormControlLabelProps = props.RadioFormControlLabelProps,
    RadioProps = props.RadioProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$1i);
  var _ref2 = RadioProps !== null && RadioProps !== void 0 ? RadioProps : {},
    radioSize = _ref2.size,
    radioColor = _ref2.color,
    RadioPropsOther = _objectWithoutPropertiesLoose(_ref2, _excluded3$l);
  return React.createElement(RadioGroupControlRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$28.root, className),
    disabled: disabled,
    defaultValue: defaultValue !== null && defaultValue !== void 0 ? defaultValue : null,
    margin: margin,
    FormControlLabelProps: {
      labelPlacement: 'top'
    },
    render: function render(_ref3) {
      var _ref3$field = _ref3.field,
        _onChange = _ref3$field.onChange,
        _onBlur = _ref3$field.onBlur,
        fieldOther = _objectWithoutPropertiesLoose(_ref3$field, _excluded4$7);
      return React.createElement(RadioGroup, Object.assign({}, fieldOther, {
        color: color,
        row: true
      }, RadioGroupProps), options && options.map(function (option) {
        return React.createElement(FormControlLabel, Object.assign({
          key: option.id,
          value: option.id,
          control: React.createElement(Radio, Object.assign({
            disabled: disabled,
            size: radioSize !== null && radioSize !== void 0 ? radioSize : size,
            color: radioColor !== null && radioColor !== void 0 ? radioColor : color,
            onChange: function onChange(event) {
              _onChange(event.currentTarget.value);
              if (controlChange) controlChange(event);
            },
            onBlur: function onBlur(event) {
              _onBlur();
              if (controlBlur) controlBlur(event);
            }
          }, RadioPropsOther)),
          label: option.label
        }, RadioFormControlLabelProps));
      }));
    }
  }, other));
});

var _excluded$2x = ["className", "name", "control", "rules", "defaultValue", "shouldUnregister", "onChange", "onBlur", "helperText", "error", "margin", "sx"],
  _excluded2$1j = ["ref", "value", "onChange", "onBlur"];
var classes$29 = {
  root: 'MuiNumberControl-root'
};
var NumberControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    control = props.control,
    rules = props.rules,
    defaultValue = props.defaultValue,
    shouldUnregister = props.shouldUnregister,
    controlChange = props.onChange,
    controlBlur = props.onBlur,
    helperText = props.helperText,
    error = props.error,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    sx = props.sx,
    other = _objectWithoutPropertiesLoose(props, _excluded$2x);
  var _sx = _extends({
    display: 'flex'
  }, sx);
  return React.createElement(Controller, {
    name: name,
    control: control,
    rules: rules,
    defaultValue: defaultValue,
    shouldUnregister: shouldUnregister,
    render: function render(_ref2) {
      var _ref2$field = _ref2.field,
        value = _ref2$field.value,
        _onChange = _ref2$field.onChange,
        _onBlur = _ref2$field.onBlur,
        fieldOther = _objectWithoutPropertiesLoose(_ref2$field, _excluded2$1j);
      return React.createElement(NumberInput, Object.assign({
        ref: ref,
        className: buildClassName(classes$29.root, className)
      }, fieldOther, {
        value: value,
        error: error != undefined,
        helperText: error !== null && error !== void 0 ? error : helperText,
        onChange: function onChange(event) {
          _onChange(event);
          if (controlChange) controlChange(event);
        },
        onBlur: function onBlur(event) {
          _onBlur();
          if (controlBlur) controlBlur(event);
        },
        margin: margin,
        sx: _sx
      }, other));
    }
  });
});

var _excluded$2y = ["className", "name", "rules", "defaultValue", "control", "shouldUnregister", "onChange", "onBlur", "helperText", "error", "margin", "sx"],
  _excluded2$1k = ["ref", "value", "onChange", "onBlur"];
var classes$2a = {
  root: 'MuiTimeControl-root'
};
var TimeControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    rules = props.rules,
    _props$defaultValue = props.defaultValue,
    defaultValue = _props$defaultValue === void 0 ? null : _props$defaultValue,
    control = props.control,
    shouldUnregister = props.shouldUnregister,
    controlChange = props.onChange,
    controlBlur = props.onBlur,
    helperText = props.helperText,
    error = props.error,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    sx = props.sx,
    other = _objectWithoutPropertiesLoose(props, _excluded$2y);
  var _sx = _extends({
    display: 'flex'
  }, sx);
  return React.createElement(Controller, {
    name: name,
    control: control,
    rules: rules,
    shouldUnregister: shouldUnregister,
    defaultValue: defaultValue,
    render: function render(_ref2) {
      var _ref2$field = _ref2.field,
        value = _ref2$field.value,
        _onChange = _ref2$field.onChange,
        _onBlur = _ref2$field.onBlur,
        fieldOther = _objectWithoutPropertiesLoose(_ref2$field, _excluded2$1k);
      return React.createElement(TimeInput, Object.assign({
        ref: ref,
        className: buildClassName(classes$2a.root, className)
      }, fieldOther, {
        value: value !== null && value !== void 0 ? value : null,
        onChange: function onChange(event) {
          _onChange(event);
          if (controlChange) controlChange(event);
        },
        onBlur: function onBlur(event) {
          _onBlur();
          if (controlBlur) controlBlur(event);
        },
        error: error != undefined,
        helperText: error !== null && error !== void 0 ? error : helperText,
        margin: margin,
        sx: _sx
      }, other));
    }
  });
});

var _excluded$2z = ["className", "name", "control", "rules", "defaultValue", "shouldUnregister", "onChange", "onBlur", "helperText", "error", "margin", "sx"],
  _excluded2$1l = ["ref", "value", "onChange", "onBlur"];
var classes$2b = {
  root: 'MuiDateTimeControl-root'
};
var DateTimeControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    control = props.control,
    rules = props.rules,
    _defaultValue = props.defaultValue,
    shouldUnregister = props.shouldUnregister,
    controlChange = props.onChange,
    controlBlur = props.onBlur,
    helperText = props.helperText,
    error = props.error,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    sx = props.sx,
    other = _objectWithoutPropertiesLoose(props, _excluded$2z);
  var defaultValue = _defaultValue !== null && _defaultValue !== void 0 ? _defaultValue : null;
  var _sx = _extends({
    display: 'flex'
  }, sx);
  return React.createElement(Controller, {
    name: name,
    control: control,
    rules: rules,
    defaultValue: defaultValue,
    shouldUnregister: shouldUnregister,
    render: function render(_ref2) {
      var _ref2$field = _ref2.field,
        value = _ref2$field.value,
        _onChange = _ref2$field.onChange,
        _onBlur = _ref2$field.onBlur,
        fieldOther = _objectWithoutPropertiesLoose(_ref2$field, _excluded2$1l);
      return React.createElement(DateTimeInput, Object.assign({
        ref: ref,
        className: buildClassName(classes$2b.root, className)
      }, fieldOther, {
        value: value !== null && value !== void 0 ? value : null,
        onChange: function onChange(event) {
          _onChange(event);
          if (controlChange) controlChange(event);
        },
        onBlur: function onBlur(event) {
          _onBlur();
          if (controlBlur) controlBlur(event);
        },
        error: error != undefined,
        helperText: error !== null && error !== void 0 ? error : helperText,
        sx: _sx,
        margin: margin
      }, other));
    }
  });
});

var _excluded$2A = ["className", "name", "control", "rules", "shouldUnregister", "onChange", "onBlur", "helperText", "margin", "error", "sx", "params"],
  _excluded2$1m = ["ref", "onChange", "onBlur"];
var classes$2c = {
  root: 'MuiLookupControl-root'
};
var LookupControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    control = props.control,
    rules = props.rules,
    shouldUnregister = props.shouldUnregister,
    controlChange = props.onChange,
    controlBlur = props.onBlur,
    helperText = props.helperText,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    error = props.error,
    sx = props.sx,
    _params = props.params,
    other = _objectWithoutPropertiesLoose(props, _excluded$2A);
  var params = {};
  var watched = useWatch({
    control: control
  });
  if (_params && Array.isArray(_params)) _params.forEach(function (param) {
    params[param] = watched[param];
  });else {
    params = _params;
  }
  var _sx = _extends({
    display: 'flex'
  }, sx);
  return React.createElement(Controller, {
    name: name,
    control: control,
    rules: rules,
    shouldUnregister: shouldUnregister,
    render: function render(_ref2) {
      var _ref2$field = _ref2.field,
        _onChange = _ref2$field.onChange,
        _onBlur = _ref2$field.onBlur,
        fieldOther = _objectWithoutPropertiesLoose(_ref2$field, _excluded2$1m);
      return React.createElement(Lookup, Object.assign({
        ref: ref,
        className: buildClassName(classes$2c.root, className)
      }, fieldOther, {
        onChange: function onChange(option) {
          _onChange(option);
          if (controlChange) controlChange(option);
        },
        onBlur: function onBlur(event) {
          _onBlur();
          if (controlBlur) controlBlur(event);
        },
        error: error != undefined,
        helperText: error !== null && error !== void 0 ? error : helperText,
        sx: _sx,
        margin: margin,
        params: params
      }, other));
    }
  });
});

var _excluded$2B = ["position", "hasCurrencyMenu", "children"],
  _excluded2$1n = ["name", "value", "className", "InputProps", "onChange", "currencyPosition", "thousandSeparator", "decimalSeparator", "decimalScale", "fixedDecimalScale", "allowNegative", "maxAmount", "NumberFormatProps", "variant", "currencies", "InputAdornmentProps", "CurrencyMenuProps", "CurrencyMenuItemProps", "renderCurrencyMenuItemLabel", "getCurrencyCodeValue"],
  _excluded3$m = ["isAllowed"];
var _templateObject$14;
var classes$2d = {
  root: 'MuiAmountInput-root',
  currencyMenu: 'MuiAmountInput-currencyMenu',
  currencyMenuItem: 'MuiAmountInput-currencyMenuItem'
};
var CurrencyInput = styled$1(function (_ref) {
  var position = _ref.position,
    children = _ref.children,
    other = _objectWithoutPropertiesLoose(_ref, _excluded$2B);
  return React.createElement(InputAdornment, Object.assign({
    position: position
  }, other), children);
})(_templateObject$14 || (_templateObject$14 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref2) {
  var hasCurrencyMenu = _ref2.hasCurrencyMenu,
    position = _ref2.position;
  return "         \n        cursor:  " + (hasCurrencyMenu ? 'pointer' : 'initial') + ";\n\n        & .MuiLoader-root {\n          position: relative;\n          top: -24px;\n          left: " + (position === 'end' ? '8px' : '-8px') + ";\n        }\n\n        & .MuiTypography-root {          \n          padding: 0 4px;\n          border-radius: 4px;\n        }\n\n        & .MuiTypography-root:hover {          \n          background-color:  " + (hasCurrencyMenu ? '#eee' : 'initial') + ";\n        }\n    ";
});
var CurrencyMenu = React.forwardRef(function (props, ref) {
  var currencyPosition = props.currencyPosition,
    currencies = props.currencies,
    openMenu = props.openMenu,
    anchorEl = props.anchorEl,
    closeDropdown = props.closeDropdown,
    handleCurrencyChange = props.handleCurrencyChange,
    renderCurrencyMenuItemLabel = props.renderCurrencyMenuItemLabel,
    getCurrencyCodeValue = props.getCurrencyCodeValue,
    CurrencyMenuProps = props.CurrencyMenuProps,
    CurrencyMenuItemProps = props.CurrencyMenuItemProps;
  var positionProps = {};
  if (currencyPosition === 'end') {
    positionProps = {
      anchorOrigin: {
        horizontal: 'right',
        vertical: 'bottom'
      },
      transformOrigin: {
        horizontal: 'right',
        vertical: 'top'
      }
    };
  }
  return React.createElement(Menu, Object.assign({
    ref: ref,
    className: classes$2d.currencyMenu
  }, CurrencyMenuProps, {
    open: openMenu,
    onClose: function onClose() {
      return closeDropdown();
    },
    anchorEl: anchorEl
  }, positionProps), currencies.map(function (currency, index) {
    var label = renderCurrencyMenuItemLabel ? renderCurrencyMenuItemLabel(currency) : currency;
    var value = getCurrencyCodeValue ? getCurrencyCodeValue(currency) : currency;
    return React.createElement(MenuItem, Object.assign({
      className: classes$2d.currencyMenuItem
    }, CurrencyMenuItemProps, {
      key: index,
      value: value,
      onClick: function onClick() {
        return handleCurrencyChange(value);
      }
    }), label);
  }));
});
var CurrencyAmountInput = React.forwardRef(function (props, ref) {
  var name = props.name,
    value = props.value,
    className = props.className,
    InputProps = props.InputProps,
    onChange = props.onChange,
    _props$currencyPositi = props.currencyPosition,
    currencyPosition = _props$currencyPositi === void 0 ? 'start' : _props$currencyPositi,
    _props$thousandSepara = props.thousandSeparator,
    thousandSeparator = _props$thousandSepara === void 0 ? true : _props$thousandSepara,
    _props$decimalSeparat = props.decimalSeparator,
    decimalSeparator = _props$decimalSeparat === void 0 ? '.' : _props$decimalSeparat,
    _props$decimalScale = props.decimalScale,
    decimalScale = _props$decimalScale === void 0 ? 2 : _props$decimalScale,
    _props$fixedDecimalSc = props.fixedDecimalScale,
    fixedDecimalScale = _props$fixedDecimalSc === void 0 ? true : _props$fixedDecimalSc,
    _props$allowNegative = props.allowNegative,
    allowNegative = _props$allowNegative === void 0 ? false : _props$allowNegative,
    maxAmount = props.maxAmount,
    NumberFormatProps = props.NumberFormatProps,
    _props$variant = props.variant,
    variant = _props$variant === void 0 ? 'outlined' : _props$variant,
    _currencies = props.currencies,
    InputAdornmentProps = props.InputAdornmentProps,
    CurrencyMenuProps = props.CurrencyMenuProps,
    CurrencyMenuItemProps = props.CurrencyMenuItemProps,
    renderCurrencyMenuItemLabel = props.renderCurrencyMenuItemLabel,
    getCurrencyCodeValue = props.getCurrencyCodeValue,
    other = _objectWithoutPropertiesLoose(props, _excluded2$1n);
  if (!(value !== null && value !== void 0 && value.currencyCode)) {
    console.warn("CurrencyInput (name: " + name + "): value.currencyCode not provided.");
  }
  var _ref3 = NumberFormatProps !== null && NumberFormatProps !== void 0 ? NumberFormatProps : {},
    _isAllowed = _ref3.isAllowed,
    NumberFormatOther = _objectWithoutPropertiesLoose(_ref3, _excluded3$m);
  var withValueLimit = function withValueLimit(floatValue) {
    return maxAmount === undefined || floatValue <= maxAmount;
  };
  var isAllowed = function isAllowed(_ref4) {
    var formattedValue = _ref4.formattedValue,
      value = _ref4.value,
      floatValue = _ref4.floatValue;
    var inRange = withValueLimit(floatValue);
    if (inRange === false) return false;
    if (_isAllowed === undefined) return true;
    return _isAllowed({
      formattedValue: formattedValue,
      value: value,
      floatValue: floatValue
    });
  };
  var currencyCode = value === null || value === void 0 ? void 0 : value.currencyCode;
  var _useState = useState(undefined),
    currencies = _useState[0],
    setCurrencies = _useState[1];
  var _useState2 = useState(false),
    isLoading = _useState2[0],
    setIsLoading = _useState2[1];
  var getCurrencies = function getCurrencies() {
    try {
      var _temp5 = function _temp5() {
        setCurrencies(result);
      };
      var arrayOrFunction = _currencies;
      var result = undefined;
      var _temp4 = function () {
        if (arrayOrFunction) {
          var _temp3 = function () {
            if (Array.isArray(arrayOrFunction)) {
              result = arrayOrFunction;
            } else {
              var _temp6 = function () {
                if (isFunction(arrayOrFunction)) {
                  result = arrayOrFunction();
                } else {
                  var _temp7 = function () {
                    if (isAsyncFunction(arrayOrFunction)) {
                      setIsLoading(true);
                      return Promise.resolve(arrayOrFunction()).then(function (_arrayOrFunction) {
                        result = _arrayOrFunction;
                        setIsLoading(false);
                      });
                    }
                  }();
                  if (_temp7 && _temp7.then) return _temp7.then(function () {});
                }
              }();
              if (_temp6 && _temp6.then) return _temp6.then(function () {});
            }
          }();
          if (_temp3 && _temp3.then) return _temp3.then(function () {});
        } else {
          result = undefined;
        }
      }();
      return Promise.resolve(_temp4 && _temp4.then ? _temp4.then(_temp5) : _temp5(_temp4));
    } catch (e) {
      return Promise.reject(e);
    }
  };
  useEffect(function () {
    getCurrencies();
  }, []);
  var _React$useState = React.useState(null),
    anchorEl = _React$useState[0],
    setAnchorEl = _React$useState[1];
  var openMenu = Boolean(anchorEl);
  var inputRef = useRef(null);
  var textFieldRef = ref !== null && ref !== void 0 ? ref : inputRef;
  var openDropdown = function openDropdown() {
    setAnchorEl(textFieldRef === null || textFieldRef === void 0 ? void 0 : textFieldRef.current);
  };
  var closeDropdown = function closeDropdown() {
    setAnchorEl(null);
  };
  var onCurrencyClick = function onCurrencyClick() {
    return openDropdown();
  };
  var hasCurrencyMenu = currencies && currencies.length > 0;
  var adornement = currencyPosition === 'start' || currencyPosition === 'end' ? React.createElement(CurrencyInput, Object.assign({}, InputAdornmentProps, {
    hasCurrencyMenu: hasCurrencyMenu,
    position: currencyPosition,
    onClick: onCurrencyClick
  }), isLoading && anchorEl ? React.createElement(Loader, {
    size: 'small'
  }) : React.createElement(Typography, null, currencyCode)) : React.createElement(React.Fragment, null);
  var startAdornment = currencyPosition === 'start' && adornement;
  var endAdornment = currencyPosition === 'end' && adornement;
  var numberFormatProps = _extends({}, InputProps, {
    inputComponent: NumberFormatCustom,
    inputProps: _extends({
      style: {
        textAlign: currencyPosition === 'end' ? 'right' : 'left'
      },
      thousandSeparator: thousandSeparator,
      decimalSeparator: decimalSeparator,
      decimalScale: decimalScale,
      fixedDecimalScale: fixedDecimalScale,
      allowNegative: allowNegative,
      isAllowed: isAllowed
    }, NumberFormatOther),
    startAdornment: startAdornment,
    endAdornment: endAdornment
  });
  var handleChange = function handleChange(data) {
    var _data$target;
    if (onChange !== undefined) onChange({
      amount: data === null || data === void 0 ? void 0 : (_data$target = data.target) === null || _data$target === void 0 ? void 0 : _data$target.value,
      currencyCode: currencyCode
    });
  };
  var handleCurrencyChange = function handleCurrencyChange(currency) {
    closeDropdown();
    if (onChange !== undefined) onChange({
      amount: value === null || value === void 0 ? void 0 : value.amount,
      currencyCode: currency
    });
  };
  return React.createElement(React.Fragment, null, React.createElement(TextField$2, Object.assign({
    ref: textFieldRef,
    className: buildClassName(classes$2d.root, className),
    variant: variant
  }, other, {
    name: name,
    value: value === null || value === void 0 ? void 0 : value.amount,
    InputProps: numberFormatProps,
    onChange: handleChange
  })), hasCurrencyMenu && React.createElement(CurrencyMenu, {
    currencyPosition: currencyPosition,
    currencies: currencies,
    openMenu: openMenu,
    anchorEl: anchorEl,
    closeDropdown: closeDropdown,
    handleCurrencyChange: handleCurrencyChange,
    renderCurrencyMenuItemLabel: renderCurrencyMenuItemLabel,
    getCurrencyCodeValue: getCurrencyCodeValue,
    CurrencyMenuProps: CurrencyMenuProps,
    CurrencyMenuItemProps: CurrencyMenuItemProps
  }));
});

var _excluded$2C = ["className", "name", "control", "rules", "defaultValue", "shouldUnregister", "onChange", "onBlur", "helperText", "error", "sx", "margin", "NumberFormatProps", "InputProps"],
  _excluded2$1o = ["value", "ref", "onChange", "onBlur"];
var classes$2e = {
  root: 'MuiCurrencyAmountControl-root'
};
var CurrencyAmountControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    control = props.control,
    rules = props.rules,
    defaultValue = props.defaultValue,
    shouldUnregister = props.shouldUnregister,
    controlChange = props.onChange,
    controlBlur = props.onBlur,
    helperText = props.helperText,
    error = props.error,
    sx = props.sx,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    NumberFormatProps = props.NumberFormatProps,
    _InputProps = props.InputProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$2C);
  var _sx = _extends({
    display: 'flex'
  }, sx);
  var numberFormatProps = _extends({}, _InputProps, {
    inputComponent: NumberFormatCustom,
    inputProps: _extends({}, NumberFormatProps)
  });
  return React.createElement(Controller, {
    name: name,
    control: control,
    rules: rules,
    defaultValue: defaultValue,
    shouldUnregister: shouldUnregister,
    render: function render(_ref2) {
      var _ref2$field = _ref2.field,
        value = _ref2$field.value,
        _onChange = _ref2$field.onChange,
        _onBlur = _ref2$field.onBlur,
        fieldOther = _objectWithoutPropertiesLoose(_ref2$field, _excluded2$1o);
      return React.createElement(CurrencyAmountInput, Object.assign({
        ref: ref,
        className: buildClassName(classes$2e.root, className)
      }, fieldOther, {
        value: value,
        InputProps: numberFormatProps,
        onChange: function onChange(event) {
          _onChange(event);
          if (controlChange) controlChange(event);
        },
        onBlur: function onBlur(event) {
          _onBlur();
          if (controlBlur) controlBlur(event);
        },
        error: error != undefined,
        helperText: error !== null && error !== void 0 ? error : helperText,
        margin: margin,
        sx: _sx
      }, other));
    }
  });
});

var _excluded$2D = ["InputProps", "hasIcon", "hidePasswordIcon", "showPasswordIcon", "className", "disabled", "onChange"];
var classes$2f = {
  root: 'MuiPasswordInput-root'
};
var PasswordInput = React.forwardRef(function (props, ref) {
  var InputProps = props.InputProps,
    _props$hasIcon = props.hasIcon,
    hasIcon = _props$hasIcon === void 0 ? true : _props$hasIcon,
    hidePasswordIcon = props.hidePasswordIcon,
    showPasswordIcon = props.showPasswordIcon,
    className = props.className,
    disabled = props.disabled,
    onChange = props.onChange,
    other = _objectWithoutPropertiesLoose(props, _excluded$2D);
  var _useState = useState(false),
    showPassword = _useState[0],
    setShowPassword = _useState[1];
  var handleClickShowPassword = function handleClickShowPassword() {
    setShowPassword(!showPassword);
  };
  var handleMouseDownPassword = function handleMouseDownPassword(event) {
    event.preventDefault();
  };
  var handlePasswordChange = function handlePasswordChange(event) {
    var _event$target;
    if (onChange) onChange(event === null || event === void 0 ? void 0 : (_event$target = event.target) === null || _event$target === void 0 ? void 0 : _event$target.value);
  };
  var inputProps = _extends({}, InputProps, {
    endAdornment: hasIcon && !disabled ? React.createElement(InputAdornment, {
      position: 'end'
    }, React.createElement(IconButton, {
      "aria-label": 'toggle password visibility',
      onClick: handleClickShowPassword,
      onMouseDown: handleMouseDownPassword,
      edge: 'end'
    }, showPassword ? hidePasswordIcon !== null && hidePasswordIcon !== void 0 ? hidePasswordIcon : React.createElement(VisibilityIcon, null) : showPasswordIcon !== null && showPasswordIcon !== void 0 ? showPasswordIcon : React.createElement(VisibilityOffIcon, null))) : React.createElement(React.Fragment, null)
  });
  return React.createElement(TextField$2, Object.assign({
    ref: ref,
    className: buildClassName(classes$2f.root, className),
    type: showPassword ? 'text' : 'password',
    disabled: disabled,
    autoComplete: 'new-password',
    InputProps: inputProps,
    onChange: handlePasswordChange
  }, other));
});

var _excluded$2E = ["className", "name", "control", "rules", "shouldUnregister", "onChange", "onBlur", "helperText", "error", "margin", "hasIcon", "sx"],
  _excluded2$1p = ["value", "ref", "onChange", "onBlur"];
var classes$2g = {
  root: 'MuiPasswordControl-root'
};
var PasswordControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    control = props.control,
    rules = props.rules,
    shouldUnregister = props.shouldUnregister,
    controlChange = props.onChange,
    controlBlur = props.onBlur,
    helperText = props.helperText,
    error = props.error,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    _props$hasIcon = props.hasIcon,
    hasIcon = _props$hasIcon === void 0 ? true : _props$hasIcon,
    sx = props.sx,
    other = _objectWithoutPropertiesLoose(props, _excluded$2E);
  var _sx = _extends({
    display: 'flex'
  }, sx);
  return React.createElement(Controller, {
    name: name,
    control: control,
    rules: rules,
    shouldUnregister: shouldUnregister,
    render: function render(_ref2) {
      var _ref2$field = _ref2.field,
        value = _ref2$field.value,
        _onChange = _ref2$field.onChange,
        _onBlur = _ref2$field.onBlur,
        fieldOther = _objectWithoutPropertiesLoose(_ref2$field, _excluded2$1p);
      return React.createElement(PasswordInput, Object.assign({
        ref: ref,
        className: buildClassName(classes$2g.root, className)
      }, fieldOther, {
        value: value !== null && value !== void 0 ? value : '',
        error: error != undefined,
        helperText: error !== null && error !== void 0 ? error : helperText,
        onChange: function onChange(event) {
          _onChange(event);
          if (controlChange) controlChange(event);
        },
        onBlur: function onBlur(event) {
          _onBlur();
          if (controlBlur) controlBlur(event);
        },
        sx: _sx,
        margin: margin,
        hasIcon: hasIcon
      }, other));
    }
  });
});

var _templateObject$15;
var _excluded$2F = ["size"],
  _excluded2$1q = ["className", "onChange", "onBlur", "disabled", "defaultValue", "color", "size", "required", "hiddenLabel", "margin", "CheckboxProps"],
  _excluded3$n = ["checked", "color", "size", "required", "disabled"],
  _excluded4$8 = ["ref", "value", "onChange", "onBlur"];
var classes$2h = {
  root: 'MuiCheckboxControl-root'
};
var CheckboxControlRef = React.forwardRef(function (props, ref) {
  var other = _objectWithoutPropertiesLoose(props, _excluded$2F);
  return React.createElement(FormController, Object.assign({
    ref: ref
  }, other));
});
var CheckboxControlRoot = styled$1(CheckboxControlRef)(_templateObject$15 || (_templateObject$15 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref2) {
  var size = _ref2.size;
  return "\n        & .MuiFormControlLabel-labelPlacementEnd {\n          height: " + (size === 'medium' ? '56px' : '40px') + ";\n          margin-left:0;\n          margin-right:0;\n        }        \n      ";
});
var CheckboxControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    controlChange = props.onChange,
    controlBlur = props.onBlur,
    disabled = props.disabled,
    defaultValue = props.defaultValue,
    color = props.color,
    _size = props.size,
    required = props.required,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    CheckboxProps = props.CheckboxProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$1q);
  var _ref3 = CheckboxProps !== null && CheckboxProps !== void 0 ? CheckboxProps : {},
    checked = _ref3.checked,
    checkboxColor = _ref3.color,
    checkboxSize = _ref3.size,
    checkboxRequired = _ref3.required,
    checkboxDisabled = _ref3.disabled,
    CheckboxPropsOther = _objectWithoutPropertiesLoose(_ref3, _excluded3$n);
  var size = checkboxSize !== null && checkboxSize !== void 0 ? checkboxSize : _size;
  return React.createElement(CheckboxControlRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$2h.root, className),
    defaultValue: defaultValue !== null && defaultValue !== void 0 ? defaultValue : false,
    disabled: disabled,
    size: size,
    render: function render(_ref4) {
      var _ref4$field = _ref4.field,
        value = _ref4$field.value,
        _onChange = _ref4$field.onChange,
        _onBlur = _ref4$field.onBlur,
        fieldOther = _objectWithoutPropertiesLoose(_ref4$field, _excluded4$8);
      return React.createElement(Checkbox, Object.assign({}, fieldOther, {
        disabled: checkboxDisabled !== null && checkboxDisabled !== void 0 ? checkboxDisabled : disabled,
        color: checkboxColor !== null && checkboxColor !== void 0 ? checkboxColor : color,
        size: size,
        required: checkboxRequired !== null && checkboxRequired !== void 0 ? checkboxRequired : required,
        checked: value !== null && value !== void 0 ? value : checked,
        onChange: function onChange(event) {
          _onChange(event);
          if (controlChange) controlChange(event);
        },
        onBlur: function onBlur(event) {
          _onBlur();
          if (controlBlur) controlBlur(event);
        }
      }, CheckboxPropsOther));
    },
    margin: margin
  }, other));
});

var _templateObject$16;
var _excluded$2G = ["size", "maxHeight", "disabled"],
  _excluded2$1r = ["className", "onChange", "onBlur", "disabled", "ImageInputProps", "placeholder", "margin"],
  _excluded3$o = ["disabled", "placeholder"],
  _excluded4$9 = ["ref", "onChange", "onBlur"];
var classes$2i = {
  root: 'MuiImageControl-root'
};
var ImageControlRef = React.forwardRef(function (props, ref) {
  var disabled = props.disabled,
    other = _objectWithoutPropertiesLoose(props, _excluded$2G);
  return React.createElement(FormController, Object.assign({
    ref: ref,
    disabled: disabled
  }, other));
});
var ImageControlRoot = styled$1(ImageControlRef)(_templateObject$16 || (_templateObject$16 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var disabled = _ref.disabled,
    size = _ref.size,
    _maxHeight = _ref.maxHeight;
  var maxHeight = (_maxHeight !== null && _maxHeight !== void 0 ? _maxHeight : size === 'medium') ? '110px' : '78px';
  return "\n      margin-top: 8px;\n\n      fieldset {\n          margin-left:0;\n          margin-right:0;\n          align-items: start;\n          border-radius: 4px;\n          border: 1px solid " + (!disabled ? '#C4C4C4;' : '#F4F4F4;') + "\n        }\n        & fieldset:hover {          \n          border: 1px solid " + (!disabled ? '#212121;' : '#F4F4F4;') + "\n        }\n\n        & legend {\n          font-size: 12px;\n          background: white;\n          padding-left: 4px;\n          padding-right: 4px;\n          color: rgba(0, 0, 0, 0.6);\n        }\n\n        & .MuiImageInput-root {\n          max-height: " + maxHeight + ";\n          height: " + maxHeight + ";\n          width: 100%;\n          border: none;         \n        }\n\n        & .MuiImageInput-root img {\n          max-height: " + maxHeight + ";\n          " + (disabled ? 'opacity: 0.4;' : '') + "\n        }\n      ";
});
var ImageControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    controlChange = props.onChange,
    _disabled = props.disabled,
    ImageInputProps = props.ImageInputProps,
    placeholder = props.placeholder,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    other = _objectWithoutPropertiesLoose(props, _excluded2$1r);
  var _ref2 = ImageInputProps !== null && ImageInputProps !== void 0 ? ImageInputProps : {},
    imageDisabled = _ref2.disabled,
    imagePlaceholder = _ref2.placeholder,
    ImageInputPropsOther = _objectWithoutPropertiesLoose(_ref2, _excluded3$o);
  var disabled = imageDisabled !== null && imageDisabled !== void 0 ? imageDisabled : _disabled;
  return React.createElement(ImageControlRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$2i.root, className),
    disabled: disabled,
    hiddenLabel: true,
    FormControlLabelProps: {
      labelPlacement: 'top'
    },
    render: function render(_ref3) {
      var _ref3$field = _ref3.field,
        _onChange = _ref3$field.onChange,
        fieldOther = _objectWithoutPropertiesLoose(_ref3$field, _excluded4$9);
      return React.createElement("fieldset", null, React.createElement("legend", null, React.createElement("span", null, props.label)), React.createElement(ImageInput, Object.assign({}, fieldOther, {
        disabled: disabled,
        placeholder: imagePlaceholder !== null && imagePlaceholder !== void 0 ? imagePlaceholder : placeholder,
        onChange: function onChange(image) {
          _onChange(image);
          controlChange && controlChange(image);
        }
      }, ImageInputPropsOther)));
    },
    margin: margin
  }, other));
});

var _templateObject$17;
var _excluded$2H = ["disabled", "size", "sxRating"],
  _excluded2$1s = ["className", "defaultValue", "shouldUnregister", "onChange", "onBlur", "disabled", "size", "margin", "RatingProps"],
  _excluded3$p = ["size", "disabled", "precision", "max", "sx"],
  _excluded4$a = ["onChange", "onBlur"];
var classes$2j = {
  root: 'MuiRatingControl-root',
  rating: 'MuiRatingControl-rating'
};
var RatingControlRef = React.forwardRef(function (props, ref) {
  var disabled = props.disabled,
    other = _objectWithoutPropertiesLoose(props, _excluded$2H);
  return React.createElement(FormController, Object.assign({
    ref: ref,
    disabled: disabled
  }, other));
});
var RatingControlRoot = styled$1(RatingControlRef)(_templateObject$17 || (_templateObject$17 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var disabled = _ref.disabled,
    size = _ref.size,
    sxRating = _ref.sxRating;
  return "\n        & .MuiFormControlLabel-root {\n          height: " + (size === 'medium' ? '56px' : '40px') + ";\n          margin-left:0;\n          margin-right:0;\n          justify-content: left;\n        }\n\n        & .MuiFormControlLabel-root {\n          margin-left:0;\n          margin-right:0;\n          align-items: start;\n          border-radius: 4px;\n          border: 1px solid " + (!disabled ? '#C4C4C4;' : '#F4F4F4;') + "\n        }\n\n        & .MuiFormControlLabel-root:hover {  \n          border: 1px solid " + (!disabled ? '#212121;' : '#F4F4F4;') + " \n        }\n\n        & .MuiFormControlLabel-label{\n          transform: translate(10px, -10px);\n          font-size: 12px;\n          background: white;\n          padding-left: 4px;\n          padding-right: 4px;\n        }\n\n        & .MuiRating-root {\n          " + ((sxRating === null || sxRating === void 0 ? void 0 : sxRating.marginLeft) === undefined ? 'margin-left: 12px' : '') + " ;\n          " + ((sxRating === null || sxRating === void 0 ? void 0 : sxRating.marginTop) === undefined && size === 'small' ? 'margin-top:-5px;' : '') + "\n        }\n      ";
});
var RatingControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    defaultValue = props.defaultValue,
    controlChange = props.onChange,
    controlBlur = props.onBlur,
    disabled = props.disabled,
    _props$size = props.size,
    size = _props$size === void 0 ? 'medium' : _props$size,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    RatingProps = props.RatingProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$1s);
  var _useState = useState(defaultValue),
    internalValue = _useState[0],
    setInternalValue = _useState[1];
  var _ref2 = RatingProps !== null && RatingProps !== void 0 ? RatingProps : {},
    ratingSize = _ref2.size,
    ratingDisabled = _ref2.disabled,
    _ref2$precision = _ref2.precision,
    precision = _ref2$precision === void 0 ? 1 : _ref2$precision,
    _ref2$max = _ref2.max,
    max = _ref2$max === void 0 ? 5 : _ref2$max,
    sxRating = _ref2.sx,
    RatingPropsOther = _objectWithoutPropertiesLoose(_ref2, _excluded3$p);
  var _size = ratingSize !== null && ratingSize !== void 0 ? ratingSize : size;
  return React.createElement(RatingControlRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$2j.root, className),
    defaultValue: internalValue !== null && internalValue !== void 0 ? internalValue : null,
    disabled: disabled,
    size: _size,
    margin: margin,
    sxRating: sxRating,
    FormControlLabelProps: {
      labelPlacement: 'top'
    },
    render: function render(_ref3) {
      var _ref3$field = _ref3.field,
        _onChange = _ref3$field.onChange,
        _onBlur = _ref3$field.onBlur,
        fieldOther = _objectWithoutPropertiesLoose(_ref3$field, _excluded4$a);
      return React.createElement(Rating, Object.assign({
        className: classes$2j.rating
      }, fieldOther, {
        sx: sxRating,
        disabled: ratingDisabled !== null && ratingDisabled !== void 0 ? ratingDisabled : disabled,
        size: _size,
        precision: precision,
        max: max,
        onChange: function onChange(event, number) {
          _onChange(number);
          if (controlChange) controlChange(event);
        },
        onChangeActive: function onChangeActive(_, number) {
          if (number > 0) setInternalValue(number);
        },
        onBlur: function onBlur(event) {
          _onBlur();
          if (controlBlur) controlBlur(event);
        }
      }, RatingPropsOther));
    }
  }, other));
});

var _templateObject$18;
var _excluded$2I = ["children"],
  _excluded2$1t = ["className", "value", "primary", "secondary", "onChange", "onItemChange", "name", "dense", "disabled", "empty", "ListItemIconProps", "CheckboxProps", "ListItemButtonProps", "ListItemTextProps"],
  _excluded3$q = ["size", "disabled", "disableRipple"];
var classes$2k = {
  root: 'MuiChecklist-root'
};
var ListRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded$2I);
  return React.createElement(List, Object.assign({
    ref: ref,
    className: classes$2k.root
  }, other), children);
});
var ListRoot = styled$2(ListRef)(_templateObject$18 || (_templateObject$18 = _taggedTemplateLiteralLoose(["\n  padding-left: 0;\n"])));
var Checklist = React.forwardRef(function (props, ref) {
  var className = props.className,
    value = props.value,
    primary = props.primary,
    secondary = props.secondary,
    onChange = props.onChange,
    onItemChange = props.onItemChange,
    name = props.name,
    dense = props.dense,
    disabled = props.disabled,
    empty = props.empty,
    ListItemIconProps = props.ListItemIconProps,
    CheckboxProps = props.CheckboxProps,
    ListItemButtonProps = props.ListItemButtonProps,
    ListItemTextProps = props.ListItemTextProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$1t);
  var _ref = CheckboxProps !== null && CheckboxProps !== void 0 ? CheckboxProps : {},
    checkboxSize = _ref.size,
    checkboxDisabled = _ref.disabled,
    disableRipple = _ref.disableRipple,
    CheckboxPropsOther = _objectWithoutPropertiesLoose(_ref, _excluded3$q);
  var _useState = useState(value),
    items = _useState[0],
    setItems = _useState[1];
  var handleClick = function handleClick(index) {
    return function (e) {
      e.preventDefault();
      if (disabled) return;
      if (value === undefined) return;
      var newItems = [].concat(value);
      newItems[index].checked = !newItems[index].checked;
      setItems(newItems);
      if (onChange) onChange(newItems);
      if (onItemChange) onItemChange(newItems[index]);
    };
  };
  var isEmpty = value === undefined || value.length === 0;
  return isEmpty ? React.createElement(React.Fragment, null, empty) : React.createElement(ListRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$2k.root, className),
    dense: dense !== null && dense !== void 0 ? dense : true
  }, other), items !== undefined && items.map(function (item, index) {
    var _primary = primary ? primary(item) : '';
    var _secondary = secondary ? secondary(item) : '';
    return React.createElement(ListItemButton, Object.assign({
      key: index,
      dense: dense !== null && dense !== void 0 ? dense : true,
      role: undefined,
      onClick: handleClick(index),
      disabled: checkboxDisabled !== null && checkboxDisabled !== void 0 ? checkboxDisabled : disabled
    }, ListItemButtonProps), React.createElement(ListItemIcon, Object.assign({}, ListItemIconProps), React.createElement(Checkbox, Object.assign({
      name: name + "[" + index + "]",
      checked: items[index].checked,
      size: (checkboxSize !== null && checkboxSize !== void 0 ? checkboxSize : dense === undefined) ? 'small' : dense ? 'small' : 'medium',
      disableRipple: disableRipple !== null && disableRipple !== void 0 ? disableRipple : true,
      disabled: checkboxDisabled !== null && checkboxDisabled !== void 0 ? checkboxDisabled : disabled
    }, CheckboxPropsOther))), React.createElement(ListItemText, Object.assign({
      primary: _primary,
      secondary: _secondary
    }, ListItemTextProps)));
  }));
});

var _templateObject$19;
var _excluded$2J = ["disabled", "size"],
  _excluded2$1u = ["className", "onChange", "onBlur", "disabled", "margin", "ChecklistProps", "FormControlLabelProps"];
var classes$2l = {
  root: 'MuiChecklistControl-root'
};
var ChecklistControlRef = React.forwardRef(function (props, ref) {
  var disabled = props.disabled,
    other = _objectWithoutPropertiesLoose(props, _excluded$2J);
  return React.createElement(FormController, Object.assign({
    ref: ref,
    disabled: disabled
  }, other));
});
var ChecklistControlRoot = styled$1(ChecklistControlRef)(_templateObject$19 || (_templateObject$19 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var disabled = _ref.disabled;
  return "\n        & .MuiFormControlLabel-root {\n          margin-left:0;\n          margin-right:0;\n          align-items: start;\n          border-radius: 4px;\n          border: 1px solid " + (!disabled ? '#C4C4C4;' : '#F4F4F4;') + "\n        }\n\n        & .MuiFormControlLabel-root:hover {          \n          border: 1px solid " + (!disabled ? '#212121;' : '#F4F4F4;') + "\n        }\n\n        & .MuiFormControlLabel-label{\n          transform: translate(10px, -10px);\n          font-size: 12px;\n          background: white;\n          padding-left: 4px;\n          padding-right: 4px;\n        }\n\n        & .MuiListItemButton-root {\n          padding: 0;\n        }\n\n        & .MuiChecklist-root {\n          width: 100%;\n          padding: 0;\n        }\n      ";
});
var ChecklistControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    controlChange = props.onChange,
    controlBlur = props.onBlur,
    disabled = props.disabled,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    ChecklistProps = props.ChecklistProps,
    FormControlLabelProps = props.FormControlLabelProps,
    other = _objectWithoutPropertiesLoose(props, _excluded2$1u);
  var _FormControlLabelProps = _extends({
    labelPlacement: 'top'
  }, FormControlLabelProps);
  return React.createElement(ChecklistControlRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$2l.root, className),
    disabled: disabled,
    render: function render(_ref2) {
      var _ref2$field = _ref2.field,
        value = _ref2$field.value,
        _onChange = _ref2$field.onChange,
        _onBlur = _ref2$field.onBlur,
        name = _ref2$field.name;
      return React.createElement(Checklist, Object.assign({
        name: name,
        disabled: disabled,
        value: value,
        onChange: function onChange(newValue) {
          _onChange(newValue);
          if (controlChange) controlChange(newValue);
        },
        onBlur: function onBlur(event) {
          _onBlur();
          if (controlBlur) controlBlur(event);
        }
      }, ChecklistProps));
    },
    FormControlLabelProps: _FormControlLabelProps,
    margin: margin
  }, other));
});

var _templateObject$1a, _templateObject2$5, _templateObject3;
var _excluded$2K = ["disabled"],
  _excluded2$1v = ["disabled", "pickerVariant", "className"],
  _excluded3$r = ["pickerVariant", "className"],
  _excluded4$b = ["name", "value", "onChange", "className", "disabled", "inline", "pickerVariant", "closePickerOnChangeComplete", "ColorDisplayProps", "PickerComponentProps", "PickerBoxProps", "BoxProps", "InputLabelProps"];
var classes$2m = {
  root: 'MuiColorInput-root',
  input: 'MuiColorInput-input',
  picker: 'MuiColorInput-picker',
  pickerBox: 'MuiColorInput-picker-box'
};
var ColorInuputRef = React.forwardRef(function (props, ref) {
  var other = _objectWithoutPropertiesLoose(props, _excluded$2K);
  return React.createElement(Box, Object.assign({
    ref: ref
  }, other));
});
var ColorInuputRoot = styled(ColorInuputRef)(_templateObject$1a || (_templateObject$1a = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var disabled = _ref.disabled;
  return "\n      & .MuiColorDisplay-color {\n        " + (disabled ? 'opacity:0.4;' : '') + "\n      }\n    ";
});
var PickerBox = styled(function (props) {
  var className = props.className,
    other = _objectWithoutPropertiesLoose(props, _excluded2$1v);
  return React.createElement(Box, Object.assign({
    className: buildClassName(className, classes$2m.pickerBox)
  }, other));
})(_templateObject2$5 || (_templateObject2$5 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref2) {
  var pickerVariant = _ref2.pickerVariant;
  return "\n      .material-picker {\n        " + (pickerVariant === 'material' ? 'min-width: 128px; min-height:128px;' : '') + "\n      }\n    ";
});
var ColorText = styled(function (props) {
  var className = props.className,
    other = _objectWithoutPropertiesLoose(props, _excluded3$r);
  return React.createElement(TextField$2, Object.assign({
    className: buildClassName(className, classes$2m.input)
  }, other));
})(_templateObject3 || (_templateObject3 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref3) {
  var pickerVariant = _ref3.pickerVariant;
  return "\n      width: 100%;\n    \n      input {\n        padding-left: 12px;\n      }\n\n      .MuiColorDisplay-root {\n        " + (pickerVariant && pickerVariant !== 'none' ? 'cursor: pointer;' : '') + "\n      }\n    ";
});
var ColorInput = React.forwardRef(function (props, ref) {
  var _PickerComponentProps, _PickerComponentProps2, _PickerComponentProps3;
  var name = props.name,
    value = props.value,
    _onChange = props.onChange,
    className = props.className,
    disabled = props.disabled,
    inline = props.inline,
    pickerVariant = props.pickerVariant,
    _autoClose = props.closePickerOnChangeComplete,
    ColorDisplayProps = props.ColorDisplayProps,
    PickerComponentProps = props.PickerComponentProps,
    PickerBoxProps = props.PickerBoxProps,
    BoxProps = props.BoxProps,
    InputLabelProps = props.InputLabelProps,
    other = _objectWithoutPropertiesLoose(props, _excluded4$b);
  var _useState = useState(false),
    showPicker = _useState[0],
    setShowPicker = _useState[1];
  var closePickerOnChangeComplete = _autoClose;
  if (closePickerOnChangeComplete === undefined) {
    if (['circle', 'github', 'swatches'].find(function (v) {
      return v === pickerVariant;
    }) !== undefined) {
      closePickerOnChangeComplete = true;
    }
  }
  var togglePicker = function togglePicker() {
    if (disabled || inline) return;
    setShowPicker(!showPicker);
  };
  var onChange = function onChange(value) {
    if (disabled) return;
    if (_onChange) _onChange(value);
  };
  var internalChange = function internalChange(event) {
    if (disabled) return;
    if (_onChange) _onChange(event.target.value);
  };
  var handleChange = function handleChange(color) {
    onChange(color.hex);
  };
  var handleChangeComplete = function handleChangeComplete(color) {
    onChange(color.hex);
    if (closePickerOnChangeComplete) setShowPicker(false);
  };
  var handleHueChangeComplete = function handleHueChangeComplete(color) {
    handleHueChange(color);
    if (closePickerOnChangeComplete) setShowPicker(false);
  };
  var handleHueChange = function handleHueChange(color) {
    if (value) {
      var _value2 = value;
      var v = decomposeColor(_value2);
      if (v && v.type === 'rgba') {
        var _v$values$;
        onChange(rgbToHex(alpha(color.hex, (_v$values$ = v.values[3]) !== null && _v$values$ !== void 0 ? _v$values$ : 1)));
      } else {
        onChange(color.hex);
      }
    } else {
      onChange(color.hex);
    }
  };
  var handleAlphaChangeComplete = function handleAlphaChangeComplete(color) {
    handleAlphaChange(color);
    if (closePickerOnChangeComplete) setShowPicker(false);
  };
  var handleAlphaChange = function handleAlphaChange(color) {
    var _color$hsl$a, _color$hsl;
    onChange(rgbToHex(alpha(color.hex, (_color$hsl$a = (_color$hsl = color.hsl) === null || _color$hsl === void 0 ? void 0 : _color$hsl.a) !== null && _color$hsl$a !== void 0 ? _color$hsl$a : 1)));
  };
  var _value = value !== null && value !== void 0 ? value : '';
  var _pickerBoxProps = {};
  if (!inline) {
    {
      _pickerBoxProps.left = '14px';
      _pickerBoxProps.top = '-8px';
      _pickerBoxProps.minWidth = '316px';
    }
    if (pickerVariant === 'block') {
      _pickerBoxProps.left = '-58px';
      _pickerBoxProps.top = '-8px';
    } else if (pickerVariant === 'twitter') {
      if ((PickerComponentProps === null || PickerComponentProps === void 0 ? void 0 : PickerComponentProps.triangle) === undefined || (PickerComponentProps === null || PickerComponentProps === void 0 ? void 0 : PickerComponentProps.triangle) === 'top-left') {
        _pickerBoxProps.left = '6px';
        _pickerBoxProps.top = '-8px';
      } else if ((PickerComponentProps === null || PickerComponentProps === void 0 ? void 0 : PickerComponentProps.triangle) === 'top-right') {
        _pickerBoxProps.left = '-230px';
        _pickerBoxProps.top = '-8px';
      }
    } else if (pickerVariant === 'github') {
      if ((PickerComponentProps === null || PickerComponentProps === void 0 ? void 0 : PickerComponentProps.triangle) === undefined || (PickerComponentProps === null || PickerComponentProps === void 0 ? void 0 : PickerComponentProps.triangle) === 'top-left') {
        _pickerBoxProps.left = '6px';
        _pickerBoxProps.top = '-8px';
      } else if ((PickerComponentProps === null || PickerComponentProps === void 0 ? void 0 : PickerComponentProps.triangle) === 'top-right') {
        _pickerBoxProps.left = '-230px';
        _pickerBoxProps.top = '-8px';
      }
    }
  }
  return React.createElement(ColorInuputRoot, Object.assign({
    ref: ref,
    className: buildClassName(className, classes$2m.root),
    position: 'relative',
    disabled: disabled
  }, BoxProps), (!inline || pickerVariant === 'none') && React.createElement(ColorText, Object.assign({
    name: name,
    value: value,
    onChange: internalChange,
    disabled: disabled,
    pickerVariant: pickerVariant,
    InputProps: {
      startAdornment: React.createElement(ColorBox, Object.assign({
        value: _value,
        variant: 'box',
        onClick: togglePicker
      }, ColorDisplayProps))
    }
  }, other)), (inline || showPicker) && React.createElement(PickerBox, Object.assign({
    position: inline ? 'initial' : 'relative',
    zIndex: inline ? 0 : 2000,
    display: 'flex',
    flexDirection: 'column',
    gap: 1,
    disabled: disabled,
    pickerVariant: pickerVariant
  }, _pickerBoxProps, PickerBoxProps), inline && pickerVariant !== 'none' && props.label && React.createElement(InputLabel, Object.assign({}, InputLabelProps), props.label), pickerVariant === 'block' && React.createElement(BlockPicker, Object.assign({
    className: buildClassName(classes$2m.picker, className),
    color: value,
    onChangeComplete: handleChangeComplete,
    onChange: handleChange,
    triangle: inline ? 'hide' : (_PickerComponentProps = PickerComponentProps === null || PickerComponentProps === void 0 ? void 0 : PickerComponentProps.triangle) !== null && _PickerComponentProps !== void 0 ? _PickerComponentProps : 'top'
  }, PickerComponentProps)), pickerVariant === 'chrome' && React.createElement(ChromePicker, Object.assign({
    className: buildClassName(classes$2m.picker, className),
    color: value,
    onChangeComplete: handleChangeComplete,
    onChange: handleChange
  }, PickerComponentProps)), pickerVariant === 'circle' && React.createElement(CirclePicker, Object.assign({
    className: buildClassName(classes$2m.picker, className),
    color: value,
    onChangeComplete: handleChangeComplete,
    onChange: handleChange
  }, PickerComponentProps)), pickerVariant === 'compact' && React.createElement(CompactPicker, Object.assign({
    className: buildClassName(classes$2m.picker, className),
    color: value,
    onChangeComplete: handleChangeComplete,
    onChange: handleChange
  }, PickerComponentProps)), pickerVariant === 'github' && React.createElement(GithubPicker, Object.assign({
    className: buildClassName(classes$2m.picker, className),
    color: value,
    triangle: inline ? 'hide' : (_PickerComponentProps2 = PickerComponentProps === null || PickerComponentProps === void 0 ? void 0 : PickerComponentProps.triangle) !== null && _PickerComponentProps2 !== void 0 ? _PickerComponentProps2 : 'top-left',
    onChangeComplete: handleChangeComplete,
    onChange: handleChange
  }, PickerComponentProps)), pickerVariant === 'hue' && React.createElement(HuePicker, Object.assign({
    className: buildClassName(classes$2m.picker, className),
    color: value,
    onChangeComplete: handleHueChangeComplete,
    onChange: handleHueChange
  }, PickerComponentProps)), pickerVariant === 'hue-alpha' && React.createElement(Box, {
    gap: 1,
    display: 'flex',
    flexDirection: 'column'
  }, React.createElement(HuePicker, Object.assign({
    className: buildClassName(classes$2m.picker, className),
    color: value,
    onChangeComplete: handleHueChangeComplete,
    onChange: handleHueChange
  }, PickerComponentProps)), React.createElement(AlphaPicker, Object.assign({
    className: buildClassName(classes$2m.picker, className),
    color: value,
    onChangeComplete: handleAlphaChangeComplete,
    onChange: handleAlphaChange
  }, PickerComponentProps))), pickerVariant === 'alpha' && React.createElement(AlphaPicker, Object.assign({
    className: buildClassName(classes$2m.picker, className),
    color: value,
    onChangeComplete: handleAlphaChangeComplete,
    onChange: handleAlphaChange
  }, PickerComponentProps)), pickerVariant === 'material' && React.createElement(MaterialPicker, Object.assign({
    className: buildClassName(classes$2m.picker, className),
    color: value,
    onChangeComplete: handleChangeComplete,
    onChange: handleChange
  }, PickerComponentProps)), pickerVariant === 'sketch' && React.createElement(SketchPicker, Object.assign({
    className: buildClassName(classes$2m.picker, className),
    color: value,
    onChangeComplete: handleChangeComplete,
    onChange: handleChange
  }, PickerComponentProps)), pickerVariant === 'slider' && React.createElement(SliderPicker, Object.assign({
    className: buildClassName(classes$2m.picker, className),
    color: value,
    onChangeComplete: handleChangeComplete,
    onChange: handleChange
  }, PickerComponentProps)), pickerVariant === 'swatches' && React.createElement(SwatchesPicker, Object.assign({
    className: buildClassName(classes$2m.picker, className),
    color: value,
    onChangeComplete: handleChangeComplete,
    onChange: handleChange
  }, PickerComponentProps)), pickerVariant === 'twitter' && React.createElement(TwitterPicker, Object.assign({
    className: buildClassName(classes$2m.picker, className),
    color: value,
    triangle: inline ? 'hide' : (_PickerComponentProps3 = PickerComponentProps === null || PickerComponentProps === void 0 ? void 0 : PickerComponentProps.triangle) !== null && _PickerComponentProps3 !== void 0 ? _PickerComponentProps3 : 'top-left',
    onChangeComplete: handleChangeComplete,
    onChange: handleChange
  }, PickerComponentProps))));
});

var _excluded$2L = ["className", "name", "control", "rules", "defaultValue", "shouldUnregister", "onChange", "onBlur", "helperText", "error", "margin"],
  _excluded2$1w = ["ref", "value", "onChange", "onBlur"];
var classes$2n = {
  root: 'MuiColorControl-root'
};
var ColorControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    control = props.control,
    rules = props.rules,
    _props$defaultValue = props.defaultValue,
    defaultValue = _props$defaultValue === void 0 ? null : _props$defaultValue,
    shouldUnregister = props.shouldUnregister,
    controlChange = props.onChange,
    controlBlur = props.onBlur,
    helperText = props.helperText,
    error = props.error,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    other = _objectWithoutPropertiesLoose(props, _excluded$2L);
  return React.createElement(Controller, {
    name: name,
    control: control,
    rules: rules,
    defaultValue: defaultValue !== null && defaultValue !== void 0 ? defaultValue : '',
    shouldUnregister: shouldUnregister,
    render: function render(_ref2) {
      var _ref2$field = _ref2.field,
        value = _ref2$field.value,
        _onChange = _ref2$field.onChange,
        _onBlur = _ref2$field.onBlur,
        fieldOther = _objectWithoutPropertiesLoose(_ref2$field, _excluded2$1w);
      return React.createElement(ColorInput, Object.assign({
        ref: ref,
        className: buildClassName(classes$2n.root, className)
      }, fieldOther, {
        value: value,
        onChange: function onChange(event) {
          _onChange(event);
          if (controlChange) controlChange(event);
        },
        onBlur: function onBlur(event) {
          _onBlur();
          if (controlBlur) controlBlur(event);
        },
        error: error != undefined,
        helperText: error !== null && error !== void 0 ? error : helperText,
        margin: margin
      }, other));
    }
  });
});

var _excluded$2M = ["className", "name", "control", "rules", "defaultValue", "shouldUnregister", "margin", "onChange", "onBlur", "helperText", "error", "sx"],
  _excluded2$1x = ["ref", "onChange", "onBlur"];
var classes$2o = {
  root: 'MuiBoolControl-root'
};
var BoolControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    name = props.name,
    control = props.control,
    rules = props.rules,
    defaultValue = props.defaultValue,
    shouldUnregister = props.shouldUnregister,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    controlChange = props.onChange,
    controlBlur = props.onBlur,
    helperText = props.helperText,
    error = props.error,
    sx = props.sx,
    other = _objectWithoutPropertiesLoose(props, _excluded$2M);
  var _sx = _extends({
    display: 'flex'
  }, sx);
  return React.createElement(Controller, {
    name: name,
    control: control,
    rules: rules,
    defaultValue: defaultValue,
    shouldUnregister: shouldUnregister,
    render: function render(_ref2) {
      var _ref2$field = _ref2.field,
        _onChange = _ref2$field.onChange,
        _onBlur = _ref2$field.onBlur,
        fieldOther = _objectWithoutPropertiesLoose(_ref2$field, _excluded2$1x);
      return React.createElement(BoolInput, Object.assign({
        ref: ref
      }, fieldOther, {
        className: buildClassName(classes$2o.root, className),
        onChange: function onChange(value) {
          _onChange(value);
          if (controlChange) controlChange(value);
        },
        onBlur: function onBlur(event) {
          _onBlur();
          if (controlBlur) controlBlur(event);
        },
        error: error != undefined,
        helperText: error !== null && error !== void 0 ? error : helperText,
        margin: margin,
        sx: _sx
      }, other));
    }
  });
});

var _excluded$2N = ["children", "color", "position", "top", "right"],
  _excluded2$1y = ["children", "minHeight", "cursor", "borderWidth", "borderRadius", "borderColor", "borderStyle", "color", "outline", "transition", "textAlign", "justifyContent"],
  _excluded3$s = ["className", "placeholder", "onChange", "value", "onRemove", "BoxProps", "PlaceholderProps", "RemoveButtonProps", "disabled", "noDrag", "noClick", "noKeyboard", "removeIcon", "removeable", "accept"],
  _excluded4$c = ["ref"];
var _templateObject$1b, _templateObject2$6;
var classes$2p = {
  root: 'MuiFileInput-root',
  placeholder: 'MuiFileInput-placeholder'
};
var RemoveButton$1 = styled(function (_ref2) {
  var children = _ref2.children,
    color = _ref2.color,
    other = _objectWithoutPropertiesLoose(_ref2, _excluded$2N);
  return React.createElement(Fab, Object.assign({
    size: 'small',
    color: color !== null && color !== void 0 ? color : 'error'
  }, other), children);
})(_templateObject$1b || (_templateObject$1b = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref3) {
  var position = _ref3.position,
    top = _ref3.top,
    right = _ref3.right;
  return "\n      position: " + (position !== null && position !== void 0 ? position : 'absolute') + ";\n      top: " + (top !== null && top !== void 0 ? top : '-10px') + ";\n      right: " + (right !== null && right !== void 0 ? right : '-10px') + ";\n      opacity: 0.75;\n\n      &:hover{\n        opacity: 1;\n      }\n    ";
});
var FileInputRef = React.forwardRef(function (props, ref) {
  var children = props.children,
    other = _objectWithoutPropertiesLoose(props, _excluded2$1y);
  return React.createElement(Box, Object.assign({
    ref: ref
  }, other), children);
});
var FileInputRoot = styled(FileInputRef)(_templateObject2$6 || (_templateObject2$6 = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref4) {
  var theme = _ref4.theme,
    minHeight = _ref4.minHeight,
    cursor = _ref4.cursor,
    borderWidth = _ref4.borderWidth,
    borderRadius = _ref4.borderRadius,
    borderColor = _ref4.borderColor,
    borderStyle = _ref4.borderStyle,
    color = _ref4.color,
    outline = _ref4.outline,
    transition = _ref4.transition,
    textAlign = _ref4.textAlign,
    justifyContent = _ref4.justifyContent;
  return "\n      position: relative;\n      align-items: center;\n      display: flex;\n      min-height: " + (minHeight !== null && minHeight !== void 0 ? minHeight : '23px') + ";\n      cursor: " + (cursor !== null && cursor !== void 0 ? cursor : 'pointer') + ";  \n      border-width: " + (borderWidth !== null && borderWidth !== void 0 ? borderWidth : '.9px') + ";\n      border-radius: " + (borderRadius !== null && borderRadius !== void 0 ? borderRadius : theme.shape.borderRadius + 'px') + ";\n      border-color: " + (borderColor !== null && borderColor !== void 0 ? borderColor : 'rgba(0, 0, 0, 0.42)') + ";\n      border-style:  " + (borderStyle !== null && borderStyle !== void 0 ? borderStyle : 'dotted') + ";\n      \n      outline: " + (outline !== null && outline !== void 0 ? outline : 'none') + ";\n      transition: " + (transition !== null && transition !== void 0 ? transition : 'border .24s ease-in-out') + ";\n      text-align: " + (textAlign !== null && textAlign !== void 0 ? textAlign : 'center') + ";\n      justify-content: " + (justifyContent !== null && justifyContent !== void 0 ? justifyContent : 'sstart') + ";\n\n      & ." + classes$2p.placeholder + " {\n        color: " + (color !== null && color !== void 0 ? color : '#bdbdbd') + ";\n      }\n    ";
});
var FileInput = React.forwardRef(function (props, ref) {
  var className = props.className,
    placeholder = props.placeholder,
    onChange = props.onChange,
    value = props.value,
    onRemove = props.onRemove,
    BoxProps = props.BoxProps,
    PlaceholderProps = props.PlaceholderProps,
    RemoveButtonProps = props.RemoveButtonProps,
    disabled = props.disabled,
    noDrag = props.noDrag,
    noClick = props.noClick,
    noKeyboard = props.noKeyboard,
    removeIcon = props.removeIcon,
    removeable = props.removeable,
    accept = props.accept,
    other = _objectWithoutPropertiesLoose(props, _excluded3$s);
  var _useState = useState(),
    file = _useState[0],
    setFile = _useState[1];
  var _useState2 = useState(),
    fileUrl = _useState2[0],
    setFileUrl = _useState2[1];
  var _useState3 = useState(undefined),
    src = _useState3[0],
    setSrc = _useState3[1];
  var handleRemove = function handleRemove(src) {
    if (onChange) onChange(undefined);
    if (onRemove) onRemove(src);
    setFile(undefined);
    setFileUrl(undefined);
    setSrc(undefined);
  };
  var onDrop = useCallback(function (acceptedFiles) {
    if (acceptedFiles && acceptedFiles.length > 0) {
      var acceptedFile = acceptedFiles[0];
      setFile(acceptedFile);
      setFileUrl(URL.createObjectURL(acceptedFile));
      var reader = new FileReader();
      reader.onload = function () {
        if (onChange !== undefined) {
          onChange(acceptedFile);
        }
      };
      reader.readAsArrayBuffer(acceptedFile);
    }
  }, [onChange]);
  useEffect(function () {
    if (value instanceof Blob || value instanceof File) {
      var url = URL.createObjectURL(value);
      setSrc(url);
    } else if (value !== null && value !== void 0 && value.content && value !== null && value !== void 0 && value.contentType) {
      var _value$content;
      setSrc("data:" + (value === null || value === void 0 ? void 0 : value.contentType) + ";base64," + ((_value$content = value === null || value === void 0 ? void 0 : value.content) !== null && _value$content !== void 0 ? _value$content : value));
    } else {
      setSrc(value);
      if (!value) {
        setFile(undefined);
        setFileUrl(undefined);
      }
    }
  }, [value]);
  var _useDropzone = useDropzone(_extends({
      multiple: false,
      maxFiles: 1,
      onDrop: onDrop,
      disabled: disabled,
      noDrag: disabled !== null && disabled !== void 0 ? disabled : noDrag,
      noClick: disabled !== null && disabled !== void 0 ? disabled : noClick,
      noKeyboard: disabled !== null && disabled !== void 0 ? disabled : noKeyboard,
      accept: accept
    }, other)),
    getRootProps = _useDropzone.getRootProps,
    getInputProps = _useDropzone.getInputProps;
  useEffect(function () {
    return function () {
      if (fileUrl !== undefined) URL.revokeObjectURL(fileUrl);
    };
  }, [fileUrl]);
  var _getRootProps = _extends({}, getRootProps()),
    rootProps = _objectWithoutPropertiesLoose(_getRootProps, _excluded4$c);
  var showRemove = (src || file) && !disabled && (onRemove || removeable);
  var showPlaceholder = !src && !file;
  var onRemoveClick = function onRemoveClick(e) {
    e.stopPropagation();
    handleRemove(src);
  };
  return React.createElement(FileInputRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$2p.root, className)
  }, rootProps, BoxProps), !disabled && React.createElement("input", Object.assign({}, getInputProps())), showPlaceholder ? React.createElement(Typography, Object.assign({
    className: classes$2p.placeholder
  }, PlaceholderProps), placeholder) : React.createElement(Typography, null, file === null || file === void 0 ? void 0 : file.name), showRemove && React.createElement(RemoveButton$1, Object.assign({
    onClick: onRemoveClick
  }, RemoveButtonProps), removeIcon !== null && removeIcon !== void 0 ? removeIcon : React.createElement(CloseIcon, null)));
});

var _templateObject$1c;
var _excluded$2O = ["size", "maxHeight", "disabled"],
  _excluded2$1z = ["className", "onChange", "onBlur", "disabled", "FileInputProps", "placeholder", "margin"],
  _excluded3$t = ["disabled", "placeholder"],
  _excluded4$d = ["ref", "onChange", "onBlur"];
var classes$2q = {
  root: 'MuiFileControl-root'
};
var FileControlRef = React.forwardRef(function (props, ref) {
  var disabled = props.disabled,
    other = _objectWithoutPropertiesLoose(props, _excluded$2O);
  return React.createElement(FormController, Object.assign({
    ref: ref,
    disabled: disabled
  }, other));
});
var FileControlRoot = styled$1(FileControlRef)(_templateObject$1c || (_templateObject$1c = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var disabled = _ref.disabled,
    size = _ref.size,
    _maxHeight = _ref.maxHeight;
  var maxHeight = (_maxHeight !== null && _maxHeight !== void 0 ? _maxHeight : size === 'medium') ? '56px' : '23px';
  return "\n      margin-top: 8px;\n\n      fieldset {\n          margin-left:0;\n          margin-right:0;\n          align-items: start;\n          border-radius: 4px;\n          border: 1px solid " + (!disabled ? '#C4C4C4;' : '#F4F4F4;') + "\n        }\n        & fieldset:hover {          \n          border: 1px solid " + (!disabled ? '#212121;' : '#F4F4F4;') + "\n        }\n\n        & legend {\n          font-size: 12px;\n          background: white;\n          padding-left: 4px;\n          padding-right: 4px;\n          color: rgba(0, 0, 0, 0.6);\n        }\n\n        & .MuiFileInput-root {\n          max-height: " + maxHeight + ";\n          height: " + maxHeight + ";\n          width: 100%;\n          border: none;         \n        }\n\n        & .MuiFileInput-root img {\n          max-height: " + maxHeight + ";\n          " + (disabled ? 'opacity: 0.4;' : '') + "\n        }\n      ";
});
var FileControl = React.forwardRef(function (props, ref) {
  var className = props.className,
    controlChange = props.onChange,
    _disabled = props.disabled,
    FileInputProps = props.FileInputProps,
    placeholder = props.placeholder,
    _props$margin = props.margin,
    margin = _props$margin === void 0 ? 'normal' : _props$margin,
    other = _objectWithoutPropertiesLoose(props, _excluded2$1z);
  var _ref2 = FileInputProps !== null && FileInputProps !== void 0 ? FileInputProps : {},
    fileDisabled = _ref2.disabled,
    filePlaceholder = _ref2.placeholder,
    FileInputPropsOther = _objectWithoutPropertiesLoose(_ref2, _excluded3$t);
  var disabled = fileDisabled !== null && fileDisabled !== void 0 ? fileDisabled : _disabled;
  return React.createElement(FileControlRoot, Object.assign({
    ref: ref,
    className: buildClassName(classes$2q.root, className),
    disabled: disabled,
    hiddenLabel: true,
    FormControlLabelProps: {
      labelPlacement: 'top'
    },
    render: function render(_ref3) {
      var _ref3$field = _ref3.field,
        _onChange = _ref3$field.onChange,
        fieldOther = _objectWithoutPropertiesLoose(_ref3$field, _excluded4$d);
      return React.createElement("fieldset", null, React.createElement("legend", null, React.createElement("span", null, props.label)), React.createElement(FileInput, Object.assign({}, fieldOther, {
        disabled: disabled,
        placeholder: filePlaceholder !== null && filePlaceholder !== void 0 ? filePlaceholder : placeholder,
        onChange: function onChange(file) {
          _onChange(file);
          controlChange && controlChange(file);
        }
      }, FileInputPropsOther)));
    },
    margin: margin
  }, other));
});

var _templateObject$1d;
var _excluded$2P = ["options", "fieldInputVariant", "fieldSize", "variant", "name", "hidden", "width", "Component", "ComponentProps"],
  _excluded2$1A = ["width"],
  _excluded3$u = ["width"];
var getWidth = function getWidth(width) {
  return width === 'thin' ? '25%' : width === 'narrow' ? '50%' : width === 'wide' ? '75%' : '100%';
};
var FieldControl = React.forwardRef(function (props, ref) {
  var options = props.options,
    _props$fieldInputVari = props.fieldInputVariant,
    fieldInputVariant = _props$fieldInputVari === void 0 ? 'outlined' : _props$fieldInputVari,
    _props$fieldSize = props.fieldSize,
    fieldSize = _props$fieldSize === void 0 ? 'small' : _props$fieldSize,
    variant = props.variant,
    name = props.name,
    hidden = props.hidden,
    Component = props.Component,
    ComponentProps = props.ComponentProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$2P);
  if (hidden) return React.createElement(HiddenControl, Object.assign({
    ref: ref
  }, other, ComponentProps, {
    name: name
  }));
  if (Component) return React.createElement(Component, Object.assign({
    ref: ref,
    name: name,
    options: options,
    variant: fieldInputVariant,
    size: fieldSize
  }, other, ComponentProps));
  switch (variant) {
    case 'bool':
      {
        return React.createElement(BoolControl, Object.assign({
          ref: ref,
          name: name,
          size: fieldSize
        }, other, ComponentProps));
      }
    case 'checkbox':
      {
        return React.createElement(CheckboxControl, Object.assign({
          ref: ref,
          name: name,
          size: fieldSize
        }, other, ComponentProps));
      }
    case 'checklist':
      {
        return React.createElement(ChecklistControl, Object.assign({
          ref: ref,
          name: name,
          size: fieldSize
        }, other, ComponentProps));
      }
    case 'color':
      {
        return React.createElement(ColorControl, Object.assign({
          ref: ref,
          name: name,
          variant: fieldInputVariant,
          size: fieldSize
        }, other, ComponentProps));
      }
    case 'combo-box':
      {
        return React.createElement(ComboBoxControl, Object.assign({
          ref: ref,
          name: name,
          options: options,
          variant: fieldInputVariant,
          size: fieldSize
        }, other, ComponentProps));
      }
    case 'currency-amount':
      {
        return React.createElement(CurrencyAmountControl, Object.assign({
          ref: ref,
          name: name,
          variant: fieldInputVariant,
          size: fieldSize
        }, other, ComponentProps));
      }
    case 'date':
      {
        return React.createElement(DateControl, Object.assign({
          ref: ref,
          name: name
        }, other, {
          size: fieldSize
        }, ComponentProps));
      }
    case 'date-time':
      {
        return React.createElement(DateTimeControl, Object.assign({
          ref: ref,
          name: name
        }, other, {
          size: fieldSize
        }, ComponentProps));
      }
    case 'email':
      {
        return React.createElement(TextFieldControl, Object.assign({
          ref: ref,
          name: name,
          variant: fieldInputVariant,
          size: fieldSize,
          type: 'email'
        }, other, ComponentProps));
      }
    case 'file':
      {
        return React.createElement(FileControl, Object.assign({
          ref: ref,
          name: name,
          size: fieldSize
        }, other, ComponentProps));
      }
    case 'image':
      {
        return React.createElement(ImageControl, Object.assign({
          ref: ref,
          name: name,
          size: fieldSize
        }, other, ComponentProps));
      }
    case 'lookup':
      {
        return React.createElement(LookupControl, Object.assign({
          ref: ref,
          name: name,
          options: options,
          variant: fieldInputVariant,
          size: fieldSize
        }, other, ComponentProps));
      }
    case 'number':
      {
        return React.createElement(NumberControl, Object.assign({
          ref: ref,
          name: name,
          variant: fieldInputVariant,
          size: fieldSize
        }, other, ComponentProps));
      }
    case 'password':
      {
        return React.createElement(PasswordControl, Object.assign({
          ref: ref,
          name: name,
          variant: fieldInputVariant,
          size: fieldSize
        }, other, ComponentProps));
      }
    case 'radio-group':
      {
        return React.createElement(RadioGroupControl, Object.assign({
          ref: ref,
          name: name,
          options: options,
          size: fieldSize
        }, other, ComponentProps));
      }
    case 'rating':
      {
        return React.createElement(RatingControl, Object.assign({
          ref: ref,
          name: name,
          size: fieldSize
        }, other, ComponentProps));
      }
    case 'switch':
      {
        return React.createElement(SwitchControl, Object.assign({
          ref: ref,
          name: name,
          size: fieldSize
        }, other, ComponentProps));
      }
    case 'text-area':
      {
        return React.createElement(TextFieldControl, Object.assign({
          ref: ref,
          variant: fieldInputVariant,
          size: fieldSize,
          multiline: true,
          rows: 3,
          name: name
        }, other, ComponentProps));
      }
    case 'time':
      {
        return React.createElement(TimeControl, Object.assign({
          ref: ref,
          name: name
        }, other, {
          size: fieldSize
        }, ComponentProps));
      }
    default:
      {
        return React.createElement(TextFieldControl, Object.assign({
          ref: ref,
          name: name,
          variant: fieldInputVariant,
          size: fieldSize
        }, other, ComponentProps));
      }
  }
});
var FieldRef = React.forwardRef(function (props, ref) {
  var other = _objectWithoutPropertiesLoose(props, _excluded2$1A);
  return React.createElement(FieldControl, Object.assign({
    ref: ref
  }, other));
});
var FieldRoot = styled(FieldRef)(_templateObject$1d || (_templateObject$1d = _taggedTemplateLiteralLoose(["\n  ", "\n"])), function (_ref) {
  var width = _ref.width;
  return "\n        width: " + getWidth(width) + ";\n      ";
});
var Field = React.forwardRef(function FieldRender(props, ref) {
  var _props$width = props.width,
    width = _props$width === void 0 ? 'full' : _props$width,
    other = _objectWithoutPropertiesLoose(props, _excluded3$u);
  return React.createElement(FieldRoot, Object.assign({
    ref: ref,
    width: width
  }, other));
});

var _excluded$2Q = ["name", "hidden", "disabled", "label", "placeholder", "width", "options", "fieldInputVariant", "fieldSize"];
var classes$2r = {
  root: 'MuiBoolField-root'
};
var BoolField = React.forwardRef(function BoolFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    width = props.width,
    options = props.options,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$2Q);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2r.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'bool',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$2R = ["name", "hidden", "disabled", "label", "placeholder", "width", "options", "fieldInputVariant", "fieldSize"];
var classes$2s = {
  root: 'MuiComboBoxField-root'
};
var ComboBoxField = React.forwardRef(function ComboBoxFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    width = props.width,
    options = props.options,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$2R);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2s.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'combo-box',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$2S = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2t = {
  root: 'MuiChecklistField-root'
};
var ChecklistField = React.forwardRef(function ChecklistFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$2S);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2t.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'checklist',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$2T = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2u = {
  root: 'MuiCheckboxField-root'
};
var CheckboxField = React.forwardRef(function CheckboxFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$2T);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2u.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'checkbox',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$2U = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2v = {
  root: 'MuiColorField-root'
};
var ColorField = React.forwardRef(function ColorFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$2U);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2v.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'color',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$2V = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2w = {
  root: 'MuiCurrencyAmountField-root'
};
var CurrencyAmountField = React.forwardRef(function CurrencyAmountFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$2V);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2w.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'currency-amount',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$2W = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2x = {
  root: 'MuiDateField-root'
};
var DateField = React.forwardRef(function DateFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$2W);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2x.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'date',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$2X = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2y = {
  root: 'MuiDateTimeField-root'
};
var DateTimeField = React.forwardRef(function DateTimeFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$2X);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2y.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'date-time',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$2Y = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2z = {
  root: 'MuiEmailField-root'
};
var EmailField = React.forwardRef(function EmailFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$2Y);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2z.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'email',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$2Z = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2A = {
  root: 'MuiFileField-root'
};
var FileField = React.forwardRef(function FileFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$2Z);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2A.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'file',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$2_ = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2B = {
  root: 'MuiImageField-root'
};
var ImageField = React.forwardRef(function ImageFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$2_);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2B.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'image',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$2$ = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2C = {
  root: 'MuiLookupField-root'
};
var LookupField = React.forwardRef(function LookupFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$2$);
  var lookupProps = _extends({}, other);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2C.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'lookup',
    ComponentProps: lookupProps
  });
});

var _excluded$30 = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2D = {
  root: 'MuiNumberField-root'
};
var NumberField = React.forwardRef(function NumberFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$30);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2D.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'number',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$31 = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2E = {
  root: 'MuiPasswordField-root'
};
var PasswordField = React.forwardRef(function PasswordFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$31);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2E.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'password',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$32 = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2F = {
  root: 'MuiRadioGroupField-root'
};
var RadioGroupField = React.forwardRef(function RadioGroupFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$32);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2F.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'radio-group',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$33 = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2G = {
  root: 'MuiRatingField-root'
};
var RatingField = React.forwardRef(function RatingFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$33);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2G.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'rating',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$34 = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2H = {
  root: 'MuiSwitchField-root'
};
var SwitchField = React.forwardRef(function SwitchFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$34);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2H.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'switch',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$35 = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2I = {
  root: 'MuiTextAreaField-root'
};
var TextAreaField = React.forwardRef(function TextAreaFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$35);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2I.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'text-area',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$36 = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2J = {
  root: 'MuiTextField-root'
};
var TextField = React.forwardRef(function TextFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$36);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2J.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'text',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$37 = ["name", "hidden", "disabled", "label", "placeholder", "options", "width", "fieldInputVariant", "fieldSize"];
var classes$2K = {
  root: 'MuiTimeFieldField-root'
};
var TimeField = React.forwardRef(function TimeFieldRender(props, ref) {
  var name = props.name,
    hidden = props.hidden,
    disabled = props.disabled,
    label = props.label,
    placeholder = props.placeholder,
    options = props.options,
    width = props.width,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    other = _objectWithoutPropertiesLoose(props, _excluded$37);
  return React.createElement(Field, {
    ref: ref,
    className: classes$2K.root,
    name: name,
    hidden: hidden,
    disabled: disabled,
    label: label,
    placeholder: placeholder,
    options: options,
    width: width,
    fieldInputVariant: fieldInputVariant,
    fieldSize: fieldSize,
    variant: 'time',
    ComponentProps: _extends({}, other)
  });
});

var _excluded$38 = ["title", "className", "TitleTypographyProps"];
var classes$2L = {
  root: 'MuiFieldsGroupHeader-root',
  groupTitle: 'MuiFormFieldsGroupHeader-groupTitle'
};
var FieldsGroupHeader = React.forwardRef(function (props, ref) {
  var title = props.title,
    className = props.className,
    TitleTypographyProps = props.TitleTypographyProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$38);
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: buildClassName(classes$2L.root, className)
  }, other), typeof title === 'string' ? React.createElement(Typography, Object.assign({
    className: classes$2L.groupTitle,
    variant: 'caption'
  }, TitleTypographyProps), title) : React.createElement(React.Fragment, null, title));
});

var _excluded$39 = ["children", "fieldInputVariant", "control", "errors", "title", "className", "TitleTypographyProps", "FieldsBoxProps", "fieldSize", "fieldsProps"];
var classes$2M = {
  root: 'MuiFieldsGroup-root'
};
var FieldsGroup = React.forwardRef(function FieldsGroupRender(props, ref) {
  var children = props.children,
    fieldInputVariant = props.fieldInputVariant,
    control = props.control,
    errors = props.errors,
    title = props.title,
    className = props.className,
    TitleTypographyProps = props.TitleTypographyProps,
    FieldsBoxProps = props.FieldsBoxProps,
    fieldSize = props.fieldSize,
    fieldsProps = props.fieldsProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$39);
  return React.createElement(Box, Object.assign({
    ref: ref,
    className: buildClassName(classes$2M.root, className),
    display: 'flex',
    flexDirection: 'column'
  }, other), React.createElement(FieldsGroupHeader, {
    title: title,
    TitleTypographyProps: TitleTypographyProps
  }), React.createElement(Box, Object.assign({
    display: 'flex',
    flexDirection: 'column'
  }, FieldsBoxProps), children !== undefined && React.Children.map(children, function (child, index) {
    if (isFieldsRow(child)) {
      var _child$props$fieldInp, _child$props, _child$props$fieldSiz, _child$props2, _child$props$fieldsPr, _child$props3;
      return React.cloneElement(child, {
        control: control,
        errors: errors,
        fieldInputVariant: (_child$props$fieldInp = child === null || child === void 0 ? void 0 : (_child$props = child.props) === null || _child$props === void 0 ? void 0 : _child$props.fieldInputVariant) !== null && _child$props$fieldInp !== void 0 ? _child$props$fieldInp : fieldInputVariant,
        fieldSize: (_child$props$fieldSiz = child === null || child === void 0 ? void 0 : (_child$props2 = child.props) === null || _child$props2 === void 0 ? void 0 : _child$props2.fieldSize) !== null && _child$props$fieldSiz !== void 0 ? _child$props$fieldSiz : fieldSize,
        fieldsProps: (_child$props$fieldsPr = child === null || child === void 0 ? void 0 : (_child$props3 = child.props) === null || _child$props3 === void 0 ? void 0 : _child$props3.fieldsProps) !== null && _child$props$fieldsPr !== void 0 ? _child$props$fieldsPr : fieldsProps
      });
    } else {
      var _child$props4, _child$props5, _child$props$fieldInp2, _child$props6, _child$props$fieldSiz2, _child$props7, _child$props$name, _child$props8, _child$props9;
      var error = errors && child !== null && child !== void 0 && (_child$props4 = child.props) !== null && _child$props4 !== void 0 && _child$props4.name ? getValue(errors, child === null || child === void 0 ? void 0 : (_child$props5 = child.props) === null || _child$props5 === void 0 ? void 0 : _child$props5.name) : undefined;
      if (error) {
        var _error$message;
        error = (_error$message = error.message) !== null && _error$message !== void 0 ? _error$message : error;
      }
      return React.cloneElement(child, _extends({
        control: control,
        error: error,
        fieldInputVariant: (_child$props$fieldInp2 = child === null || child === void 0 ? void 0 : (_child$props6 = child.props) === null || _child$props6 === void 0 ? void 0 : _child$props6.fieldInputVariant) !== null && _child$props$fieldInp2 !== void 0 ? _child$props$fieldInp2 : fieldInputVariant,
        fieldSize: (_child$props$fieldSiz2 = child === null || child === void 0 ? void 0 : (_child$props7 = child.props) === null || _child$props7 === void 0 ? void 0 : _child$props7.fieldSize) !== null && _child$props$fieldSiz2 !== void 0 ? _child$props$fieldSiz2 : fieldSize,
        key: (_child$props$name = (_child$props8 = child.props) === null || _child$props8 === void 0 ? void 0 : _child$props8.name) !== null && _child$props$name !== void 0 ? _child$props$name : index
      }, fieldsProps === null || fieldsProps === void 0 ? void 0 : fieldsProps[(_child$props9 = child.props) === null || _child$props9 === void 0 ? void 0 : _child$props9.name]));
    }
  })));
});

var _excluded$3a = ["children", "className", "control", "errors", "fieldInputVariant", "fieldSize", "fieldsProps"];
var classes$2N = {
  root: 'MuiFieldsRow-root'
};
var getWidthProps = function getWidthProps(width) {
  var widthProps = {
    xs: width === 'thin' ? 6 : width === 'narrow' ? 12 : width === 'wide' ? 12 : 12,
    sm: width === 'thin' ? 6 : width === 'narrow' ? 6 : width === 'wide' ? 9 : 12,
    md: width === 'thin' ? 3 : width === 'narrow' ? 6 : width === 'wide' ? 9 : 12,
    lg: width === 'thin' ? 3 : width === 'narrow' ? 6 : width === 'wide' ? 9 : 12,
    xl: width === 'thin' ? 3 : width === 'narrow' ? 6 : width === 'wide' ? 9 : 12
  };
  return widthProps;
};
var FieldsRow = React.forwardRef(function FieldsRowRender(props, ref) {
  var children = props.children,
    className = props.className,
    control = props.control,
    errors = props.errors,
    fieldInputVariant = props.fieldInputVariant,
    fieldSize = props.fieldSize,
    fieldsProps = props.fieldsProps,
    other = _objectWithoutPropertiesLoose(props, _excluded$3a);
  return React.createElement(Grid, Object.assign({
    ref: ref,
    className: buildClassName(classes$2N.root, className),
    container: true,
    spacing: 1
  }, other), children !== undefined && React.Children.map(children, function (field, index) {
    var _field$props$width, _field$props, _field$props2, _field$props3, _field$props$fieldInp, _field$props4, _field$props$fieldSiz, _field$props5, _field$props$name, _field$props6, _field$props7, _field$props$name2, _field$props8;
    var w = (_field$props$width = (_field$props = field.props) === null || _field$props === void 0 ? void 0 : _field$props.width) !== null && _field$props$width !== void 0 ? _field$props$width : 'narrow';
    var widthProps = getWidthProps(w);
    var error = errors && field !== null && field !== void 0 && (_field$props2 = field.props) !== null && _field$props2 !== void 0 && _field$props2.name ? getValue(errors, field === null || field === void 0 ? void 0 : (_field$props3 = field.props) === null || _field$props3 === void 0 ? void 0 : _field$props3.name) : undefined;
    if (error) {
      var _error$message;
      error = (_error$message = error.message) !== null && _error$message !== void 0 ? _error$message : error;
    }
    var fieldElement = React.cloneElement(field, _extends({
      control: control,
      error: error,
      fieldInputVariant: (_field$props$fieldInp = field === null || field === void 0 ? void 0 : (_field$props4 = field.props) === null || _field$props4 === void 0 ? void 0 : _field$props4.fieldInputVariant) !== null && _field$props$fieldInp !== void 0 ? _field$props$fieldInp : fieldInputVariant,
      fieldSize: (_field$props$fieldSiz = field === null || field === void 0 ? void 0 : (_field$props5 = field.props) === null || _field$props5 === void 0 ? void 0 : _field$props5.fieldSize) !== null && _field$props$fieldSiz !== void 0 ? _field$props$fieldSiz : fieldSize,
      key: (_field$props$name = (_field$props6 = field.props) === null || _field$props6 === void 0 ? void 0 : _field$props6.name) !== null && _field$props$name !== void 0 ? _field$props$name : index,
      width: 'full'
    }, fieldsProps === null || fieldsProps === void 0 ? void 0 : fieldsProps[(_field$props7 = field.props) === null || _field$props7 === void 0 ? void 0 : _field$props7.name]));
    return React.createElement(Grid, Object.assign({
      key: (_field$props$name2 = field === null || field === void 0 ? void 0 : (_field$props8 = field.props) === null || _field$props8 === void 0 ? void 0 : _field$props8.name) !== null && _field$props$name2 !== void 0 ? _field$props$name2 : index,
      item: true
    }, widthProps), fieldElement);
  }));
});

export { Action, ActionButton, ActionFab, ActionGroup, ActionGroupBox, ActionGroupMenu, ActionGroupSpeedDial, ActionGroupStack, ActionIconButton, ActionLink, ActionsColumn, AddIcon, AlertGroup, AppContent, AppFooter, AppHeader, AppLayout, AppThemeConsumer, AppThemeContext, AppThemeProvider, ArrowLeftIcon, ArrowRightIcon, BackButton, BackIcon, BoolColumn, BoolControl, BoolDisplay, BoolField, BoolFilter, BoolInput, COLOR_NAMES, CheckIcon, CheckboxControl, CheckboxDisplay, CheckboxField, Checklist, ChecklistControl, ChecklistDisplay, ChecklistField, CircleDisplay, CloseIcon, CodeColumn, CodeDisplay, CollapseIcon, Collection, CollectionItem, ColorColumn, ColorControl, ColorDisplay, ColorField, ColorInput, Column$1 as Column, ColumnsLayout, ComboBox, ComboBoxControl, ComboBoxField, ComboBoxFilter, ConfirmationDialog, Copyright, CurrencyAmountControl, CurrencyAmountDisplay, CurrencyAmountField, CurrencyAmountInput, DEFAULT_DELAY, DEFAULT_MIXINS, Dashboard, DashboardLayout, DashboardPage, DashboardPart, Datatable, DateColumn, DateControl, DateDisplay, DateField, DateFilter, DateFnsConsumer, DateFnsContext, DateFnsProvider, DateInput, DateTimeColumn, DateTimeControl, DateTimeDisplay, DateTimeField, DateTimeFilter, DateTimeInput, DetailBoolField, DetailCheckboxField, DetailChecklistField, DetailCodeField, DetailColorField, DetailCurrencyAmountField, DetailDateField, DetailDateTimeField, DetailField, DetailImageField, DetailImageInputField, DetailLinkField, DetailNumberField, DetailOptionField, DetailRadioGroupField, DetailRatingField, DetailSwitchField, DetailTextField, DetailTimeField, DetailsPage, DetailsPageTab, DetailsPart, DetailsPartFieldsGroup, DismissibleAlert, EditPage, editPart as EditPart, EmailField, Empty, EndOfDayFilter, ExpandIcon, FetchService, Field, FieldsGroup, FieldsRow, FileControl, FileField, FileInput, Filter, Form, FormController, FreeSoloFilter, HiddenControl, HiddenFilter, ImageColumn, ImageControl, ImageDisplay, ImageField, ImageInput, IndexColumn, LinkColumn, LinkIcon, ListPage, ListWithTotalCount, Loader, Lookup, LookupControl, LookupField, LookupFilter, MemoryService, MenuIcon, ModalDialog, MoreIcon, MultiSelectFilter, Notification, NumberColumn, NumberControl, NumberDisplay, NumberField, NumberFilter, NumberInput, OptionColumn, OptionDisplay, Page, PageHeader, Part, PartHeader, PasswordControl, PasswordField, PasswordInput, RadioGroupControl, OptionDisplay$1 as RadioGroupDisplay, RadioGroupField, RatingControl, RatingDisplay, RatingField, RefreshButton, RefreshIcon, RestService, RevealBadge, SearchBar, SearchList, ServiceResponse, Sidemenu, SidemenuAction, SidemenuDivider, SidemenuSubmenu, StartOfDayFilter, stepPage as StepPage, SubmitButton, SubmitPage, SubmitPart, SwitchControl, SwitchDisplay, SwitchField, TextAreaField, TextColumn, TextField, TextFieldControl, TextFilter, TimeColumn, TimeControl, TimeDisplay, TimeField, TimeFilter, TimeInput, Topmenu, TopmenuActionButton, TopmenuActionIconButton, TopmenuActionLink, VisibilityIcon, VisibilityOffIcon, actionHasModal, addDays, applyAnyFilter, applyFilter, applyFilters, applyPaging, applySorting, arrayBufferToBase64, buildClassName, colorNameToHex, dateFromHHmm, dateToHHmm, defaultMaxDate, defaultMinDate, generatePathINTERNAL, getAction, getActions, getColor, getContrastText, getCookie, getFunctionName, getItem, getOption, getOptionLabel, getOptions, getPaletteColor, getParams, getTitle, getTo, getValue, getValues, goTo, hasValue, includes, isAsyncFunction, isColorName, isFunction, isServiceResponse, isSubmitAction, isValidColor, isValidHex, isValidHsl, isValidPeriod, isValidRgb, isVisible, notFoundError, notImplementedError, ofType, ok, palleteColors, parseJwt, random, randomError, readFileContent, serviceError, setItem, shouldHide, sleep, today, tomorrow, typeOf$1 as typeOf, undefinedParameterError, urlToFile, useAppThemeContext, useBackgroundService, useDateFns, useDateFnsContext, useEditPart, useGet, useMuiTheme, useQuery, useRefresh, useRefreshDeps, useSubmit, useSubmitActionElement, withBadge, withEmpty, withLoader, withNotification, xor };
//# sourceMappingURL=index.modern.js.map
